/* A Bison parser, made by GNU Bison 3.8.2.  */

/* Bison implementation for Yacc-like parsers in C

   Copyright (C) 1984, 1989-1990, 2000-2015, 2018-2021 Free Software Foundation,
   Inc.

   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <https://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.

   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* DO NOT RELY ON FEATURES THAT ARE NOT DOCUMENTED in the manual,
   especially those whose name start with YY_ or yy_.  They are
   private implementation details that can be changed or removed.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output, and Bison version.  */
#define YYBISON 30802

/* Bison version string.  */
#define YYBISON_VERSION "3.8.2"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1


/* Substitute the variable and function names.  */
#define yyparse         cf_parse
#define yylex           cf_lex
#define yyerror         cf_error
#define yydebug         cf_debug
#define yynerrs         cf_nerrs
#define yylval          cf_lval
#define yychar          cf_char

/* First part of user prologue.  */
#line 61 "conf/gen_parser.m4"

#line 9 "conf/confbase.Y"
/* Headers from conf/confbase.Y */

#define PARSER 1

#include "nest/bird.h"
#include "conf/conf.h"
#include "lib/resource.h"
#include "lib/socket.h"
#include "lib/timer.h"
#include "lib/string.h"
#include "nest/protocol.h"
#include "nest/iface.h"
#include "nest/route.h"
#include "nest/bfd.h"
#include "nest/cli.h"
#include "filter/filter.h"

/* FIXME: Turn on YYERROR_VERBOSE and work around lots of bison bugs? */

/* Defines from conf/confbase.Y */

static void
check_u16(uint val)
{
  if (val > 0xFFFF)
    cf_error("Value %u out of range (0-65535)", val);
}

#define cf_assert(cond, ...) do { if (!(cond)) cf_error(__VA_ARGS__); } while (0)
static inline void cf_assert_symbol(const struct symbol *sym, uint class) {
  switch (class) {
    case SYM_PROTO: cf_assert(sym->class == SYM_PROTO, "Protocol name required"); break;
    case SYM_TEMPLATE: cf_assert(sym->class == SYM_TEMPLATE, "Protocol template name required"); break;
    case SYM_FUNCTION: cf_assert(sym->class == SYM_FUNCTION, "Function name required"); break;
    case SYM_FILTER: cf_assert(sym->class == SYM_FILTER, "Filter name required"); break;
    case SYM_TABLE: cf_assert(sym->class == SYM_TABLE, "Table name required"); break;
    case SYM_ATTRIBUTE: cf_assert(sym->class == SYM_ATTRIBUTE, "Custom attribute name required"); break;
    case SYM_MPLS_DOMAIN: cf_assert(sym->class == SYM_MPLS_DOMAIN, "MPLS domain name required"); break;
    case SYM_MPLS_RANGE: cf_assert(sym->class == SYM_MPLS_RANGE, "MPLS range name required"); break;
    case SYM_VARIABLE: cf_assert((sym->class & ~0xff) == SYM_VARIABLE, "Variable name required"); break;
    case SYM_CONSTANT: cf_assert((sym->class & ~0xff) == SYM_CONSTANT, "Constant name required"); break;
    default: bug("This shall not happen");
  }
}

#line 9 "conf/flowspec.Y"
/* Headers from conf/flowspec.Y */

#define PARSER 1

#include "nest/bird.h"
#include "lib/flowspec.h"


/* Defines from conf/flowspec.Y */

struct flow_builder *this_flow;


#line 11 "filter/config.Y"
/* Headers from filter/config.Y */

#include "filter/f-inst.h"
#include "filter/data.h"

/* Defines from filter/config.Y */

static inline u32 pair(u32 a, u32 b) { return (a << 16) | b; }
static inline u32 pair_a(u32 p) { return p >> 16; }
static inline u32 pair_b(u32 p) { return p & 0xFFFF; }

static struct symbol *this_function;
static struct sym_scope *this_for_scope;

static struct f_method_scope {
  struct f_inst *object;
  struct sym_scope *main;
  struct sym_scope scope;
} f_method_scope_stack[32];
static int f_method_scope_pos = -1;

#define FM  (f_method_scope_stack[f_method_scope_pos])

static inline void f_method_call_start(struct f_inst *object)
{
  if (object->type == T_VOID)
    cf_error("Can't infer type to properly call a method, please assign the value to a variable");
  if (++f_method_scope_pos >= (int) ARRAY_SIZE(f_method_scope_stack))
    cf_error("Too many nested method calls");

  struct sym_scope *scope = f_type_method_scope(object->type);
  if (!scope)
    cf_error("No methods defined for type %s", f_type_name(object->type));

  FM = (struct f_method_scope) {
    .object = object,
    .main = new_config->current_scope,
    .scope = {
      .next = global_root_scope,
      .hash = scope->hash,
      .active = 1,
      .block = 1,
      .readonly = 1,
    },
  };
  new_config->current_scope = &FM.scope;
}

static inline void f_method_call_args(void)
{
  ASSERT_DIE(FM.scope.active);
  FM.scope.active = 0;

  new_config->current_scope = FM.main;
}

static inline void f_method_call_end(void)
{
  ASSERT_DIE(f_method_scope_pos >= 0);
  if (FM.scope.active) {
    ASSERT_DIE(&FM.scope == new_config->current_scope);
    new_config->current_scope = FM.main;

    FM.scope.active = 0;
  }

  f_method_scope_pos--;
}

static int
f_new_var(struct sym_scope *s)
{
  /*
   * - A variable is an offset on vstack from vbase.
   * - Vbase is set on filter start / function call.
   * - Scopes contain (non-frame) block scopes inside filter/function scope
   * - Each scope knows number of vars in that scope
   * - Offset is therefore a sum of 'slots' up to filter/function scope
   * - New variables are added on top of vstk, so intermediate values cannot
   *   be there during FI_VAR_INIT. I.e. no 'var' inside 'term'.
   * - Also, each f_line must always have its scope, otherwise a variable may
   *   be defined but not initialized if relevant f_line is not executed.
   */

  int offset = s->slots++;

  while (s->block)
  {
    s = s->next;
    ASSERT(s);
    offset += s->slots;
  }

  if (offset >= 0xff)
    cf_error("Too many variables, at most 255 allowed");

  return offset;
}

/*
 * Sets and their items are during parsing handled as lists, linked
 * through left ptr. The first item in a list also contains a pointer
 * to the last item in a list (right ptr). For convenience, even items
 * are handled as one-item lists. Lists are merged by f_merge_items().
 */
static int
f_valid_set_type(int type)
{
  switch (type)
  {
  case T_INT:
  case T_PAIR:
  case T_QUAD:
  case T_ENUM:
  case T_IP:
  case T_EC:
  case T_LC:
  case T_RD:
    return 1;

  default:
    return 0;
  }
}

static inline struct f_tree *
f_new_item(struct f_val from, struct f_val to)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from = from;
  t->to = to;
  return t;
}

static inline struct f_tree *
f_merge_items(struct f_tree *a, struct f_tree *b)
{
  if (!a) return b;
  a->right->left = b;
  a->right = b->right;
  b->right = NULL;
  return a;
}

static inline struct f_tree *
f_new_pair_item(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_PAIR;
  t->from.val.i = pair(fa, fb);
  t->to.val.i = pair(ta, tb);
  return t;
}

static inline struct f_tree *
f_new_pair_set(int fa, int ta, int fb, int tb)
{
  check_u16(fa);
  check_u16(ta);
  check_u16(fb);
  check_u16(tb);

  if ((ta < fa) || (tb < fb))
    cf_error( "From value cannot be higher that To value in pair sets");

  struct f_tree *lst = NULL;
  int i;

  for (i = fa; i <= ta; i++)
    lst = f_merge_items(lst, f_new_pair_item(i, i, fb, tb));

  return lst;
}

#define CC_ALL 0xFFFF
#define EC_ALL 0xFFFFFFFF
#define LC_ALL 0xFFFFFFFF

static struct f_tree *
f_new_ec_item(u32 kind, u32 ipv4_used, u32 key, u32 vf, u32 vt)
{
  u64 fm, to;

  if ((kind != EC_GENERIC) && (ipv4_used || (key >= 0x10000))) {
    check_u16(vf);
    if (vt == EC_ALL)
      vt = 0xFFFF;
    else
      check_u16(vt);
  }

  if (kind == EC_GENERIC) {
    fm = ec_generic(key, vf);
    to = ec_generic(key, vt);
  }
  else if (ipv4_used) {
    fm = ec_ip4(kind, key, vf);
    to = ec_ip4(kind, key, vt);
  }
  else if (key < 0x10000) {
    fm = ec_as2(kind, key, vf);
    to = ec_as2(kind, key, vt);
  }
  else {
    fm = ec_as4(kind, key, vf);
    to = ec_as4(kind, key, vt);
  }

  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_EC;
  t->from.val.ec = fm;
  t->to.val.ec = to;
  return t;
}

static struct f_tree *
f_new_lc_item(u32 f1, u32 t1, u32 f2, u32 t2, u32 f3, u32 t3)
{
  struct f_tree *t = f_new_tree();
  t->right = t;
  t->from.type = t->to.type = T_LC;
  t->from.val.lc = (lcomm) {f1, f2, f3};
  t->to.val.lc = (lcomm) {t1, t2, t3};
  return t;
}

static inline struct f_inst *
f_const_empty(enum f_type t)
{
  switch (t) {
    case T_PATH:
    case T_CLIST:
    case T_ECLIST:
    case T_LCLIST:
      return f_new_inst(FI_CONSTANT, (struct f_val) {
	.type = t,
	.val.ad = &null_adata,
      });
    case T_ROUTE:
      return f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE });
    default:
      return f_new_inst(FI_CONSTANT, (struct f_val) {});
  }
}

/*
 * Remove all new lines and doubled whitespaces
 * and convert all tabulators to spaces
 * and return a copy of string
 */
char *
assert_copy_expr(const char *start, size_t len)
{
  /* XXX: Allocates maybe a little more memory than we really finally need */
  char *str = cfg_alloc(len + 1);

  char *dst = str;
  const char *src = start - 1;
  const char *end = start + len;
  while (++src < end)
  {
    if (*src == '\n')
      continue;

    /* Skip doubled whitespaces */
    if (src != start)
    {
      const char *prev = src - 1;
      if ((*src == ' ' || *src == '\t') && (*prev == ' ' || *prev == '\t'))
	continue;
    }

    if (*src == '\t')
      *dst = ' ';
    else
      *dst = *src;

    dst++;
  }
  *dst = '\0';

  return str;
}

/*
 * assert_done - create f_instruction of bt_assert
 * @expr: expression in bt_assert()
 * @start: pointer to first char of test expression
 * @end: pointer to the last char of test expression
 */
static struct f_inst *
assert_done(struct f_inst *expr, const char *start, const char *end)
{
  return f_new_inst(FI_ASSERT, expr,
    (end >= start) ?
      assert_copy_expr(start, end - start + 1)
    : "???");
}

static struct f_inst *
f_lval_getter(struct f_lval *lval)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_GET, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_GET, lval->rte, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_GET, lval->rte, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
f_lval_setter(struct f_lval *lval, struct f_inst *expr)
{
  switch (lval->type) {
    case F_LVAL_VARIABLE:	return f_new_inst(FI_VAR_SET, expr, lval->sym);
    case F_LVAL_SA:		return f_new_inst(FI_RTA_SET, expr, lval->sa);
    case F_LVAL_EA:		return f_new_inst(FI_EA_SET, expr, lval->da);
    default:			bug("Unknown lval type");
  }
}

static struct f_inst *
assert_assign(struct f_lval *lval, struct f_inst *expr, const char *start, const char *end)
{
  struct f_inst *setter = f_lval_setter(lval, expr),
		*getter = f_lval_getter(lval);

  struct f_inst *checker = f_new_inst(FI_EQ, expr, getter);
  setter->next = checker;

  return assert_done(setter, start, end);
}

#line 10 "nest/config.Y"
/* Headers from nest/config.Y */

#include "nest/rt-dev.h"
#include "nest/password.h"
#include "nest/cmds.h"
#include "nest/mpls.h"
#include "lib/lists.h"
#include "lib/mac.h"

/* Defines from nest/config.Y */

static struct rtable_config *this_table;
static struct proto_config *this_proto;
static struct channel_config *this_channel;
static struct iface_patt *this_ipatt;
static struct iface_patt_node *this_ipn;
/* static struct roa_table_config *this_roa_table; */
static list *this_p_list;
static struct password_item *this_p_item;
static int password_id;
static struct bfd_options *this_bfd_opts;

static void
iface_patt_check(void)
{
  struct iface_patt_node *pn;

  WALK_LIST(pn, this_ipatt->ipn_list)
    if (!pn->pattern || pn->prefix.type)
      cf_error("Interface name/mask expected, not IP prefix");
}

static inline void
init_password_list(void)
{
   if (!this_p_list) {
      this_p_list = cfg_allocz(sizeof(list));
      init_list(this_p_list);
      password_id = 1;
   }
}

static inline void
init_password(const void *key, uint length, uint id)
{
   this_p_item = cfg_allocz(sizeof (struct password_item));
   this_p_item->password = key;
   this_p_item->length = length;
   this_p_item->genfrom = 0;
   this_p_item->gento = TIME_INFINITY;
   this_p_item->accfrom = 0;
   this_p_item->accto = TIME_INFINITY;
   this_p_item->id = id;
   this_p_item->alg = ALG_UNDEFINED;
   add_tail(this_p_list, &this_p_item->n);
}

static inline void
reset_passwords(void)
{
  this_p_list = NULL;
}

static inline list *
get_passwords(void)
{
  list *rv = this_p_list;
  this_p_list = NULL;
  return rv;
}

static inline void
init_bfd_opts(struct bfd_options **opts)
{
  cf_check_bfd(1);

  if (! *opts)
    *opts = bfd_new_options();
}

static inline void
open_bfd_opts(struct bfd_options **opts)
{
  init_bfd_opts(opts);
  this_bfd_opts = *opts;
}

static inline void
close_bfd_opts(void)
{
  this_bfd_opts = NULL;
}

static void
proto_postconfig(void)
{
  CALL(this_proto->protocol->postconfig, this_proto);
  this_channel = NULL;
  this_proto = NULL;
}


#define DIRECT_CFG ((struct rt_dev_config *) this_proto)

#line 10 "nest/mpls.Y"
/* Headers from nest/mpls.Y */

#include "nest/mpls.h"

/* Defines from nest/mpls.Y */

static struct mpls_domain_config *this_mpls_domain;
static struct mpls_range_config *this_mpls_range;

#define MPLS_CC ((struct mpls_channel_config *) this_channel)

#line 11 "proto/aggregator/config.Y"
/* Headers from proto/aggregator/config.Y */

#include "proto/aggregator/aggregator.h"

/* Defines from proto/aggregator/config.Y */

#define AGGREGATOR_CFG ((struct aggregator_config *) this_proto)
#define AGGR_ITEM_ALLOC ((struct aggr_item_node *) cfg_allocz(sizeof(struct aggr_item_node)))


#line 8 "proto/bfd/config.Y"
/* Headers from proto/bfd/config.Y */

#include "proto/bfd/bfd.h"

/* Defines from proto/bfd/config.Y */

#define BFD_CFG ((struct bfd_config *) this_proto)
#define BFD_IFACE ((struct bfd_iface_config *) this_ipatt)
#define BFD_NEIGHBOR this_bfd_neighbor

static struct bfd_neighbor *this_bfd_neighbor;

extern struct bfd_config *bfd_cf;

#line 13 "proto/babel/config.Y"
/* Headers from proto/babel/config.Y */

#include "proto/babel/babel.h"
#include "nest/iface.h"

/* Defines from proto/babel/config.Y */

#define BABEL_CFG ((struct babel_config *) this_proto)
#define BABEL_IFACE ((struct babel_iface_config *) this_ipatt)

#line 9 "proto/bgp/config.Y"
/* Headers from proto/bgp/config.Y */

#include "proto/bgp/bgp.h"

/* Defines from proto/bgp/config.Y */

#define BGP_CFG ((struct bgp_config *) this_proto)
#define BGP_CC ((struct bgp_channel_config *) this_channel)

#line 10 "proto/l3vpn/config.Y"
/* Headers from proto/l3vpn/config.Y */

#include "proto/l3vpn/l3vpn.h"


/* Defines from proto/l3vpn/config.Y */

#define L3VPN_CFG ((struct l3vpn_config *) this_proto)

static void
f_tree_only_rt(struct f_tree *t)
{
  /* Parsed degenerate trees have link to the last node in t->right */
  t->right = NULL;

  while (t)
  {
    uint type1 = t->from.val.ec >> 48;
    uint type2 = t->to.val.ec >> 48;
    ASSERT(type1 == type2);

    if (!ec_type_is_rt(type1))
      cf_error("Extended community is not route target");

    ASSERT(!t->right);
    t = t->left;
  }
}


#line 10 "proto/mrt/config.Y"
/* Headers from proto/mrt/config.Y */

#include "proto/mrt/mrt.h"

/* Defines from proto/mrt/config.Y */

#define MRT_CFG ((struct mrt_config *) this_proto)

#line 9 "proto/ospf/config.Y"
/* Headers from proto/ospf/config.Y */

#include "proto/ospf/ospf.h"

/* Defines from proto/ospf/config.Y */

#define OSPF_CFG ((struct ospf_config *) this_proto)
#define OSPF_PATT ((struct ospf_iface_patt *) this_ipatt)

static struct ospf_area_config *this_area;
static struct nbma_node *this_nbma;
static list *this_nets;
static struct area_net_config *this_pref;
static struct ospf_stubnet_config *this_stubnet;

static inline int ospf_cfg_is_v2(void) { return OSPF_CFG->ospf2; }
static inline int ospf_cfg_is_v3(void) { return ! OSPF_CFG->ospf2; }

static void
ospf_iface_finish(void)
{
  struct ospf_iface_patt *ip = OSPF_PATT;

  if (ip->deadint == 0)
    ip->deadint = ip->deadc * ip->helloint;

  if (ip->waitint == 0)
    ip->waitint = ip->deadc * ip->helloint;

  ip->passwords = get_passwords();

  if (ospf_cfg_is_v2() && (ip->autype == OSPF_AUTH_CRYPT) && (ip->helloint < 5))
    cf_warn("Hello or poll interval less that 5 makes cryptographic authenication prone to replay attacks");

  if ((ip->autype == OSPF_AUTH_NONE) && (ip->passwords != NULL))
    cf_warn("Password option without authentication option does not make sense");

  if (ip->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *ip->passwords)
    {
      if (pass->alg && (ip->autype != OSPF_AUTH_CRYPT))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default OSPF crypto algorithms */
      if (!pass->alg && (ip->autype == OSPF_AUTH_CRYPT))
	pass->alg = ospf_cfg_is_v2() ? ALG_MD5 : ALG_HMAC_SHA256;

      if (ospf_cfg_is_v3() && ip->autype && (pass->alg < ALG_HMAC))
	cf_error("Keyed hash algorithms are not allowed, use HMAC algorithms");
    }
  }
}

static void
ospf_area_finish(void)
{
  if ((this_area->areaid == 0) && (this_area->type != OPT_E))
    cf_error("Backbone area cannot be stub/NSSA");

  if (this_area->summary && (this_area->type == OPT_E))
    cf_error("Only stub/NSSA areas can use summary propagation");

  if (this_area->default_nssa && ((this_area->type != OPT_N) || ! this_area->summary))
    cf_error("Only NSSA areas with summary propagation can use NSSA default route");

  if ((this_area->default_cost & LSA_EXT3_EBIT) && ! this_area->default_nssa)
    cf_error("Only NSSA default route can use type 2 metric");
}

static void
ospf_proto_finish(void)
{
  struct ospf_config *cf = OSPF_CFG;
  struct ospf_area_config *ac;
  struct ospf_iface_patt *ic;

  /* Define default channel */
  if (! proto_cf_main_channel(this_proto))
  {
    uint net_type = this_proto->net_type = ospf_cfg_is_v2() ? NET_IP4 : NET_IP6;
    channel_config_new(NULL, net_label[net_type], net_type, this_proto);
  }

  /* Propagate global instance ID to interfaces */
  if (cf->instance_id_set)
  {
    WALK_LIST(ac, cf->area_list)
      WALK_LIST(ic, ac->patt_list)
	if (!ic->instance_id_set)
	{ ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }

    WALK_LIST(ic, cf->vlink_list)
      if (!ic->instance_id_set)
      { ic->instance_id = cf->instance_id; ic->instance_id_set = 1; }
  }

  if (ospf_cfg_is_v3())
  {
    uint ipv4 = (this_proto->net_type == NET_IP4);
    uint base = (ipv4 ? 64 : 0) + (cf->af_mc ? 32 : 0);

    /* RFC 5838 - OSPFv3-AF */
    if (cf->af_ext)
    {
      /* RFC 5838 2.1 - instance IDs based on AFs */
      WALK_LIST(ac, cf->area_list)
	WALK_LIST(ic, ac->patt_list)
	{
	  if (!ic->instance_id_set)
	    ic->instance_id = base;
	  else if (ic->instance_id >= 128)
	    cf_warn("Instance ID %d from unassigned/private range", ic->instance_id);
	  else if ((ic->instance_id < base) || (ic->instance_id >= (base + 32)))
	    cf_error("Instance ID %d invalid for given channel type", ic->instance_id);
	}

      /* RFC 5838 2.8 - vlinks limited to IPv6 unicast */
      if ((ipv4 || cf->af_mc) && !EMPTY_LIST(cf->vlink_list))
	cf_error("Vlinks not supported in AFs other than IPv6 unicast");
    }
    else
    {
      if (ipv4 || cf->af_mc)
	cf_error("Different channel type");
    }
  }

  if (EMPTY_LIST(cf->area_list))
    cf_error("No configured areas in OSPF");

  int areano = 0;
  int backbone = 0;
  int nssa = 0;
  WALK_LIST(ac, cf->area_list)
  {
    areano++;
    if (ac->areaid == 0)
      backbone = 1;
    if (ac->type == OPT_N)
      nssa = 1;
  }

  cf->abr = areano > 1;

  /* Route export or NSSA translation (RFC 3101 3.1) */
  cf->asbr = (proto_cf_main_channel(this_proto)->out_filter != FILTER_REJECT) || (nssa && cf->abr);

  if (cf->abr && !backbone)
  {
    struct ospf_area_config *ac = cfg_allocz(sizeof(struct ospf_area_config));
    ac->type = OPT_E; /* Backbone is non-stub */
    add_head(&cf->area_list, NODE ac);
    init_list(&ac->patt_list);
    init_list(&ac->net_list);
    init_list(&ac->enet_list);
    init_list(&ac->stubnet_list);
  }

  if (!cf->abr && !EMPTY_LIST(cf->vlink_list))
    cf_error("Vlinks cannot be used on single area router");

  if (cf->asbr && (areano == 1) && (this_area->type == 0))
    cf_error("ASBR must be in non-stub area");
}

static inline void
ospf_check_defcost(int cost)
{
  if ((cost <= 0) || (cost >= LSINFINITY))
   cf_error("Default cost must be in range 1-%u", LSINFINITY-1);
}

static inline void
ospf_check_auth(void)
{
  if (ospf_cfg_is_v3())
    cf_error("Plaintext authentication not supported in OSPFv3");
}


#line 9 "proto/perf/config.Y"
/* Headers from proto/perf/config.Y */

#include "filter/filter.h"
#include "proto/perf/perf.h"

/* Defines from proto/perf/config.Y */

#define PERF_CFG ((struct perf_config *) this_proto)

#line 9 "proto/pipe/config.Y"
/* Headers from proto/pipe/config.Y */

#include "proto/pipe/pipe.h"

/* Defines from proto/pipe/config.Y */

#define PIPE_CFG ((struct pipe_config *) this_proto)

#line 10 "proto/radv/config.Y"
/* Headers from proto/radv/config.Y */

#include "proto/radv/radv.h"

/* Defines from proto/radv/config.Y */

#define RADV_CFG ((struct radv_config *) this_proto)
#define RADV_IFACE ((struct radv_iface_config *) this_ipatt)
#define RADV_PREFIX this_radv_prefix
#define RADV_RDNSS (&this_radv_rdnss)
#define RADV_DNSSL (&this_radv_dnssl)

static struct radv_prefix_config *this_radv_prefix;
static struct radv_rdnss_config this_radv_rdnss;
static struct radv_dnssl_config this_radv_dnssl;
static list radv_dns_list;	/* Used by radv_rdnss and radv_dnssl */
static u8 radv_mult_val;	/* Used by radv_mult for second return value */

static inline void
radv_add_to_custom_list(list *l, int type, const struct adata *payload)
{
  if (type < 0 || type > 255) cf_error("RA cusom type must be in range 0-255");
  struct radv_custom_config *cf = cfg_allocz(sizeof(struct radv_custom_config));
  add_tail(l, NODE cf);
  cf->type = type;
  cf->payload = payload;
}

#line 12 "proto/rip/config.Y"
/* Headers from proto/rip/config.Y */

#include "proto/rip/rip.h"
#include "nest/iface.h"

/* Defines from proto/rip/config.Y */

#define RIP_CFG ((struct rip_config *) this_proto)
#define RIP_IFACE ((struct rip_iface_config *) this_ipatt)

static inline int rip_cfg_is_v2(void) { return RIP_CFG->rip2; }
static inline int rip_cfg_is_ng(void) { return ! RIP_CFG->rip2; }

static inline void
rip_check_auth(void)
{
  if (rip_cfg_is_ng())
    cf_error("Authentication not supported in RIPng");
}


#line 9 "proto/rpki/config.Y"
/* Headers from proto/rpki/config.Y */

#include "proto/rpki/rpki.h"

/* Defines from proto/rpki/config.Y */

#define RPKI_CFG ((struct rpki_config *) this_proto)
#define RPKI_TR_TCP_CFG ((struct rpki_tr_tcp_config *) RPKI_CFG->tr_config.spec)
#define RPKI_TR_SSH_CFG ((struct rpki_tr_ssh_config *) RPKI_CFG->tr_config.spec)

static void
rpki_check_unused_hostname(void)
{
  if (RPKI_CFG->hostname != NULL)
    cf_error("Only one cache server per protocol allowed");
}

static void
rpki_check_unused_transport(void)
{
  if (RPKI_CFG->tr_config.spec != NULL)
    cf_error("At the most one transport per protocol allowed");
}

#line 9 "proto/static/config.Y"
/* Headers from proto/static/config.Y */

#include "proto/static/static.h"

/* Defines from proto/static/config.Y */

#define STATIC_CFG ((struct static_config *) this_proto)
static struct static_route *this_srt, *this_snh;
static struct f_inst *this_srt_cmds, *this_srt_last_cmd;
static uint this_srt_aspa_max;

static struct static_route *
static_nexthop_new(void)
{
  struct static_route *nh = this_srt;

  if (this_snh)
  {
    /* Additional next hop */
    nh = cfg_allocz(sizeof(struct static_route));
    nh->net = this_srt->net;
    this_snh->mp_next = nh;
  }

  nh->dest = RTD_UNICAST;
  nh->mp_head = this_srt;
  return nh;
};

static void
static_route_finish(void)
{
  if (net_type_match(this_srt->net, NB_DEST) == !this_srt->dest)
    cf_error("Unexpected or missing nexthop/type");

  this_srt->cmds = f_linearize(this_srt_cmds, 0);
}

#line 9 "sysdep/linux/netlink.Y"
/* Headers from sysdep/linux/netlink.Y */

#line 9 "sysdep/unix/config.Y"
/* Headers from sysdep/unix/config.Y */

#include "sysdep/unix/unix.h"
#include <stdio.h>

/* Defines from sysdep/unix/config.Y */

static struct log_config *this_log;
static struct cli_config *this_cli_config;

#line 9 "sysdep/unix/krt.Y"
/* Headers from sysdep/unix/krt.Y */

#include "sysdep/unix/krt.h"

/* Defines from sysdep/unix/krt.Y */

#define THIS_KRT ((struct krt_config *) this_proto)
#define THIS_KIF ((struct kif_config *) this_proto)
#define KIF_IFACE ((struct kif_iface_config *) this_ipatt)

static void
kif_set_preferred(ip_addr ip)
{
  if (ipa_is_ip4(ip))
    KIF_IFACE->pref_v4 = ip;
  else if (!ipa_is_link_local(ip))
    KIF_IFACE->pref_v6 = ip;
  else
    KIF_IFACE->pref_ll = ip;
}

#line 61 "conf/gen_parser.m4"

#line 1044 "obj/conf/cf-parse.tab.c"

# ifndef YY_CAST
#  ifdef __cplusplus
#   define YY_CAST(Type, Val) static_cast<Type> (Val)
#   define YY_REINTERPRET_CAST(Type, Val) reinterpret_cast<Type> (Val)
#  else
#   define YY_CAST(Type, Val) ((Type) (Val))
#   define YY_REINTERPRET_CAST(Type, Val) ((Type) (Val))
#  endif
# endif
# ifndef YY_NULLPTR
#  if defined __cplusplus
#   if 201103L <= __cplusplus
#    define YY_NULLPTR nullptr
#   else
#    define YY_NULLPTR 0
#   endif
#  else
#   define YY_NULLPTR ((void*)0)
#  endif
# endif

#include "cf-parse.tab.h"
/* Symbol kind.  */
enum yysymbol_kind_t
{
  YYSYMBOL_YYEMPTY = -2,
  YYSYMBOL_YYEOF = 0,                      /* "end of file"  */
  YYSYMBOL_YYerror = 1,                    /* error  */
  YYSYMBOL_YYUNDEF = 2,                    /* "invalid token"  */
  YYSYMBOL_QUIT = 3,                       /* QUIT  */
  YYSYMBOL_EXIT = 4,                       /* EXIT  */
  YYSYMBOL_HELP = 5,                       /* HELP  */
  YYSYMBOL_END = 6,                        /* END  */
  YYSYMBOL_CLI_MARKER = 7,                 /* CLI_MARKER  */
  YYSYMBOL_INVALID_TOKEN = 8,              /* INVALID_TOKEN  */
  YYSYMBOL_ELSECOL = 9,                    /* ELSECOL  */
  YYSYMBOL_DDOT = 10,                      /* DDOT  */
  YYSYMBOL_GEQ = 11,                       /* GEQ  */
  YYSYMBOL_LEQ = 12,                       /* LEQ  */
  YYSYMBOL_NEQ = 13,                       /* NEQ  */
  YYSYMBOL_AND = 14,                       /* AND  */
  YYSYMBOL_OR = 15,                        /* OR  */
  YYSYMBOL_IMP = 16,                       /* IMP  */
  YYSYMBOL_PO = 17,                        /* PO  */
  YYSYMBOL_PC = 18,                        /* PC  */
  YYSYMBOL_NUM = 19,                       /* NUM  */
  YYSYMBOL_ENUM_TOKEN = 20,                /* ENUM_TOKEN  */
  YYSYMBOL_IP4 = 21,                       /* IP4  */
  YYSYMBOL_IP6 = 22,                       /* IP6  */
  YYSYMBOL_VPN_RD = 23,                    /* VPN_RD  */
  YYSYMBOL_CF_SYM_KNOWN = 24,              /* CF_SYM_KNOWN  */
  YYSYMBOL_CF_SYM_UNDEFINED = 25,          /* CF_SYM_UNDEFINED  */
  YYSYMBOL_CF_SYM_METHOD_BARE = 26,        /* CF_SYM_METHOD_BARE  */
  YYSYMBOL_CF_SYM_METHOD_ARGS = 27,        /* CF_SYM_METHOD_ARGS  */
  YYSYMBOL_TEXT = 28,                      /* TEXT  */
  YYSYMBOL_BYTETEXT = 29,                  /* BYTETEXT  */
  YYSYMBOL_PREFIX_DUMMY = 30,              /* PREFIX_DUMMY  */
  YYSYMBOL_31_ = 31,                       /* '='  */
  YYSYMBOL_32_ = 32,                       /* '<'  */
  YYSYMBOL_33_ = 33,                       /* '>'  */
  YYSYMBOL_34_ = 34,                       /* '~'  */
  YYSYMBOL_NMA = 35,                       /* NMA  */
  YYSYMBOL_36_ = 36,                       /* '+'  */
  YYSYMBOL_37_ = 37,                       /* '-'  */
  YYSYMBOL_38_ = 38,                       /* '*'  */
  YYSYMBOL_39_ = 39,                       /* '/'  */
  YYSYMBOL_40_ = 40,                       /* '%'  */
  YYSYMBOL_41_ = 41,                       /* '!'  */
  YYSYMBOL_42_ = 42,                       /* '.'  */
  YYSYMBOL_DEFINE = 43,                    /* DEFINE  */
  YYSYMBOL_ON = 44,                        /* ON  */
  YYSYMBOL_OFF = 45,                       /* OFF  */
  YYSYMBOL_YES = 46,                       /* YES  */
  YYSYMBOL_NO = 47,                        /* NO  */
  YYSYMBOL_S = 48,                         /* S  */
  YYSYMBOL_MS = 49,                        /* MS  */
  YYSYMBOL_US = 50,                        /* US  */
  YYSYMBOL_PORT = 51,                      /* PORT  */
  YYSYMBOL_VPN = 52,                       /* VPN  */
  YYSYMBOL_MPLS = 53,                      /* MPLS  */
  YYSYMBOL_FROM = 54,                      /* FROM  */
  YYSYMBOL_MAX = 55,                       /* MAX  */
  YYSYMBOL_AS = 56,                        /* AS  */
  YYSYMBOL_57_ = 57,                       /* ';'  */
  YYSYMBOL_58_ = 58,                       /* '('  */
  YYSYMBOL_59_ = 59,                       /* ')'  */
  YYSYMBOL_FLOW4 = 60,                     /* FLOW4  */
  YYSYMBOL_FLOW6 = 61,                     /* FLOW6  */
  YYSYMBOL_DST = 62,                       /* DST  */
  YYSYMBOL_SRC = 63,                       /* SRC  */
  YYSYMBOL_PROTO = 64,                     /* PROTO  */
  YYSYMBOL_NEXT = 65,                      /* NEXT  */
  YYSYMBOL_HEADER = 66,                    /* HEADER  */
  YYSYMBOL_DPORT = 67,                     /* DPORT  */
  YYSYMBOL_SPORT = 68,                     /* SPORT  */
  YYSYMBOL_ICMP = 69,                      /* ICMP  */
  YYSYMBOL_TYPE = 70,                      /* TYPE  */
  YYSYMBOL_CODE = 71,                      /* CODE  */
  YYSYMBOL_TCP = 72,                       /* TCP  */
  YYSYMBOL_FLAGS = 73,                     /* FLAGS  */
  YYSYMBOL_LENGTH = 74,                    /* LENGTH  */
  YYSYMBOL_DSCP = 75,                      /* DSCP  */
  YYSYMBOL_DONT_FRAGMENT = 76,             /* DONT_FRAGMENT  */
  YYSYMBOL_IS_FRAGMENT = 77,               /* IS_FRAGMENT  */
  YYSYMBOL_FIRST_FRAGMENT = 78,            /* FIRST_FRAGMENT  */
  YYSYMBOL_LAST_FRAGMENT = 79,             /* LAST_FRAGMENT  */
  YYSYMBOL_FRAGMENT = 80,                  /* FRAGMENT  */
  YYSYMBOL_LABEL = 81,                     /* LABEL  */
  YYSYMBOL_OFFSET = 82,                    /* OFFSET  */
  YYSYMBOL_83_ = 83,                       /* ','  */
  YYSYMBOL_84_ = 84,                       /* '{'  */
  YYSYMBOL_85_ = 85,                       /* '}'  */
  YYSYMBOL_IN = 86,                        /* IN  */
  YYSYMBOL_FUNCTION = 87,                  /* FUNCTION  */
  YYSYMBOL_PRINT = 88,                     /* PRINT  */
  YYSYMBOL_PRINTN = 89,                    /* PRINTN  */
  YYSYMBOL_UNSET = 90,                     /* UNSET  */
  YYSYMBOL_RETURN = 91,                    /* RETURN  */
  YYSYMBOL_ACCEPT = 92,                    /* ACCEPT  */
  YYSYMBOL_REJECT = 93,                    /* REJECT  */
  YYSYMBOL_ERROR = 94,                     /* ERROR  */
  YYSYMBOL_INT = 95,                       /* INT  */
  YYSYMBOL_BOOL = 96,                      /* BOOL  */
  YYSYMBOL_IP = 97,                        /* IP  */
  YYSYMBOL_PREFIX = 98,                    /* PREFIX  */
  YYSYMBOL_RD = 99,                        /* RD  */
  YYSYMBOL_PAIR = 100,                     /* PAIR  */
  YYSYMBOL_QUAD = 101,                     /* QUAD  */
  YYSYMBOL_EC = 102,                       /* EC  */
  YYSYMBOL_LC = 103,                       /* LC  */
  YYSYMBOL_ENUM = 104,                     /* ENUM  */
  YYSYMBOL_SET = 105,                      /* SET  */
  YYSYMBOL_STRING = 106,                   /* STRING  */
  YYSYMBOL_BYTESTRING = 107,               /* BYTESTRING  */
  YYSYMBOL_BGPMASK = 108,                  /* BGPMASK  */
  YYSYMBOL_BGPPATH = 109,                  /* BGPPATH  */
  YYSYMBOL_CLIST = 110,                    /* CLIST  */
  YYSYMBOL_ECLIST = 111,                   /* ECLIST  */
  YYSYMBOL_LCLIST = 112,                   /* LCLIST  */
  YYSYMBOL_IF = 113,                       /* IF  */
  YYSYMBOL_THEN = 114,                     /* THEN  */
  YYSYMBOL_ELSE = 115,                     /* ELSE  */
  YYSYMBOL_CASE = 116,                     /* CASE  */
  YYSYMBOL_FOR = 117,                      /* FOR  */
  YYSYMBOL_DO = 118,                       /* DO  */
  YYSYMBOL_TRUE = 119,                     /* TRUE  */
  YYSYMBOL_FALSE = 120,                    /* FALSE  */
  YYSYMBOL_RT = 121,                       /* RT  */
  YYSYMBOL_RO = 122,                       /* RO  */
  YYSYMBOL_UNKNOWN = 123,                  /* UNKNOWN  */
  YYSYMBOL_GENERIC = 124,                  /* GENERIC  */
  YYSYMBOL_GW = 125,                       /* GW  */
  YYSYMBOL_NET = 126,                      /* NET  */
  YYSYMBOL_SOURCE = 127,                   /* SOURCE  */
  YYSYMBOL_SCOPE = 128,                    /* SCOPE  */
  YYSYMBOL_DEST = 129,                     /* DEST  */
  YYSYMBOL_IFNAME = 130,                   /* IFNAME  */
  YYSYMBOL_IFINDEX = 131,                  /* IFINDEX  */
  YYSYMBOL_WEIGHT = 132,                   /* WEIGHT  */
  YYSYMBOL_GW_MPLS = 133,                  /* GW_MPLS  */
  YYSYMBOL_GW_MPLS_STACK = 134,            /* GW_MPLS_STACK  */
  YYSYMBOL_ONLINK = 135,                   /* ONLINK  */
  YYSYMBOL_PREFERENCE = 136,               /* PREFERENCE  */
  YYSYMBOL_ROA_CHECK = 137,                /* ROA_CHECK  */
  YYSYMBOL_ASPA_CHECK = 138,               /* ASPA_CHECK  */
  YYSYMBOL_DEFINED = 139,                  /* DEFINED  */
  YYSYMBOL_ADD = 140,                      /* ADD  */
  YYSYMBOL_DELETE = 141,                   /* DELETE  */
  YYSYMBOL_RESET = 142,                    /* RESET  */
  YYSYMBOL_PREPEND = 143,                  /* PREPEND  */
  YYSYMBOL_EMPTY = 144,                    /* EMPTY  */
  YYSYMBOL_FILTER = 145,                   /* FILTER  */
  YYSYMBOL_WHERE = 146,                    /* WHERE  */
  YYSYMBOL_EVAL = 147,                     /* EVAL  */
  YYSYMBOL_ATTRIBUTE = 148,                /* ATTRIBUTE  */
  YYSYMBOL_FROM_HEX = 149,                 /* FROM_HEX  */
  YYSYMBOL_BT_ASSERT = 150,                /* BT_ASSERT  */
  YYSYMBOL_BT_TEST_SUITE = 151,            /* BT_TEST_SUITE  */
  YYSYMBOL_BT_CHECK_ASSIGN = 152,          /* BT_CHECK_ASSIGN  */
  YYSYMBOL_BT_TEST_SAME = 153,             /* BT_TEST_SAME  */
  YYSYMBOL_FORMAT = 154,                   /* FORMAT  */
  YYSYMBOL_155_ = 155,                     /* ':'  */
  YYSYMBOL_156_ = 156,                     /* '['  */
  YYSYMBOL_157_ = 157,                     /* ']'  */
  YYSYMBOL_158_ = 158,                     /* '?'  */
  YYSYMBOL_ROUTER = 159,                   /* ROUTER  */
  YYSYMBOL_ID = 160,                       /* ID  */
  YYSYMBOL_HOSTNAME = 161,                 /* HOSTNAME  */
  YYSYMBOL_PROTOCOL = 162,                 /* PROTOCOL  */
  YYSYMBOL_TEMPLATE = 163,                 /* TEMPLATE  */
  YYSYMBOL_DISABLED = 164,                 /* DISABLED  */
  YYSYMBOL_DEBUG = 165,                    /* DEBUG  */
  YYSYMBOL_ALL = 166,                      /* ALL  */
  YYSYMBOL_DIRECT = 167,                   /* DIRECT  */
  YYSYMBOL_INTERFACE = 168,                /* INTERFACE  */
  YYSYMBOL_IMPORT = 169,                   /* IMPORT  */
  YYSYMBOL_EXPORT = 170,                   /* EXPORT  */
  YYSYMBOL_NONE = 171,                     /* NONE  */
  YYSYMBOL_VRF = 172,                      /* VRF  */
  YYSYMBOL_DEFAULT = 173,                  /* DEFAULT  */
  YYSYMBOL_TABLE = 174,                    /* TABLE  */
  YYSYMBOL_TABLES = 175,                   /* TABLES  */
  YYSYMBOL_STATES = 176,                   /* STATES  */
  YYSYMBOL_ROUTES = 177,                   /* ROUTES  */
  YYSYMBOL_FILTERS = 178,                  /* FILTERS  */
  YYSYMBOL_IPV4 = 179,                     /* IPV4  */
  YYSYMBOL_IPV6 = 180,                     /* IPV6  */
  YYSYMBOL_VPN4 = 181,                     /* VPN4  */
  YYSYMBOL_VPN6 = 182,                     /* VPN6  */
  YYSYMBOL_ROA4 = 183,                     /* ROA4  */
  YYSYMBOL_ROA6 = 184,                     /* ROA6  */
  YYSYMBOL_SADR = 185,                     /* SADR  */
  YYSYMBOL_ASPA = 186,                     /* ASPA  */
  YYSYMBOL_RECEIVE = 187,                  /* RECEIVE  */
  YYSYMBOL_LIMIT = 188,                    /* LIMIT  */
  YYSYMBOL_ACTION = 189,                   /* ACTION  */
  YYSYMBOL_WARN = 190,                     /* WARN  */
  YYSYMBOL_BLOCK = 191,                    /* BLOCK  */
  YYSYMBOL_RESTART = 192,                  /* RESTART  */
  YYSYMBOL_DISABLE = 193,                  /* DISABLE  */
  YYSYMBOL_KEEP = 194,                     /* KEEP  */
  YYSYMBOL_FILTERED = 195,                 /* FILTERED  */
  YYSYMBOL_RPKI = 196,                     /* RPKI  */
  YYSYMBOL_PASSWORD = 197,                 /* PASSWORD  */
  YYSYMBOL_KEY = 198,                      /* KEY  */
  YYSYMBOL_PASSIVE = 199,                  /* PASSIVE  */
  YYSYMBOL_TO = 200,                       /* TO  */
  YYSYMBOL_EVENTS = 201,                   /* EVENTS  */
  YYSYMBOL_PACKETS = 202,                  /* PACKETS  */
  YYSYMBOL_PROTOCOLS = 203,                /* PROTOCOLS  */
  YYSYMBOL_CHANNELS = 204,                 /* CHANNELS  */
  YYSYMBOL_INTERFACES = 205,               /* INTERFACES  */
  YYSYMBOL_ALGORITHM = 206,                /* ALGORITHM  */
  YYSYMBOL_KEYED = 207,                    /* KEYED  */
  YYSYMBOL_HMAC = 208,                     /* HMAC  */
  YYSYMBOL_MD5 = 209,                      /* MD5  */
  YYSYMBOL_SHA1 = 210,                     /* SHA1  */
  YYSYMBOL_SHA256 = 211,                   /* SHA256  */
  YYSYMBOL_SHA384 = 212,                   /* SHA384  */
  YYSYMBOL_SHA512 = 213,                   /* SHA512  */
  YYSYMBOL_BLAKE2S128 = 214,               /* BLAKE2S128  */
  YYSYMBOL_BLAKE2S256 = 215,               /* BLAKE2S256  */
  YYSYMBOL_BLAKE2B256 = 216,               /* BLAKE2B256  */
  YYSYMBOL_BLAKE2B512 = 217,               /* BLAKE2B512  */
  YYSYMBOL_PRIMARY = 218,                  /* PRIMARY  */
  YYSYMBOL_STATS = 219,                    /* STATS  */
  YYSYMBOL_COUNT = 220,                    /* COUNT  */
  YYSYMBOL_COMMANDS = 221,                 /* COMMANDS  */
  YYSYMBOL_PREEXPORT = 222,                /* PREEXPORT  */
  YYSYMBOL_NOEXPORT = 223,                 /* NOEXPORT  */
  YYSYMBOL_EXPORTED = 224,                 /* EXPORTED  */
  YYSYMBOL_GENERATE = 225,                 /* GENERATE  */
  YYSYMBOL_BGP = 226,                      /* BGP  */
  YYSYMBOL_PASSWORDS = 227,                /* PASSWORDS  */
  YYSYMBOL_DESCRIPTION = 228,              /* DESCRIPTION  */
  YYSYMBOL_RELOAD = 229,                   /* RELOAD  */
  YYSYMBOL_OUT = 230,                      /* OUT  */
  YYSYMBOL_MRTDUMP = 231,                  /* MRTDUMP  */
  YYSYMBOL_MESSAGES = 232,                 /* MESSAGES  */
  YYSYMBOL_RESTRICT = 233,                 /* RESTRICT  */
  YYSYMBOL_MEMORY = 234,                   /* MEMORY  */
  YYSYMBOL_IGP_METRIC = 235,               /* IGP_METRIC  */
  YYSYMBOL_CLASS = 236,                    /* CLASS  */
  YYSYMBOL_TIMEFORMAT = 237,               /* TIMEFORMAT  */
  YYSYMBOL_ISO = 238,                      /* ISO  */
  YYSYMBOL_SHORT = 239,                    /* SHORT  */
  YYSYMBOL_LONG = 240,                     /* LONG  */
  YYSYMBOL_ROUTE = 241,                    /* ROUTE  */
  YYSYMBOL_BASE = 242,                     /* BASE  */
  YYSYMBOL_LOG = 243,                      /* LOG  */
  YYSYMBOL_GRACEFUL = 244,                 /* GRACEFUL  */
  YYSYMBOL_WAIT = 245,                     /* WAIT  */
  YYSYMBOL_CHECK = 246,                    /* CHECK  */
  YYSYMBOL_LINK = 247,                     /* LINK  */
  YYSYMBOL_SORTED = 248,                   /* SORTED  */
  YYSYMBOL_TRIE = 249,                     /* TRIE  */
  YYSYMBOL_MIN = 250,                      /* MIN  */
  YYSYMBOL_SETTLE = 251,                   /* SETTLE  */
  YYSYMBOL_TIME = 252,                     /* TIME  */
  YYSYMBOL_GC = 253,                       /* GC  */
  YYSYMBOL_THRESHOLD = 254,                /* THRESHOLD  */
  YYSYMBOL_PERIOD = 255,                   /* PERIOD  */
  YYSYMBOL_MPLS_LABEL = 256,               /* MPLS_LABEL  */
  YYSYMBOL_MPLS_POLICY = 257,              /* MPLS_POLICY  */
  YYSYMBOL_MPLS_CLASS = 258,               /* MPLS_CLASS  */
  YYSYMBOL_ASPA_PROVIDERS = 259,           /* ASPA_PROVIDERS  */
  YYSYMBOL_IPV4_MC = 260,                  /* IPV4_MC  */
  YYSYMBOL_IPV4_MPLS = 261,                /* IPV4_MPLS  */
  YYSYMBOL_IPV6_MC = 262,                  /* IPV6_MC  */
  YYSYMBOL_IPV6_MPLS = 263,                /* IPV6_MPLS  */
  YYSYMBOL_IPV6_SADR = 264,                /* IPV6_SADR  */
  YYSYMBOL_VPN4_MC = 265,                  /* VPN4_MC  */
  YYSYMBOL_VPN4_MPLS = 266,                /* VPN4_MPLS  */
  YYSYMBOL_VPN6_MC = 267,                  /* VPN6_MC  */
  YYSYMBOL_VPN6_MPLS = 268,                /* VPN6_MPLS  */
  YYSYMBOL_PRI = 269,                      /* PRI  */
  YYSYMBOL_SEC = 270,                      /* SEC  */
  YYSYMBOL_NET_TYPE = 271,                 /* NET_TYPE  */
  YYSYMBOL_RTS = 272,                      /* RTS  */
  YYSYMBOL_RTD = 273,                      /* RTD  */
  YYSYMBOL_ROA = 274,                      /* ROA  */
  YYSYMBOL_AF = 275,                       /* AF  */
  YYSYMBOL_SHOW = 276,                     /* SHOW  */
  YYSYMBOL_STATUS = 277,                   /* STATUS  */
  YYSYMBOL_SUMMARY = 278,                  /* SUMMARY  */
  YYSYMBOL_SYMBOLS = 279,                  /* SYMBOLS  */
  YYSYMBOL_DUMP = 280,                     /* DUMP  */
  YYSYMBOL_RESOURCES = 281,                /* RESOURCES  */
  YYSYMBOL_SOCKETS = 282,                  /* SOCKETS  */
  YYSYMBOL_NEIGHBORS = 283,                /* NEIGHBORS  */
  YYSYMBOL_ATTRIBUTES = 284,               /* ATTRIBUTES  */
  YYSYMBOL_ECHO = 285,                     /* ECHO  */
  YYSYMBOL_ENABLE = 286,                   /* ENABLE  */
  YYSYMBOL_DOMAIN = 287,                   /* DOMAIN  */
  YYSYMBOL_RANGE = 288,                    /* RANGE  */
  YYSYMBOL_STATIC = 289,                   /* STATIC  */
  YYSYMBOL_DYNAMIC = 290,                  /* DYNAMIC  */
  YYSYMBOL_START = 291,                    /* START  */
  YYSYMBOL_POLICY = 292,                   /* POLICY  */
  YYSYMBOL_AGGREGATE = 293,                /* AGGREGATE  */
  YYSYMBOL_RANGES = 294,                   /* RANGES  */
  YYSYMBOL_AGGREGATOR = 295,               /* AGGREGATOR  */
  YYSYMBOL_PEER = 296,                     /* PEER  */
  YYSYMBOL_MERGE = 297,                    /* MERGE  */
  YYSYMBOL_BY = 298,                       /* BY  */
  YYSYMBOL_BABEL = 299,                    /* BABEL  */
  YYSYMBOL_METRIC = 300,                   /* METRIC  */
  YYSYMBOL_RXCOST = 301,                   /* RXCOST  */
  YYSYMBOL_HELLO = 302,                    /* HELLO  */
  YYSYMBOL_UPDATE = 303,                   /* UPDATE  */
  YYSYMBOL_WIRED = 304,                    /* WIRED  */
  YYSYMBOL_WIRELESS = 305,                 /* WIRELESS  */
  YYSYMBOL_BUFFER = 306,                   /* BUFFER  */
  YYSYMBOL_PRIORITY = 307,                 /* PRIORITY  */
  YYSYMBOL_HOP = 308,                      /* HOP  */
  YYSYMBOL_BABEL_METRIC = 309,             /* BABEL_METRIC  */
  YYSYMBOL_ENTRIES = 310,                  /* ENTRIES  */
  YYSYMBOL_RANDOMIZE = 311,                /* RANDOMIZE  */
  YYSYMBOL_MAC = 312,                      /* MAC  */
  YYSYMBOL_PERMISSIVE = 313,               /* PERMISSIVE  */
  YYSYMBOL_EXTENDED = 314,                 /* EXTENDED  */
  YYSYMBOL_TUNNEL = 315,                   /* TUNNEL  */
  YYSYMBOL_RTT = 316,                      /* RTT  */
  YYSYMBOL_DECAY = 317,                    /* DECAY  */
  YYSYMBOL_SEND = 318,                     /* SEND  */
  YYSYMBOL_TIMESTAMPS = 319,               /* TIMESTAMPS  */
  YYSYMBOL_COST = 320,                     /* COST  */
  YYSYMBOL_DELAY = 321,                    /* DELAY  */
  YYSYMBOL_BFD = 322,                      /* BFD  */
  YYSYMBOL_IDLE = 323,                     /* IDLE  */
  YYSYMBOL_RX = 324,                       /* RX  */
  YYSYMBOL_TX = 325,                       /* TX  */
  YYSYMBOL_INTERVAL = 326,                 /* INTERVAL  */
  YYSYMBOL_MULTIPLIER = 327,               /* MULTIPLIER  */
  YYSYMBOL_MULTIHOP = 328,                 /* MULTIHOP  */
  YYSYMBOL_NEIGHBOR = 329,                 /* NEIGHBOR  */
  YYSYMBOL_DEV = 330,                      /* DEV  */
  YYSYMBOL_LOCAL = 331,                    /* LOCAL  */
  YYSYMBOL_AUTHENTICATION = 332,           /* AUTHENTICATION  */
  YYSYMBOL_SIMPLE = 333,                   /* SIMPLE  */
  YYSYMBOL_METICULOUS = 334,               /* METICULOUS  */
  YYSYMBOL_STRICT = 335,                   /* STRICT  */
  YYSYMBOL_BIND = 336,                     /* BIND  */
  YYSYMBOL_ZERO = 337,                     /* ZERO  */
  YYSYMBOL_UDP6 = 338,                     /* UDP6  */
  YYSYMBOL_CHECKSUM = 339,                 /* CHECKSUM  */
  YYSYMBOL_SESSIONS = 340,                 /* SESSIONS  */
  YYSYMBOL_HOLD = 341,                     /* HOLD  */
  YYSYMBOL_CONNECT = 342,                  /* CONNECT  */
  YYSYMBOL_RETRY = 343,                    /* RETRY  */
  YYSYMBOL_KEEPALIVE = 344,                /* KEEPALIVE  */
  YYSYMBOL_STARTUP = 345,                  /* STARTUP  */
  YYSYMBOL_VIA = 346,                      /* VIA  */
  YYSYMBOL_SELF = 347,                     /* SELF  */
  YYSYMBOL_PATH = 348,                     /* PATH  */
  YYSYMBOL_FORGET = 349,                   /* FORGET  */
  YYSYMBOL_AFTER = 350,                    /* AFTER  */
  YYSYMBOL_BGP_PATH = 351,                 /* BGP_PATH  */
  YYSYMBOL_BGP_LOCAL_PREF = 352,           /* BGP_LOCAL_PREF  */
  YYSYMBOL_BGP_MED = 353,                  /* BGP_MED  */
  YYSYMBOL_BGP_ORIGIN = 354,               /* BGP_ORIGIN  */
  YYSYMBOL_BGP_NEXT_HOP = 355,             /* BGP_NEXT_HOP  */
  YYSYMBOL_BGP_ATOMIC_AGGR = 356,          /* BGP_ATOMIC_AGGR  */
  YYSYMBOL_BGP_AGGREGATOR = 357,           /* BGP_AGGREGATOR  */
  YYSYMBOL_BGP_COMMUNITY = 358,            /* BGP_COMMUNITY  */
  YYSYMBOL_BGP_EXT_COMMUNITY = 359,        /* BGP_EXT_COMMUNITY  */
  YYSYMBOL_BGP_LARGE_COMMUNITY = 360,      /* BGP_LARGE_COMMUNITY  */
  YYSYMBOL_ADDRESS = 361,                  /* ADDRESS  */
  YYSYMBOL_RR = 362,                       /* RR  */
  YYSYMBOL_RS = 363,                       /* RS  */
  YYSYMBOL_CLIENT = 364,                   /* CLIENT  */
  YYSYMBOL_CLUSTER = 365,                  /* CLUSTER  */
  YYSYMBOL_AS4 = 366,                      /* AS4  */
  YYSYMBOL_ADVERTISE = 367,                /* ADVERTISE  */
  YYSYMBOL_CAPABILITIES = 368,             /* CAPABILITIES  */
  YYSYMBOL_PREFER = 369,                   /* PREFER  */
  YYSYMBOL_OLDER = 370,                    /* OLDER  */
  YYSYMBOL_MISSING = 371,                  /* MISSING  */
  YYSYMBOL_LLADDR = 372,                   /* LLADDR  */
  YYSYMBOL_DROP = 373,                     /* DROP  */
  YYSYMBOL_IGNORE = 374,                   /* IGNORE  */
  YYSYMBOL_ENHANCED = 375,                 /* ENHANCED  */
  YYSYMBOL_REFRESH = 376,                  /* REFRESH  */
  YYSYMBOL_INTERPRET = 377,                /* INTERPRET  */
  YYSYMBOL_COMMUNITIES = 378,              /* COMMUNITIES  */
  YYSYMBOL_BGP_ORIGINATOR_ID = 379,        /* BGP_ORIGINATOR_ID  */
  YYSYMBOL_BGP_CLUSTER_LIST = 380,         /* BGP_CLUSTER_LIST  */
  YYSYMBOL_IGP = 381,                      /* IGP  */
  YYSYMBOL_GATEWAY = 382,                  /* GATEWAY  */
  YYSYMBOL_RECURSIVE = 383,                /* RECURSIVE  */
  YYSYMBOL_MED = 384,                      /* MED  */
  YYSYMBOL_TTL = 385,                      /* TTL  */
  YYSYMBOL_SECURITY = 386,                 /* SECURITY  */
  YYSYMBOL_DETERMINISTIC = 387,            /* DETERMINISTIC  */
  YYSYMBOL_SECONDARY = 388,                /* SECONDARY  */
  YYSYMBOL_ALLOW = 389,                    /* ALLOW  */
  YYSYMBOL_PATHS = 390,                    /* PATHS  */
  YYSYMBOL_AWARE = 391,                    /* AWARE  */
  YYSYMBOL_SETKEY = 392,                   /* SETKEY  */
  YYSYMBOL_CONFEDERATION = 393,            /* CONFEDERATION  */
  YYSYMBOL_MEMBER = 394,                   /* MEMBER  */
  YYSYMBOL_MULTICAST = 395,                /* MULTICAST  */
  YYSYMBOL_LIVED = 396,                    /* LIVED  */
  YYSYMBOL_STALE = 397,                    /* STALE  */
  YYSYMBOL_IBGP = 398,                     /* IBGP  */
  YYSYMBOL_EBGP = 399,                     /* EBGP  */
  YYSYMBOL_MANDATORY = 400,                /* MANDATORY  */
  YYSYMBOL_INTERNAL = 401,                 /* INTERNAL  */
  YYSYMBOL_EXTERNAL = 402,                 /* EXTERNAL  */
  YYSYMBOL_SETS = 403,                     /* SETS  */
  YYSYMBOL_NAME = 404,                     /* NAME  */
  YYSYMBOL_DIGITS = 405,                   /* DIGITS  */
  YYSYMBOL_BGP_AIGP = 406,                 /* BGP_AIGP  */
  YYSYMBOL_AIGP = 407,                     /* AIGP  */
  YYSYMBOL_ORIGINATE = 408,                /* ORIGINATE  */
  YYSYMBOL_ENFORCE = 409,                  /* ENFORCE  */
  YYSYMBOL_FIRST = 410,                    /* FIRST  */
  YYSYMBOL_FREE = 411,                     /* FREE  */
  YYSYMBOL_VALIDATE = 412,                 /* VALIDATE  */
  YYSYMBOL_ROLE = 413,                     /* ROLE  */
  YYSYMBOL_ROLES = 414,                    /* ROLES  */
  YYSYMBOL_PROVIDER = 415,                 /* PROVIDER  */
  YYSYMBOL_CUSTOMER = 416,                 /* CUSTOMER  */
  YYSYMBOL_RS_SERVER = 417,                /* RS_SERVER  */
  YYSYMBOL_RS_CLIENT = 418,                /* RS_CLIENT  */
  YYSYMBOL_REQUIRE = 419,                  /* REQUIRE  */
  YYSYMBOL_BGP_OTC = 420,                  /* BGP_OTC  */
  YYSYMBOL_GLOBAL = 421,                   /* GLOBAL  */
  YYSYMBOL_CEASE = 422,                    /* CEASE  */
  YYSYMBOL_HIT = 423,                      /* HIT  */
  YYSYMBOL_ADMINISTRATIVE = 424,           /* ADMINISTRATIVE  */
  YYSYMBOL_SHUTDOWN = 425,                 /* SHUTDOWN  */
  YYSYMBOL_CONFIGURATION = 426,            /* CONFIGURATION  */
  YYSYMBOL_CHANGE = 427,                   /* CHANGE  */
  YYSYMBOL_DECONFIGURED = 428,             /* DECONFIGURED  */
  YYSYMBOL_CONNECTION = 429,               /* CONNECTION  */
  YYSYMBOL_REJECTED = 430,                 /* REJECTED  */
  YYSYMBOL_COLLISION = 431,                /* COLLISION  */
  YYSYMBOL_OF = 432,                       /* OF  */
  YYSYMBOL_ASPA_CHECK_UPSTREAM = 433,      /* ASPA_CHECK_UPSTREAM  */
  YYSYMBOL_ASPA_CHECK_DOWNSTREAM = 434,    /* ASPA_CHECK_DOWNSTREAM  */
  YYSYMBOL_L3VPN = 435,                    /* L3VPN  */
  YYSYMBOL_TARGET = 436,                   /* TARGET  */
  YYSYMBOL_DISTINGUISHER = 437,            /* DISTINGUISHER  */
  YYSYMBOL_MRT = 438,                      /* MRT  */
  YYSYMBOL_FILENAME = 439,                 /* FILENAME  */
  YYSYMBOL_ALWAYS = 440,                   /* ALWAYS  */
  YYSYMBOL_V2 = 441,                       /* V2  */
  YYSYMBOL_V3 = 442,                       /* V3  */
  YYSYMBOL_OSPF = 443,                     /* OSPF  */
  YYSYMBOL_OSPF_METRIC1 = 444,             /* OSPF_METRIC1  */
  YYSYMBOL_OSPF_METRIC2 = 445,             /* OSPF_METRIC2  */
  YYSYMBOL_OSPF_TAG = 446,                 /* OSPF_TAG  */
  YYSYMBOL_OSPF_ROUTER_ID = 447,           /* OSPF_ROUTER_ID  */
  YYSYMBOL_AREA = 448,                     /* AREA  */
  YYSYMBOL_RFC1583COMPAT = 449,            /* RFC1583COMPAT  */
  YYSYMBOL_STUB = 450,                     /* STUB  */
  YYSYMBOL_TICK = 451,                     /* TICK  */
  YYSYMBOL_COST2 = 452,                    /* COST2  */
  YYSYMBOL_RETRANSMIT = 453,               /* RETRANSMIT  */
  YYSYMBOL_TRANSMIT = 454,                 /* TRANSMIT  */
  YYSYMBOL_DEAD = 455,                     /* DEAD  */
  YYSYMBOL_BROADCAST = 456,                /* BROADCAST  */
  YYSYMBOL_BCAST = 457,                    /* BCAST  */
  YYSYMBOL_NONBROADCAST = 458,             /* NONBROADCAST  */
  YYSYMBOL_NBMA = 459,                     /* NBMA  */
  YYSYMBOL_POINTOPOINT = 460,              /* POINTOPOINT  */
  YYSYMBOL_PTP = 461,                      /* PTP  */
  YYSYMBOL_POINTOMULTIPOINT = 462,         /* POINTOMULTIPOINT  */
  YYSYMBOL_PTMP = 463,                     /* PTMP  */
  YYSYMBOL_CRYPTOGRAPHIC = 464,            /* CRYPTOGRAPHIC  */
  YYSYMBOL_ELIGIBLE = 465,                 /* ELIGIBLE  */
  YYSYMBOL_POLL = 466,                     /* POLL  */
  YYSYMBOL_NETWORKS = 467,                 /* NETWORKS  */
  YYSYMBOL_HIDDEN = 468,                   /* HIDDEN  */
  YYSYMBOL_VIRTUAL = 469,                  /* VIRTUAL  */
  YYSYMBOL_ONLY = 470,                     /* ONLY  */
  YYSYMBOL_LARGE = 471,                    /* LARGE  */
  YYSYMBOL_NORMAL = 472,                   /* NORMAL  */
  YYSYMBOL_STUBNET = 473,                  /* STUBNET  */
  YYSYMBOL_TAG = 474,                      /* TAG  */
  YYSYMBOL_LSADB = 475,                    /* LSADB  */
  YYSYMBOL_ECMP = 476,                     /* ECMP  */
  YYSYMBOL_NSSA = 477,                     /* NSSA  */
  YYSYMBOL_TRANSLATOR = 478,               /* TRANSLATOR  */
  YYSYMBOL_STABILITY = 479,                /* STABILITY  */
  YYSYMBOL_LSID = 480,                     /* LSID  */
  YYSYMBOL_INSTANCE = 481,                 /* INSTANCE  */
  YYSYMBOL_REAL = 482,                     /* REAL  */
  YYSYMBOL_NETMASK = 483,                  /* NETMASK  */
  YYSYMBOL_LSA = 484,                      /* LSA  */
  YYSYMBOL_SUPPRESSION = 485,              /* SUPPRESSION  */
  YYSYMBOL_RFC5838 = 486,                  /* RFC5838  */
  YYSYMBOL_PE = 487,                       /* PE  */
  YYSYMBOL_TOPOLOGY = 488,                 /* TOPOLOGY  */
  YYSYMBOL_STATE = 489,                    /* STATE  */
  YYSYMBOL_PERF = 490,                     /* PERF  */
  YYSYMBOL_EXP = 491,                      /* EXP  */
  YYSYMBOL_REPEAT = 492,                   /* REPEAT  */
  YYSYMBOL_MODE = 493,                     /* MODE  */
  YYSYMBOL_PIPE = 494,                     /* PIPE  */
  YYSYMBOL_RADV = 495,                     /* RADV  */
  YYSYMBOL_RA = 496,                       /* RA  */
  YYSYMBOL_SOLICITED = 497,                /* SOLICITED  */
  YYSYMBOL_UNICAST = 498,                  /* UNICAST  */
  YYSYMBOL_MANAGED = 499,                  /* MANAGED  */
  YYSYMBOL_OTHER = 500,                    /* OTHER  */
  YYSYMBOL_CONFIG = 501,                   /* CONFIG  */
  YYSYMBOL_LINGER = 502,                   /* LINGER  */
  YYSYMBOL_MTU = 503,                      /* MTU  */
  YYSYMBOL_REACHABLE = 504,                /* REACHABLE  */
  YYSYMBOL_RETRANS = 505,                  /* RETRANS  */
  YYSYMBOL_TIMER = 506,                    /* TIMER  */
  YYSYMBOL_CURRENT = 507,                  /* CURRENT  */
  YYSYMBOL_VALID = 508,                    /* VALID  */
  YYSYMBOL_PREFERRED = 509,                /* PREFERRED  */
  YYSYMBOL_MULT = 510,                     /* MULT  */
  YYSYMBOL_LIFETIME = 511,                 /* LIFETIME  */
  YYSYMBOL_SKIP = 512,                     /* SKIP  */
  YYSYMBOL_AUTONOMOUS = 513,               /* AUTONOMOUS  */
  YYSYMBOL_RDNSS = 514,                    /* RDNSS  */
  YYSYMBOL_DNSSL = 515,                    /* DNSSL  */
  YYSYMBOL_NS = 516,                       /* NS  */
  YYSYMBOL_TRIGGER = 517,                  /* TRIGGER  */
  YYSYMBOL_SENSITIVE = 518,                /* SENSITIVE  */
  YYSYMBOL_LOW = 519,                      /* LOW  */
  YYSYMBOL_MEDIUM = 520,                   /* MEDIUM  */
  YYSYMBOL_HIGH = 521,                     /* HIGH  */
  YYSYMBOL_PROPAGATE = 522,                /* PROPAGATE  */
  YYSYMBOL_RA_PREFERENCE = 523,            /* RA_PREFERENCE  */
  YYSYMBOL_RA_LIFETIME = 524,              /* RA_LIFETIME  */
  YYSYMBOL_CUSTOM = 525,                   /* CUSTOM  */
  YYSYMBOL_OPTION = 526,                   /* OPTION  */
  YYSYMBOL_VALUE = 527,                    /* VALUE  */
  YYSYMBOL_NG = 528,                       /* NG  */
  YYSYMBOL_RIP = 529,                      /* RIP  */
  YYSYMBOL_INFINITY = 530,                 /* INFINITY  */
  YYSYMBOL_TIMEOUT = 531,                  /* TIMEOUT  */
  YYSYMBOL_GARBAGE = 532,                  /* GARBAGE  */
  YYSYMBOL_VERSION = 533,                  /* VERSION  */
  YYSYMBOL_SPLIT = 534,                    /* SPLIT  */
  YYSYMBOL_HORIZON = 535,                  /* HORIZON  */
  YYSYMBOL_POISON = 536,                   /* POISON  */
  YYSYMBOL_REVERSE = 537,                  /* REVERSE  */
  YYSYMBOL_PLAINTEXT = 538,                /* PLAINTEXT  */
  YYSYMBOL_DEMAND = 539,                   /* DEMAND  */
  YYSYMBOL_CIRCUIT = 540,                  /* CIRCUIT  */
  YYSYMBOL_RIP_METRIC = 541,               /* RIP_METRIC  */
  YYSYMBOL_RIP_TAG = 542,                  /* RIP_TAG  */
  YYSYMBOL_REMOTE = 543,                   /* REMOTE  */
  YYSYMBOL_BIRD = 544,                     /* BIRD  */
  YYSYMBOL_PRIVATE = 545,                  /* PRIVATE  */
  YYSYMBOL_PUBLIC = 546,                   /* PUBLIC  */
  YYSYMBOL_SSH = 547,                      /* SSH  */
  YYSYMBOL_TRANSPORT = 548,                /* TRANSPORT  */
  YYSYMBOL_USER = 549,                     /* USER  */
  YYSYMBOL_EXPIRE = 550,                   /* EXPIRE  */
  YYSYMBOL_PROHIBIT = 551,                 /* PROHIBIT  */
  YYSYMBOL_BLACKHOLE = 552,                /* BLACKHOLE  */
  YYSYMBOL_UNREACHABLE = 553,              /* UNREACHABLE  */
  YYSYMBOL_TRANSIT = 554,                  /* TRANSIT  */
  YYSYMBOL_PROVIDERS = 555,                /* PROVIDERS  */
  YYSYMBOL_KERNEL = 556,                   /* KERNEL  */
  YYSYMBOL_NETLINK = 557,                  /* NETLINK  */
  YYSYMBOL_KRT_PREFSRC = 558,              /* KRT_PREFSRC  */
  YYSYMBOL_KRT_REALM = 559,                /* KRT_REALM  */
  YYSYMBOL_KRT_SCOPE = 560,                /* KRT_SCOPE  */
  YYSYMBOL_KRT_MTU = 561,                  /* KRT_MTU  */
  YYSYMBOL_KRT_WINDOW = 562,               /* KRT_WINDOW  */
  YYSYMBOL_KRT_RTT = 563,                  /* KRT_RTT  */
  YYSYMBOL_KRT_RTTVAR = 564,               /* KRT_RTTVAR  */
  YYSYMBOL_KRT_SSTHRESH = 565,             /* KRT_SSTHRESH  */
  YYSYMBOL_KRT_CWND = 566,                 /* KRT_CWND  */
  YYSYMBOL_KRT_ADVMSS = 567,               /* KRT_ADVMSS  */
  YYSYMBOL_KRT_REORDERING = 568,           /* KRT_REORDERING  */
  YYSYMBOL_KRT_HOPLIMIT = 569,             /* KRT_HOPLIMIT  */
  YYSYMBOL_KRT_INITCWND = 570,             /* KRT_INITCWND  */
  YYSYMBOL_KRT_RTO_MIN = 571,              /* KRT_RTO_MIN  */
  YYSYMBOL_KRT_INITRWND = 572,             /* KRT_INITRWND  */
  YYSYMBOL_KRT_QUICKACK = 573,             /* KRT_QUICKACK  */
  YYSYMBOL_KRT_CONGCTL = 574,              /* KRT_CONGCTL  */
  YYSYMBOL_KRT_FASTOPEN_NO_COOKIE = 575,   /* KRT_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_LOCK_MTU = 576,             /* KRT_LOCK_MTU  */
  YYSYMBOL_KRT_LOCK_WINDOW = 577,          /* KRT_LOCK_WINDOW  */
  YYSYMBOL_KRT_LOCK_RTT = 578,             /* KRT_LOCK_RTT  */
  YYSYMBOL_KRT_LOCK_RTTVAR = 579,          /* KRT_LOCK_RTTVAR  */
  YYSYMBOL_KRT_LOCK_SSTHRESH = 580,        /* KRT_LOCK_SSTHRESH  */
  YYSYMBOL_KRT_LOCK_CWND = 581,            /* KRT_LOCK_CWND  */
  YYSYMBOL_KRT_LOCK_ADVMSS = 582,          /* KRT_LOCK_ADVMSS  */
  YYSYMBOL_KRT_LOCK_REORDERING = 583,      /* KRT_LOCK_REORDERING  */
  YYSYMBOL_KRT_LOCK_HOPLIMIT = 584,        /* KRT_LOCK_HOPLIMIT  */
  YYSYMBOL_KRT_LOCK_INITCWND = 585,        /* KRT_LOCK_INITCWND  */
  YYSYMBOL_KRT_LOCK_RTO_MIN = 586,         /* KRT_LOCK_RTO_MIN  */
  YYSYMBOL_KRT_LOCK_INITRWND = 587,        /* KRT_LOCK_INITRWND  */
  YYSYMBOL_KRT_LOCK_QUICKACK = 588,        /* KRT_LOCK_QUICKACK  */
  YYSYMBOL_KRT_LOCK_CONGCTL = 589,         /* KRT_LOCK_CONGCTL  */
  YYSYMBOL_KRT_LOCK_FASTOPEN_NO_COOKIE = 590, /* KRT_LOCK_FASTOPEN_NO_COOKIE  */
  YYSYMBOL_KRT_FEATURE_ECN = 591,          /* KRT_FEATURE_ECN  */
  YYSYMBOL_KRT_FEATURE_ALLFRAG = 592,      /* KRT_FEATURE_ALLFRAG  */
  YYSYMBOL_KRT_SSTRESH = 593,              /* KRT_SSTRESH  */
  YYSYMBOL_KRT_LOCK_SSTRESH = 594,         /* KRT_LOCK_SSTRESH  */
  YYSYMBOL_SYSLOG = 595,                   /* SYSLOG  */
  YYSYMBOL_STDERR = 596,                   /* STDERR  */
  YYSYMBOL_UDP = 597,                      /* UDP  */
  YYSYMBOL_CLI = 598,                      /* CLI  */
  YYSYMBOL_TRACE = 599,                    /* TRACE  */
  YYSYMBOL_INFO = 600,                     /* INFO  */
  YYSYMBOL_WARNING = 601,                  /* WARNING  */
  YYSYMBOL_AUTH = 602,                     /* AUTH  */
  YYSYMBOL_FATAL = 603,                    /* FATAL  */
  YYSYMBOL_BUG = 604,                      /* BUG  */
  YYSYMBOL_LATENCY = 605,                  /* LATENCY  */
  YYSYMBOL_WATCHDOG = 606,                 /* WATCHDOG  */
  YYSYMBOL_THREADS = 607,                  /* THREADS  */
  YYSYMBOL_CONFIGURE = 608,                /* CONFIGURE  */
  YYSYMBOL_SOFT = 609,                     /* SOFT  */
  YYSYMBOL_CONFIRM = 610,                  /* CONFIRM  */
  YYSYMBOL_UNDO = 611,                     /* UNDO  */
  YYSYMBOL_DOWN = 612,                     /* DOWN  */
  YYSYMBOL_PERSIST = 613,                  /* PERSIST  */
  YYSYMBOL_SCAN = 614,                     /* SCAN  */
  YYSYMBOL_LEARN = 615,                    /* LEARN  */
  YYSYMBOL_DEVICE = 616,                   /* DEVICE  */
  YYSYMBOL_KRT_SOURCE = 617,               /* KRT_SOURCE  */
  YYSYMBOL_KRT_METRIC = 618,               /* KRT_METRIC  */
  YYSYMBOL_YYACCEPT = 619,                 /* $accept  */
  YYSYMBOL_cli_cmd = 620,                  /* cli_cmd  */
  YYSYMBOL_cmd_QUIT = 621,                 /* cmd_QUIT  */
  YYSYMBOL_cmd_EXIT = 622,                 /* cmd_EXIT  */
  YYSYMBOL_cmd_HELP = 623,                 /* cmd_HELP  */
  YYSYMBOL_config = 624,                   /* config  */
  YYSYMBOL_conf_entries = 625,             /* conf_entries  */
  YYSYMBOL_conf = 626,                     /* conf  */
  YYSYMBOL_definition = 627,               /* definition  */
  YYSYMBOL_expr = 628,                     /* expr  */
  YYSYMBOL_expr_us = 629,                  /* expr_us  */
  YYSYMBOL_symbol = 630,                   /* symbol  */
  YYSYMBOL_symbol_known = 631,             /* symbol_known  */
  YYSYMBOL_bool = 632,                     /* bool  */
  YYSYMBOL_ipa = 633,                      /* ipa  */
  YYSYMBOL_ipa_scope = 634,                /* ipa_scope  */
  YYSYMBOL_pxlen4 = 635,                   /* pxlen4  */
  YYSYMBOL_net_ip4_ = 636,                 /* net_ip4_  */
  YYSYMBOL_net_ip6_ = 637,                 /* net_ip6_  */
  YYSYMBOL_net_ip6_sadr_ = 638,            /* net_ip6_sadr_  */
  YYSYMBOL_net_vpn4_ = 639,                /* net_vpn4_  */
  YYSYMBOL_net_vpn6_ = 640,                /* net_vpn6_  */
  YYSYMBOL_net_roa4_ = 641,                /* net_roa4_  */
  YYSYMBOL_net_roa6_ = 642,                /* net_roa6_  */
  YYSYMBOL_net_mpls_ = 643,                /* net_mpls_  */
  YYSYMBOL_net_aspa_ = 644,                /* net_aspa_  */
  YYSYMBOL_net_ip_ = 645,                  /* net_ip_  */
  YYSYMBOL_net_vpn_ = 646,                 /* net_vpn_  */
  YYSYMBOL_net_roa_ = 647,                 /* net_roa_  */
  YYSYMBOL_net_ = 648,                     /* net_  */
  YYSYMBOL_net_ip4 = 649,                  /* net_ip4  */
  YYSYMBOL_net_ip6 = 650,                  /* net_ip6  */
  YYSYMBOL_net_ip = 651,                   /* net_ip  */
  YYSYMBOL_net_any = 652,                  /* net_any  */
  YYSYMBOL_net_or_ipa = 653,               /* net_or_ipa  */
  YYSYMBOL_label_stack_start = 654,        /* label_stack_start  */
  YYSYMBOL_label_stack = 655,              /* label_stack  */
  YYSYMBOL_time = 656,                     /* time  */
  YYSYMBOL_text = 657,                     /* text  */
  YYSYMBOL_opttext = 658,                  /* opttext  */
  YYSYMBOL_text_or_ipa = 659,              /* text_or_ipa  */
  YYSYMBOL_bytestring = 660,               /* bytestring  */
  YYSYMBOL_bytestring_text = 661,          /* bytestring_text  */
  YYSYMBOL_bytestring_expr = 662,          /* bytestring_expr  */
  YYSYMBOL_flow_num_op = 663,              /* flow_num_op  */
  YYSYMBOL_flow_logic_op = 664,            /* flow_logic_op  */
  YYSYMBOL_flow_num_type_ = 665,           /* flow_num_type_  */
  YYSYMBOL_flow_num_type = 666,            /* flow_num_type  */
  YYSYMBOL_flow_flag_type = 667,           /* flow_flag_type  */
  YYSYMBOL_flow_frag_type = 668,           /* flow_frag_type  */
  YYSYMBOL_flow_srcdst = 669,              /* flow_srcdst  */
  YYSYMBOL_flow_num_opts = 670,            /* flow_num_opts  */
  YYSYMBOL_flow_num_opt_ext_expr = 671,    /* flow_num_opt_ext_expr  */
  YYSYMBOL_flow_num_opt_ext = 672,         /* flow_num_opt_ext  */
  YYSYMBOL_flow_bmk_opts = 673,            /* flow_bmk_opts  */
  YYSYMBOL_flow_neg = 674,                 /* flow_neg  */
  YYSYMBOL_flow_frag_val = 675,            /* flow_frag_val  */
  YYSYMBOL_flow_frag_opts = 676,           /* flow_frag_opts  */
  YYSYMBOL_flow4_item = 677,               /* flow4_item  */
  YYSYMBOL_flow6_item = 678,               /* flow6_item  */
  YYSYMBOL_flow4_opts = 679,               /* flow4_opts  */
  YYSYMBOL_flow6_opts = 680,               /* flow6_opts  */
  YYSYMBOL_flow_builder_init = 681,        /* flow_builder_init  */
  YYSYMBOL_flow_builder_set_ipv4 = 682,    /* flow_builder_set_ipv4  */
  YYSYMBOL_flow_builder_set_ipv6 = 683,    /* flow_builder_set_ipv6  */
  YYSYMBOL_net_flow4_ = 684,               /* net_flow4_  */
  YYSYMBOL_net_flow6_ = 685,               /* net_flow6_  */
  YYSYMBOL_net_flow_ = 686,                /* net_flow_  */
  YYSYMBOL_KEYWORD = 687,                  /* KEYWORD  */
  YYSYMBOL_enum_type = 688,                /* enum_type  */
  YYSYMBOL_filter_def = 689,               /* filter_def  */
  YYSYMBOL_690_1 = 690,                    /* $@1  */
  YYSYMBOL_filter_eval = 691,              /* filter_eval  */
  YYSYMBOL_custom_attr = 692,              /* custom_attr  */
  YYSYMBOL_bt_test_suite = 693,            /* bt_test_suite  */
  YYSYMBOL_bt_test_same = 694,             /* bt_test_same  */
  YYSYMBOL_type = 695,                     /* type  */
  YYSYMBOL_function_argsn = 696,           /* function_argsn  */
  YYSYMBOL_function_args = 697,            /* function_args  */
  YYSYMBOL_function_vars = 698,            /* function_vars  */
  YYSYMBOL_function_type = 699,            /* function_type  */
  YYSYMBOL_filter_body = 700,              /* filter_body  */
  YYSYMBOL_filter = 701,                   /* filter  */
  YYSYMBOL_702_2 = 702,                    /* $@2  */
  YYSYMBOL_where_filter = 703,             /* where_filter  */
  YYSYMBOL_function_body = 704,            /* function_body  */
  YYSYMBOL_function_def = 705,             /* function_def  */
  YYSYMBOL_706_3 = 706,                    /* $@3  */
  YYSYMBOL_707_4 = 707,                    /* $@4  */
  YYSYMBOL_cmds = 708,                     /* cmds  */
  YYSYMBOL_cmds_scoped = 709,              /* cmds_scoped  */
  YYSYMBOL_710_5 = 710,                    /* $@5  */
  YYSYMBOL_cmd_var = 711,                  /* cmd_var  */
  YYSYMBOL_cmd_prep = 712,                 /* cmd_prep  */
  YYSYMBOL_cmds_int = 713,                 /* cmds_int  */
  YYSYMBOL_fipa = 714,                     /* fipa  */
  YYSYMBOL_set_atom0 = 715,                /* set_atom0  */
  YYSYMBOL_set_atom = 716,                 /* set_atom  */
  YYSYMBOL_switch_atom = 717,              /* switch_atom  */
  YYSYMBOL_cnum = 718,                     /* cnum  */
  YYSYMBOL_pair_item = 719,                /* pair_item  */
  YYSYMBOL_ec_kind = 720,                  /* ec_kind  */
  YYSYMBOL_ec_item = 721,                  /* ec_item  */
  YYSYMBOL_lc_item = 722,                  /* lc_item  */
  YYSYMBOL_set_item = 723,                 /* set_item  */
  YYSYMBOL_switch_item = 724,              /* switch_item  */
  YYSYMBOL_ec_items = 725,                 /* ec_items  */
  YYSYMBOL_set_items = 726,                /* set_items  */
  YYSYMBOL_switch_items = 727,             /* switch_items  */
  YYSYMBOL_fprefix = 728,                  /* fprefix  */
  YYSYMBOL_fprefix_set = 729,              /* fprefix_set  */
  YYSYMBOL_switch_body = 730,              /* switch_body  */
  YYSYMBOL_bgp_path_expr = 731,            /* bgp_path_expr  */
  YYSYMBOL_bgp_path = 732,                 /* bgp_path  */
  YYSYMBOL_bgp_path_tail = 733,            /* bgp_path_tail  */
  YYSYMBOL_constant = 734,                 /* constant  */
  YYSYMBOL_constructor = 735,              /* constructor  */
  YYSYMBOL_var_list_r = 736,               /* var_list_r  */
  YYSYMBOL_var_list = 737,                 /* var_list  */
  YYSYMBOL_function_call = 738,            /* function_call  */
  YYSYMBOL_symbol_value = 739,             /* symbol_value  */
  YYSYMBOL_static_attr = 740,              /* static_attr  */
  YYSYMBOL_term_dot_method = 741,          /* term_dot_method  */
  YYSYMBOL_742_6 = 742,                    /* $@6  */
  YYSYMBOL_method_name_cont = 743,         /* method_name_cont  */
  YYSYMBOL_744_7 = 744,                    /* $@7  */
  YYSYMBOL_term = 745,                     /* term  */
  YYSYMBOL_term_bs = 746,                  /* term_bs  */
  YYSYMBOL_break_command = 747,            /* break_command  */
  YYSYMBOL_var = 748,                      /* var  */
  YYSYMBOL_for_var = 749,                  /* for_var  */
  YYSYMBOL_cmd = 750,                      /* cmd  */
  YYSYMBOL_751_8 = 751,                    /* $@8  */
  YYSYMBOL_752_9 = 752,                    /* $@9  */
  YYSYMBOL_753_10 = 753,                   /* $@10  */
  YYSYMBOL_754_11 = 754,                   /* $@11  */
  YYSYMBOL_get_cf_position = 755,          /* get_cf_position  */
  YYSYMBOL_lvalue = 756,                   /* lvalue  */
  YYSYMBOL_rtrid = 757,                    /* rtrid  */
  YYSYMBOL_idval = 758,                    /* idval  */
  YYSYMBOL_hostname_override = 759,        /* hostname_override  */
  YYSYMBOL_gr_opts = 760,                  /* gr_opts  */
  YYSYMBOL_net_type_base = 761,            /* net_type_base  */
  YYSYMBOL_net_type = 762,                 /* net_type  */
  YYSYMBOL_table = 763,                    /* table  */
  YYSYMBOL_table_start = 764,              /* table_start  */
  YYSYMBOL_table_sorted = 765,             /* table_sorted  */
  YYSYMBOL_table_opt = 766,                /* table_opt  */
  YYSYMBOL_table_opts = 767,               /* table_opts  */
  YYSYMBOL_table_opt_list = 768,           /* table_opt_list  */
  YYSYMBOL_proto_start = 769,              /* proto_start  */
  YYSYMBOL_proto_name = 770,               /* proto_name  */
  YYSYMBOL_proto_item = 771,               /* proto_item  */
  YYSYMBOL_channel_start = 772,            /* channel_start  */
  YYSYMBOL_channel_item_ = 773,            /* channel_item_  */
  YYSYMBOL_channel_item = 774,             /* channel_item  */
  YYSYMBOL_channel_opts = 775,             /* channel_opts  */
  YYSYMBOL_channel_opt_list = 776,         /* channel_opt_list  */
  YYSYMBOL_channel_end = 777,              /* channel_end  */
  YYSYMBOL_proto_channel = 778,            /* proto_channel  */
  YYSYMBOL_rtable = 779,                   /* rtable  */
  YYSYMBOL_imexport = 780,                 /* imexport  */
  YYSYMBOL_limit_action = 781,             /* limit_action  */
  YYSYMBOL_limit_spec = 782,               /* limit_spec  */
  YYSYMBOL_debug_default = 783,            /* debug_default  */
  YYSYMBOL_timeformat_base = 784,          /* timeformat_base  */
  YYSYMBOL_timeformat_which = 785,         /* timeformat_which  */
  YYSYMBOL_timeformat_spec = 786,          /* timeformat_spec  */
  YYSYMBOL_iface_patt_node_init = 787,     /* iface_patt_node_init  */
  YYSYMBOL_iface_patt_node_body = 788,     /* iface_patt_node_body  */
  YYSYMBOL_iface_negate = 789,             /* iface_negate  */
  YYSYMBOL_iface_patt_node = 790,          /* iface_patt_node  */
  YYSYMBOL_iface_patt_list = 791,          /* iface_patt_list  */
  YYSYMBOL_iface_patt_list_nopx = 792,     /* iface_patt_list_nopx  */
  YYSYMBOL_iface_patt_init = 793,          /* iface_patt_init  */
  YYSYMBOL_iface_patt = 794,               /* iface_patt  */
  YYSYMBOL_tos = 795,                      /* tos  */
  YYSYMBOL_proto = 796,                    /* proto  */
  YYSYMBOL_dev_proto_start = 797,          /* dev_proto_start  */
  YYSYMBOL_dev_proto = 798,                /* dev_proto  */
  YYSYMBOL_dev_iface_init = 799,           /* dev_iface_init  */
  YYSYMBOL_dev_iface_patt = 800,           /* dev_iface_patt  */
  YYSYMBOL_debug_mask = 801,               /* debug_mask  */
  YYSYMBOL_debug_list = 802,               /* debug_list  */
  YYSYMBOL_debug_flag = 803,               /* debug_flag  */
  YYSYMBOL_mrtdump_mask = 804,             /* mrtdump_mask  */
  YYSYMBOL_mrtdump_list = 805,             /* mrtdump_list  */
  YYSYMBOL_mrtdump_flag = 806,             /* mrtdump_flag  */
  YYSYMBOL_password_list = 807,            /* password_list  */
  YYSYMBOL_password_list_body = 808,       /* password_list_body  */
  YYSYMBOL_password_items = 809,           /* password_items  */
  YYSYMBOL_password_item = 810,            /* password_item  */
  YYSYMBOL_pass_key = 811,                 /* pass_key  */
  YYSYMBOL_password_item_begin = 812,      /* password_item_begin  */
  YYSYMBOL_password_item_params = 813,     /* password_item_params  */
  YYSYMBOL_password_algorithm = 814,       /* password_algorithm  */
  YYSYMBOL_password_item_end = 815,        /* password_item_end  */
  YYSYMBOL_bfd_opts = 816,                 /* bfd_opts  */
  YYSYMBOL_cmd_SHOW_STATUS = 817,          /* cmd_SHOW_STATUS  */
  YYSYMBOL_cmd_SHOW_MEMORY = 818,          /* cmd_SHOW_MEMORY  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS = 819,       /* cmd_SHOW_PROTOCOLS  */
  YYSYMBOL_cmd_SHOW_PROTOCOLS_ALL = 820,   /* cmd_SHOW_PROTOCOLS_ALL  */
  YYSYMBOL_optproto = 821,                 /* optproto  */
  YYSYMBOL_cmd_SHOW_INTERFACES = 822,      /* cmd_SHOW_INTERFACES  */
  YYSYMBOL_cmd_SHOW_INTERFACES_SUMMARY = 823, /* cmd_SHOW_INTERFACES_SUMMARY  */
  YYSYMBOL_cmd_SHOW_ROUTE = 824,           /* cmd_SHOW_ROUTE  */
  YYSYMBOL_r_args = 825,                   /* r_args  */
  YYSYMBOL_r_args_for = 826,               /* r_args_for  */
  YYSYMBOL_r_args_for_val = 827,           /* r_args_for_val  */
  YYSYMBOL_export_mode = 828,              /* export_mode  */
  YYSYMBOL_channel_sym = 829,              /* channel_sym  */
  YYSYMBOL_channel_arg = 830,              /* channel_arg  */
  YYSYMBOL_cmd_SHOW_SYMBOLS = 831,         /* cmd_SHOW_SYMBOLS  */
  YYSYMBOL_sym_args = 832,                 /* sym_args  */
  YYSYMBOL_cmd_DUMP_RESOURCES = 833,       /* cmd_DUMP_RESOURCES  */
  YYSYMBOL_cmd_DUMP_SOCKETS = 834,         /* cmd_DUMP_SOCKETS  */
  YYSYMBOL_cmd_DUMP_EVENTS = 835,          /* cmd_DUMP_EVENTS  */
  YYSYMBOL_cmd_DUMP_INTERFACES = 836,      /* cmd_DUMP_INTERFACES  */
  YYSYMBOL_cmd_DUMP_NEIGHBORS = 837,       /* cmd_DUMP_NEIGHBORS  */
  YYSYMBOL_cmd_DUMP_ATTRIBUTES = 838,      /* cmd_DUMP_ATTRIBUTES  */
  YYSYMBOL_cmd_DUMP_ROUTES = 839,          /* cmd_DUMP_ROUTES  */
  YYSYMBOL_cmd_DUMP_PROTOCOLS = 840,       /* cmd_DUMP_PROTOCOLS  */
  YYSYMBOL_cmd_DUMP_FILTER_ALL = 841,      /* cmd_DUMP_FILTER_ALL  */
  YYSYMBOL_cmd_EVAL = 842,                 /* cmd_EVAL  */
  YYSYMBOL_cmd_ECHO = 843,                 /* cmd_ECHO  */
  YYSYMBOL_echo_mask = 844,                /* echo_mask  */
  YYSYMBOL_echo_size = 845,                /* echo_size  */
  YYSYMBOL_cmd_DISABLE = 846,              /* cmd_DISABLE  */
  YYSYMBOL_cmd_ENABLE = 847,               /* cmd_ENABLE  */
  YYSYMBOL_cmd_RESTART = 848,              /* cmd_RESTART  */
  YYSYMBOL_cmd_RELOAD = 849,               /* cmd_RELOAD  */
  YYSYMBOL_cmd_RELOAD_IN = 850,            /* cmd_RELOAD_IN  */
  YYSYMBOL_cmd_RELOAD_OUT = 851,           /* cmd_RELOAD_OUT  */
  YYSYMBOL_cmd_DEBUG = 852,                /* cmd_DEBUG  */
  YYSYMBOL_debug_args = 853,               /* debug_args  */
  YYSYMBOL_cmd_MRTDUMP = 854,              /* cmd_MRTDUMP  */
  YYSYMBOL_cmd_RESTRICT = 855,             /* cmd_RESTRICT  */
  YYSYMBOL_cmd_TIMEFORMAT = 856,           /* cmd_TIMEFORMAT  */
  YYSYMBOL_proto_patt = 857,               /* proto_patt  */
  YYSYMBOL_proto_patt2 = 858,              /* proto_patt2  */
  YYSYMBOL_dynamic_attr = 859,             /* dynamic_attr  */
  YYSYMBOL_mpls_domain = 860,              /* mpls_domain  */
  YYSYMBOL_mpls_domain_start = 861,        /* mpls_domain_start  */
  YYSYMBOL_mpls_domain_opt = 862,          /* mpls_domain_opt  */
  YYSYMBOL_mpls_domain_opts = 863,         /* mpls_domain_opts  */
  YYSYMBOL_mpls_domain_opt_list = 864,     /* mpls_domain_opt_list  */
  YYSYMBOL_mpls_domain_end = 865,          /* mpls_domain_end  */
  YYSYMBOL_mpls_range = 866,               /* mpls_range  */
  YYSYMBOL_mpls_range_start = 867,         /* mpls_range_start  */
  YYSYMBOL_mpls_range_opt = 868,           /* mpls_range_opt  */
  YYSYMBOL_mpls_range_opts = 869,          /* mpls_range_opts  */
  YYSYMBOL_mpls_range_opt_list = 870,      /* mpls_range_opt_list  */
  YYSYMBOL_mpls_range_end = 871,           /* mpls_range_end  */
  YYSYMBOL_mpls_channel = 872,             /* mpls_channel  */
  YYSYMBOL_mpls_channel_start = 873,       /* mpls_channel_start  */
  YYSYMBOL_mpls_label_policy = 874,        /* mpls_label_policy  */
  YYSYMBOL_mpls_channel_opt = 875,         /* mpls_channel_opt  */
  YYSYMBOL_mpls_channel_opts = 876,        /* mpls_channel_opts  */
  YYSYMBOL_mpls_channel_opt_list = 877,    /* mpls_channel_opt_list  */
  YYSYMBOL_mpls_channel_end = 878,         /* mpls_channel_end  */
  YYSYMBOL_879_12 = 879,                   /* $@12  */
  YYSYMBOL_show_mpls_ranges_args = 880,    /* show_mpls_ranges_args  */
  YYSYMBOL_cmd_SHOW_MPLS_RANGES = 881,     /* cmd_SHOW_MPLS_RANGES  */
  YYSYMBOL_aggregator_proto_start = 882,   /* aggregator_proto_start  */
  YYSYMBOL_aggregator_proto_item = 883,    /* aggregator_proto_item  */
  YYSYMBOL_884_13 = 884,                   /* $@13  */
  YYSYMBOL_aggregator_proto_opts = 885,    /* aggregator_proto_opts  */
  YYSYMBOL_aggregator_proto = 886,         /* aggregator_proto  */
  YYSYMBOL_aggr_list = 887,                /* aggr_list  */
  YYSYMBOL_aggr_item = 888,                /* aggr_item  */
  YYSYMBOL_babel_proto_start = 889,        /* babel_proto_start  */
  YYSYMBOL_babel_proto_item = 890,         /* babel_proto_item  */
  YYSYMBOL_babel_proto_opts = 891,         /* babel_proto_opts  */
  YYSYMBOL_babel_proto = 892,              /* babel_proto  */
  YYSYMBOL_babel_iface_start = 893,        /* babel_iface_start  */
  YYSYMBOL_babel_iface_finish = 894,       /* babel_iface_finish  */
  YYSYMBOL_babel_iface_item = 895,         /* babel_iface_item  */
  YYSYMBOL_babel_iface_opts = 896,         /* babel_iface_opts  */
  YYSYMBOL_babel_iface_opt_list = 897,     /* babel_iface_opt_list  */
  YYSYMBOL_babel_iface = 898,              /* babel_iface  */
  YYSYMBOL_cmd_SHOW_BABEL_INTERFACES = 899, /* cmd_SHOW_BABEL_INTERFACES  */
  YYSYMBOL_cmd_SHOW_BABEL_NEIGHBORS = 900, /* cmd_SHOW_BABEL_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_BABEL_ENTRIES = 901,   /* cmd_SHOW_BABEL_ENTRIES  */
  YYSYMBOL_cmd_SHOW_BABEL_ROUTES = 902,    /* cmd_SHOW_BABEL_ROUTES  */
  YYSYMBOL_bfd_proto_start = 903,          /* bfd_proto_start  */
  YYSYMBOL_bfd_proto_item = 904,           /* bfd_proto_item  */
  YYSYMBOL_bfd_proto_opts = 905,           /* bfd_proto_opts  */
  YYSYMBOL_bfd_proto = 906,                /* bfd_proto  */
  YYSYMBOL_bfd_accept_item = 907,          /* bfd_accept_item  */
  YYSYMBOL_bfd_accept = 908,               /* bfd_accept  */
  YYSYMBOL_bfd_iface_start = 909,          /* bfd_iface_start  */
  YYSYMBOL_bfd_iface_finish = 910,         /* bfd_iface_finish  */
  YYSYMBOL_bfd_iface_item = 911,           /* bfd_iface_item  */
  YYSYMBOL_bfd_auth_type = 912,            /* bfd_auth_type  */
  YYSYMBOL_bfd_iface_opts = 913,           /* bfd_iface_opts  */
  YYSYMBOL_bfd_iface_opt_list = 914,       /* bfd_iface_opt_list  */
  YYSYMBOL_bfd_iface = 915,                /* bfd_iface  */
  YYSYMBOL_bfd_multihop = 916,             /* bfd_multihop  */
  YYSYMBOL_bfd_neigh_iface = 917,          /* bfd_neigh_iface  */
  YYSYMBOL_bfd_neigh_local = 918,          /* bfd_neigh_local  */
  YYSYMBOL_bfd_neigh_multihop = 919,       /* bfd_neigh_multihop  */
  YYSYMBOL_bfd_neighbor = 920,             /* bfd_neighbor  */
  YYSYMBOL_bfd_item = 921,                 /* bfd_item  */
  YYSYMBOL_bfd_items = 922,                /* bfd_items  */
  YYSYMBOL_bfd_opts_start = 923,           /* bfd_opts_start  */
  YYSYMBOL_bfd_opts_end = 924,             /* bfd_opts_end  */
  YYSYMBOL_cmd_SHOW_BFD_SESSIONS = 925,    /* cmd_SHOW_BFD_SESSIONS  */
  YYSYMBOL_bfd_show_sessions_args = 926,   /* bfd_show_sessions_args  */
  YYSYMBOL_bgp_proto_start = 927,          /* bgp_proto_start  */
  YYSYMBOL_bgp_loc_opts = 928,             /* bgp_loc_opts  */
  YYSYMBOL_bgp_nbr_opts = 929,             /* bgp_nbr_opts  */
  YYSYMBOL_bgp_cease_mask = 930,           /* bgp_cease_mask  */
  YYSYMBOL_bgp_cease_list = 931,           /* bgp_cease_list  */
  YYSYMBOL_bgp_cease_flag = 932,           /* bgp_cease_flag  */
  YYSYMBOL_bgp_role_name = 933,            /* bgp_role_name  */
  YYSYMBOL_bgp_proto = 934,                /* bgp_proto  */
  YYSYMBOL_935_14 = 935,                   /* $@14  */
  YYSYMBOL_936_15 = 936,                   /* $@15  */
  YYSYMBOL_bgp_afi = 937,                  /* bgp_afi  */
  YYSYMBOL_bgp_channel_start = 938,        /* bgp_channel_start  */
  YYSYMBOL_bgp_nh = 939,                   /* bgp_nh  */
  YYSYMBOL_bgp_lladdr = 940,               /* bgp_lladdr  */
  YYSYMBOL_bgp_channel_item = 941,         /* bgp_channel_item  */
  YYSYMBOL_bgp_channel_opts = 942,         /* bgp_channel_opts  */
  YYSYMBOL_bgp_channel_opt_list = 943,     /* bgp_channel_opt_list  */
  YYSYMBOL_bgp_channel_end = 944,          /* bgp_channel_end  */
  YYSYMBOL_bgp_proto_channel = 945,        /* bgp_proto_channel  */
  YYSYMBOL_l3vpn_channel_start = 946,      /* l3vpn_channel_start  */
  YYSYMBOL_l3vpn_channel = 947,            /* l3vpn_channel  */
  YYSYMBOL_l3vpn_proto_start = 948,        /* l3vpn_proto_start  */
  YYSYMBOL_l3vpn_proto_item = 949,         /* l3vpn_proto_item  */
  YYSYMBOL_l3vpn_proto_opts = 950,         /* l3vpn_proto_opts  */
  YYSYMBOL_l3vpn_proto = 951,              /* l3vpn_proto  */
  YYSYMBOL_l3vpn_targets = 952,            /* l3vpn_targets  */
  YYSYMBOL_mrt_proto_start = 953,          /* mrt_proto_start  */
  YYSYMBOL_mrt_proto_item = 954,           /* mrt_proto_item  */
  YYSYMBOL_mrt_proto_opts = 955,           /* mrt_proto_opts  */
  YYSYMBOL_mrt_proto = 956,                /* mrt_proto  */
  YYSYMBOL_cmd_MRT_DUMP = 957,             /* cmd_MRT_DUMP  */
  YYSYMBOL_mrt_dump_args = 958,            /* mrt_dump_args  */
  YYSYMBOL_ospf_variant = 959,             /* ospf_variant  */
  YYSYMBOL_ospf_proto_start = 960,         /* ospf_proto_start  */
  YYSYMBOL_ospf_proto = 961,               /* ospf_proto  */
  YYSYMBOL_ospf_af_mc = 962,               /* ospf_af_mc  */
  YYSYMBOL_ospf_channel_start = 963,       /* ospf_channel_start  */
  YYSYMBOL_ospf_channel = 964,             /* ospf_channel  */
  YYSYMBOL_ospf_proto_item = 965,          /* ospf_proto_item  */
  YYSYMBOL_ospf_area_start = 966,          /* ospf_area_start  */
  YYSYMBOL_ospf_area = 967,                /* ospf_area  */
  YYSYMBOL_ospf_area_opts = 968,           /* ospf_area_opts  */
  YYSYMBOL_ospf_area_item = 969,           /* ospf_area_item  */
  YYSYMBOL_970_16 = 970,                   /* $@16  */
  YYSYMBOL_971_17 = 971,                   /* $@17  */
  YYSYMBOL_ospf_stubnet = 972,             /* ospf_stubnet  */
  YYSYMBOL_ospf_stubnet_start = 973,       /* ospf_stubnet_start  */
  YYSYMBOL_ospf_stubnet_opts = 974,        /* ospf_stubnet_opts  */
  YYSYMBOL_ospf_stubnet_item = 975,        /* ospf_stubnet_item  */
  YYSYMBOL_ospf_vlink = 976,               /* ospf_vlink  */
  YYSYMBOL_ospf_vlink_opts = 977,          /* ospf_vlink_opts  */
  YYSYMBOL_ospf_vlink_item = 978,          /* ospf_vlink_item  */
  YYSYMBOL_ospf_vlink_start = 979,         /* ospf_vlink_start  */
  YYSYMBOL_ospf_iface_item = 980,          /* ospf_iface_item  */
  YYSYMBOL_pref_list = 981,                /* pref_list  */
  YYSYMBOL_pref_item = 982,                /* pref_item  */
  YYSYMBOL_pref_base = 983,                /* pref_base  */
  YYSYMBOL_pref_opt = 984,                 /* pref_opt  */
  YYSYMBOL_nbma_list = 985,                /* nbma_list  */
  YYSYMBOL_nbma_eligible = 986,            /* nbma_eligible  */
  YYSYMBOL_nbma_item = 987,                /* nbma_item  */
  YYSYMBOL_ospf_iface_start = 988,         /* ospf_iface_start  */
  YYSYMBOL_ospf_instance_id = 989,         /* ospf_instance_id  */
  YYSYMBOL_ospf_iface_patt_list = 990,     /* ospf_iface_patt_list  */
  YYSYMBOL_991_18 = 991,                   /* $@18  */
  YYSYMBOL_ospf_iface_opts = 992,          /* ospf_iface_opts  */
  YYSYMBOL_ospf_iface_opt_list = 993,      /* ospf_iface_opt_list  */
  YYSYMBOL_ospf_iface = 994,               /* ospf_iface  */
  YYSYMBOL_cmd_SHOW_OSPF = 995,            /* cmd_SHOW_OSPF  */
  YYSYMBOL_cmd_SHOW_OSPF_NEIGHBORS = 996,  /* cmd_SHOW_OSPF_NEIGHBORS  */
  YYSYMBOL_cmd_SHOW_OSPF_INTERFACE = 997,  /* cmd_SHOW_OSPF_INTERFACE  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY = 998,   /* cmd_SHOW_OSPF_TOPOLOGY  */
  YYSYMBOL_cmd_SHOW_OSPF_TOPOLOGY_ALL = 999, /* cmd_SHOW_OSPF_TOPOLOGY_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE = 1000,     /* cmd_SHOW_OSPF_STATE  */
  YYSYMBOL_cmd_SHOW_OSPF_STATE_ALL = 1001, /* cmd_SHOW_OSPF_STATE_ALL  */
  YYSYMBOL_cmd_SHOW_OSPF_LSADB = 1002,     /* cmd_SHOW_OSPF_LSADB  */
  YYSYMBOL_lsadb_args = 1003,              /* lsadb_args  */
  YYSYMBOL_perf_proto_start = 1004,        /* perf_proto_start  */
  YYSYMBOL_perf_proto = 1005,              /* perf_proto  */
  YYSYMBOL_perf_proto_item = 1006,         /* perf_proto_item  */
  YYSYMBOL_pipe_proto_start = 1007,        /* pipe_proto_start  */
  YYSYMBOL_1008_19 = 1008,                 /* $@19  */
  YYSYMBOL_pipe_proto = 1009,              /* pipe_proto  */
  YYSYMBOL_radv_proto_start = 1010,        /* radv_proto_start  */
  YYSYMBOL_radv_proto_item = 1011,         /* radv_proto_item  */
  YYSYMBOL_1012_20 = 1012,                 /* $@20  */
  YYSYMBOL_1013_21 = 1013,                 /* $@21  */
  YYSYMBOL_radv_proto_opts = 1014,         /* radv_proto_opts  */
  YYSYMBOL_radv_proto = 1015,              /* radv_proto  */
  YYSYMBOL_radv_iface_start = 1016,        /* radv_iface_start  */
  YYSYMBOL_radv_iface_item = 1017,         /* radv_iface_item  */
  YYSYMBOL_1018_22 = 1018,                 /* $@22  */
  YYSYMBOL_1019_23 = 1019,                 /* $@23  */
  YYSYMBOL_radv_preference = 1020,         /* radv_preference  */
  YYSYMBOL_radv_iface_finish = 1021,       /* radv_iface_finish  */
  YYSYMBOL_radv_iface_opts = 1022,         /* radv_iface_opts  */
  YYSYMBOL_radv_iface_opt_list = 1023,     /* radv_iface_opt_list  */
  YYSYMBOL_radv_iface = 1024,              /* radv_iface  */
  YYSYMBOL_radv_prefix_start = 1025,       /* radv_prefix_start  */
  YYSYMBOL_radv_prefix_item = 1026,        /* radv_prefix_item  */
  YYSYMBOL_radv_prefix_finish = 1027,      /* radv_prefix_finish  */
  YYSYMBOL_radv_prefix_opts = 1028,        /* radv_prefix_opts  */
  YYSYMBOL_radv_prefix_opt_list = 1029,    /* radv_prefix_opt_list  */
  YYSYMBOL_radv_prefix = 1030,             /* radv_prefix  */
  YYSYMBOL_radv_rdnss_node = 1031,         /* radv_rdnss_node  */
  YYSYMBOL_radv_rdnss_start = 1032,        /* radv_rdnss_start  */
  YYSYMBOL_radv_rdnss_item = 1033,         /* radv_rdnss_item  */
  YYSYMBOL_radv_rdnss_finish = 1034,       /* radv_rdnss_finish  */
  YYSYMBOL_radv_rdnss_opts = 1035,         /* radv_rdnss_opts  */
  YYSYMBOL_radv_rdnss = 1036,              /* radv_rdnss  */
  YYSYMBOL_radv_dnssl_node = 1037,         /* radv_dnssl_node  */
  YYSYMBOL_radv_dnssl_start = 1038,        /* radv_dnssl_start  */
  YYSYMBOL_radv_dnssl_item = 1039,         /* radv_dnssl_item  */
  YYSYMBOL_radv_dnssl_finish = 1040,       /* radv_dnssl_finish  */
  YYSYMBOL_radv_dnssl_opts = 1041,         /* radv_dnssl_opts  */
  YYSYMBOL_radv_dnssl = 1042,              /* radv_dnssl  */
  YYSYMBOL_radv_mult = 1043,               /* radv_mult  */
  YYSYMBOL_radv_sensitive = 1044,          /* radv_sensitive  */
  YYSYMBOL_rip_variant = 1045,             /* rip_variant  */
  YYSYMBOL_rip_proto_start = 1046,         /* rip_proto_start  */
  YYSYMBOL_rip_proto_item = 1047,          /* rip_proto_item  */
  YYSYMBOL_rip_proto_opts = 1048,          /* rip_proto_opts  */
  YYSYMBOL_rip_proto = 1049,               /* rip_proto  */
  YYSYMBOL_rip_iface_start = 1050,         /* rip_iface_start  */
  YYSYMBOL_rip_iface_finish = 1051,        /* rip_iface_finish  */
  YYSYMBOL_rip_iface_item = 1052,          /* rip_iface_item  */
  YYSYMBOL_rip_auth = 1053,                /* rip_auth  */
  YYSYMBOL_rip_iface_opts = 1054,          /* rip_iface_opts  */
  YYSYMBOL_rip_iface_opt_list = 1055,      /* rip_iface_opt_list  */
  YYSYMBOL_rip_iface = 1056,               /* rip_iface  */
  YYSYMBOL_cmd_SHOW_RIP_INTERFACES = 1057, /* cmd_SHOW_RIP_INTERFACES  */
  YYSYMBOL_cmd_SHOW_RIP_NEIGHBORS = 1058,  /* cmd_SHOW_RIP_NEIGHBORS  */
  YYSYMBOL_rpki_proto_start = 1059,        /* rpki_proto_start  */
  YYSYMBOL_rpki_proto = 1060,              /* rpki_proto  */
  YYSYMBOL_rpki_proto_opts = 1061,         /* rpki_proto_opts  */
  YYSYMBOL_rpki_proto_item = 1062,         /* rpki_proto_item  */
  YYSYMBOL_rpki_keep_interval = 1063,      /* rpki_keep_interval  */
  YYSYMBOL_rpki_proto_item_port = 1064,    /* rpki_proto_item_port  */
  YYSYMBOL_rpki_cache_addr = 1065,         /* rpki_cache_addr  */
  YYSYMBOL_rpki_transport = 1066,          /* rpki_transport  */
  YYSYMBOL_rpki_transport_tcp_init = 1067, /* rpki_transport_tcp_init  */
  YYSYMBOL_rpki_transport_tcp_opts_list = 1068, /* rpki_transport_tcp_opts_list  */
  YYSYMBOL_rpki_transport_tcp_opts = 1069, /* rpki_transport_tcp_opts  */
  YYSYMBOL_rpki_transport_tcp_item = 1070, /* rpki_transport_tcp_item  */
  YYSYMBOL_rpki_transport_tcp_check = 1071, /* rpki_transport_tcp_check  */
  YYSYMBOL_rpki_transport_ssh_init = 1072, /* rpki_transport_ssh_init  */
  YYSYMBOL_rpki_transport_ssh_opts = 1073, /* rpki_transport_ssh_opts  */
  YYSYMBOL_rpki_transport_ssh_item = 1074, /* rpki_transport_ssh_item  */
  YYSYMBOL_rpki_transport_ssh_check = 1075, /* rpki_transport_ssh_check  */
  YYSYMBOL_static_proto_start = 1076,      /* static_proto_start  */
  YYSYMBOL_static_proto = 1077,            /* static_proto  */
  YYSYMBOL_stat_nexthop = 1078,            /* stat_nexthop  */
  YYSYMBOL_stat_nexthops = 1079,           /* stat_nexthops  */
  YYSYMBOL_stat_mpls = 1080,               /* stat_mpls  */
  YYSYMBOL_stat_route0 = 1081,             /* stat_route0  */
  YYSYMBOL_1082_24 = 1082,                 /* $@24  */
  YYSYMBOL_stat_route = 1083,              /* stat_route  */
  YYSYMBOL_1084_25 = 1084,                 /* $@25  */
  YYSYMBOL_stat_aspa_provider = 1085,      /* stat_aspa_provider  */
  YYSYMBOL_stat_aspa_providers = 1086,     /* stat_aspa_providers  */
  YYSYMBOL_stat_route_item = 1087,         /* stat_route_item  */
  YYSYMBOL_stat_route_opts = 1088,         /* stat_route_opts  */
  YYSYMBOL_stat_route_opt_list = 1089,     /* stat_route_opt_list  */
  YYSYMBOL_cmd_SHOW_STATIC = 1090,         /* cmd_SHOW_STATIC  */
  YYSYMBOL_kern_proto = 1091,              /* kern_proto  */
  YYSYMBOL_kern_sys_item = 1092,           /* kern_sys_item  */
  YYSYMBOL_log_begin = 1093,               /* log_begin  */
  YYSYMBOL_log_config = 1094,              /* log_config  */
  YYSYMBOL_syslog_name = 1095,             /* syslog_name  */
  YYSYMBOL_log_limit = 1096,               /* log_limit  */
  YYSYMBOL_log_file = 1097,                /* log_file  */
  YYSYMBOL_log_udp_host = 1098,            /* log_udp_host  */
  YYSYMBOL_log_udp_port = 1099,            /* log_udp_port  */
  YYSYMBOL_log_mask = 1100,                /* log_mask  */
  YYSYMBOL_log_mask_list = 1101,           /* log_mask_list  */
  YYSYMBOL_log_cat = 1102,                 /* log_cat  */
  YYSYMBOL_mrtdump_base = 1103,            /* mrtdump_base  */
  YYSYMBOL_cli = 1104,                     /* cli  */
  YYSYMBOL_cli_opts = 1105,                /* cli_opts  */
  YYSYMBOL_cli_opts_begin = 1106,          /* cli_opts_begin  */
  YYSYMBOL_cli_opts_block = 1107,          /* cli_opts_block  */
  YYSYMBOL_debug_unix = 1108,              /* debug_unix  */
  YYSYMBOL_cmd_CONFIGURE = 1109,           /* cmd_CONFIGURE  */
  YYSYMBOL_cmd_CONFIGURE_SOFT = 1110,      /* cmd_CONFIGURE_SOFT  */
  YYSYMBOL_cmd_CONFIGURE_CONFIRM = 1111,   /* cmd_CONFIGURE_CONFIRM  */
  YYSYMBOL_cmd_CONFIGURE_UNDO = 1112,      /* cmd_CONFIGURE_UNDO  */
  YYSYMBOL_cmd_CONFIGURE_STATUS = 1113,    /* cmd_CONFIGURE_STATUS  */
  YYSYMBOL_cmd_CONFIGURE_CHECK = 1114,     /* cmd_CONFIGURE_CHECK  */
  YYSYMBOL_cmd_DOWN = 1115,                /* cmd_DOWN  */
  YYSYMBOL_cmd_GRACEFUL_RESTART = 1116,    /* cmd_GRACEFUL_RESTART  */
  YYSYMBOL_cfg_name = 1117,                /* cfg_name  */
  YYSYMBOL_cfg_timeout = 1118,             /* cfg_timeout  */
  YYSYMBOL_kern_proto_start = 1119,        /* kern_proto_start  */
  YYSYMBOL_kern_learn = 1120,              /* kern_learn  */
  YYSYMBOL_kern_mp_limit = 1121,           /* kern_mp_limit  */
  YYSYMBOL_kern_channel = 1122,            /* kern_channel  */
  YYSYMBOL_kern_item = 1123,               /* kern_item  */
  YYSYMBOL_kif_proto_start = 1124,         /* kif_proto_start  */
  YYSYMBOL_kif_proto = 1125,               /* kif_proto  */
  YYSYMBOL_kif_item = 1126,                /* kif_item  */
  YYSYMBOL_kif_iface_start = 1127,         /* kif_iface_start  */
  YYSYMBOL_kif_iface_item = 1128,          /* kif_iface_item  */
  YYSYMBOL_kif_iface_opts = 1129,          /* kif_iface_opts  */
  YYSYMBOL_kif_iface_opt_list = 1130,      /* kif_iface_opt_list  */
  YYSYMBOL_kif_iface = 1131                /* kif_iface  */
};
typedef enum yysymbol_kind_t yysymbol_kind_t;




#ifdef short
# undef short
#endif

/* On compilers that do not define __PTRDIFF_MAX__ etc., make sure
   <limits.h> and (if available) <stdint.h> are included
   so that the code can choose integer types of a good width.  */

#ifndef __PTRDIFF_MAX__
# include <limits.h> /* INFRINGES ON USER NAME SPACE */
# if defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stdint.h> /* INFRINGES ON USER NAME SPACE */
#  define YY_STDINT_H
# endif
#endif

/* Narrow types that promote to a signed type and that can represent a
   signed or unsigned integer of at least N bits.  In tables they can
   save space and decrease cache pressure.  Promoting to a signed type
   helps avoid bugs in integer arithmetic.  */

#ifdef __INT_LEAST8_MAX__
typedef __INT_LEAST8_TYPE__ yytype_int8;
#elif defined YY_STDINT_H
typedef int_least8_t yytype_int8;
#else
typedef signed char yytype_int8;
#endif

#ifdef __INT_LEAST16_MAX__
typedef __INT_LEAST16_TYPE__ yytype_int16;
#elif defined YY_STDINT_H
typedef int_least16_t yytype_int16;
#else
typedef short yytype_int16;
#endif

/* Work around bug in HP-UX 11.23, which defines these macros
   incorrectly for preprocessor constants.  This workaround can likely
   be removed in 2023, as HPE has promised support for HP-UX 11.23
   (aka HP-UX 11i v2) only through the end of 2022; see Table 2 of
   <https://h20195.www2.hpe.com/V2/getpdf.aspx/4AA4-7673ENW.pdf>.  */
#ifdef __hpux
# undef UINT_LEAST8_MAX
# undef UINT_LEAST16_MAX
# define UINT_LEAST8_MAX 255
# define UINT_LEAST16_MAX 65535
#endif

#if defined __UINT_LEAST8_MAX__ && __UINT_LEAST8_MAX__ <= __INT_MAX__
typedef __UINT_LEAST8_TYPE__ yytype_uint8;
#elif (!defined __UINT_LEAST8_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST8_MAX <= INT_MAX)
typedef uint_least8_t yytype_uint8;
#elif !defined __UINT_LEAST8_MAX__ && UCHAR_MAX <= INT_MAX
typedef unsigned char yytype_uint8;
#else
typedef short yytype_uint8;
#endif

#if defined __UINT_LEAST16_MAX__ && __UINT_LEAST16_MAX__ <= __INT_MAX__
typedef __UINT_LEAST16_TYPE__ yytype_uint16;
#elif (!defined __UINT_LEAST16_MAX__ && defined YY_STDINT_H \
       && UINT_LEAST16_MAX <= INT_MAX)
typedef uint_least16_t yytype_uint16;
#elif !defined __UINT_LEAST16_MAX__ && USHRT_MAX <= INT_MAX
typedef unsigned short yytype_uint16;
#else
typedef int yytype_uint16;
#endif

#ifndef YYPTRDIFF_T
# if defined __PTRDIFF_TYPE__ && defined __PTRDIFF_MAX__
#  define YYPTRDIFF_T __PTRDIFF_TYPE__
#  define YYPTRDIFF_MAXIMUM __PTRDIFF_MAX__
# elif defined PTRDIFF_MAX
#  ifndef ptrdiff_t
#   include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  endif
#  define YYPTRDIFF_T ptrdiff_t
#  define YYPTRDIFF_MAXIMUM PTRDIFF_MAX
# else
#  define YYPTRDIFF_T long
#  define YYPTRDIFF_MAXIMUM LONG_MAX
# endif
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif defined __STDC_VERSION__ && 199901 <= __STDC_VERSION__
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned
# endif
#endif

#define YYSIZE_MAXIMUM                                  \
  YY_CAST (YYPTRDIFF_T,                                 \
           (YYPTRDIFF_MAXIMUM < YY_CAST (YYSIZE_T, -1)  \
            ? YYPTRDIFF_MAXIMUM                         \
            : YY_CAST (YYSIZE_T, -1)))

#define YYSIZEOF(X) YY_CAST (YYPTRDIFF_T, sizeof (X))


/* Stored state numbers (used for stacks). */
typedef yytype_int16 yy_state_t;

/* State numbers in computations.  */
typedef int yy_state_fast_t;

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(Msgid) dgettext ("bison-runtime", Msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(Msgid) Msgid
# endif
#endif


#ifndef YY_ATTRIBUTE_PURE
# if defined __GNUC__ && 2 < __GNUC__ + (96 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_PURE __attribute__ ((__pure__))
# else
#  define YY_ATTRIBUTE_PURE
# endif
#endif

#ifndef YY_ATTRIBUTE_UNUSED
# if defined __GNUC__ && 2 < __GNUC__ + (7 <= __GNUC_MINOR__)
#  define YY_ATTRIBUTE_UNUSED __attribute__ ((__unused__))
# else
#  define YY_ATTRIBUTE_UNUSED
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YY_USE(E) ((void) (E))
#else
# define YY_USE(E) /* empty */
#endif

/* Suppress an incorrect diagnostic about yylval being uninitialized.  */
#if defined __GNUC__ && ! defined __ICC && 406 <= __GNUC__ * 100 + __GNUC_MINOR__
# if __GNUC__ * 100 + __GNUC_MINOR__ < 407
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")
# else
#  define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN                           \
    _Pragma ("GCC diagnostic push")                                     \
    _Pragma ("GCC diagnostic ignored \"-Wuninitialized\"")              \
    _Pragma ("GCC diagnostic ignored \"-Wmaybe-uninitialized\"")
# endif
# define YY_IGNORE_MAYBE_UNINITIALIZED_END      \
    _Pragma ("GCC diagnostic pop")
#else
# define YY_INITIAL_VALUE(Value) Value
#endif
#ifndef YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
# define YY_IGNORE_MAYBE_UNINITIALIZED_END
#endif
#ifndef YY_INITIAL_VALUE
# define YY_INITIAL_VALUE(Value) /* Nothing. */
#endif

#if defined __cplusplus && defined __GNUC__ && ! defined __ICC && 6 <= __GNUC__
# define YY_IGNORE_USELESS_CAST_BEGIN                          \
    _Pragma ("GCC diagnostic push")                            \
    _Pragma ("GCC diagnostic ignored \"-Wuseless-cast\"")
# define YY_IGNORE_USELESS_CAST_END            \
    _Pragma ("GCC diagnostic pop")
#endif
#ifndef YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_BEGIN
# define YY_IGNORE_USELESS_CAST_END
#endif


#define YY_ASSERT(E) ((void) (0 && (E)))

#if 1

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's 'empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (0)
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
             && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
# define YYCOPY_NEEDED 1
#endif /* 1 */

#if (! defined yyoverflow \
     && (! defined __cplusplus \
         || (defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yy_state_t yyss_alloc;
  YYSTYPE yyvs_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (YYSIZEOF (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (YYSIZEOF (yy_state_t) + YYSIZEOF (YYSTYPE)) \
      + YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)                           \
    do                                                                  \
      {                                                                 \
        YYPTRDIFF_T yynewbytes;                                         \
        YYCOPY (&yyptr->Stack_alloc, Stack, yysize);                    \
        Stack = &yyptr->Stack_alloc;                                    \
        yynewbytes = yystacksize * YYSIZEOF (*Stack) + YYSTACK_GAP_MAXIMUM; \
        yyptr += yynewbytes / YYSIZEOF (*yyptr);                        \
      }                                                                 \
    while (0)

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from SRC to DST.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(Dst, Src, Count) \
      __builtin_memcpy (Dst, Src, YY_CAST (YYSIZE_T, (Count)) * sizeof (*(Src)))
#  else
#   define YYCOPY(Dst, Src, Count)              \
      do                                        \
        {                                       \
          YYPTRDIFF_T yyi;                      \
          for (yyi = 0; yyi < (Count); yyi++)   \
            (Dst)[yyi] = (Src)[yyi];            \
        }                                       \
      while (0)
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  82
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   12039

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  619
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  513
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2247
/* YYNSTATES -- Number of states.  */
#define YYNSTATES  3686

/* YYMAXUTOK -- Last valid token kind.  */
#define YYMAXUTOK   852


/* YYTRANSLATE(TOKEN-NUM) -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex, with out-of-bounds checking.  */
#define YYTRANSLATE(YYX)                                \
  (0 <= (YYX) && (YYX) <= YYMAXUTOK                     \
   ? YY_CAST (yysymbol_kind_t, yytranslate[YYX])        \
   : YYSYMBOL_YYUNDEF)

/* YYTRANSLATE[TOKEN-NUM] -- Symbol number corresponding to TOKEN-NUM
   as returned by yylex.  */
static const yytype_int16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    41,     2,     2,     2,    40,     2,     2,
      58,    59,    38,    36,    83,    37,    42,    39,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   155,    57,
      32,    31,    33,   158,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   156,     2,   157,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,    84,     2,    85,    34,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    35,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   159,   160,   161,   162,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   182,   183,   184,   185,
     186,   187,   188,   189,   190,   191,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,   202,   203,   204,   205,
     206,   207,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
     256,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,   381,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   597,   598,   599,   600,   601,   602,   603,   604,   605,
     606,   607,   608,   609,   610,   611,   612,   613,   614,   615,
     616,   617,   618
};

#if YYDEBUG
/* YYRLINE[YYN] -- Source line where rule number YYN was defined.  */
static const yytype_int16 yyrline[] =
{
       0,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,    61,    61,    61,    61,    61,    61,    61,    61,
      61,    61,   148,   149,   152,   154,   157,   162,   165,   173,
     174,   175,   181,   182,   183,   186,   186,   186,   187,   192,
     193,   194,   195,   196,   197,   204,   205,   206,   213,   214,
     221,   227,   237,   250,   269,   275,   281,   289,   297,   303,
     309,   309,   310,   310,   311,   311,   314,   315,   316,   317,
     318,   319,   320,   327,   328,   336,   337,   345,   346,   354,
     355,   363,   364,   365,   366,   367,   377,   385,   386,   395,
     403,   404,   411,   412,   416,   417,   418,   419,   426,   434,
     435,   439,   440,   441,   449,   450,   451,    37,    38,    39,
      40,    41,    42,    43,    44,    48,    49,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    65,    66,    67,
      70,    71,    75,    79,    83,    84,    88,    92,   101,   102,
     106,   110,   114,   121,   122,   126,   127,   128,   129,   133,
     136,   139,   145,   149,   150,   151,   155,   159,   165,   166,
     167,   170,   172,   175,   177,   181,   188,   189,   191,   197,
     203,   203,     9,     9,    10,    10,    11,    11,   400,   402,
     402,   415,   417,   420,   421,   425,   427,   438,   440,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   492,   496,   497,
     506,   507,   515,   516,   523,   524,   527,   530,   534,   534,
     547,   554,   560,   563,   567,   563,   594,   595,   598,   598,
     600,   600,   602,   610,   611,   628,   629,   642,   643,   644,
     645,   646,   654,   655,   664,   668,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   685,   686,   687,   688,
     692,   693,   694,   698,   699,   700,   701,   702,   703,   704,
     705,   710,   711,   712,   713,   714,   718,   719,   720,   721,
     722,   726,   727,   731,   732,   736,   737,   741,   742,   743,
     744,   752,   753,   756,   757,   764,   774,   775,   779,   783,
     784,   785,   786,   790,   791,   792,   793,   794,   798,   799,
     800,   801,   802,   803,   804,   805,   806,   807,   812,   813,
     817,   818,   819,   820,   826,   827,   828,   831,   847,   856,
     875,   876,   877,   878,   879,   880,   881,   882,   883,   884,
     885,   886,   887,   888,   891,   891,   893,   896,   896,   901,
     906,   914,   915,   916,   917,   918,   919,   920,   921,   922,
     923,   924,   925,   926,   927,   928,   929,   930,   932,   933,
     934,   936,   938,   940,   942,   943,   944,   945,   947,   948,
     949,   950,   952,   953,   954,   956,   958,   959,   963,   967,
     968,   969,   973,   977,   984,   985,   989,   992,   995,   998,
    1004,  1006,   998,  1011,  1023,  1039,  1042,  1047,  1050,  1059,
    1062,  1065,  1068,  1069,  1072,  1072,  1078,  1079,  1083,  1088,
    1101,  1102,   167,   170,   171,   175,   176,   177,   178,   188,
     190,   192,   194,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   213,   214,   220,   222,   224,   229,   231,
     235,   236,   237,   242,   243,   244,   245,   248,   250,   253,
     255,   261,   264,   265,   269,   275,   279,   289,   299,   301,
     302,   303,   304,   305,   306,   307,   311,   317,   322,   323,
     324,   325,   326,   327,   328,   329,   334,   335,   338,   340,
     343,   345,   349,   356,   359,   362,   363,   364,   365,   369,
     370,   371,   372,   373,   377,   378,   382,   385,   386,   387,
     388,   393,   396,   400,   401,   402,   403,   407,   408,   409,
     410,   411,   412,   413,   414,   421,   429,   430,   434,   435,
     439,   444,   445,   449,   451,   459,   463,   464,   469,   471,
     478,   479,   480,   481,   482,   486,   494,   500,   501,   502,
     506,   507,   511,   512,   513,   514,   515,   516,   522,   523,
     524,   528,   529,   533,   534,   540,   544,   545,   548,   550,
     554,   555,   558,   558,   560,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   600,   606,
     612,   612,   615,   615,   618,   618,   621,   621,   625,   626,
     629,   629,   632,   632,   636,   636,   657,   663,   669,   675,
     682,   688,   695,   700,   705,   710,   715,   719,   723,   727,
     737,   744,   753,   757,   764,   768,   769,   770,   771,   775,
     779,   783,   797,   798,   799,   800,   803,   804,   805,   806,
     811,   812,   813,   814,   815,   816,   817,   818,   819,   820,
     821,   822,   823,   824,   825,   826,   827,   828,   829,   830,
     831,   835,   845,   845,   855,   858,   859,   860,   861,   862,
     863,   867,   867,   869,   869,   871,   871,   873,   873,   875,
     875,   877,   877,   879,   879,   881,   881,   883,   883,   886,
     886,   890,   890,   896,   897,   898,   902,   903,   909,   909,
     911,   911,   913,   913,   915,   915,   917,   917,   919,   919,
     923,   923,   936,   937,   941,   941,   944,   944,   948,   948,
     958,   959,   960,   964,   965,   966,   969,   971,   973,   974,
     975,    31,    33,    35,    38,    41,    43,    46,    48,    51,
      54,    56,    67,    68,    71,    73,    76,    78,    82,    95,
      97,   117,   118,   119,   120,   124,   125,   126,   127,   128,
     129,   132,   134,   137,   139,   142,   142,   147,   153,   176,
     184,   194,   194,    29,    31,    41,    42,    43,    44,    74,
      74,    84,    84,    85,    89,    90,   101,   106,   120,   125,
      36,    38,    48,    49,    50,    51,    52,    53,    54,    57,
      59,    63,    67,    68,    69,    70,    74,    78,    82,    96,
     116,   117,   118,   119,   120,   121,   122,   123,   127,   128,
     129,   130,   131,   132,   135,   137,   140,   142,   146,   149,
     154,   155,   156,   160,   161,   165,   166,   169,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   201,   203,   207,
     210,   230,   236,   236,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,    33,    35,    43,    44,    45,    46,
      49,    51,    55,    59,    80,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   173,   175,   178,   180,   185,   187,   191,   191,   194,
     194,   197,   197,   200,   200,    48,    50,    88,    90,    91,
      94,    96,    97,    98,    99,   104,   105,   109,   110,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   126,   127,
     128,   129,   130,   134,   135,   136,   137,   138,   139,   143,
     144,   150,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   174,   175,   176,   177,   178,
     179,   180,   181,   182,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   231,   231,   232,   233,   234,   235,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   253,   281,   282,   283,   285,   285,   285,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   330,   342,   344,   347,
     349,   353,   360,   363,   365,   367,   369,   371,   373,   375,
     377,   379,   381,   383,   385,   387,   389,   392,   409,   420,
      49,    52,    65,    67,    74,    75,    76,    77,    78,    79,
      80,    81,    84,    86,    90,    94,    95,    26,    28,    34,
      35,    36,    37,    38,    39,    40,    41,    44,    46,    50,
      53,    53,    62,    63,    64,    65,    66,    67,   212,   215,
     216,   217,   220,   236,   237,   241,   242,   246,   255,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   275,   290,   293,   295,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   308,   309,
     309,   310,   311,   312,   316,   317,   321,   329,   331,   335,
     336,   337,   341,   342,   345,   347,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   363,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   423,   425,   428,
     430,   438,   440,   441,   444,   446,   450,   451,   454,   464,
     486,   488,   492,   492,   495,   497,   500,   502,   506,   509,
     510,   511,   512,   515,   515,   518,   518,   521,   521,   526,
     526,   529,   529,   534,   534,   537,   537,   541,   541,   558,
     561,   562,   563,   564,   565,   566,   567,   568,    24,    26,
      40,    41,    42,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    23,    26,    25,    40,    41,    42,    43,
      53,    55,    68,    69,    70,    71,    72,    72,    73,    73,
      74,    75,    76,    79,    81,    85,    89,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,   128,   132,
     133,   134,   135,   136,   137,   137,   138,   138,   139,   140,
     141,   142,   146,   147,   148,   151,   189,   191,   194,   196,
     200,   203,   215,   216,   217,   218,   222,   229,   237,   239,
     242,   244,   248,   252,   262,   267,   268,   269,   273,   285,
     287,   291,   292,   296,   309,   314,   315,   316,   320,   332,
     334,   338,   339,   344,   345,   349,   350,   353,   354,    47,
      50,    51,    54,    68,    69,    70,    71,    72,    73,    76,
      78,    82,    86,   111,   141,   142,   143,   144,   145,   146,
     147,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   174,   175,   176,   177,   180,   182,   185,   187,   191,
     194,   195,   199,   199,   202,   202,    43,    45,    54,    56,
      58,    62,    63,    64,    65,    66,    67,    68,    69,    75,
      81,    87,    88,    92,    99,   100,   103,   105,   123,   124,
     128,   134,   136,   139,   141,   145,   146,   147,   151,   157,
     167,   169,   173,   174,   175,   179,    56,    58,    65,    66,
      67,    68,    69,    70,    78,    82,    87,    92,    95,    98,
     103,   107,   115,   116,   119,   121,   124,   124,   137,   138,
     142,   147,   148,   149,   150,   151,   152,   153,   153,   158,
     167,   180,   180,   183,   192,   194,   197,   199,   203,   203,
      31,    34,    35,    36,    39,    40,    41,    43,    44,    45,
      46,    47,    48,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    63,    64,    65,    66,    67,    68,    70,
      71,    72,    73,    74,    76,    77,    78,    79,    80,    82,
      83,    32,    34,    36,    38,    45,    46,    49,    51,    55,
      65,    66,    67,    75,    85,    86,    90,    91,    95,    96,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   112,
     115,   116,   126,   128,   134,   134,   136,   144,   146,   149,
     152,   153,   154,   155,   163,   163,   166,   166,   173,   173,
     176,   176,   179,   179,   182,   182,   185,   185,   190,   190,
     195,   196,   200,   201,   202,    43,    45,    50,    51,    54,
      55,    59,    60,    65,    66,    70,    71,    72,    73,    77,
      84,    85,    96,    98,   101,   102,   105,   106,   107,   114,
     121,   124,   126,   129,   131,   135,   138,   139
};
#endif

/** Accessing symbol of state STATE.  */
#define YY_ACCESSING_SYMBOL(State) YY_CAST (yysymbol_kind_t, yystos[State])

#if 1
/* The user-facing name of the symbol whose (internal) number is
   YYSYMBOL.  No bounds checking.  */
static const char *yysymbol_name (yysymbol_kind_t yysymbol) YY_ATTRIBUTE_UNUSED;

/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "\"end of file\"", "error", "\"invalid token\"", "QUIT", "EXIT", "HELP",
  "END", "CLI_MARKER", "INVALID_TOKEN", "ELSECOL", "DDOT", "GEQ", "LEQ",
  "NEQ", "AND", "OR", "IMP", "PO", "PC", "NUM", "ENUM_TOKEN", "IP4", "IP6",
  "VPN_RD", "CF_SYM_KNOWN", "CF_SYM_UNDEFINED", "CF_SYM_METHOD_BARE",
  "CF_SYM_METHOD_ARGS", "TEXT", "BYTETEXT", "PREFIX_DUMMY", "'='", "'<'",
  "'>'", "'~'", "NMA", "'+'", "'-'", "'*'", "'/'", "'%'", "'!'", "'.'",
  "DEFINE", "ON", "OFF", "YES", "NO", "S", "MS", "US", "PORT", "VPN",
  "MPLS", "FROM", "MAX", "AS", "';'", "'('", "')'", "FLOW4", "FLOW6",
  "DST", "SRC", "PROTO", "NEXT", "HEADER", "DPORT", "SPORT", "ICMP",
  "TYPE", "CODE", "TCP", "FLAGS", "LENGTH", "DSCP", "DONT_FRAGMENT",
  "IS_FRAGMENT", "FIRST_FRAGMENT", "LAST_FRAGMENT", "FRAGMENT", "LABEL",
  "OFFSET", "','", "'{'", "'}'", "IN", "FUNCTION", "PRINT", "PRINTN",
  "UNSET", "RETURN", "ACCEPT", "REJECT", "ERROR", "INT", "BOOL", "IP",
  "PREFIX", "RD", "PAIR", "QUAD", "EC", "LC", "ENUM", "SET", "STRING",
  "BYTESTRING", "BGPMASK", "BGPPATH", "CLIST", "ECLIST", "LCLIST", "IF",
  "THEN", "ELSE", "CASE", "FOR", "DO", "TRUE", "FALSE", "RT", "RO",
  "UNKNOWN", "GENERIC", "GW", "NET", "SOURCE", "SCOPE", "DEST", "IFNAME",
  "IFINDEX", "WEIGHT", "GW_MPLS", "GW_MPLS_STACK", "ONLINK", "PREFERENCE",
  "ROA_CHECK", "ASPA_CHECK", "DEFINED", "ADD", "DELETE", "RESET",
  "PREPEND", "EMPTY", "FILTER", "WHERE", "EVAL", "ATTRIBUTE", "FROM_HEX",
  "BT_ASSERT", "BT_TEST_SUITE", "BT_CHECK_ASSIGN", "BT_TEST_SAME",
  "FORMAT", "':'", "'['", "']'", "'?'", "ROUTER", "ID", "HOSTNAME",
  "PROTOCOL", "TEMPLATE", "DISABLED", "DEBUG", "ALL", "DIRECT",
  "INTERFACE", "IMPORT", "EXPORT", "NONE", "VRF", "DEFAULT", "TABLE",
  "TABLES", "STATES", "ROUTES", "FILTERS", "IPV4", "IPV6", "VPN4", "VPN6",
  "ROA4", "ROA6", "SADR", "ASPA", "RECEIVE", "LIMIT", "ACTION", "WARN",
  "BLOCK", "RESTART", "DISABLE", "KEEP", "FILTERED", "RPKI", "PASSWORD",
  "KEY", "PASSIVE", "TO", "EVENTS", "PACKETS", "PROTOCOLS", "CHANNELS",
  "INTERFACES", "ALGORITHM", "KEYED", "HMAC", "MD5", "SHA1", "SHA256",
  "SHA384", "SHA512", "BLAKE2S128", "BLAKE2S256", "BLAKE2B256",
  "BLAKE2B512", "PRIMARY", "STATS", "COUNT", "COMMANDS", "PREEXPORT",
  "NOEXPORT", "EXPORTED", "GENERATE", "BGP", "PASSWORDS", "DESCRIPTION",
  "RELOAD", "OUT", "MRTDUMP", "MESSAGES", "RESTRICT", "MEMORY",
  "IGP_METRIC", "CLASS", "TIMEFORMAT", "ISO", "SHORT", "LONG", "ROUTE",
  "BASE", "LOG", "GRACEFUL", "WAIT", "CHECK", "LINK", "SORTED", "TRIE",
  "MIN", "SETTLE", "TIME", "GC", "THRESHOLD", "PERIOD", "MPLS_LABEL",
  "MPLS_POLICY", "MPLS_CLASS", "ASPA_PROVIDERS", "IPV4_MC", "IPV4_MPLS",
  "IPV6_MC", "IPV6_MPLS", "IPV6_SADR", "VPN4_MC", "VPN4_MPLS", "VPN6_MC",
  "VPN6_MPLS", "PRI", "SEC", "NET_TYPE", "RTS", "RTD", "ROA", "AF", "SHOW",
  "STATUS", "SUMMARY", "SYMBOLS", "DUMP", "RESOURCES", "SOCKETS",
  "NEIGHBORS", "ATTRIBUTES", "ECHO", "ENABLE", "DOMAIN", "RANGE", "STATIC",
  "DYNAMIC", "START", "POLICY", "AGGREGATE", "RANGES", "AGGREGATOR",
  "PEER", "MERGE", "BY", "BABEL", "METRIC", "RXCOST", "HELLO", "UPDATE",
  "WIRED", "WIRELESS", "BUFFER", "PRIORITY", "HOP", "BABEL_METRIC",
  "ENTRIES", "RANDOMIZE", "MAC", "PERMISSIVE", "EXTENDED", "TUNNEL", "RTT",
  "DECAY", "SEND", "TIMESTAMPS", "COST", "DELAY", "BFD", "IDLE", "RX",
  "TX", "INTERVAL", "MULTIPLIER", "MULTIHOP", "NEIGHBOR", "DEV", "LOCAL",
  "AUTHENTICATION", "SIMPLE", "METICULOUS", "STRICT", "BIND", "ZERO",
  "UDP6", "CHECKSUM", "SESSIONS", "HOLD", "CONNECT", "RETRY", "KEEPALIVE",
  "STARTUP", "VIA", "SELF", "PATH", "FORGET", "AFTER", "BGP_PATH",
  "BGP_LOCAL_PREF", "BGP_MED", "BGP_ORIGIN", "BGP_NEXT_HOP",
  "BGP_ATOMIC_AGGR", "BGP_AGGREGATOR", "BGP_COMMUNITY",
  "BGP_EXT_COMMUNITY", "BGP_LARGE_COMMUNITY", "ADDRESS", "RR", "RS",
  "CLIENT", "CLUSTER", "AS4", "ADVERTISE", "CAPABILITIES", "PREFER",
  "OLDER", "MISSING", "LLADDR", "DROP", "IGNORE", "ENHANCED", "REFRESH",
  "INTERPRET", "COMMUNITIES", "BGP_ORIGINATOR_ID", "BGP_CLUSTER_LIST",
  "IGP", "GATEWAY", "RECURSIVE", "MED", "TTL", "SECURITY", "DETERMINISTIC",
  "SECONDARY", "ALLOW", "PATHS", "AWARE", "SETKEY", "CONFEDERATION",
  "MEMBER", "MULTICAST", "LIVED", "STALE", "IBGP", "EBGP", "MANDATORY",
  "INTERNAL", "EXTERNAL", "SETS", "NAME", "DIGITS", "BGP_AIGP", "AIGP",
  "ORIGINATE", "ENFORCE", "FIRST", "FREE", "VALIDATE", "ROLE", "ROLES",
  "PROVIDER", "CUSTOMER", "RS_SERVER", "RS_CLIENT", "REQUIRE", "BGP_OTC",
  "GLOBAL", "CEASE", "HIT", "ADMINISTRATIVE", "SHUTDOWN", "CONFIGURATION",
  "CHANGE", "DECONFIGURED", "CONNECTION", "REJECTED", "COLLISION", "OF",
  "ASPA_CHECK_UPSTREAM", "ASPA_CHECK_DOWNSTREAM", "L3VPN", "TARGET",
  "DISTINGUISHER", "MRT", "FILENAME", "ALWAYS", "V2", "V3", "OSPF",
  "OSPF_METRIC1", "OSPF_METRIC2", "OSPF_TAG", "OSPF_ROUTER_ID", "AREA",
  "RFC1583COMPAT", "STUB", "TICK", "COST2", "RETRANSMIT", "TRANSMIT",
  "DEAD", "BROADCAST", "BCAST", "NONBROADCAST", "NBMA", "POINTOPOINT",
  "PTP", "POINTOMULTIPOINT", "PTMP", "CRYPTOGRAPHIC", "ELIGIBLE", "POLL",
  "NETWORKS", "HIDDEN", "VIRTUAL", "ONLY", "LARGE", "NORMAL", "STUBNET",
  "TAG", "LSADB", "ECMP", "NSSA", "TRANSLATOR", "STABILITY", "LSID",
  "INSTANCE", "REAL", "NETMASK", "LSA", "SUPPRESSION", "RFC5838", "PE",
  "TOPOLOGY", "STATE", "PERF", "EXP", "REPEAT", "MODE", "PIPE", "RADV",
  "RA", "SOLICITED", "UNICAST", "MANAGED", "OTHER", "CONFIG", "LINGER",
  "MTU", "REACHABLE", "RETRANS", "TIMER", "CURRENT", "VALID", "PREFERRED",
  "MULT", "LIFETIME", "SKIP", "AUTONOMOUS", "RDNSS", "DNSSL", "NS",
  "TRIGGER", "SENSITIVE", "LOW", "MEDIUM", "HIGH", "PROPAGATE",
  "RA_PREFERENCE", "RA_LIFETIME", "CUSTOM", "OPTION", "VALUE", "NG", "RIP",
  "INFINITY", "TIMEOUT", "GARBAGE", "VERSION", "SPLIT", "HORIZON",
  "POISON", "REVERSE", "PLAINTEXT", "DEMAND", "CIRCUIT", "RIP_METRIC",
  "RIP_TAG", "REMOTE", "BIRD", "PRIVATE", "PUBLIC", "SSH", "TRANSPORT",
  "USER", "EXPIRE", "PROHIBIT", "BLACKHOLE", "UNREACHABLE", "TRANSIT",
  "PROVIDERS", "KERNEL", "NETLINK", "KRT_PREFSRC", "KRT_REALM",
  "KRT_SCOPE", "KRT_MTU", "KRT_WINDOW", "KRT_RTT", "KRT_RTTVAR",
  "KRT_SSTHRESH", "KRT_CWND", "KRT_ADVMSS", "KRT_REORDERING",
  "KRT_HOPLIMIT", "KRT_INITCWND", "KRT_RTO_MIN", "KRT_INITRWND",
  "KRT_QUICKACK", "KRT_CONGCTL", "KRT_FASTOPEN_NO_COOKIE", "KRT_LOCK_MTU",
  "KRT_LOCK_WINDOW", "KRT_LOCK_RTT", "KRT_LOCK_RTTVAR",
  "KRT_LOCK_SSTHRESH", "KRT_LOCK_CWND", "KRT_LOCK_ADVMSS",
  "KRT_LOCK_REORDERING", "KRT_LOCK_HOPLIMIT", "KRT_LOCK_INITCWND",
  "KRT_LOCK_RTO_MIN", "KRT_LOCK_INITRWND", "KRT_LOCK_QUICKACK",
  "KRT_LOCK_CONGCTL", "KRT_LOCK_FASTOPEN_NO_COOKIE", "KRT_FEATURE_ECN",
  "KRT_FEATURE_ALLFRAG", "KRT_SSTRESH", "KRT_LOCK_SSTRESH", "SYSLOG",
  "STDERR", "UDP", "CLI", "TRACE", "INFO", "WARNING", "AUTH", "FATAL",
  "BUG", "LATENCY", "WATCHDOG", "THREADS", "CONFIGURE", "SOFT", "CONFIRM",
  "UNDO", "DOWN", "PERSIST", "SCAN", "LEARN", "DEVICE", "KRT_SOURCE",
  "KRT_METRIC", "$accept", "cli_cmd", "cmd_QUIT", "cmd_EXIT", "cmd_HELP",
  "config", "conf_entries", "conf", "definition", "expr", "expr_us",
  "symbol", "symbol_known", "bool", "ipa", "ipa_scope", "pxlen4",
  "net_ip4_", "net_ip6_", "net_ip6_sadr_", "net_vpn4_", "net_vpn6_",
  "net_roa4_", "net_roa6_", "net_mpls_", "net_aspa_", "net_ip_",
  "net_vpn_", "net_roa_", "net_", "net_ip4", "net_ip6", "net_ip",
  "net_any", "net_or_ipa", "label_stack_start", "label_stack", "time",
  "text", "opttext", "text_or_ipa", "bytestring", "bytestring_text",
  "bytestring_expr", "flow_num_op", "flow_logic_op", "flow_num_type_",
  "flow_num_type", "flow_flag_type", "flow_frag_type", "flow_srcdst",
  "flow_num_opts", "flow_num_opt_ext_expr", "flow_num_opt_ext",
  "flow_bmk_opts", "flow_neg", "flow_frag_val", "flow_frag_opts",
  "flow4_item", "flow6_item", "flow4_opts", "flow6_opts",
  "flow_builder_init", "flow_builder_set_ipv4", "flow_builder_set_ipv6",
  "net_flow4_", "net_flow6_", "net_flow_", "KEYWORD", "enum_type",
  "filter_def", "$@1", "filter_eval", "custom_attr", "bt_test_suite",
  "bt_test_same", "type", "function_argsn", "function_args",
  "function_vars", "function_type", "filter_body", "filter", "$@2",
  "where_filter", "function_body", "function_def", "$@3", "$@4", "cmds",
  "cmds_scoped", "$@5", "cmd_var", "cmd_prep", "cmds_int", "fipa",
  "set_atom0", "set_atom", "switch_atom", "cnum", "pair_item", "ec_kind",
  "ec_item", "lc_item", "set_item", "switch_item", "ec_items", "set_items",
  "switch_items", "fprefix", "fprefix_set", "switch_body", "bgp_path_expr",
  "bgp_path", "bgp_path_tail", "constant", "constructor", "var_list_r",
  "var_list", "function_call", "symbol_value", "static_attr",
  "term_dot_method", "$@6", "method_name_cont", "$@7", "term", "term_bs",
  "break_command", "var", "for_var", "cmd", "$@8", "$@9", "$@10", "$@11",
  "get_cf_position", "lvalue", "rtrid", "idval", "hostname_override",
  "gr_opts", "net_type_base", "net_type", "table", "table_start",
  "table_sorted", "table_opt", "table_opts", "table_opt_list",
  "proto_start", "proto_name", "proto_item", "channel_start",
  "channel_item_", "channel_item", "channel_opts", "channel_opt_list",
  "channel_end", "proto_channel", "rtable", "imexport", "limit_action",
  "limit_spec", "debug_default", "timeformat_base", "timeformat_which",
  "timeformat_spec", "iface_patt_node_init", "iface_patt_node_body",
  "iface_negate", "iface_patt_node", "iface_patt_list",
  "iface_patt_list_nopx", "iface_patt_init", "iface_patt", "tos", "proto",
  "dev_proto_start", "dev_proto", "dev_iface_init", "dev_iface_patt",
  "debug_mask", "debug_list", "debug_flag", "mrtdump_mask", "mrtdump_list",
  "mrtdump_flag", "password_list", "password_list_body", "password_items",
  "password_item", "pass_key", "password_item_begin",
  "password_item_params", "password_algorithm", "password_item_end",
  "bfd_opts", "cmd_SHOW_STATUS", "cmd_SHOW_MEMORY", "cmd_SHOW_PROTOCOLS",
  "cmd_SHOW_PROTOCOLS_ALL", "optproto", "cmd_SHOW_INTERFACES",
  "cmd_SHOW_INTERFACES_SUMMARY", "cmd_SHOW_ROUTE", "r_args", "r_args_for",
  "r_args_for_val", "export_mode", "channel_sym", "channel_arg",
  "cmd_SHOW_SYMBOLS", "sym_args", "cmd_DUMP_RESOURCES", "cmd_DUMP_SOCKETS",
  "cmd_DUMP_EVENTS", "cmd_DUMP_INTERFACES", "cmd_DUMP_NEIGHBORS",
  "cmd_DUMP_ATTRIBUTES", "cmd_DUMP_ROUTES", "cmd_DUMP_PROTOCOLS",
  "cmd_DUMP_FILTER_ALL", "cmd_EVAL", "cmd_ECHO", "echo_mask", "echo_size",
  "cmd_DISABLE", "cmd_ENABLE", "cmd_RESTART", "cmd_RELOAD",
  "cmd_RELOAD_IN", "cmd_RELOAD_OUT", "cmd_DEBUG", "debug_args",
  "cmd_MRTDUMP", "cmd_RESTRICT", "cmd_TIMEFORMAT", "proto_patt",
  "proto_patt2", "dynamic_attr", "mpls_domain", "mpls_domain_start",
  "mpls_domain_opt", "mpls_domain_opts", "mpls_domain_opt_list",
  "mpls_domain_end", "mpls_range", "mpls_range_start", "mpls_range_opt",
  "mpls_range_opts", "mpls_range_opt_list", "mpls_range_end",
  "mpls_channel", "mpls_channel_start", "mpls_label_policy",
  "mpls_channel_opt", "mpls_channel_opts", "mpls_channel_opt_list",
  "mpls_channel_end", "$@12", "show_mpls_ranges_args",
  "cmd_SHOW_MPLS_RANGES", "aggregator_proto_start",
  "aggregator_proto_item", "$@13", "aggregator_proto_opts",
  "aggregator_proto", "aggr_list", "aggr_item", "babel_proto_start",
  "babel_proto_item", "babel_proto_opts", "babel_proto",
  "babel_iface_start", "babel_iface_finish", "babel_iface_item",
  "babel_iface_opts", "babel_iface_opt_list", "babel_iface",
  "cmd_SHOW_BABEL_INTERFACES", "cmd_SHOW_BABEL_NEIGHBORS",
  "cmd_SHOW_BABEL_ENTRIES", "cmd_SHOW_BABEL_ROUTES", "bfd_proto_start",
  "bfd_proto_item", "bfd_proto_opts", "bfd_proto", "bfd_accept_item",
  "bfd_accept", "bfd_iface_start", "bfd_iface_finish", "bfd_iface_item",
  "bfd_auth_type", "bfd_iface_opts", "bfd_iface_opt_list", "bfd_iface",
  "bfd_multihop", "bfd_neigh_iface", "bfd_neigh_local",
  "bfd_neigh_multihop", "bfd_neighbor", "bfd_item", "bfd_items",
  "bfd_opts_start", "bfd_opts_end", "cmd_SHOW_BFD_SESSIONS",
  "bfd_show_sessions_args", "bgp_proto_start", "bgp_loc_opts",
  "bgp_nbr_opts", "bgp_cease_mask", "bgp_cease_list", "bgp_cease_flag",
  "bgp_role_name", "bgp_proto", "$@14", "$@15", "bgp_afi",
  "bgp_channel_start", "bgp_nh", "bgp_lladdr", "bgp_channel_item",
  "bgp_channel_opts", "bgp_channel_opt_list", "bgp_channel_end",
  "bgp_proto_channel", "l3vpn_channel_start", "l3vpn_channel",
  "l3vpn_proto_start", "l3vpn_proto_item", "l3vpn_proto_opts",
  "l3vpn_proto", "l3vpn_targets", "mrt_proto_start", "mrt_proto_item",
  "mrt_proto_opts", "mrt_proto", "cmd_MRT_DUMP", "mrt_dump_args",
  "ospf_variant", "ospf_proto_start", "ospf_proto", "ospf_af_mc",
  "ospf_channel_start", "ospf_channel", "ospf_proto_item",
  "ospf_area_start", "ospf_area", "ospf_area_opts", "ospf_area_item",
  "$@16", "$@17", "ospf_stubnet", "ospf_stubnet_start",
  "ospf_stubnet_opts", "ospf_stubnet_item", "ospf_vlink",
  "ospf_vlink_opts", "ospf_vlink_item", "ospf_vlink_start",
  "ospf_iface_item", "pref_list", "pref_item", "pref_base", "pref_opt",
  "nbma_list", "nbma_eligible", "nbma_item", "ospf_iface_start",
  "ospf_instance_id", "ospf_iface_patt_list", "$@18", "ospf_iface_opts",
  "ospf_iface_opt_list", "ospf_iface", "cmd_SHOW_OSPF",
  "cmd_SHOW_OSPF_NEIGHBORS", "cmd_SHOW_OSPF_INTERFACE",
  "cmd_SHOW_OSPF_TOPOLOGY", "cmd_SHOW_OSPF_TOPOLOGY_ALL",
  "cmd_SHOW_OSPF_STATE", "cmd_SHOW_OSPF_STATE_ALL", "cmd_SHOW_OSPF_LSADB",
  "lsadb_args", "perf_proto_start", "perf_proto", "perf_proto_item",
  "pipe_proto_start", "$@19", "pipe_proto", "radv_proto_start",
  "radv_proto_item", "$@20", "$@21", "radv_proto_opts", "radv_proto",
  "radv_iface_start", "radv_iface_item", "$@22", "$@23", "radv_preference",
  "radv_iface_finish", "radv_iface_opts", "radv_iface_opt_list",
  "radv_iface", "radv_prefix_start", "radv_prefix_item",
  "radv_prefix_finish", "radv_prefix_opts", "radv_prefix_opt_list",
  "radv_prefix", "radv_rdnss_node", "radv_rdnss_start", "radv_rdnss_item",
  "radv_rdnss_finish", "radv_rdnss_opts", "radv_rdnss", "radv_dnssl_node",
  "radv_dnssl_start", "radv_dnssl_item", "radv_dnssl_finish",
  "radv_dnssl_opts", "radv_dnssl", "radv_mult", "radv_sensitive",
  "rip_variant", "rip_proto_start", "rip_proto_item", "rip_proto_opts",
  "rip_proto", "rip_iface_start", "rip_iface_finish", "rip_iface_item",
  "rip_auth", "rip_iface_opts", "rip_iface_opt_list", "rip_iface",
  "cmd_SHOW_RIP_INTERFACES", "cmd_SHOW_RIP_NEIGHBORS", "rpki_proto_start",
  "rpki_proto", "rpki_proto_opts", "rpki_proto_item", "rpki_keep_interval",
  "rpki_proto_item_port", "rpki_cache_addr", "rpki_transport",
  "rpki_transport_tcp_init", "rpki_transport_tcp_opts_list",
  "rpki_transport_tcp_opts", "rpki_transport_tcp_item",
  "rpki_transport_tcp_check", "rpki_transport_ssh_init",
  "rpki_transport_ssh_opts", "rpki_transport_ssh_item",
  "rpki_transport_ssh_check", "static_proto_start", "static_proto",
  "stat_nexthop", "stat_nexthops", "stat_mpls", "stat_route0", "$@24",
  "stat_route", "$@25", "stat_aspa_provider", "stat_aspa_providers",
  "stat_route_item", "stat_route_opts", "stat_route_opt_list",
  "cmd_SHOW_STATIC", "kern_proto", "kern_sys_item", "log_begin",
  "log_config", "syslog_name", "log_limit", "log_file", "log_udp_host",
  "log_udp_port", "log_mask", "log_mask_list", "log_cat", "mrtdump_base",
  "cli", "cli_opts", "cli_opts_begin", "cli_opts_block", "debug_unix",
  "cmd_CONFIGURE", "cmd_CONFIGURE_SOFT", "cmd_CONFIGURE_CONFIRM",
  "cmd_CONFIGURE_UNDO", "cmd_CONFIGURE_STATUS", "cmd_CONFIGURE_CHECK",
  "cmd_DOWN", "cmd_GRACEFUL_RESTART", "cfg_name", "cfg_timeout",
  "kern_proto_start", "kern_learn", "kern_mp_limit", "kern_channel",
  "kern_item", "kif_proto_start", "kif_proto", "kif_item",
  "kif_iface_start", "kif_iface_item", "kif_iface_opts",
  "kif_iface_opt_list", "kif_iface", YY_NULLPTR
};

static const char *
yysymbol_name (yysymbol_kind_t yysymbol)
{
  return yytname[yysymbol];
}
#endif

#define YYPACT_NINF (-3248)

#define yypact_value_is_default(Yyn) \
  ((Yyn) == YYPACT_NINF)

#define YYTABLE_NINF (-1583)

#define yytable_value_is_error(Yyn) \
  ((Yyn) == YYTABLE_NINF)

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
static const yytype_int16 yypact[] =
{
     241,    66,   281,   139,   321,   423,   430,  9240,   248,   353,
     353,   192,   353,   464,   167,   337,   138,  1338,   663,   353,
     300,    14,   592, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,  5586,   383, -3248, -3248, -3248,  5586,
    5586,  9240,  2308,   582,   649,   677,   645, -3248, -3248,   -49,
   -3248,   531, -3248, -3248, -3248, -3248, -3248,   177,   644, -3248,
     552,   645,  -319,   875, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248,   676, -3248,   622,  1113,
   -3248, -3248, -3248,  6202,  3496, -3248,   778,  6202, -3248,  6202,
   -3248,  6202, -3248,  6202,  4857,  6202, -3248,  6202, -3248,  6202,
    1416,  6202,  1860,   795,  1502,  6202, -3248,  6202, -3248,  6202,
   -3248,  6202,  2018,   420, -3248, -3248, -3248, -3248,  6202,  6202,
     -21, -3248, -3248, -3248,  1107, -3248, -3248,   913,   943,  1199,
   -3248, -3248, -3248,   766,   240,  9240,   973, -3248,  4308,   942,
     953, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248,   995,  1020,  1030,  1055,
    1060,  1069,  1096,  1109,  1119,  1150,  1162, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1129,  1143, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248,  1149,  1201,  1206, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  4376, -3248, -3248,  1194, -3248, -3248,   812,  1271,   812,
   -3248,  1264,  1264,   353,   353,  1290,   843, -3248,   875,   703,
    1293,  1296,  1014,   500,   126,  1305, -3248,  1316, -3248,  1306,
     748,   997,    50,   278,  1175,   645,   645,   645,   645,   645,
     645,   645,   645, -3248,   -13, -3248,  1331,  1264, -3248, -3248,
    1343,  1348,  1343,  1377,  1394,   872, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1383,
   -3248,  5586, -3248, -3248,  5538, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,   -22, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248,   875, -3248,  6818,  1401,  1401,  1426, -3248, -3248,
    1410,   812,   812,   812,   875,  1225, -3248,   843,  1424, -3248,
   -3248, -3248, -3248,   167,    48,  1228, -3248,   875,   875, -3248,
    9240,  1432, -3248,  5586, -3248,  1434, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248,   950, -3248, -3248, -3248,   993,
   -3248, -3248, -3248, -3248,  1504,  1488,  1463, -3248,  1406,  1989,
     812, -3248,   261,   645,   843,  1327, -3248,  1511,  1517,  1519,
    1529, -3248, -3248,  1527,  1534,  1559,  1570, -3248,   481, -3248,
   -3248, -3248,   148,  1307,  1613,  1647,  1043,    37,    47,    76,
      96,   492,   645,  1989,  1284,  1503,  1452,   803,   599,  1301,
    1419,  1397,  1038,  1231,   155,   103,  1413,  1501,   537,  1505,
    1414,  1459,  1064,  1404,  1608,  1989,  1407,  1398,  1478,  1483,
    1396,  1400,   330,  1989,    70,  1378,  1453,   680,  1733,  1735,
    1712, -3248,  1715,  1743,  1717,  1718,  1720,  1320, -3248, -3248,
    1616,  1408,   965,  1989,  1652,   875,  1989,  1653,  1989,  1420,
   -3248,  1517, -3248,  1759,  1740, -3248,  1745, -3248,  1989,   110,
    1808,   149,  1811,  1340,  1774, -3248,  1775, -3248, -3248,   875,
    1326,  1294,  1812,  1654,  1611,  1687,  1805,  1814,  1785,  1788,
    1789,  1793, -3248,  1325,  1631,  1705,  1829,  1831,  1836,    23,
    1810, -3248,  1697,  1510,   875,  1727,  1581,  1989,  1655,  1240,
   -3248, -3248, -3248,  1861, -3248,  1862,  1841,  1842, -3248, -3248,
    1675, -3248,  1871,  1243,  1107,  1107,  9240,  1723,  1107, -3248,
    1107,  1912, -3248,  1913, -3248,  1914,   913,  1895, -3248, -3248,
    1899,   243,  1901,  1898, -3248, -3248, -3248,  1924, -3248,  1864,
    3485, -3248, -3248,  1812,  1812,  9240,  9240,  9240,  9240,  9240,
    9240,  9240, -3248, -3248,  1895, -3248,  3569, -3248, -3248, -3248,
   -3248,   572, -3248, -3248,  1938, -3248, -3248, -3248, -3248,   196,
   -3248,   475, -3248,  1812,  1812,  9240,  1931,  1932, -3248,  9240,
    9240,  9240,  9240,  9240,  9240,  9240,  9240,  9240,  9240,  9240,
    9240,  9240,  9240, -3248,  2482, -3248,  1256, -3248, -3248, -3248,
   -3248, -3248,  1947,  1948,  1949,  1951, -3248, -3248,    97, -3248,
    1952,  1933,  1482,  1509, -3248, -3248, -3248, -3248, -3248,   867,
    1956, -3248,  1957, -3248,  2773, -3248,  1158, -3248,  1958,  1306,
    1306,  1306,  1306, -3248,  1306,  1306, -3248,   182,   242,  1959,
    1306,  1306,   645,  1960,  1961,  1963,  1965,  1966,  1968,  1969,
    1970, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
     232, -3248, -3248,  1972,  1973,   163,  1975, -3248,   872, -3248,
   -3248,   875,  1976,  9240, -3248,  1927, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  2626,   962,
    1934,  1907,  1922, -3248, -3248, -3248, -3248,  9240,  1939, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   875, -3248,
   -3248,  1940, -3248,  1953,  1617, -3248,  1657,   875,   146,   875,
   -3248,   366,  1265, -3248, -3248,  4159, -3248, -3248, -3248, -3248,
   -3248, -3248,  6202, -3248, -3248,  1996, -3248,   965, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248,  1989, -3248, -3248, -3248, -3248,
   -3248,   918, -3248, -3248, -3248, -3248, -3248,  1626,  1834,  1796,
    1797,  1174, -3248,  1980,   875,   875, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,  1989,    16,  1988,  1993,   -59,   407,
    1989,  1661,  1866,  1807,  1809,  1684,  1835,  1989,  1822,    93,
    1818,  1820,  2007,  2016,  1991, -3248,  2019, -3248, -3248, -3248,
    1216,  2037,   132,   972,  2037,  1058,  1989,   875,  1828,  1830,
     875,  1833,  1989,  1989,  1923,  1989,  1989,  2027,  1989,  1989,
    1989,  1989,  1989,  1989,  1686,  2031,  1989,  1989,  2041,  1989,
    2047,  2049,  1989,  1989,  1710,  1734,  1919,  1880,  1989,  1874,
    1989, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  1989,   411,  1989, -3248, -3248,  1989, -3248,  1928,   875,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   875,   875,
   -3248,  2098,  2101, -3248, -3248, -3248, -3248, -3248, -3248,  1401,
    9240, -3248, -3248,  1286,  1937, -3248, -3248,  1286, -3248, -3248,
   -3248,  1286,  1989,  1812, -3248, -3248, -3248, -3248, -3248, -3248,
     943,  1199, -3248, -3248, -3248,  1989,  1812, -3248, -3248, -3248,
   -3248,  1269, -3248,  1174, -3248, -3248, -3248, -3248, -3248,   514,
    1780, -3248,  2070,  1989,  1989, -3248,   875,  1837, -3248,   875,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   875,
   -3248,  2109, -3248, -3248, -3248,  4200, -3248, -3248,  1107,   522,
   -3248, -3248, -3248, -3248,  2080,  2116, -3248,  1998,  2110, -3248,
   -3248,  9240, -3248,  9240, -3248, -3248,   164,  2063,  4232,  3737,
    3779,  3832,  3921,  4264,  4342,  2065,   184,  2069,  4464, -3248,
   -3248,  2135,  1891,  2073, -3248,  1199, -3248,  2096,  2100,  2074,
    2103,  5538,  2104,  2107,  2590,  2590,  2590,  2918,  2918,  2590,
    2590,  2590,  2590,  2590,   761,   761,  1898,  1898, 11421, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248,   643, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248,  1369, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248,   203,  2159, -3248, -3248, -3248,  1325,  1593,
    1401,  1401, -3248,  1992,  1994,   247, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248,  2145, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,  1264,  1264,  1264,  1264,   651,  1264,
    1264,   147,  1306,  1264,  1306,  1264, -3248,  1264,  1264,  2165,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   -13, -3248,
   -3248, -3248, -3248,  1401,  1048,   645, -3248, -3248,  2166, -3248,
   -3248,  4804,  2114,  2164,  2280, -3248, -3248,  6818, -3248,   645,
    1401, -3248,  2118,  4541, -3248, -3248, -3248, -3248,   645, -3248,
   -3248, -3248, -3248, -3248,  9240, -3248,  2133,   645, -3248,   -13,
   -3248,  2128,  2130, -3248, -3248, -3248, -3248, -3248, -3248,   871,
   -3248, -3248, -3248,  2151, -3248,  2108,  2136,  1971, -3248,  1904,
   -3248,  2137, -3248,  2111,  1772,  1469,  1045,  1806,  1962,   875,
     875,  2148, -3248,  2155,  2158,  2160,  1989,  1690, -3248, -3248,
    2034,  1977,   875,  2170,  2175,  2176,  1838,  1982,   875,   875,
    1989,  1989,  2181,  1867,   875,  2183,   875,   875, -3248, -3248,
    2234, -3248, -3248, -3248, -3248, -3248,  5586, -3248,   875,   875,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  2187, -3248,
     875,   875, -3248,  2188,  2191,   875,   875,  2193,   875,  2195,
    2196,   965,  2197,  2198, -3248,  2199,  2200,  2201,  2204,  2205,
    2206,  1989,  1353,  2208,  2220, -3248,  2228, -3248,  1989,  2230,
    2231,  2045,  1989,  1989,  1989,  2235,  1915,  2236,  1257, -3248,
   -3248,  2515, -3248,  3126,   700, -3248,   875, -3248, -3248, -3248,
   -3248,   875, -3248, -3248,   620, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248,  5538, -3248,  2117, -3248,  1989, -3248, -3248, -3248,
    2246,  1381,   512,   969,  2257,  2254,  2255, -3248,  2037,  2260,
    2295,  2297,   875,  1989,  1989,  2289,   514,  9968, -3248, -3248,
    2131, -3248,   875, -3248,  2108,  2237, -3248,  1107, -3248, -3248,
    1107,  2296, -3248,  2285,  2286,  3959,  3725, -3248, -3248, -3248,
    9240,  9240, -3248,  9240,  9240,  9240,  9240, -3248, -3248,  7420,
    9240,  7784,  9240, -3248,  2242,  9240, -3248, -3248, -3248, -3248,
   -3248,  9240, -3248,  2307,  2309, -3248, -3248, -3248, -3248, -3248,
    1256, -3248,    97, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
     913,   482,  1561, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248,  2303,  2303, -3248, -3248,  1194, -3248, -3248,
    2323,  2325,  2326,  2327, -3248, -3248, -3248, -3248,   645, -3248,
   -3248, -3248,   645,  1549,  2328,  2329, -3248, -3248,  2318,   965,
   -3248, -3248, -3248,   965,   965,  1264,  2333,  1264,  2334,  2339,
    2340, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    2626,  2626, -3248,  9604,  6818,  2290,  2291,  2271,  2108, -3248,
   -3248, -3248,  4590,  2336, -3248, -3248,  1379, -3248, -3248,   185,
    2106, -3248,   812,  1989,  1989,  2119,  1339,  2302, -3248,  2332,
   -3248, -3248, -3248,   812, -3248,  2304,  5586, -3248, -3248, -3248,
   -3248,  2321,  2194,  2064, -3248, -3248,  2310, -3248, -3248,  2210,
   -3248, -3248,  2315, -3248, -3248, -3248, -3248,  1174,  2038,  2055,
   -3248,  2337,  2146,   875,  2314,  2343, -3248, -3248, -3248, -3248,
    2344,   236, -3248,  2345,   777,   875,  2364, -3248, -3248, -3248,
    2171,   875,  2365,  2367,  2369,  2371, -3248,  1989,  2372, -3248,
    2373,  2374,  2300, -3248,  2380,   181, -3248,   218, -3248, -3248,
   -3248,  1392, -3248, -3248, -3248, -3248,  2381,  2382, -3248,  2383,
   -3248, -3248,  2384, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  2385, -3248,  2386, -3248, -3248, -3248,  2388, -3248, -3248,
    2256,  2389,  2390,  2395, -3248,  1989, -3248,   811, -3248,  1401,
   -3248,  2396, -3248,  2214,  2147, -3248,  2066,  1210,  1439,  2061,
    2284,  2267,  2222,  2398,   875,  2088,  2292,    17,  1989,  1989,
     210,  1989,    26, -3248,  2407, -3248,  2442,  2032,  2033,  1187,
   -3248, -3248, -3248,  1517, -3248,  2410, -3248,  1401,  1138,   875,
     645,  2335, -3248, -3248,  2415, -3248, -3248, -3248, -3248,  -122,
    1989, -3248,   809, -3248,  2226,  1216, -3248,   115,  2417, -3248,
    1997, -3248,  1472, -3248, -3248, -3248, -3248,  1471, -3248, -3248,
   -3248,  1471,  2305,  1954, -3248, -3248,  2424, -3248, -3248,  1989,
     875, -3248, -3248,  2428,   875,  1955, -3248,  1964,  2125,  2293,
    2434,  2293,  1657,   -34,  2293, -3248, -3248,  2433, -3248,   875,
   -3248, -3248, -3248, -3248,  2297, -3248, -3248,  2409, -3248, -3248,
    2454, -3248, -3248, -3248, -3248,  2452, -3248, -3248,  9240,  9240,
    2437,  9240, -3248, -3248, -3248,  9240,  9240, -3248,  2438,  2440,
     832,  2445,  2468,  9240, -3248,  2461,  2473, -3248,   875, -3248,
   -3248, -3248, -3248, -3248, -3248,  2466,  2470, -3248,  9240, -3248,
    9240,  2156,  2788,  3994,  4026,  4639,  4671,  4732,  4745,   468,
     205,  5538,  2429,   567,   810,  2430,  2495,  4464,  5538, -3248,
   -3248,  2459, -3248, -3248,  2496,   913,  1895,  1194, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248,   913,  1895, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  2516, -3248,
    2517, -3248, -3248, -3248,  6818,  2419, -3248,  6818,  2441, -3248,
   -3248,  9604, -3248, -3248,  2472, -3248, -3248,  2506, -3248, -3248,
   -3248,  2474, -3248,  2281, -3248, -3248, -3248,  2288,   875,   875,
   -3248,  1568,  1549, -3248, -3248, -3248, -3248, -3248,   119, -3248,
   10695,  1812, -3248, -3248, -3248, -3248,  2376, -3248,   556, -3248,
   -3248,  2448, -3248,    79, -3248,  1989,  2202, -3248,   875,  2480,
     875, -3248, -3248,  2350,  2112,  2120, -3248,    -6,  2123,  1205,
    1417, -3248, -3248,  2488,  2489,  2490, -3248,   875,  2494, -3248,
   -3248, -3248, -3248,  2497, -3248, -3248, -3248, -3248,   741, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    1989, -3248, -3248, -3248,  2500,   151,   694, -3248, -3248,  2157,
     341,   767,  1989,  1989,   -47,  1812,  1989,  2162,  2244, -3248,
     368,  1812, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  2173,
    2499, -3248, -3248,   170,   170,   170,  2539, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,  2218, -3248, -3248, -3248,   875,   875,
    1989, -3248,  2484,   875, -3248,  2485,   965, -3248, -3248,  2487,
     875, -3248, -3248,   875,  2493, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248,  2498, -3248, -3248, -3248,  1039,   584, -3248,  1989,
    2502, -3248, -3248, -3248,  2391, -3248, -3248, -3248,   875,   875,
    1174, -3248,   875,  2504,   875, -3248,  2522, -3248, -3248, -3248,
     875, -3248, -3248,  2454,  2295,  2562,  2501,  9604,   835,  1012,
     190,  5346,  2988,  3204,  2172, -3248, -3248,  9240, -3248,  9240,
    1023, -3248,  9240, -3248,   -30,  2564,  2547,  4921,  4956, -3248,
   -3248, -3248, -3248,  2519, -3248, -3248,  1569,  2520, -3248, -3248,
   -3248, -3248, -3248, -3248,  1739,  2549,  2549,   887,  2531, -3248,
    1739,  2549,  2549,  1471,  2535,  9240,  9240, -3248, -3248, -3248,
   -3248, -3248,  2556,  9240, -3248,  8148, -3248,  2557,  9240,  2586,
    8512,  8876,  2514,  9240, -3248, -3248, -3248,  1479, -3248, -3248,
     878, -3248, -3248, -3248,  2545, -3248,   875,   875, -3248, -3248,
   -3248,   875, -3248,   875,  2550, -3248,  9240, -3248, -3248,  2523,
   -3248, -3248, -3248,  2524,  1989, -3248, -3248, -3248, -3248, -3248,
    2448, -3248, -3248,  5586,   645,  2278, -3248,  2294,  2553, -3248,
    2555,  2192,  2338, -3248, -3248, -3248, -3248, -3248, -3248,   236,
   -3248, -3248, -3248, -3248,  2559, -3248, -3248, -3248, -3248, -3248,
    1989,  2530, -3248,  1321,  2306,   875,   875,   400, -3248, -3248,
   -3248,   917,  2536,  2577,  2578, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,  2239,   320,   320,  1174,  2216, -3248,
   -3248, -3248, -3248, -3248,  2447,  2392, -3248, -3248,  2249,  1989,
   -3248, -3248, -3248, -3248, -3248,  1989,  2341,  1508,  2583, -3248,
   -3248, -3248, -3248, -3248, -3248,  1989,  2108,  2563, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  2566, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,   875,  2568,   875, -3248, -3248, -3248, -3248,  1989, -3248,
   -3248,  2572,  2573, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    2584,  2589, -3248, 10332, -3248, -3248,  6818,  2581,  9240, 11058,
    5381,  5393, -3248, 11421,  5440, -3248,  1174,  2602, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,  2659,   875,  1642, -3248,  2587, -3248,
     834,   875,  1648,   915, -3248, -3248, -3248, -3248,  1642,   834,
     915,  2591, -3248,  5030,  5079,  2612,  2615,   921,   555,  2616,
    1042,  2618,  2622,   631,  2623,   817, -3248,  2624, -3248, -3248,
    9240, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  5246, 10695,
   -3248, -3248, -3248, -3248, -3248,   852, -3248, -3248, -3248,  1174,
    2349,  1989, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    1486,  2361,  2366,  2375, -3248, -3248, -3248,  1492, -3248,  2483,
   -3248, -3248, -3248,  9240, -3248, -3248, -3248, -3248,   865, -3248,
   -3248, -3248,  2443, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    1989,   875,  2446, -3248, -3248,  1989, -3248,   528, -3248,  1997,
   -3248, -3248,  1053,  1181,    27,   176,    -2, -3248, -3248, -3248,
   -3248, -3248,  2177, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    2640,  2642,  2585,  1832, -3248, -3248,  5538, -3248, -3248, -3248,
   -3248, -3248, -3248,  2646, -3248, -3248, -3248,   875, -3248, -3248,
     875,  1405,   875, -3248,  2549,  2549,  2666, -3248, -3248, -3248,
   -3248, -3248,  2549,  2549,  2687, -3248, -3248, -3248, -3248, -3248,
    2669,  9240, -3248, -3248, -3248,  2670,  9240, -3248,  9240,  2699,
   -3248,  9240, -3248, -3248,  5506, -3248, -3248,  2273, -3248, -3248,
   -3248,  1989,  1387,  2393,   875,   875,   400, -3248,  2653, -3248,
    1989, -3248, -3248,  2629,  2658,   875,   875,   875, -3248, -3248,
    1507,  5282,  2688,   157,   875,  2688,  1630,   171,  2632,   875,
   -3248, -3248,   875, -3248,  2583, -3248, -3248,  1854, -3248, -3248,
   -3248,   533, -3248, -3248,  1989,   875,  1989,  2663, -3248,   875,
     875,   -40,   875,  2418,   614, -3248,  2674, -3248,  1989,  2229,
    2243,  1989,  1989,  2684,   290, -3248,   -29,     1,   823,  1677,
   -3248,    65, -3248,    11, -3248, -3248, 10332, -3248, -3248, -3248,
    2743, -3248, -3248, -3248, -3248,   362,  9240,  2697,  2675, -3248,
   -3248,  2587,   875, -3248,   875,   875,   875,  1648,  1648, -3248,
    2701,  2702,  2703,  2680,  2705,  2708,  2709, -3248,   875,  2462,
     831, -3248,   875,  2525,   875,  2450,  2455,  2704,   389,  2463,
    2465,   625,    19, -3248,  2710, -3248,  2457,  2458,  2460, -3248,
   -3248, -3248, -3248, -3248, -3248,  1486, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248,  2716,  2688,  2688,  2721,  2728,  1295,  1672,
   -3248, -3248, -3248, -3248,  2730,  2688,  2688, -3248, -3248, -3248,
   -3248,  1839, -3248,   875,  2542,  2316,  2707,   875,   875,   875,
    1989,  2486,   637,    62,  2346,  2412,  1989,   875,  2478,   623,
     -50,   875,  2661,  2347, -3248,  2749, -3248,   875,  2750, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   875,
     875, -3248, -3248, -3248,   875,   875, -3248, -3248, -3248,  2312,
   -3248,    55,     4,    12,  2313,  -135,  2319,  1989,  2311,  2558,
    2317,  2503,  2491,  2507,  2283,  2760, -3248,    56,  1174,  2761,
   -3248,  2791,    56,  2764, -3248, -3248, -3248,   875, -3248,  1989,
     -23,   875,  2575,  1989,  2518,   664,   -79,  1174,  2439,  2576,
    2698,  -132,  2580,  2592,    83,  2330,  2324,  2342, -3248,  2786,
   -3248,   645,   446,  2789, -3248,  2299,  2331,   645,  2790, -3248,
   -3248,  1995,  2008, -3248,  5538,  2792,  9240, -3248,  2819,  2825,
   -3248, -3248, -3248, -3248, -3248, -3248,  9240, -3248,  9240, -3248,
   -3248,  1540, -3248, -3248, -3248, -3248,  1989, -3248,   875,   875,
    2567,   875,   875,   875,   875,  1989,   875,   875,   875,   875,
     875, -3248, -3248,  2561, -3248,   875,   875,   875, -3248,   865,
    2813,  2815,   865,   865, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248,   865,  2820,  2821, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1989,  2394, -3248,
   -3248, -3248, -3248, -3248,   144,   875,   875, -3248, -3248, -3248,
   -3248,  1989,   858, -3248, -3248,   875,   875, -3248,  1989,  1989,
   -3248,   875,  1989, -3248, -3248, -3248, -3248, -3248,  2362,  2362,
    2565,  2631, -3248,  1167,   875,  1167,  2633,   875,   875,   875,
    2569,  2400, -3248,  1989,   875,   875,  2693,  1989,  1039,  1989,
     584,    67, -3248, -3248,   875, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248,  1989,  1989, -3248,   875, -3248,
     875,   875,   875, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
     994,   875,   875, -3248, -3248,   875,   875,  1989, -3248,  1989,
    1989,  1989, -3248, -3248, -3248, -3248, -3248, -3248,  2686,  2689,
   -3248, -3248, -3248, -3248, -3248,  2770, -3248,  5314,   875,   875,
    2830,  2809,  1174,  1174, -3248, -3248, -3248,  1989, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248,   865,   865, -3248, -3248, -3248,   865,   865,
   -3248,  1989,  1190, -3248, -3248, -3248, -3248, -3248, -3248,  2423,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1989, -3248, -3248,
     875,   875, -3248, -3248, -3248, -3248,  2362, -3248,   875,  2362,
   -3248, -3248,   875,  1989, -3248, -3248, -3248,   875, -3248, -3248,
   -3248, -3248,   875,  1989, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  2431, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,   645,   645, 10332,  2837, -3248, -3248, -3248,  9240, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  2435, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
    2377, -3248, -3248, -3248, -3248, -3248, -3248,  2816, -3248,  2845,
     823,  9240, -3248, -3248,  2846, -3248
};

/* YYDEFACT[STATE-NUM] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE does not specify something else to do.  Zero
   means the default is an error.  */
static const yytype_int16 yydefact[] =
{
     574,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2210,     0,   573,   722,   724,   726,  1150,  1152,  1154,
    1156,  1160,  1162,  1164,  1222,  1231,  1233,  1235,  1237,  1239,
    1241,  1243,  1245,  1247,  1249,  1251,  1258,  1260,  1262,  1264,
    1266,  1268,  1270,  1274,  1276,  1278,  1331,  1467,  1469,  1471,
    1473,  1412,  1690,  1833,  1835,  1837,  1839,  1841,  1843,  1845,
    1847,  2022,  2024,  2108,  2194,  2196,  2198,  2200,  2202,  2204,
    2206,  2208,     1,   572,     0,   994,   576,   990,   991,     0,
       0,     0,     0,     0,     0,     0,     0,  1012,  1013,     0,
     983,   984,   986,   987,   988,   989,   992,     0,     0,  2153,
       0,     0,     0,     0,   575,   577,   728,   731,   733,   735,
     737,   772,   972,   979,   981,   993,     0,   995,   998,     0,
    1056,  1061,  1011,  1014,  1018,  1291,  1297,  1014,  1333,  1014,
    1424,  1014,  1350,  1014,  1018,  1014,  1660,  1014,  1677,  1014,
    1018,  1014,  1018,     0,  1018,  1014,  1880,  1014,  1969,  1014,
    2026,  1014,  1018,  1018,  2152,  2179,  2182,  2189,  1014,  1014,
    1018,   723,   725,   727,   857,   858,   869,   785,   786,   864,
     588,   861,   862,     0,     0,     0,     0,   880,     0,     0,
       0,   883,   859,   860,   881,   882,   884,   885,   886,   887,
     888,   889,   891,   892,   893,   890,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1286,  1288,  1289,
    1290,  1287,  1466,  1644,  1647,  1646,  1643,  1645,  1648,  1649,
    1650,  1653,  1655,  1651,  1652,  1654,  1656,     0,     0,  1829,
    1830,  1831,  1832,  1967,  1968,  2020,  2021,  2114,  2115,  2116,
    2117,  2118,  2119,  2120,  2121,  2123,  2124,  2125,  2126,  2127,
    2128,  2129,  2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,
    2139,  2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,
    2149,  2150,  2122,  2138,  2246,  2247,   879,   610,   611,   620,
     612,   613,   614,   615,   621,   622,   616,   617,   618,   865,
     720,   721,   619,   863,   873,   919,   920,   937,   918,   921,
     923,     0,   936,   922,  1280,  1282,  1281,     0,     0,     0,
    1280,   643,   643,     0,     0,     0,     0,  1277,  1067,     0,
       0,     0,     0,  1284,     0,     0,  1166,     0,  1224,  1159,
       0,     0,  1159,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1254,     0,  1253,  1256,   643,  1692,  2211,
    2210,     0,  2210,     0,     0,  2212,  2207,    39,    40,    41,
     586,   585,     2,     3,     4,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    42,
      43,    44,    45,    46,    47,    48,    49,    50,    51,    52,
      53,    54,    55,    56,    57,    58,    59,    60,    61,    62,
      63,    64,    65,    66,    67,    68,    69,    70,    71,    72,
      73,    74,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    88,    89,    90,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,   496,   497,   498,   499,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   521,   522,
     523,   524,   525,   526,   527,   528,   529,   530,   531,   532,
     533,   534,   535,   536,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   560,   561,     0,
     587,     0,   773,   729,   732,   739,   740,   741,   743,   742,
     744,   745,   746,   747,     0,   748,   749,   750,   751,   752,
     753,   754,     0,   755,     0,     0,     0,     0,   641,   640,
       0,     0,     0,     0,     0,   594,   985,     0,     0,  1064,
    1063,  1065,  1066,     0,     0,     0,  2186,     0,     0,   579,
       0,     0,   581,     0,   999,  1009,  1089,  2027,  1476,  2067,
    1334,  1425,  1351,  1663,  1678,  1699,  1859,  1874,  1881,  1970,
    2216,  2233,  1702,  1972,    13,  1015,     0,  1088,     0,   594,
       0,  1095,     0,     0,     0,     0,  1026,     0,  1040,     0,
       0,  1295,  1299,     0,     0,     0,     0,  1310,     0,  1599,
    1600,  1475,     0,     0,     0,     0,     0,  1589,  1590,     0,
       0,     0,     0,   594,     0,     0,     0,     0,     0,     0,
       0,     0,   594,     0,  1480,  1477,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,     0,     0,
       0,     0,     0,   594,     0,     0,     0,     0,     0,     0,
    1323,  1601,  1639,     0,     0,     0,     0,     0,   994,  1698,
       0,     0,     0,   594,     0,     0,   594,     0,   594,  1705,
    1709,  1040,  1710,     0,     0,  1723,     0,  1858,   594,     0,
       0,     0,     0,     0,     0,  1863,     0,  1876,  1873,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2066,     0,     0,     0,     0,     0,     0,  2091,
    2106,  2215,     0,     0,     0,     0,     0,   594,     0,   594,
    2225,  2223,  2224,     0,  2226,     0,     0,     0,  2232,  2239,
       0,  2236,     0,   857,   857,   857,     0,     0,   857,   879,
     857,     0,   846,     0,   601,     0,     0,     0,   604,   605,
       0,     0,     0,   916,   608,   806,   807,     0,   809,     0,
       0,   715,   715,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   787,   790,   786,   789,     0,   866,   793,   610,
     611,   837,   788,   792,   824,   821,   822,   823,   833,     0,
     841,     0,   609,     0,     0,   874,     0,     0,  1250,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   894,     0,  1098,     0,  1097,  1273,  1271,
    1272,   642,     0,     0,     0,     0,  1265,  1109,     0,  1108,
       0,     0,  1069,  1072,  1279,  2209,  1327,  1283,  1285,  1284,
       0,  1161,     0,  1153,     0,  1151,     0,  1158,     0,  1159,
    1159,  1159,  1159,  1414,  1159,  1159,  1849,  1159,  1159,     0,
    1159,  1159,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2175,  2170,  2173,  2171,  2172,  2174,  2176,  2177,  2178,
       0,  2168,  1257,     0,     0,     0,     0,  2203,  2212,  2199,
    2201,  2213,     0,     0,  1293,     0,   762,   564,   567,   569,
     562,   563,   565,   566,   568,   570,   571,   757,     0,   756,
       0,     0,     0,   975,   977,   978,  1084,     0,     0,   980,
    1059,  1057,  1058,  1060,   590,   592,   591,   593,     0,   589,
    2190,     0,  2181,     0,  2156,  2161,     0,  2157,     0,     0,
    2183,     0,     0,  2193,  2192,     0,  2151,   997,  1007,   996,
    1700,  1701,  1014,  1971,  1016,     0,  1090,     0,  1019,  1020,
    1075,  1025,  1024,  1023,  1021,   594,  1091,  1038,  1042,  1092,
    1093,     0,  1292,  1341,  1430,  1359,  1503,     0,     0,     0,
       0,     0,  1521,     0,     0,     0,  1593,  1591,  1594,  1592,
    1595,  1597,  1596,  1598,   594,     0,     0,     0,     0,   594,
     594,     0,     0,     0,     0,     0,     0,   594,     0,     0,
       0,     0,     0,     0,     0,  1522,     0,   595,   596,   597,
       0,   598,     0,     0,   598,     0,   594,     0,     0,     0,
       0,     0,   594,   594,     0,   594,   594,     0,   594,   594,
     594,   594,   594,   594,     0,     0,   594,   594,     0,   594,
       0,     0,   594,   594,     0,     0,     0,     0,   594,     0,
     594,  1504,  1506,  1321,  1325,  1637,  1641,  1505,  1672,  1687,
    1703,   594,   594,   594,  1724,  1711,   594,  1721,  1718,     0,
    1712,  1706,  1707,  1042,  1704,  1726,  1860,  1870,     0,     0,
    1869,     0,     0,  1866,  1871,  1872,  1862,  1861,  1033,   768,
       0,  1047,  1048,     0,     0,  1046,  1028,     0,  1029,  1044,
    1027,     0,   594,     0,  1877,  1878,  1893,  1979,  2029,  2068,
       0,     0,   630,   629,  2086,   594,     0,  2069,  2070,  2071,
    2093,     0,  2092,     0,  2096,  2094,  2095,  2099,  2097,  2082,
    2088,  2104,     0,   594,   594,  2112,     0,     0,  2227,     0,
    2220,  2219,  2229,  2110,  2218,  2217,  2234,  1075,  2237,     0,
    2235,     0,   849,   855,   853,     0,   785,   786,   857,     0,
     854,   856,   848,   600,   602,     0,   924,     0,     0,   925,
     808,     0,   901,     0,   716,   717,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   795,   838,
     839,     0,     0,     0,   867,     0,   868,     0,     0,   877,
       0,   875,     0,     0,   913,   911,   909,   906,   907,   908,
     910,   912,   914,   915,   902,   903,   904,   905,     0,  1217,
    1215,  1216,  1200,  1203,  1207,  1210,  1213,  1214,  1218,  1201,
    1202,  1204,  1205,  1206,  1208,  1209,  1211,  1212,  1219,  1220,
    1221,  1102,  1103,  1104,  1106,  1107,  1105,     0,  1100,  1263,
    1259,  1267,  1269,  1113,  1114,     0,  1111,  1275,  1068,  1070,
    1071,  1073,  1074,     0,     0,  1155,  1163,  1165,     0,     0,
     768,     0,  1176,     0,  1197,     0,  1178,  1177,  1182,  1183,
    1196,  1198,  1199,  1167,  1175,     0,  1223,  1230,  1227,  1226,
    1228,  1229,  1225,  2109,   643,   643,   643,   643,     0,   643,
     643,     0,  1159,   643,  1159,   643,  1834,   643,   643,     0,
    1244,  1236,  1246,  1238,  1232,  1234,  1240,  1242,     0,  1255,
    1252,  1261,  1691,   768,     0,     0,  1696,  2205,     0,  2214,
    2195,     0,   758,   764,     0,   730,   766,     0,   734,     0,
       0,  1075,     0,     0,   973,  2191,  2180,  1062,     0,  2160,
     645,   646,   647,   644,     0,  2163,  2164,     0,  2159,     0,
    2166,     0,     0,  2185,  2187,   582,   583,   584,   580,     0,
    1875,  1017,  1022,  1078,  1081,  1096,     0,     0,  1043,     0,
    1298,     0,  1294,  1306,  1018,  1018,  1018,     0,     0,     0,
       0,     0,  1512,     0,     0,     0,   594,   594,  1559,  1561,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     594,   594,     0,     0,     0,     0,     0,     0,  1581,  1580,
    1409,  1583,  1523,   628,   627,  1480,     0,  1480,     0,     0,
    1509,  1483,  1484,  1498,  1499,  1500,  1501,  1502,     0,  1477,
       0,     0,  1507,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1558,     0,     0,     0,     0,     0,
       0,   594,     0,     0,     0,  1560,     0,  1516,   594,     0,
       0,     0,   594,   594,   594,     0,     0,     0,     0,  1309,
    1042,     0,  1642,  1018,  1018,  1713,     0,  1716,  1715,  1720,
    1714,     0,  1722,  1708,     0,  1868,  1867,  1864,  1865,   767,
    1045,   762,   770,  1055,  1049,  1031,   594,  1032,  1030,  1035,
       0,  1018,  1018,  1018,  2084,     0,     0,  2076,   598,  2089,
       0,     0,     0,   594,   594,     0,  2083,     0,  2074,  2230,
    2221,  2111,     0,  2228,  1083,  2243,  2238,   857,   847,   851,
     857,     0,   602,     0,     0,     0,     0,   711,   713,   932,
       0,     0,   917,     0,     0,     0,     0,   938,   935,     0,
       0,     0,     0,   791,     0,     0,   825,   834,   842,  1659,
    1658,     0,   878,     0,     0,   896,   897,   899,   895,   900,
       0,  1099,     0,  1110,  1332,  1329,  1330,  1328,  1157,  1169,
    1194,  1195,     0,  1191,  1192,  1193,  1187,  1185,  1186,  1168,
    1184,  1174,  1181,     0,     0,  1171,  1170,   588,  1179,  1180,
       0,     0,     0,     0,  1413,  1415,  1419,  1422,     0,  1420,
    1421,  1423,     0,     0,     0,     0,  1848,  1857,     0,     0,
    1852,  1855,  1850,     0,     0,   643,     0,   643,     0,     0,
       0,  1248,  2169,  1695,  1694,  1693,  1697,  2197,   578,   760,
       0,     0,   774,   776,     0,     0,     0,     0,  1085,   974,
     976,  2155,     0,     0,  2162,  2158,     0,  2154,   982,     0,
       0,  1010,     0,   594,   594,     0,     0,     0,  1079,   643,
    1075,  1094,  1041,     0,  1036,     0,     0,  1296,  1304,  1308,
    1343,     0,     0,     0,  1335,  1336,     0,  1432,  1433,     0,
    1426,  1427,     0,  1361,  1366,  1368,  1368,     0,     0,     0,
    1352,     0,     0,     0,     0,     0,  1535,  1534,  1533,  1588,
       0,     0,  1485,     0,   594,     0,     0,  1569,  1568,  1579,
       0,     0,     0,     0,     0,     0,  1548,   594,     0,  1524,
       0,     0,     0,  1407,     0,     0,   599,     0,  1481,  1482,
    1586,     0,  1478,  1479,  1526,  1518,     0,     0,  1539,     0,
    1528,  1514,     0,  1515,  1550,  1531,  1562,  1530,  1529,  1578,
    1532,     0,  1563,     0,  1565,  1566,  1517,     0,  1527,  1555,
       0,     0,     0,     0,  1553,   594,  1587,     0,  1324,     0,
    1315,     0,  1326,     0,     0,  1640,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   594,   594,
     594,   594,     0,  1608,     0,  1674,     0,     0,     0,     0,
    1661,  1664,  1666,  1040,  1665,     0,  1689,   768,     0,     0,
       0,     0,  1683,  1679,     0,  1717,  1719,  1725,  1819,     0,
     594,  1739,   594,  1737,     0,     0,  1729,   594,     0,  1743,
    1820,   769,     0,  1054,  1034,  1879,  1895,     0,  1896,  1886,
    1888,     0,     0,     0,  1882,  1883,     0,  1981,  1982,   594,
       0,  1973,  1974,     0,     0,     0,  2028,     0,     0,  2044,
       0,  2044,     0,     0,  2044,  2031,  2032,     0,  2035,     0,
    2087,  2072,  2073,  2075,     0,  2100,  2101,  2098,   636,   637,
    2078,  2080,  2079,  2081,  2077,   588,   778,  2107,   874,   874,
       0,     0,   939,   940,   941,     0,     0,   949,     0,     0,
       0,     0,   970,   874,  2103,     0,   971,  2105,     0,  2231,
    2113,  2241,  2245,   850,   852,     0,     0,   926,     0,   870,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   795,     0,     0,     0,     0,     0,     0,   876,   606,
     607,     0,  1101,  1112,     0,  1188,  1189,     0,  1172,  1173,
    1474,  1468,  1470,  1472,  1417,  1418,   633,   634,   635,   631,
     632,  1416,  1838,  1836,  1853,  1856,  1851,  1854,     0,  1840,
       0,  1844,  2023,  2025,     0,   765,   762,     0,     0,   782,
     783,   777,   780,   781,     0,  1657,   736,     0,   648,  2165,
    2167,     0,  2188,     0,  1001,  1000,  1002,     0,     0,     0,
    1008,  1076,     0,  1080,  1082,  1037,  1039,  1301,     0,  1300,
       0,     0,  1339,  1342,  1075,  1428,     0,  1431,  1353,  1075,
    1354,  1386,  1355,  1390,  1356,   594,     0,  1360,     0,     0,
       0,  1542,  1544,     0,     0,     0,  1489,     0,     0,     0,
       0,  1487,  1545,     0,     0,     0,  1570,     0,     0,  1519,
    1540,  1546,  1549,     0,  1525,  1536,  1541,  1149,     0,  1584,
    1511,  1510,  1508,  1537,  1538,  1520,  1513,  1567,  1564,  1585,
     594,  1551,  1556,  1554,     0,     0,     0,  1316,  1322,     0,
       0,   594,   594,   594,     0,     0,   594,     0,     0,  1634,
       0,     0,  1615,  1616,  1617,  1613,  1633,  1632,  1618,     0,
       0,  1638,  1667,     0,     0,     0,     0,  1042,  1673,  1682,
    1681,  1680,  1685,  1684,     0,  1688,  1075,  1742,     0,     0,
     594,  1730,     0,     0,  1728,     0,     0,  1746,  1741,  1745,
       0,  1735,  1727,     0,  1753,  1050,  1051,  1052,  1053,   626,
     625,  1931,  1940,  1885,  1075,  1884,     0,     0,  1891,   594,
       0,  1894,  1075,  1978,  1975,  1977,  1980,  2046,     0,     0,
       0,  2045,     0,     0,     0,  2047,  2033,  2050,  2059,  2037,
       0,  2030,  2085,  2090,     0,     0,     0,   776,     0,     0,
       0,     0,     0,     0,     0,   968,   968,     0,   962,     0,
       0,   964,     0,  2222,     0,     0,     0,     0,     0,   669,
     680,   681,   667,     0,   670,   671,     0,     0,   674,   675,
     679,   676,   718,   677,     0,   693,   693,     0,     0,   719,
       0,   693,   693,     0,     0,     0,     0,   929,   930,   928,
     931,   804,     0,     0,   802,     0,   798,     0,     0,   796,
       0,     0,     0,   874,  1190,  1842,  1846,     0,   756,   775,
       0,   771,   784,   763,     0,  2184,     0,     0,  1005,  1006,
    1077,     0,  1307,     0,     0,  1347,     0,  1349,  1348,  1338,
    1344,  1337,   762,  1463,   594,  1364,  1362,  1363,  1365,  1367,
    1386,  1384,  1369,     0,     0,  1393,  1357,     0,     0,  1572,
       0,     0,     0,  1492,  1493,  1491,  1495,  1494,  1496,     0,
    1486,  1574,  1573,  1575,     0,  1571,  1547,  1410,  1122,  1123,
     594,     0,  1404,     0,     0,     0,     0,     0,  1406,  1115,
    1117,     0,  1148,     0,     0,  1552,  1318,  1319,  1317,  1312,
    1314,  1311,  1313,  1320,     0,   594,   594,     0,     0,  1626,
    1627,  1628,  1630,  1631,     0,     0,  1636,  1619,     0,   594,
    1605,  1606,  1607,  1614,  1635,   594,     0,     0,     0,  1675,
    1669,  1670,  1671,  1668,  1662,   594,  1822,  1826,  1732,  1733,
    1731,  1807,  1734,  1807,  1767,  1747,  1736,  1821,  1754,  1938,
    1937,  1928,  1944,  1943,  1951,  1887,  1953,  1954,  1961,  1889,
    1892,     0,  2017,     0,  2043,  2042,  2036,  2039,   594,  2038,
    2034,  2051,     0,  2040,  2102,   638,   946,   779,   960,   961,
       0,     0,   954,     0,   843,   945,     0,     0,     0,     0,
       0,     0,   959,     0,     0,  2244,     0,     0,   603,   927,
     871,   872,   668,   672,   673,   678,   663,   661,   659,   658,
     660,   662,   657,   664,   686,     0,   703,   688,   684,   694,
     704,     0,     0,   705,   624,   623,   702,   712,   708,   709,
     710,   706,   714,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   840,     0,   759,   761,
       0,   943,   738,  1004,  1003,  1303,  1302,  1305,     0,     0,
    1340,  1461,  1434,  1429,  1369,     0,  1389,  1391,  1392,     0,
    1395,   594,  1577,  1543,  1490,  1497,  1488,  1576,  1411,  1403,
    1118,     0,     0,     0,  1398,  1402,  1378,     0,  1379,     0,
    1405,   652,   651,     0,  1124,   653,   654,   655,  1125,  1121,
    1408,  1557,     0,  1603,  1604,  1602,  1611,  1610,  1609,  1612,
     594,     0,     0,  1624,  1629,   594,   831,     0,  1686,  1820,
    1824,  1828,     0,     0,     0,  1756,     0,  1942,  1926,  1925,
    1949,  1959,     0,  2015,  1983,  1976,  2041,  2053,  2058,  2060,
       0,     0,   947,     0,   944,   950,   968,   969,   970,   968,
     971,   953,   956,     0,   955,  2240,  2242,     0,   682,   666,
     665,     0,     0,   665,   693,   693,     0,   695,   696,   697,
     698,   699,   693,   693,     0,   933,   934,   819,   803,   801,
       0,     0,   799,   817,   797,     0,     0,   815,     0,   813,
     812,     0,   810,   898,     0,  1346,  1345,  1435,  1465,  1388,
    1387,   594,     0,     0,     0,     0,     0,  1377,     0,  1394,
     594,  1397,  1358,     0,     0,     0,     0,     0,  1380,  1381,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1620,  1621,     0,  1625,     0,  1676,  1823,     0,  1740,  1810,
    1808,  1811,  1738,  1744,   594,     0,   594,     0,  1752,     0,
       0,     0,     0,     0,     0,  1766,     0,  1941,   594,     0,
       0,   594,   594,     0,     0,  1930,  1945,  1955,     0,     0,
    2019,     0,  2048,     0,   958,   957,     0,   778,   963,   794,
     829,   826,   827,   828,   835,     0,     0,     0,     0,   965,
     687,   685,     0,   689,     0,     0,     0,     0,     0,   707,
       0,     0,     0,     0,     0,     0,     0,   942,     0,     0,
       0,  1464,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1460,     0,  1375,     0,     0,     0,  1370,
    1374,  1376,  1385,  1396,  1116,  1118,  1399,  1400,  1401,  1382,
    1383,   656,   639,     0,     0,     0,     0,     0,     0,     0,
    1144,  1145,  1146,  1147,     0,     0,     0,  1148,  1623,  1622,
     832,     0,  1827,     0,     0,     0,     0,     0,     0,     0,
     594,     0,     0,     0,     0,     0,   594,     0,     0,     0,
       0,     0,     0,     0,  1806,     0,  1812,     0,     0,  1750,
    1751,  1749,  1748,  1760,  1757,  1763,  1764,  1765,  1758,     0,
       0,  1761,  1755,  1933,     0,     0,  1932,  1934,  1939,     0,
    1929,     0,     0,     0,     0,     0,     0,   594,     0,     0,
       0,     0,  1914,  1916,     0,     0,  1948,     0,     0,     0,
    1958,     0,     0,     0,   649,  1890,   650,     0,  2018,   594,
       0,     0,     0,   594,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2010,     0,
    2052,     0,     0,     0,  2065,     0,     0,     0,     0,   948,
     845,     0,     0,   778,   951,     0,     0,   683,     0,     0,
     690,   701,   700,   818,   800,   816,     0,   814,     0,   811,
    1436,     0,  1439,  1440,  1441,  1438,   594,  1437,     0,     0,
       0,     0,     0,     0,     0,   594,     0,     0,     0,     0,
       0,  1446,  1452,  1453,  1462,     0,     0,     0,  1119,  1125,
       0,     0,  1125,  1125,  1134,  1135,  1136,  1137,  1138,  1139,
    1140,  1141,  1142,  1143,  1125,     0,     0,  1120,  1775,  1776,
    1777,  1778,  1779,  1780,  1781,  1782,  1772,   594,     0,  1814,
    1769,  1787,  1768,  1805,     0,     0,     0,  1800,  1794,  1795,
    1796,   594,   594,  1789,  1771,     0,     0,  1773,   594,   594,
    1770,     0,   594,  1825,  1813,  1809,  1759,  1762,  1965,  1965,
       0,     0,  1913,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1901,   594,     0,     0,     0,   594,     0,   594,
       0,     0,  1927,  1952,     0,  1963,  1947,  1946,  1950,  1962,
    1956,  1957,  1960,  1989,  1987,   594,   594,  1984,     0,  2008,
       0,     0,     0,  2003,  2011,  2014,  2013,  2012,  2009,  1988,
     594,     0,     0,  1985,  1986,     0,     0,   594,  1990,   594,
     594,   594,  2016,  2057,  2055,  2056,  2054,  2049,     0,     0,
    2064,  2061,   830,   836,   844,     0,   966,     0,     0,     0,
       0,     0,     0,     0,  1448,  1442,  1443,   594,  1456,  1455,
    1458,  1457,  1459,  1444,  1445,  1087,  1086,  1447,  1454,  1371,
    1372,  1373,  1130,  1125,  1125,  1132,  1131,  1133,  1125,  1125,
    1790,   594,     0,  1798,  1797,  1799,  1802,  1801,  1788,     0,
    1803,  1786,  1774,  1785,  1784,  1791,  1783,   594,  1935,  1936,
       0,     0,  1922,  1923,  1924,  1909,  1965,  1910,     0,  1965,
    1903,  1899,     0,   594,  1902,  1904,  1905,     0,  1919,  1915,
    1920,  1917,     0,   594,  1964,  2007,  1994,  1996,  2001,  2002,
    2004,     0,  2005,  1999,  2000,  1997,  1998,  1991,  1992,  1993,
    1995,     0,     0,     0,     0,   692,   691,   805,     0,  1449,
    1450,  1451,  1128,  1129,  1126,  1127,  1792,  1793,  1816,  1815,
    1804,  1966,  1898,  1911,  1907,  1912,  1908,  1897,  1900,  1906,
       0,  1921,  2006,  2063,  2062,   952,   967,     0,  1817,     0,
       0,     0,  1818,  1918,     0,   820
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   -63,
    -956,   -71,    -7,  2005, -1043, -1406, -3248,  -176,  -172,  1197,
    1198,  1200, -3248, -3248, -3248, -3248,  -211, -3248, -3248, -1087,
   -3248, -2216, -1414, -1234,   448, -3248,   574, -2218,  -106,  -249,
     589,  -768, -3248,   133,  -138, -1341, -3248,   534,   535,   538,
     539,   244,  -129,  -125,   245, -2578, -1456,   246, -3248, -3248,
   -3248, -3248,  1744, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248,   -84, -3248, -3248, -3248,
   -3248,   991, -1645, -3248, -1237, -2316, -3248, -3248, -3248,   303,
   -3009, -3248, -3248,   496, -3248,  -213, -2859,  1309,  -417, -1971,
   -2876,  2757, -2511, -2853,  1313,  -414, -3248,  1791, -3248,  1328,
   -3248, -3248, -3248, -3248, -1102, -3248, -3248, -1304,   258, -1951,
    -168, -1631, -3248, -3248,    81, -3248,   128, -2746, -3248, -3248,
   -3248, -1950, -3248, -3248, -3248, -3248, -2564,    86, -3248, -1059,
   -3248, -3248,     6,  2812, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,   -46,  -103, -3248,  -130,  -675, -3248, -1078, -1481,  -118,
   -1136, -1096, -3248,  -361, -3248, -3248, -3248,  1999, -3248, -3248,
   -3248,   846, -1370, -1915, -3248, -3248, -3041, -3248, -3248, -3248,
   -3248, -3248,  -309, -3248,   947,  -731, -3248,   949, -2659, -3248,
    -256, -2824, -3248, -3248, -2462, -3248,  -274, -3248, -3248, -3248,
   -3248, -3248,  -321, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -1555, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,   380,  1706,
   -1632, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248,  -148, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,    25,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
     833,    24, -3248,  -119, -3248,   254, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1101,
    -315, -3248, -3248,   222, -3248, -3248, -3248, -3248, -3248, -3248,
     186, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248,  -800, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248,   150, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
     -24, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  -489, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248,  -313,  -320, -3248, -3248, -3248, -3248,  -484,  -316, -3248,
   -3248, -3248, -3248,  -483,  -314, -3247, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -1064,   384, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1441,
   -3248, -3248, -3248, -3248, -3248, -3248,   375, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248,  1213,  1255, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,  1195,  1698,
   -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248, -3248,
   -3248, -3248, -3248
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
       0,    23,    24,    25,    26,     2,     3,   114,   115,  1359,
    1373,  1005,   982,  2995,  2843,  1867,  1174,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
    2916,  2601,  3129,  1554,  2421,  2339,  2340,  3233,   960,  1252,
    1795,  3325,  2984,  3326,  2905,  3051,  2673,  2674,  2675,  2676,
    2677,  2906,  2907,  2908,  2910,  2911,  3061,  2913,  2678,  2684,
    2381,  2382,  1614,  1987,  1988,   300,   301,   302,   930,  1337,
     116,  1326,   117,   118,   119,   120,  2437,  2090,  1773,  1774,
    2092,  1775,  1940,  1941,  1535,  1776,   121,  1325,  2436,  2438,
    2636,  2637,  2439,  2440,  2441,   303,  1213,  1214,  3170,  1626,
    1215,  1627,  1216,  1217,  1218,  3174,  3007,  1219,  3175,  1220,
    1221,  3033,  1170,   304,  1171,   305,   306,  1639,  1640,   307,
     308,   309,   310,  1658,  2018,  2401,  2391,   312,  2363,  2442,
    2877,  2443,  2644,  3176,  3545,  2883,  2878,  2365,   122,  1348,
     123,   124,  1016,   126,   127,   128,   985,  2117,  1809,  1379,
     129,  1006,  1017,  1018,  2124,  2125,  1817,  1398,  1818,  1019,
    1540,  1536,  2293,  1945,   130,   131,   973,   330,  1813,  2463,
    2119,  1814,  1974,  1975,  1781,  1782,  3401,   132,   133,   134,
    1390,  1020,  1248,  1687,  1688,  1260,  1695,  1696,  2778,  2779,
    3103,  2780,  2781,  2782,  3118,  3244,  2989,  1861,    27,    28,
      29,    30,  1278,    31,    32,    33,  1274,  2039,  2040,  1725,
    1680,   317,    34,  1276,    35,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,   356,  1313,    46,    47,    48,
      49,    50,    51,    52,   318,    53,    54,    55,   319,  1270,
     313,   135,   136,  1821,  1401,  1022,  1402,  1822,  1823,  2724,
    2468,  2129,  2469,  1079,  1080,  2793,  2231,  1918,  1494,  1919,
    1920,  1703,    56,   137,  2136,  2732,  1824,   138,  2729,  2730,
     139,  2142,  1825,   140,  2474,  3088,  3214,  3087,  2952,  2475,
      57,    58,    59,    60,   141,  2151,  1826,   142,  2739,  2478,
    2479,  2956,  3098,  2980,  2955,  2742,  2480,  2482,  2745,  2960,
    3101,  2484,  2783,  2518,  2183,  2968,    61,  1738,   143,  1455,
    1452,  2163,  2500,  2501,  1878,   144,  1444,  2184,  1081,  1082,
    2996,  2813,  2254,  1921,  1496,  1922,  1083,  2263,  2264,   145,
    2265,  1923,   146,  2820,   147,  2274,  1924,   148,    62,  1315,
    1002,   149,   150,  1512,  1101,  1102,  1103,  1104,  1105,  1934,
    2288,  2585,  2582,  2588,  2589,  3014,  3137,  2289,  3015,  3146,
    2290,  3275,  3012,  3130,  3131,  3278,  3582,  3679,  3659,  2576,
    2594,  2827,  3009,  3127,  3011,  2577,    63,    64,    65,    66,
      67,    68,    69,    70,  1741,   151,   152,  1116,   153,  1382,
     154,   155,  2306,  2606,  2607,  1951,   156,  2604,  3315,  3488,
    3490,  3605,  3155,  3154,  3019,  2605,  2602,  3153,  3017,  3016,
    2840,  2603,  2844,  3020,  3319,  3493,  3156,  2845,  2848,  3021,
    3323,  3499,  3157,  2849,  3496,  3598,  1003,   157,  2313,  1952,
     158,  2612,  3160,  3349,  3518,  3159,  3024,  2613,    71,    72,
     159,   160,  1953,  2327,  2622,  2328,  2626,  2629,  2861,  3028,
    3161,  3353,  3162,  2862,  3163,  3358,  3537,   161,   162,  1569,
    1570,  2330,  1139,  1954,  1140,  1960,  2336,  2337,  2367,  1967,
    1572,    73,   163,  1153,   974,   164,  1789,  1798,  1368,  1796,
    2104,  1801,  1310,  1311,   165,   166,  1370,  1371,  2109,   167,
      74,    75,    76,    77,    78,    79,    80,    81,   365,  1322,
     168,  1582,  2369,  1154,  1155,   169,   170,  1162,  1587,  2887,
    2654,  2372,  1588
};

/* YYTABLE[YYPACT[STATE-NUM]] -- What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule whose
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
static const yytype_int16 yytable[] =
{
     286,   968,  1212,  1178,  1211,   976,  1172,  1179,   954,   125,
    1250,  1451,  1454,   929,  1138,  1152,  2361,  2364,   932,   933,
    1815,  1289,  1374,  1513,  1127,  1538,  2019,  2017,  2390,  2392,
    2394,  2395,  1933,  1504,  1115,  2987,  1865,  1724,  2627,  1209,
    1723,  1078,   359,  1210,  1137,  1151,  1553,  1100,  1879,  1114,
     981,  1126,  2819,  2819,  2819,  2885,  3316,  1616,  1617,  1136,
    1150,  1592,  1593,  1594,  1158,  2041,  1600,  1161,  1601,     4,
       5,     6,   958,  1253,  1277,   979,   959,  1177,  1766,  2599,
     180,  1301,  2879,  3147,   286,  2608,  3320,  1637,  1638,   979,
    1416,  1023,  3514,  1024,   180,  1025,  3354,  1026,  2912,  1084,
    1418,  1085,   979,  1086,  2912,  1106,  1327,   180,  1314,  1128,
    1836,  1129,  3133,  1130,   980,  1131,  1560,   958,  2083,  2743,
    2709,   959,  1156,  1157,  1447,  1448,   961,  1449,   980,  1420,
    3515,  3285,  1271,  3148,   979,   311,  2754,  3622,  1008,   180,
    3473,   980,  2361,  1009,  1010,    83,  3104,  1159,  3475,  1422,
    3350,  1012,  1302,  2066,   962,   963,   125,  3171,  3360,  1354,
    1355,  1356,  1357,   979,  1328,  1518,  2559,  1169,   180,  1762,
    2049,  2067,   964,   980,  3169,   180,  1447,  1448,   286,  1449,
    3173,   286,    84,  1868,  2552,  1840,  3479,  1553,  1869,  1870,
    3402,   332,    85,  2721,  2000,   328,    86,  2804,  2578,    87,
      88,   958,   980,  1521,  2722,   959,  1277,  1013,  1208,  2024,
    1014,  3234,   977,     7,   180,  2693,   320,  2068,  1284,   934,
     315,  3447,  3599,  1989,  3505,  3245,    89,   180,  2817,   979,
    1799,     8,  1868,  3448,   180,  1329,  1361,  1869,  2520,  1293,
    1294,  1295,  1296,  1297,  1298,  1299,  1300,  1990,     1,  1330,
    1331,  1332,  1333,  1334,  1354,  1355,  1356,  1357,     9,    10,
     360,  3138,  3351,  3523,  2694,  1261,  1277,  2001,   980,  1868,
    2451,   180,   314,  1693,  1869,  2521,   315,  1181,   323,  1633,
    1607,    82,   978,  1394,    90,   958,    91,    92,  3321,   959,
      93,   361,    94,  3286,  3513,    11,  3097,    12,    95,    13,
      96,    97,    98,    14,    99,  3134,  2069,  3006,  1763,  1530,
      15,  3458,  1800,  1183,  3506,  1758,  1190,  1759,   100,   101,
     102,   103,   104,   105,  3524,   106,  2818,   171,  1812,  1694,
    2579,  3403,  1335,  1285,  2493,  2366,  2362,  1764,  1841,   979,
    2560,   333,    16,   334,   180,  3299,    17,  3135,  1742,  1522,
    2805,    18,    19,  1634,  3544,  2580,  3145,  3235,   316,  3664,
    1519,  3480,  3666,  1765,  1354,  1355,  1356,  1357,  1831,  1561,
     107,  3246,   335,  2768,  2769,  3300,   108,   320,   980,   336,
     967,   315,   109,   110,  1182,  3516,  1474,  1608,  3301,   321,
     322,   325,   326,  1409,  2070,  3449,  1562,  3352,  3623,   357,
    2553,  3104,  1785,  2771,  1272,   329,  1563,  1950,  1744,  2744,
    2723,  2098,  2987,  2045,   316,   337,  2950,   338,  2452,  2755,
    1956,  3139,   324,  1803,  3287,   217,   979,   339,  3213,   172,
     979,   180,  1417,  3459,  1391,   180,   173,   340,  1837,  2232,
    2786,  2787,  1419,  1450,  3391,  3362,   218,   219,   220,   221,
    1804,  1354,  1355,  1356,  1357,  1354,  1355,  1356,  1357,  3517,
     341,  2366,  2362,  3302,  1479,   980,  2494,  2921,  3274,   980,
     327,  1421,  3177,  1027,  2029,  3178,  3184,  3185,  3140,  2886,
      87,    88,  3317,  1290,  3187,  3188,  3171,  3318,  2408,  2409,
    2361,  1423,  2025,  2026,  2071,  3136,  1979,  1410,  1854,   222,
    3348,  1336,  3169,  3169,    20,  1141,  3149,  3150,  3141,  3173,
    3151,  3152,  3322,  2628,  3476,  3474,  1453,  3363,  1958,   316,
    1959,  1175,  3172,  3477,  1267,  1286,  3450,  2691,  1268,   331,
    1303,  3303,  2495,  1871,  1872,  2795,  2404,  3304,  1287,  1288,
    3305,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,  2692,  2333,  3527,  3355,  3356,   965,  3471,  1635,  2733,
    3357,  1291,  1935,  1936,  2740,  3071,  3494,  1961,  2072,   233,
     234,  2976,    87,    88,  1564,  1565,  1566,  1567,  1568,  1008,
     358,   342,  1871,  1872,  1009,  1010,  1304,  1305,  1306,  1307,
    1308,  1309,  1012,  1160,  2590,  2073,   235,  2307,   366,   100,
     101,   102,   103,   104,   105,  1633,   106,  2977,  1629,  1630,
     236,  3124,  2846,  3250,  3072,  3583,  3584,  3534,  2556,  1871,
    1872,  1553,  2569,   362,   363,   364,  2696,  2074,  2085,  3142,
    3143,  3144,  1636,   979,   239,   240,   241,   242,   180,  3392,
     955,  3078,   979,  1364,  1365,  1366,  1962,   180,  1013,  1963,
    2697,  1014,  1350,  1351,  1352,  3535,  1631,  2054,  2496,  1842,
    2497,  1475,  2498,  1926,  1142,  2499,  1269,   343,  2847,   958,
     931,  1008,   980,   959,    21,  2055,  1009,  1010,    22,  1980,
    2308,   980,  1476,  1477,  1012,  3125,  2361,  2272,  2796,  2841,
    3079,   100,   101,   102,   103,   104,   105,  2852,   106,  3397,
    3398,  1389,  2797,  1254,  1255,  2277,  3393,   956,   353,  3394,
    2798,  3445,  3398,   243,   244,  2810,   966,  1143,  2993,  2994,
    1144,  1407,  2926,  2735,  2928,  1408,  2020,  2930,  2021,  2933,
    2935,   245,   246,  2978,  2979,  2736,  2737,   111,  3511,  3398,
    1013,  2811,  2812,  1014,   975,   112,   113,   354,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,  2266,   979,  3306,  2278,  3307,
    3308,   180,  2789,  2279,  3309,  3310,   979,  3311,  1843,  1241,
    1242,   180,  1927,  1243,  3312,  3313,   969,   284,   285,  2366,
    2362,  1354,  1355,  1356,  1357,  3314,  1424,  2056,  2057,  2058,
    2698,  1354,  1355,  1356,  1357,   980,  2767,  3081,   979,   355,
    2059,  2060,  2202,   180,  3290,   980,  1964,   957,  2728,  2727,
    1435,  1483,  1425,  3456,  1965,  2267,  1530,   180,  3049,  3053,
     983,  3172,  3324,  1354,  1355,  1356,  1357,  1245,  1458,  1008,
    1324,  3399,  1021,  2647,  1009,  1010,  2790,   980,  1367,  2699,
     984,  2587,  1012,  3399,  2268,  2373,  3082,   979,  2374,  1117,
    1459,  2983,   180,  1340,  2738,   970,   971,   972,  1257,  1338,
    1225,  1267,  2868,  2700,   979,  1268,  1246,  3237,  2280,   180,
    3399,  1353,  1354,  1355,  1356,  1357,  1392,  1393,  1176,  2940,
    1180,  2914,  1377,  1436,  1372,  1372,   980,  3054,  2011,  3112,
    1484,  1485,  2361,  3032,  1486,  1279,  2110,  1258,  1013,  3049,
    3053,  1014,  3400,   980,  2987,  2941,  1426,  3090,  2768,  2769,
    2770,   180,  1262,  1263,  3446,  2981,  2982,  3572,  1341,  1342,
    3575,  3576,  1173,  1280,  1212,  2269,  2111,  3113,  1734,  1735,
    1736,  1737,  3577,  1739,  1740,  1437,  1743,  1745,  2771,  1747,
    1748,  3512,   213,   286,  1438,  2983,  1145,  1146,  1247,  2061,
    3069,  2062,  1175,  2791,  1343,  2772,  1344,  2792,  2309,  1345,
    1446,  2773,  1184,   -60,  1487,  1172,  1172,  1172,  3062,  1819,
    1172,  3276,  1172,  1820,  3070,  2366,  2362,  3277,  2871,  1259,
    2425,  1480,  2063,   979,  2426,  2427,  3410,  3411,   180,   -60,
    2314,   -60,  2281,  1347,  2315,  3114,  1191,  3425,  3426,    87,
      88,  1281,  1507,  1147,  1148,  1149,  2112,  1192,  1354,  1355,
    1356,  1357,  2310,  1431,  2638,  2639,  1488,  1432,   -60,  2768,
    2769,  3091,   980,  1193,  2316,  1489,  1528,   979,  1282,  2650,
    1447,  1448,   180,  1449,  2774,  3115,   213,  2775,  2776,  2869,
    2282,  3116,  1539,  2777,  1176,  1177,  2084,  1863,  1194,  2771,
    2882,  1575,  1354,  1355,  1356,  1357,  2824,  2283,  1195,  2284,
    3117,  2799,  2800,  2285,  1490,  2011,   980,  2286,  2287,  2535,
    3191,  3074,  3092,  2536,  2483,  3193,  2011,  3194,  1375,  1880,
    3196,  3652,  3653,  1196,  1881,  1882,  3654,  3655,  1197,  2113,
    2114,  2115, -1582,  2842,  2116,  3075,  1163,  1198,  1008,  2583,
    2143,   180,  2571,  1009,  1010,  3382,  3383,  2144,  3128,  2270,
    2271,  1012,  1538,  1164,  1433,  1165,  3384,  1434,   100,   101,
     102,   103,   104,   105,  1199,   106,  1169,  1169,  1169,   286,
    1208,  1169,  1539,  1169,  1726,  1166,  2570,  1200,  2503,  1202,
    1203,   177,  1204,  1205,   180,  3093,  1947,  1201,  3094,  3095,
    1948,  1222,  1727,  3589,  3096,  2567,  1749,  1223,   286,   286,
     286,   286,   286,   286,   286,  1447,  1448,  1013,  1449,   286,
    1014,  1224,  1176,  1177,  1008,  1863,  2826,  1225,  1206,  1009,
    1010,  1447,  1448,  2145,  1449,  2361,  3359,  1012,   286,  2317,
    1176,  1177,   286,   286,   286,   286,   286,   286,   286,   286,
     286,   286,   286,   286,   286,   286,  1244,  1176,  1177,  1864,
    1863,  2366,  2362,  2230,   979,  1728,  2253,  3040,  3038,   180,
     979,  2019,  2017,  1591,  1777,   180,  1226,  2624,  1769,   979,
    2630,  1227,  1163,  1167,   180,  1168,  3132,   180,  1873,  1354,
    1355,  1356,  1357,  1013,  1209,  3657,  1014,  1249,  1210,  1164,
     986,  1165,  1442,   980,  1354,  1355,  1356,  1357,  1445,   980,
    1447,  1448,  1251,  1449,  1595,  1372,  1256,  1957,   980,  1264,
    2318,  1166,  1265,  1729,  1797,   979,  1802,  1207,  1266,   987,
     180,  1273,  2319,  1805,  1806,  1807,   286,  2728,  2727,  3631,
    1730,  1731,  1275,  1618,  1619,  1620,  1621,  1622,  1623,  1624,
    1277,  1943,  1732,  1855,  1628,  2731,  1810,  1283,  2227,   988,
     286,  1292,  2228,  2320,   980,  2321,  1176,  1550,  1551,  1552,
    1312,  1833,  1834,  1641,  1317,  1529,  1530,  1644,  1645,  1646,
    1647,  1648,  1649,  1650,  1651,  1652,  1653,  1654,  1655,  1656,
    1657,   359,   979,  2146,  2147,  1178,  1531,   180,   186,  1179,
    2148,  1532,  2149,  1319,  2542,   189,   190,  1874,  1875,  1876,
    1877,  1380,  1381,  1119,  1884,  1414,  1415,  1887,  1533,  1167,
    1320,  1168,   989,  1321,  1534,  3550,  1580,  3551,   990,  2806,
    2212,   980,   991,  1358,  1323,  2814,  2896,  2897,  2898,  1212,
    1212,  2075,  2123,  2077,  1211,   180,  1120,  1121,  1463,  1464,
    1172,  1122,  1681,  1682,  1683,   992,  2899,  2900,  2901,  1529,
    1530,    87,    88,  1880,  1123,  1343,  1932,  1344,  1881,  2522,
    1345,  1771,  2022,  1124,  2023,  1372,  1372,  1684,  1685,  1209,
    1531,  1686,  1758,  1210,  2450,  1532,  2296,  1349,  1087,  1088,
    1944,  1529,  1530,  1369,  1944,  1783,    87,    88,  1944,  2297,
    1346,  1362,  1537,   344,  1347,  2050,  2051,  2052,  2053,  1376,
    2064,  2065,  1531,  1177,  2076,  2599,  2078,  1532,  2079,  2080,
    2759,  1089,  2760,  2719,  3414,  3415,  3416,  3417,  3418,  1524,
    1525,   216,  2322,  1971,  1533,   345,  1973,  2323,  1378,  2324,
    1534,  1383,  1939,   286,  2902,  2903,  1976,  2834,  1384,    87,
      88,  1699,  1700,  2034,  2366,  2362,  2938,  2035,  2939,   346,
    1008,   347,  1385,   348,  2229,  1009,  1010,  1386,   993,  2298,
    2185,   994,  2187,  1012,  2137,  1316,   995,  1318,  1701,  1702,
     100,   101,   102,   103,   104,   105,  1387,   106,  1396,  3055,
    2416,  2417,  3063,  2418,  1395,  1008,  1399,  2856,  3055,  3063,
    1009,  1010,  2405,  2406,  1529,  1530,  1400,  1118,  1012,  -642,
    -642,  1169,  -642,  2458,  2459,   100,   101,   102,   103,   104,
     105,  1397,   106,   996,   286,  1531,   286,   997,   998,  1013,
    1532,  1403,  1014,  2543,  2030,  2031,  2032,  2033,  1404,   349,
     350,   351,   352,  2565,  2566,  1208,  1208,  1537,  1008,  1185,
    1186,  1187,  1188,  1009,  1010,  2757,  2758,  2138,  1119,  2893,
    2894,  1012,   999,  1405,  1013,  2971,  2972,  1014,   100,   101,
     102,   103,   104,   105,  1406,   106,  3049,  3050,  1942,  2086,
    1090,  1008,  2595,  2596,  2597,  2598,  1009,  1010,  1411,  1000,
    1412,  1120,  1121,  2096,  1012,  1413,  1122,  3677,  1790,  1791,
    1428,  1792,  2101,  2768,  2769,  1793,  3602,  3603,  3604,  1123,
    2094,  2105,  2361,  3675,  2135,  1429,  2027,  1013,  1124,  1430,
    1014,  3108,  3109,  1939,  2042,  1439,  2095,  2141,  2046,   979,
    3684,  3216,  3217,  1091,   180,  1794,  3229,  3230,  2048,  3552,
    3553,  2134,  2140,  2150,  3057,  3058,  3059,  3060,  3327,  1001,
    1013,  3371,  3372,  1014,  1354,  1355,  1356,  1357,  1441,  1985,
    1440,  1986,  1202,  1203,  1596,  1597,  1205,   180,   980,  1456,
    2896,  2897,  2898,  1457,  2998,  1461,  1939,  1460,   979,  1462,
    2943,  2944,  3328,   180,  2821,  2822,  2154,  2155,  1465,  1466,
    2899,  2900,  2901,  2097,  2161,  2262,  1469,  1468,  1470,  2166,
    2139,  1206,  1472,  1471,  1473,  2172,  2173,   286,  1481,  1482,
    1491,  2178,  1492,  2180,  2181,  2186,  1493,   980,  1125,  1495,
    1497,  1498,  1499,  2454,  1500,  2188,  2189,  1501,  1502,  1172,
    1503,  1506,  1172,  1509,  2465,  1511,  1514,  2192,  2193,  2974,
    2261,  2273,  2196,  2197,  1515,  2199,  2428,  1520,  2430,  1516,
    1523,  1526,  1527,  2305,  2312,  2326,  1539,  3238,  3239,  2213,
    1542,  3167,  1541,  3045,  3240,  3241,  3242,  3243,  2304,  2311,
    2325,  1202,  1203,  1596,  1597,  1205,  1178,  2130,  2902,  2903,
    1179,  1543,  1544,  2275,  1092,  1093,  1094,  1095,  2276,  1546,
    2462,  1545,  1547,  1548,  2768,  2769,  3329,  1549,  1555,  1556,
    1598,  3419,  3420,  3421,  3422,  3423,  1557,  2419,  1558,  1573,
    1206,  2420,  1096,  1559,  1571,  2299,  2300,  1097,  2301,  2341,
    1574,  1576,  1098,  2302,  2771,  1577,  2303,  1579,  1119,  2370,
    1202,  1203,  1596,  1597,  1205,   180,  3099,  3168,  1583,  1584,
      87,    88,  2102,  3330,  3251,  1585,  1586,  1589,  1590,  2260,
    1602,  1008,  1603,  1604,  1605,  1606,  1009,  1010,  1609,  3252,
    1243,  1120,  1121,  1610,  1012,  1107,  1122,  1611,  1632,  2005,
    1642,  1643,  2414,  1689,  1690,  1691,  2415,  1692,  1697,  1123,
    2360,  1698,  1705,  1706,  1733,  1746,  1750,  1751,  1124,  1752,
    1169,  1753,  1754,  1169,  1755,  1756,  1757,  3331,  1760,  1761,
    3332,  1767,  1770,   286,   286,  1772,   286,   286,   286,   286,
    1779,  1778,   286,   286,   286,   286,  1784,  1786,   286,  3333,
    1013,  3334,  3335,  1014,   286,  1780,  2434,  2435,   979,  3336,
    1787,  2366,  2362,   180,  1202,  1203,  1596,  1597,  1205,  1008,
    1811,  1788,  1827,  2444,  1009,  1010,  1828,  1202,  1203,  1596,
    1597,  1205,  1012,  1354,  1355,  1356,  1357,  1832,  3337,   100,
     101,   102,   103,   104,   105,  1838,   106,   980,  1829,  1830,
    1839,  2768,  2769,  2005,  1108,  2467,  2122,  1846,  1847,  1848,
    1850,  1849,  3338,  1853,  1858,  2131,  1206,  1851,  2132,  2133,
    1856,  1027,  1857,  1859,  1864,  1860,  1862,  1866,    87,    88,
    1885,  2771,  1886,  1891,  1894,  1888,  2360,  1902,  1013,  1901,
    2489,  1014,  1202,  1203,  1596,  1597,  1205,   180,  1905,  3253,
    3254,  3255,  2505,  1132,  1907,  1908,  1911,  1119,  2508,  1209,
    1912,  1913,  1914,  1210,  1109,  1916,  1931,  1937,  2383,  2384,
    1938,  2385,  2386,  2387,  2388,  2600,  1561,  1968,  1977,  2600,
    3339,  1206,  1946,  2397,  1981,  1982,  2123,  3256,  3219,  2398,
    1120,  1121,  1983,  1972,  1110,  1122,  1991,  1984,  1999,  3226,
    3227,  3228,  2002,  3340,  2004,  2009,  3257,  2011,  1123,  2010,
    2013,  3258,  2012,  2014,  2573,  2028,  2043,  1124,  2044,  2047,
    3341,  2081,  2087,  2089,  3259,  2099,  3260,  1008,  3261,  3262,
    2091,  2549,  1009,  1010,  2103,  2107,  3263,  2108,  2118,  3264,
    1012,  2120,  2126,  2121,  2127,  2128,  2875,   100,   101,   102,
     103,   104,   105,  2152,   106,  2156,  2572,  2659,  3342,  3343,
    3344,  3345,  2157,  3346,  2153,  2158,  3347,  2159,  2660,  2661,
    2662,  2663,  2537,  2664,  2665,  2666,  2164,  2167,  2667,  2165,
    2668,  2669,  2168,  2169,  2171,  2170,  2670,  2671,  2176,  3265,
    2179,  2672,  2182,  2177,  2190,  2194,  1013,  2615,  2195,  1014,
    2198,  2617,  2200,  2201,  2203,  2204,  2205,  2206,  2207,  1133,
    1939,  2208,  2209,  2210,  1134,  2214,  2632,   935,   936,   937,
     938,   939,   940,   941,   942,   943,   944,  2215,   945,   946,
     947,   948,   949,   950,   951,  2216,  2419,  2218,  2219,  2220,
    2420,  2225,  2224,  2226,  3519,  3428,  3429,  3430,  3431,  3432,
    3433,  3434,  3435,  2295,  3266,  2653,  2292,  3267,  3268,  3269,
    2329,  2331,  2332,  2334,  2335,  3270,  2338,  2344,  2375,  2368,
    3271,  2371,  2376,  2377,  3198,  2396,  2399,  2407,  2400,  2410,
    3272,  2411,  2412,  2413,  2422,  2423,  3273,  2424,  3199,  2429,
    2431,   286,   286,  3200,   286,  2432,  2433,  2445,   286,   286,
    2446,  1111,  1112,  1113,  2447,  2449,   286,  2453,  3201,  2460,
    2461,  2466,  2472,  2707,  2093,  2470,  2710,  2473,  2471,  2476,
    2457,   286,  2477,   286,  2485,   935,   936,   937,   938,   939,
     940,   941,   942,   943,   944,  2517,   945,   946,   947,   948,
     949,   950,   951,  2486,  2487,  2718,  1372,  2490,  2488,  1135,
    2491,  2492,  2502,   935,   936,   937,   938,   939,   940,   941,
     942,   943,   944,   953,   945,   946,   947,   948,   949,   950,
     951,  2506,  2509,  2507,  2510,  2748,  2511,  2750,  2512,  2514,
    2515,  2516,  3555,  3556,  2360,  3558,  3559,  2519,  2523,  2524,
    2525,  2526,  2527,  2528,  2764,  2529,  2531,  2532,  2530,  3569,
    3570,  3571,  2533,  2538,  2539,  2540,  2541,  2544,  2545,  2546,
    2550,  3202,  2547,  2548,  2561,  2562,  2551,  2568,  2563,  2564,
    2768,  2769,  2575,  2586,  2592,  2574,  1641,  1641,  2593,  2641,
    2610,  2611,  2609,  2642,  2643,  2616,  2620,  2621,  2618,  2623,
    2631,  1641,  2634,  2635,  -969,  2640,  2645,  2619,  2646,  2649,
    2771,  2915,  2648,  2651,  2652,  2655,  2657,  2656,  2658,  3649,
    3650,  2600,  2695,  2701,  2702,  2828,  2829,  2703,  2704,  3203,
    2832,   953,  2705,  2706,  2708,  2714,  2711,  2836,  2788,  2713,
    2837,  2715,  2741,  2716,   952,  1659,  2734,  2749,  2751,  3658,
    2717,  2747,  1660,  1661,  2752,  2761,  2762,  2763,  2753,   953,
    2756,  2765,  2809,  2794,  2766,  2854,  2855,  2785,  2808,  2857,
    2876,  2859,  2823,  2815,  2816,  3633,  2825,  2863,  2831,  2833,
    2233,  2835,  2851,  2314,  3204,  3205,  3206,  2838,  2858,  2853,
    2234,  2865,  2839,  2888,  2889,  2892,  2866,  3207,  2917,  3208,
    2909,  3209,  2922,  2895,  2925,  2929,  2931,  3210,  3211,  2936,
    2235, -1583, -1583, -1583,  2942,  3212,  2949,  2947,  2951,  2959,
    2962,  2904,  2963,  2986,  2970,  2964,  2967,  2904,  2961,  2965,
    2988, -1583, -1583, -1583, -1583, -1583,  1239,  1240,  1241,  1242,
    2360,  2973,  1243,  2870,  2990,  2991,  2992,  2999,  2958,  3000,
     286,  2817,   286,  3030,  3001,   286,  3002,  3010,  3031,  3005,
    3018,  1119,  3023,  1372,  1372,  2236,  3027,  3029,  2945,  3046,
    2946,  1662,  1663,  1664,  1665,  1666,  1667,  3035,  1668,  3047,
    3052,  3067,  2957,  3064,  3068,  3073,  3076,  3100,   286,   286,
    2123,  3077,  3080,  3083,  2237,  2238,   286,  3105,   286,  1122,
    3110,   286,  3106,   286,   286,  3119,   286,  3164,  3122,  3165,
    3166,  3107,  1123,  3179,  3158,  3186,  3189,  3190,  3192,  3195,
    3222,  1124,  1372,  2975,  3224,  3225,  3232,  3247,  3218,   286,
    3282,   935,   936,   937,   938,   939,   940,   941,   942,   943,
     944,  3292,   945,   946,   947,   948,   949,   950,   951,  3289,
    3294,  3298,  1669,  1670,  1671,  1672,  1673,  1674,  1675,  1676,
    1677,  1678,  1679,  3361,  3295,  2239,  3365,  2240,  3366,  2241,
    3373,  3374,  3375,  3376,  3377,  2242,  3378,  3404,  3379,  3390,
    3381,  3396,  3386,  3409,  1169,  2880,  3388,  2881,  3412,  1707,
    2884,  3389,  3395,  3405,  3406,  3413,  3407,  3424,  3022,  3437,
    3025,  3439,  3444,  3461,  1176,  1550,  1551,  1552,  3452,  3455,
    3438,  1864,  1864,  3462,  3451,  3034,  3463,  3465,  3470,  3491,
    3484,  3486,  3483,  2923,  2924,  3481,  3478,  3492,  3498,  2846,
    1212,  3502,  3487,  3485,  3510,  3520,   186,  3508,  3521,  2243,
    3522,  1641,  3525,   189,   190,  2244,  1209,  1209,  3489,  2659,
    1210,  1210,  3048,  3532,  3526,  3538,  3536,  3541,  3056,  3546,
    2660,  2661,  2662,  2663,  2948,  2664,  2665,  2666,  3548,  1708,
    2667,  3530,  2668,  2669,  3549,  3529,  2360,   953,  2670,  2671,
    3573,   286,  3574,  2679,  3568,  3557,  3539,  3578,  3579,  3581,
    3597,  3617,  3531,  3601,  3641,  3608,  2245,  3642,  3643,  3647,
    1709,  3600,  3648,  3660,  3676,  3612,  2246,  2247,  3613,  3681,
    3678,  3672,  3682,  2248,  3680,  3685,  2036,  2037,  2633,  2038,
    2720,  2625,  3683,  3182,  2985,  2249,  2680,  2681,  1710,  1530,
    2682,  2683,  2250,  3183,  2918,  3181,  2919,  2251,  2920,  1229,
    1230,  1231,  2291,   286,  2252,  1711,  1615,  2712,  3121,  1712,
    2867,  2006,  1713,  1714,  3542,  1189,  2007,  1715,  3543,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,  1599,   216,
    1243,  2937,  1099,  2008,  3043,  3039,  2464,  2402,  1716,  3408,
    1360,  2403,  1363,  3427,  3086,  1704,   286,  3221,  3089,  2481,
    2191,  2966,  2997,  3013,  3180,  3126,  3607,  2904,  3472,  2904,
    2986,  1717,  1718,  1719,  2954,  1720,  1721,  1722,  3497,  1229,
    1230,  1231,  1232,  1233,  3619,  3500,  3036,  3621,  3501,  2864,
    2860,  1966,  2106,  2082,  1388,     0,  1768,     0,     0,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,     0,
    1243,  1372,  3220,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1372,  1372,  1372,     0,     0,     0,  1427,     0,
       0,  3236,     0,     0,     0,     0,  3248,  1443,     0,  3249,
       0,     0,     0,     0,   286,     0,     0,     0,  3084,   286,
    1467,   286,  3280,     0,   286,     0,  3283,  3284,  1478,  3288,
       0,  3291,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1505,     0,
       0,  1508,  2873,  1510,     0,     0,     0,     0,     0,     0,
       0,  3111,     0,  1517,     0,     0,     0,     0,     0,  3367,
       0,  3368,  3369,  3370,     0,     0,     0,     0,     0,  2600,
       0,     0,     0,     0,     0,  3380,     0,     0,     0,  3385,
       0,  3387,     0,     0,     0,     0,     0,     0,  1212,  1212,
       0,  1169,  1578,     0,  1581,     0,     0,     0,     0,  2360,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   286,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1027,
       0,     0,     0,     0,     0,     0,    87,    88,     0,     0,
    3436,     0,     0,     0,  3440,  3441,  3442,     0,     0,     0,
       0,     0,     0,     0,  3454,     0,  3457,     0,  3460,     0,
       0,  2255,     0,     0,  3464,  1229,  1230,  1231,  1232,  1233,
       0,     0,     0,     0,     0,  2256,  3466,  3467,     0,     0,
       0,  3468,  3469,     0,     0,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,     0,  3533,  1243,     0,     0,     0,
       0,  3540,     0,     0,  3495,     0,     0,     0,     0,  3495,
       0,     0,     0,     0,  3503,     0,     0,     0,  3507,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3528,     0,     0,     0,  1008,     0,     0,  2874,     0,
    1009,  1010,     0,     0,     0,  2257,  2258,     0,  1012,     0,
       0,     0,     0,     0,  3364,   100,   101,   102,   103,   104,
     105,     0,   106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1372,  1372,     0,  1372,  1372,
    3560,  3561,     0,  3563,  3564,  3565,  3566,  3567,     0,     0,
       0,     0,  1372,  1372,  1372,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1013,     0,     0,  1014,     0,   286,
       0,     0,     0,     0,     0,     0,     0,  2259,     0,   286,
       0,   286,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3585,  3586,  3587,     0,     0,     0,     0,     0,     0,
       0,     0,  3591,  3592,     0,     0,     0,     0,  3595,     0,
    1816,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3606,     0,     0,  3609,  3610,  3611,     0,     0,     0,
       0,  3615,  3616,     0,     0,     0,     0,     0,     0,  1835,
       0,  3624,     0,     0,  1844,  1845,     0,     0,     0,     0,
       0,     0,  1852,     0,     0,  3627,     0,  3628,  3629,  3630,
       0,     0,     0,     0,     0,     0,     0,     0,  1372,  3634,
       0,  1883,  3635,  3636,     0,     0,     0,  1889,  1890,     0,
    1892,  1893,     0,  1895,  1896,  1897,  1898,  1899,  1900,     0,
       0,  1903,  1904,     0,  1906,  3645,  3646,  1909,  1910,     0,
       0,     0,     0,  1915,  3547,  1917,  1229,  1230,  1231,  1232,
    1233,     0,     0,     0,     0,     0,  1925,  1928,  1929,     0,
       0,  1930,  2986,     0,     0,     0,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,     0,
       0,     0,     0,     0,     0,  3673,  3674,  3662,  3663,     0,
       0,     0,     0,     0,  1612,  3665,     0,  1949,     0,  3667,
       0,     0,     0,     0,  3669,     0,    87,    88,     0,  3670,
    1955,     0,     0,     0,     0,     0,     0,     0,  1613,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1969,  1970,
       0,  1007,     0,     0,     0,     0,   174,     0,   175,   176,
     177,   178,   179,   180,     0,     0,     0,   181,   182,     0,
       0,     0,     0,     0,     0,   183,   184,  1625,     0,     0,
     185,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   186,   187,     0,     0,     0,   188,     0,   189,
     190,     0,     0,   191,     0,     0,  2360,     0,     0,     0,
       0,   286,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1008,     0,     0,     0,     0,
    1009,  1010,     0,     0,  1011,     0,     0,     0,  1012,     0,
       0,     0,     0,  1169,   286,   100,   101,   102,   103,   104,
     105,     0,   106,     0,     0,     0,     0,     0,   192,   193,
    1185,  1186,  1187,  1188,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,     0,   211,     0,   212,     0,     0,     0,   213,     0,
       0,     0,     0,   214,  1013,   215,     0,  1014,     0,     0,
       0,     0,     0,     0,     0,     0,  1229,  1230,  1231,  1232,
    1233,     0,  1015,     0,     0,     0,     0,     0,  1229,  1230,
    1231,  1232,  1233,     0,     0,   216,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,     0,     0,  1243,  1234,  1235,
    1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,
       0,     0,     0,     0,  2379,     0,     0,     0,     0,     0,
    1229,  1230,  1231,  1232,  1233,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,     0,  2380,     0,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,
    1993,  1243,     0,     0,     0,   218,   219,   220,   221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2160,  2162,  1229,  1230,  1231,  1232,  1233,     0,     0,
       0,     0,     0,     0,     0,  2174,  2175,     0,     0,     0,
       0,     0,  1994,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,     0,     0,  1243,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2211,     0,     0,     0,
       0,     0,     0,  2217,     0,  1995,     0,  2221,  2222,  2223,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
       0,     0,  1229,  1230,  1231,  1232,  1233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   233,   234,
       0,  2294,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,     0,     0,  1243,     0,     0,     0,     0,  2342,  2343,
    1229,  1230,  1231,  1232,  1233,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   236,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,
       0,  1243,   237,   238,  1996,  1229,  1230,  1231,  1232,  1233,
       0,     0,     0,   239,   240,   241,   242,     0,     0,     0,
       0,     0,     0,     0,     0,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,     0,     0,  1243,  1229,  1230,  1231,
    1232,  1233,  2378,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,
       0,     0,     0,     0,     0,     0,     0,  2685,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   243,   244,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2686,
     245,   246,     0,     0,     0,     0,     0,     0,  2455,  2456,
       0,     0,     0,     0,     0,     0,     0,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,     0,     0,     0,     0,     0,  2504,
    1229,  1230,  1231,  1232,  1233,     0,     0,     0,     0,     0,
       0,     0,  2513,     0,     0,     0,   284,   285,     0,     0,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,
       0,  1243,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1229,  1230,  1231,  1232,  1233,     0,     0,  1808,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2534,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
       0,     0,  1243,  1229,  1230,  1231,  1232,  1233,     0,     0,
       0,     0,     0,  2554,  2555,  2557,  2558,     0,     0,  1978,
       0,     0,     0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,     0,     0,  1243,  1229,  1230,  1231,  1232,  1233,
       0,     0,     0,     0,     0,  2581,     0,  2584,     0,     0,
       0,  1992,  2591,     0,     0,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,     0,     0,  1243,     0,     0,     0,
       0,     0,     0,     0,  2614,     0,     0,     0,     0,     0,
       0,     0,     0,  1997,     0,   174,     0,   175,   176,   177,
     178,   179,   180,     0,     0,     0,   181,   182,     0,     0,
       0,     0,     0,     0,   183,   184,     0,     0,     0,   185,
       0,     0,     0,  1229,  1230,  1231,  1232,  1233,     0,     0,
       0,   186,   187,     0,     0,     0,   188,     0,   189,   190,
       0,     0,   191,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,  1228,     0,  1243,     0,     0,  1229,  1230,  1231,
    1232,  1233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1998,     0,     0,     0,     0,     0,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,
       0,     0,     0,     0,     0,     0,     0,   192,   193,  1185,
    1186,  1187,  1188,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
       0,   211,     0,   212,     0,     0,     0,   213,     0,     0,
       0,     0,   214,     0,   215,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1229,  1230,  1231,  1232,  1233,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2746,     0,     0,     0,   216,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,     0,     0,  1243,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2003,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2784,     0,     0,     0,     0,
       0,     0,     0,   217,     0,     0,  2801,  2802,  2803,     0,
       0,  2807,  1229,  1230,  1231,  1232,  1233,     0,     0,     0,
       0,     0,     0,     0,   218,   219,   220,   221,     0,     0,
       0,     0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,     0,     0,  1243,     0,  2830,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2100,  1229,  1230,  1231,  1232,  1233,     0,     0,     0,     0,
       0,     0,     0,     0,  2850,     0,     0,   222,     0,     0,
       0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
       0,     0,  1243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2448,
    1229,  1230,  1231,  1232,  1233,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,
       0,  1243,  1229,  1230,  1231,  1232,  1233,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2687,     0,
       0,     0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,     0,     0,  1243,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   236,     0,
    2688,     0,     0,     0,     0,     0,     0,     0,     0,  2953,
       0,   237,   238,  1229,  1230,  1231,  1232,  1233,     0,     0,
       0,     0,   239,   240,   241,   242,  1229,  1230,  1231,  1232,
    1233,     0,     0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,     0,     0,  1243,  2969,  1234,  1235,  1236,  1237,
    1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,     0,
       0,  2689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2690,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3003,  1229,  1230,  1231,  1232,  1233,
    3004,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3008,   243,   244,     0,     0,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,     0,     0,  1243,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2088,     0,  3026,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,     0,     0,     0,     0,     0,     0,     0,
    1027,     0,  1028,     0,     0,     0,     0,  1029,  1030,     0,
       0,     0,     0,     0,     0,   284,   285,     0,     0,     0,
       0,     0,  1229,  1230,  1231,  1232,  1233,     0,     0,     0,
       0,     0,  1031,     0,     0,     0,     0,     0,     0,     0,
       0,  1032,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,     0,     0,  1243,     0,     0,  3102,  1229,  1230,  1231,
    1232,  1233,     0,     0,     0,     0,     0,     0,     0,     0,
    2890,     0,     0,     0,  1033,     0,     0,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,
       0,     0,     0,     0,     0,  3120,     0,     0,     0,     0,
    3123,     0,     0,     0,     0,  2891,  1008,     0,     0,     0,
       0,  1009,  1010,     0,  1034,  1035,     0,     0,     0,  1012,
    1036,     0,     0,     0,     0,     0,  1037,  1038,  1039,  1040,
       0,  1229,  1230,  1231,  1232,  1233,     0,     0,     0,     0,
    1041,     0,     0,     0,  1042,     0,  1043,     0,     0,     0,
       0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
       0,     0,  1243,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1013,     0,     0,  1014,  3065,
    1229,  1230,  1231,  1232,  1233,     0,  3215,  1044,     0,     0,
       0,  1045,     0,  1046,     0,  3223,     0,  1047,     0,     0,
    1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,
       0,  1243,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3066,  3279,
       0,  3281,     0,  1048,     0,     0,     0,  1049,  1050,     0,
       0,     0,     0,  3293,     0,     0,  3296,  3297,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1051,     0,     0,     0,  1052,
       0,     0,     0,     0,     0,  1053,  1054,     0,  1055,     0,
       0,     0,  1056,     0,     0,     0,     0,     0,  1057,  1058,
       0,  1059,  1060,     0,     0,  1061,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1062,
    1063,     0,     0,     0,  1064,  1065,  1066,     0,     0,     0,
       0,     0,     0,     0,  1067,     0,     0,     0,  1068,     0,
       0,  1069,  1070,     0,  1071,     0,  1072,     0,     0,  1073,
    1074,     0,     0,     0,     0,     0,     0,  1229,  1230,  1231,
    1232,  1233,     0,     0,     0,  3443,  1075,     0,  1076,     0,
       0,  3453,     0,     0,     0,     0,  1077,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,
       0,     0,     0,  1229,  1230,  1231,  1232,  1233,     0,     0,
       0,     0,     0,     0,     0,  3085,     0,     0,     0,     0,
       0,     0,  3482,  1234,  1235,  1236,  1237,  1238,  1239,  1240,
    1241,  1242,     0,     0,  1243,  1229,  1230,  1231,  1232,  1233,
       0,     0,     0,     0,  3504,     0,     0,     0,  3509,     0,
       0,  3231,     0,     0,     0,  1234,  1235,  1236,  1237,  1238,
    1239,  1240,  1241,  1242,     0,     0,  1243,  1229,  1230,  1231,
    1232,  1233,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3644,     0,     0,     0,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,     0,
       0,  3554,  1229,  1230,  1231,  1232,  1233,     0,     0,     0,
    3562,     0,     0,  2872,  1229,  1230,  1231,  1232,  1233,     0,
       0,     0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,     0,     0,  1243,  1234,  1235,  1236,  1237,  1238,  1239,
    1240,  1241,  1242,     0,     0,  1243,     0,     0,  3041,     0,
       0,     0,  3580,     0,     0,     0,     0,     0,     0,     0,
    3042,  1229,  1230,  1231,  1232,  1233,  3588,  3590,     0,     0,
       0,     0,     0,  3593,  3594,     0,     0,  3596,     0,     0,
       0,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,
       0,     0,  1243,     0,     0,     0,     0,     0,  3614,     0,
       0,     0,  3618,     0,  3620,     0,     0,  3044,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3625,  3626,     0,     0,     0,     0,     0,  1229,  1230,  1231,
    1232,  1233,     0,     0,     0,  3632,     0,     0,     0,     0,
       0,     0,  3637,     0,  3638,  3639,  3640,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,     0,     0,  1243,  1229,
    1230,  1231,  1232,  1233,     0,     0,     0,     0,     0,     0,
       0,     0,  3651,  3197,     0,     0,     0,     0,     0,  1234,
    1235,  1236,  1237,  1238,  1239,  1240,  1241,  1242,     0,     0,
    1243,     0,     0,     0,     0,     0,  3656,     0,     0,   367,
     368,   369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3661,     0,     0,     0,     0,     0,     0,     0,
     370,   371,     0,     0,     0,     0,     0,     0,  3668,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3671,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,     0,     0,     0,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,     0,
       0,     0,     0,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,   425,
     426,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,   473,   474,   475,
     476,     0,     0,     0,     0,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,   528,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,     0,     0,     0,
       0,     0,   589,   590,   591,   592,   593,   594,   595,   596,
     597,   598,   599,   600,   601,   602,   603,   604,   605,   606,
     607,   608,   609,   610,   611,   612,   613,   614,   615,   616,
     617,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   628,   629,   630,   631,   632,   633,   634,   635,   636,
     637,   638,   639,   640,   641,   642,   643,   644,   645,   646,
     647,   648,   649,   650,   651,   652,   653,   654,   655,   656,
     657,   658,   659,   660,   661,   662,   663,   664,   665,   666,
     667,   668,   669,   670,   671,   672,   673,   674,   675,   676,
     677,   678,   679,   680,   681,   682,   683,   684,   685,   686,
     687,   688,   689,   690,   691,   692,   693,   694,   695,   696,
     697,   698,   699,   700,   701,   702,   703,   704,   705,   706,
     707,   708,   709,   710,   711,   712,   713,   714,   715,   716,
     717,   718,   719,   720,   721,   722,   723,   724,   725,   726,
     727,   728,   729,   730,   731,   732,   733,   734,   735,   736,
     737,   738,   739,   740,   741,   742,   743,   744,   745,   746,
     747,   748,   749,   750,   751,   752,   753,     0,     0,   754,
     755,   756,   757,   758,   759,   760,   761,   762,   763,   764,
     765,   766,   767,   768,   769,   770,   771,   772,   773,   774,
     775,   776,   777,   778,   779,   780,   781,   782,   783,   784,
     785,   786,   787,   788,   789,   790,   791,   792,   793,   794,
     795,   796,   797,   798,   799,   800,   801,   802,   803,   804,
     805,   806,   807,   808,   809,   810,   811,   812,   813,   814,
     815,   816,   817,   818,   819,   820,   821,   822,   823,   824,
     825,   826,   827,   828,   829,   830,   831,   832,   833,   834,
     835,   836,   837,   838,     0,   839,   840,   841,   842,   843,
     844,   845,   846,   847,   848,   849,   850,   851,   852,   853,
     854,   855,   856,   857,   858,   859,   860,   861,   862,   863,
     864,   865,   866,   867,   868,   869,   870,   871,   872,   873,
     874,   875,   876,   877,   878,   879,   880,   881,   882,   883,
     884,   885,   886,   887,   888,   889,   890,   891,   892,   893,
     894,   895,   896,   897,   898,   899,   900,   901,   902,   903,
     904,   905,   906,   907,   908,   909,   910,   911,   912,   913,
     914,   915,   916,   917,   918,   919,   920,   921,   922,   923,
     924,   925,   926,   927,   928,   367,   368,   369,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   370,   371,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,  1004,   384,   385,     0,
       0,     0,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,     0,     0,     0,     0,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,   464,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,     0,     0,     0,
       0,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
     496,   497,   498,   499,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,   521,   522,   523,   524,   525,
     526,   527,   528,   529,   530,   531,   532,   533,   534,   535,
     536,   537,   538,   539,   540,   541,   542,   543,   544,   545,
     546,   547,   548,   549,   550,   551,   552,   553,   554,   555,
     556,   557,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,     0,     0,     0,     0,     0,   589,   590,
     591,   592,   593,   594,   595,   596,   597,   598,   599,   600,
     601,   602,   603,   604,   605,   606,   607,   608,   609,   610,
     611,   612,   613,   614,   615,   616,   617,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   628,   629,   630,
     631,   632,   633,   634,   635,   636,   637,   638,   639,   640,
     641,   642,   643,   644,   645,   646,   647,   648,   649,   650,
     651,   652,   653,   654,   655,   656,   657,   658,   659,   660,
     661,   662,   663,   664,   665,   666,   667,   668,   669,   670,
     671,   672,   673,   674,   675,   676,   677,   678,   679,   680,
     681,   682,   683,   684,   685,   686,   687,   688,   689,   690,
     691,   692,   693,   694,   695,   696,   697,   698,   699,   700,
     701,   702,   703,   704,   705,   706,   707,   708,   709,   710,
     711,   712,   713,   714,   715,   716,   717,   718,   719,   720,
     721,   722,   723,   724,   725,   726,   727,   728,   729,   730,
     731,   732,   733,   734,   735,   736,   737,   738,   739,   740,
     741,   742,   743,   744,   745,   746,   747,   748,   749,   750,
     751,   752,   753,     0,     0,   754,   755,   756,   757,   758,
     759,   760,   761,   762,   763,   764,   765,   766,   767,   768,
     769,   770,   771,   772,   773,   774,   775,   776,   777,   778,
     779,   780,   781,   782,   783,   784,   785,   786,   787,   788,
     789,   790,   791,   792,   793,   794,   795,   796,   797,   798,
     799,   800,   801,   802,   803,   804,   805,   806,   807,   808,
     809,   810,   811,   812,   813,   814,   815,   816,   817,   818,
     819,   820,   821,   822,   823,   824,   825,   826,   827,   828,
     829,   830,   831,   832,   833,   834,   835,   836,   837,   838,
       0,   839,   840,   841,   842,   843,   844,   845,   846,   847,
     848,   849,   850,   851,   852,   853,   854,   855,   856,   857,
     858,   859,   860,   861,   862,   863,   864,   865,   866,   867,
     868,   869,   870,   871,   872,   873,   874,   875,   876,   877,
     878,   879,   880,   881,   882,   883,   884,   885,   886,   887,
     888,   889,   890,   891,   892,   893,   894,   895,   896,   897,
     898,   899,   900,   901,   902,   903,   904,   905,   906,   907,
     908,   909,   910,   911,   912,   913,   914,   915,   916,   917,
     918,   919,   920,   921,   922,   923,   924,   925,   926,   927,
     928,   367,   368,   369,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   370,   371,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,     0,     0,     0,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,     0,     0,     0,     0,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,  1339,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,     0,     0,     0,     0,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,   496,   497,   498,   499,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,   521,   522,   523,   524,   525,   526,   527,   528,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,     0,
       0,     0,     0,     0,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,     0,
       0,   754,   755,   756,   757,   758,   759,   760,   761,   762,
     763,   764,   765,   766,   767,   768,   769,   770,   771,   772,
     773,   774,   775,   776,   777,   778,   779,   780,   781,   782,
     783,   784,   785,   786,   787,   788,   789,   790,   791,   792,
     793,   794,   795,   796,   797,   798,   799,   800,   801,   802,
     803,   804,   805,   806,   807,   808,   809,   810,   811,   812,
     813,   814,   815,   816,   817,   818,   819,   820,   821,   822,
     823,   824,   825,   826,   827,   828,   829,   830,   831,   832,
     833,   834,   835,   836,   837,   838,     0,   839,   840,   841,
     842,   843,   844,   845,   846,   847,   848,   849,   850,   851,
     852,   853,   854,   855,   856,   857,   858,   859,   860,   861,
     862,   863,   864,   865,   866,   867,   868,   869,   870,   871,
     872,   873,   874,   875,   876,   877,   878,   879,   880,   881,
     882,   883,   884,   885,   886,   887,   888,   889,   890,   891,
     892,   893,   894,   895,   896,   897,   898,   899,   900,   901,
     902,   903,   904,   905,   906,   907,   908,   909,   910,   911,
     912,   913,   914,   915,   916,   917,   918,   919,   920,   921,
     922,   923,   924,   925,   926,   927,   928,   174,     0,   175,
     176,   177,   178,   179,   180,     0,     0,     0,   181,   182,
       0,     0,     0,     0,     0,     0,   183,   184,  2389,     0,
       0,   185,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   186,   187,     0,     0,     0,   188,     0,
     189,   190,     0,     0,   191,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   192,
     193,     0,     0,     0,     0,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,     0,   211,     0,   212,     0,     0,     0,   213,
       0,     0,     0,     0,   214,     0,   215,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   216,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   218,   219,   220,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   233,
     234,   174,     0,   175,   176,   177,   178,   179,   180,     0,
       0,     0,   181,   182,     0,     0,     0,     0,     0,     0,
     183,   184,  2393,     0,     0,   185,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   186,   187,     0,
     236,     0,   188,     0,   189,   190,     0,     0,   191,     0,
       0,     0,     0,   237,   238,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   192,   193,     0,     0,     0,     0,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,     0,   211,     0,   212,
       0,     0,     0,   213,     0,     0,     0,     0,   214,     0,
     215,     0,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   245,   246,     0,     0,     0,     0,     0,     0,     0,
     216,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,     0,     0,     0,     0,   217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   284,   285,     0,
     218,   219,   220,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,   234,   174,     0,   175,   176,   177,
     178,   179,   180,     0,     0,     0,   181,   182,     0,     0,
       0,     0,     0,     0,   183,   184,  2927,     0,     0,   185,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   186,   187,     0,   236,     0,   188,     0,   189,   190,
       0,     0,   191,     0,     0,     0,     0,   237,   238,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   192,   193,     0,
       0,     0,     0,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
       0,   211,     0,   212,     0,     0,     0,   213,     0,     0,
       0,     0,   214,     0,   215,     0,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   245,   246,     0,     0,     0,
       0,     0,     0,     0,   216,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,     0,
       0,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   284,   285,     0,   218,   219,   220,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,   174,
       0,   175,   176,   177,   178,   179,   180,     0,     0,     0,
     181,   182,     0,     0,     0,     0,     0,     0,   183,   184,
    2932,     0,     0,   185,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   186,   187,     0,   236,     0,
     188,     0,   189,   190,     0,     0,   191,     0,     0,     0,
       0,   237,   238,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   192,   193,     0,     0,     0,     0,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,   206,
     207,   208,   209,   210,     0,   211,     0,   212,     0,     0,
       0,   213,     0,     0,     0,     0,   214,     0,   215,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,   216,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,     0,     0,     0,     0,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   285,     0,   218,   219,
     220,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,   234,   174,     0,   175,   176,   177,   178,   179,
     180,     0,     0,     0,   181,   182,     0,     0,     0,     0,
       0,     0,   183,   184,  2934,     0,     0,   185,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   186,
     187,     0,   236,     0,   188,     0,   189,   190,     0,     0,
     191,     0,     0,     0,     0,   237,   238,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   192,   193,     0,     0,     0,
       0,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,     0,   211,
       0,   212,     0,     0,     0,   213,     0,     0,     0,     0,
     214,     0,   215,     0,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   245,   246,     0,     0,     0,     0,     0,
       0,     0,   216,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,     0,     0,     0,
       0,   217,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   284,
     285,     0,   218,   219,   220,   221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   233,   234,   174,     0,   175,
     176,   177,   178,   179,   180,     0,     0,     0,   181,   182,
       0,     0,     0,     0,     0,     0,   183,   184,     0,     0,
       0,   185,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   186,   187,     0,   236,     0,   188,     0,
     189,   190,     0,     0,   191,     0,     0,     0,     0,   237,
     238,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     239,   240,   241,   242,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   192,
     193,     0,     0,     0,     0,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,   207,   208,
     209,   210,     0,   211,     0,   212,     0,     0,     0,   213,
       0,     0,     0,     0,   214,     0,   215,     0,     0,   243,
     244,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   245,   246,     0,
       0,     0,     0,     0,     0,     0,   216,     0,     0,     0,
       0,     0,     0,     0,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,     0,     0,     0,     0,   217,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   284,   285,     0,   218,   219,   220,   221,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   233,
     234,     0,     0,     0,     0,     0,     0,     0,  2345,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   187,     0,
     236,     0,     0,     0,     0,     0,     0,     0,   191,     0,
       0,     0,     0,   237,   238,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   239,   240,   241,   242,  2346,     0,
       0,     0,  2348,  2349,  2350,  2351,  2352,  2353,  2354,   935,
     936,   937,   938,   939,   940,   941,   942,   943,   944,     0,
     945,   946,   947,   948,   949,   950,   951,  2355,     0,     0,
    2356,  2357,     0,     0,     0,     0,     0,     0,     0,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2358,     0,  2359,     0,     0,     0,
       0,     0,     0,   243,   244,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   245,   246,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
     279,   280,   281,   282,   283,     0,     0,     0,     0,   217,
       0,     0,     0,     0,     0,   953,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   284,   285,     0,
     218,   219,   220,   221,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   233,   234,     0,     0,     0,     0,     0,
       0,     0,  2345,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     235,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,     0,   236,     0,     0,     0,     0,     0,
       0,     0,   191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   239,   240,
     241,   242,  2346,  2347,     0,     0,  2348,  2349,  2350,  2351,
    2352,  2353,  2354,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2355,     0,     0,  2356,  2357,     0,     0,     0,     0,
       0,     0,     0,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2358,     0,
    2359,     0,     0,     0,     0,     0,     0,   243,   244,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   245,   246,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,     0,
       0,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   284,   285,     0,   218,   219,   220,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,  2345,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   187,     0,   236,     0,
       0,     0,     0,     0,     0,     0,   191,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,  2346,     0,     0,     0,
    2348,  2349,  2350,  2351,  2352,  2353,  2354,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2355,     0,     0,  2356,  2357,
       0,     0,     0,     0,     0,     0,     0,   194,   195,   196,
     197,   198,   199,   200,   201,   202,   203,   204,   205,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2358,     0,  2359,     0,     0,     0,     0,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,     0,     0,     0,     0,   217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   285,     0,   218,   219,
     220,   221,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   233,   234,     0,     0,     0,     0,     0,     0,  2725,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   187,
       0,     0,   236,  2726,     0,     0,     0,     0,     0,   191,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   239,   240,   241,   242,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   243,   244,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   245,   246,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     247,   248,   249,   250,   251,   252,   253,   254,   255,   256,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,   282,   283,     0,     0,     0,
     217,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   284,
     285,   218,   219,   220,   221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   222,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   233,   234,     0,     0,     0,     0,
       0,     0,  3037,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   235,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   187,     0,     0,   236,     0,     0,     0,     0,
       0,     0,   191,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   239,
     240,   241,   242,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   243,   244,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   245,   246,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
       0,     0,     0,   217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   284,   285,   218,   219,   220,   221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   222,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   233,   234,     0,
       0,     0,     0,     0,     0,     0,     0,  2015,  2016,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   187,     0,     0,   236,     0,
       0,     0,     0,     0,     0,   191,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   239,   240,   241,   242,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   243,   244,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   245,
     246,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,     0,     0,     0,   217,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   284,   285,   218,   219,   220,
     221,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     233,   234,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   235,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   236,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   239,   240,   241,   242,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   243,   244,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   245,   246,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   284,   285
};

static const yytype_int16 yycheck[] =
{
       7,   107,   215,   179,   215,   111,   174,   179,    92,     3,
     319,  1054,  1055,    84,   162,   163,  1967,  1967,    89,    90,
    1390,   342,   978,  1101,   154,  1121,  1658,  1658,  1999,  2000,
    2001,  2002,  1513,  1092,   152,  2781,  1450,  1274,    72,   215,
    1274,   144,    28,   215,   162,   163,  1133,   150,  1454,   152,
     113,   154,  2563,  2564,  2565,    85,    85,  1193,  1194,   162,
     163,  1163,  1164,  1165,    85,  1710,  1168,   170,  1170,     3,
       4,     5,    24,   322,    24,    19,    28,    22,  1315,    24,
      24,    94,  2646,    85,    91,  2301,    85,  1223,  1224,    19,
      53,   137,   171,   139,    24,   141,    85,   143,  2676,   145,
      53,   147,    19,   149,  2682,   151,   128,    24,   357,   155,
      94,   157,    85,   159,    58,   161,    93,    24,  1763,    40,
    2436,    28,   168,   169,    21,    22,   175,    24,    58,    53,
     209,   171,     6,   135,    19,     7,   142,    70,   159,    24,
     136,    58,  2093,   164,   165,     6,  2970,   168,   136,    53,
      85,   172,   165,     6,   203,   204,   150,  3033,  3167,    44,
      45,    46,    47,    19,   186,    55,   140,   174,    24,     6,
    1725,    24,   221,    58,  3033,    24,    21,    22,   185,    24,
    3033,   188,    43,    51,   167,   244,   321,  1274,    56,    57,
     171,    53,    53,    74,    10,    28,    57,   244,   320,    60,
      61,    24,    58,    54,    85,    28,    24,   228,   215,     6,
     231,    54,   531,   147,    24,    10,    24,    70,   168,    91,
      28,  3262,  3469,    59,   247,    54,    87,    24,    58,    19,
      84,   165,    51,   171,    24,   257,   967,    56,    57,   345,
     346,   347,   348,   349,   350,   351,   352,    83,     7,   271,
     272,   273,   274,   275,    44,    45,    46,    47,   192,   193,
     246,    85,   197,   395,    59,   328,    24,    83,    58,    51,
      85,    24,    24,   176,    56,    57,    28,    37,    86,    83,
      37,     0,   601,  1014,   145,    24,   147,   148,   287,    28,
     151,   277,   153,   333,  3335,   229,  2955,   231,   159,   233,
     161,   162,   163,   237,   165,   278,   159,  2818,   145,   146,
     244,   361,   166,   185,   337,    83,   188,    85,   179,   180,
     181,   182,   183,   184,   456,   186,   156,     6,  1387,   232,
     452,   312,   354,   283,    98,  1967,  1967,   174,   397,    19,
     314,   203,   276,   205,    24,    55,   280,   320,   166,   200,
     397,   285,   286,   157,  3363,   477,  3015,   200,   166,  3606,
     250,   496,  3609,   200,    44,    45,    46,    47,  1411,   346,
     231,   200,   234,   197,   198,    85,   237,    24,    58,   241,
     203,    28,   243,   244,   144,   464,    56,   144,    98,     9,
      10,    11,    12,   245,   247,   333,   373,   332,   331,    19,
     383,  3225,  1358,   227,   278,   238,   383,  1543,   166,   330,
     291,  1781,  3158,   166,   166,   277,  2732,   279,   233,   425,
    1556,   245,   230,    57,   464,   235,    19,   289,  3087,     6,
      19,    24,   395,   483,   173,    24,     6,   299,   422,  1920,
     289,   290,   395,   288,    55,    83,   256,   257,   258,   259,
      84,    44,    45,    46,    47,    44,    45,    46,    47,   538,
     322,  2093,  2093,   173,   394,    58,   230,  2683,  3127,    58,
       6,   395,  3036,    53,  1708,  3039,  3054,  3055,   302,   509,
      60,    61,   511,   205,  3062,  3063,  3362,   516,  2043,  2044,
    2441,   395,   289,   290,   347,   468,  1598,   349,   405,   309,
    3159,   523,  3361,  3362,   438,    85,   508,   509,   332,  3362,
     512,   513,   511,   547,   502,   511,   413,   155,  1561,   166,
    1563,    39,  3033,   511,    24,   475,   464,    59,    28,   192,
     543,   241,   296,   401,   402,   194,    54,   247,   488,   489,
     250,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    83,  1958,   470,   543,   544,   605,   502,    83,  2474,
     549,   283,  1518,  1519,  2479,    10,   510,    53,   421,   379,
     380,   171,    60,    61,   551,   552,   553,   554,   555,   159,
     280,   443,   401,   402,   164,   165,   599,   600,   601,   602,
     603,   604,   172,   614,   479,   448,   406,    85,     6,   179,
     180,   181,   182,   183,   184,    83,   186,   207,    36,    37,
     420,    83,    28,  3124,    59,   471,   472,   171,   408,   401,
     402,  1708,  2267,   609,   610,   611,    59,   480,  1764,   453,
     454,   455,   157,    19,   444,   445,   446,   447,    24,   250,
      58,    10,    19,   595,   596,   597,   132,    24,   228,   135,
      83,   231,   961,   962,   963,   209,    84,     6,   422,   252,
     424,   331,   426,   252,   244,   429,   166,   529,    84,    24,
     287,   159,    58,    28,   608,    24,   164,   165,   612,   157,
     168,    58,   352,   353,   172,   157,  2637,  1924,   347,  2604,
      59,   179,   180,   181,   182,   183,   184,  2612,   186,    74,
      75,  1010,   361,   323,   324,    85,   317,    58,    45,   320,
     369,    74,    75,   523,   524,   347,   185,   297,   398,   399,
     300,   240,  2693,   167,  2695,   244,    83,  2698,    85,  2700,
    2701,   541,   542,   333,   334,   179,   180,   598,    74,    75,
     228,   373,   374,   231,   192,   606,   607,    84,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,    85,    19,   497,   168,   499,
     500,    24,    98,   173,   504,   505,    19,   507,   391,    38,
      39,    24,   391,    42,   514,   515,   162,   617,   618,  2441,
    2441,    44,    45,    46,    47,   525,   324,   166,   167,   168,
      10,    44,    45,    46,    47,    58,    85,    10,    19,   166,
     179,   180,  1891,    24,   220,    58,   322,   160,  2470,  2470,
     241,   161,   350,   220,   330,   145,   146,    24,    14,    15,
     174,  3362,    29,    44,    45,    46,    47,    45,   321,   159,
     931,   236,    84,    31,   164,   165,   172,    58,   974,    59,
     248,  2285,   172,   236,   174,  1977,    59,    19,  1980,    84,
     343,    58,    24,   954,   328,   241,   242,   243,    45,   952,
      58,    24,    57,    83,    19,    28,    84,  3115,   278,    24,
     236,   964,    44,    45,    46,    47,  1012,  1013,    21,    31,
     144,    24,   983,   314,   977,   978,    58,    83,    83,    54,
     240,   241,  2873,  2873,   244,   177,    55,    84,   228,    14,
      15,   231,   307,    58,  3680,    57,  1042,    85,   197,   198,
     199,    24,   239,   240,   307,    28,    29,  3409,   955,   956,
    3412,  3413,    39,   205,  1167,   255,    85,    92,  1279,  1280,
    1281,  1282,  3424,  1284,  1285,   366,  1287,  1288,   227,  1290,
    1291,   307,   149,   980,   375,    58,   556,   557,   166,   328,
      59,   330,    39,   289,    19,   244,    21,   293,   476,    24,
    1053,   250,    19,    31,   314,  1163,  1164,  1165,    83,    81,
    1168,   468,  1170,    85,    83,  2637,  2637,   474,  2640,   166,
    2069,  1074,   361,    19,  2073,  2074,  3234,  3235,    24,    57,
      51,    59,   402,    58,    55,   160,    84,  3245,  3246,    60,
      61,   283,  1095,   613,   614,   615,   165,    84,    44,    45,
      46,    47,   530,   240,  2348,  2349,   366,   244,    86,   197,
     198,   199,    58,    58,    85,   375,  1119,    19,   310,  2363,
      21,    22,    24,    24,   323,   200,   149,   326,   327,    57,
     450,   206,    24,   332,    21,    22,    28,    24,    58,   227,
      57,  1144,    44,    45,    46,    47,  2567,   467,    58,   469,
     225,   324,   325,   473,   414,    83,    58,   477,   478,   288,
    3071,    59,   250,   292,  2147,  3076,    83,  3078,   980,    51,
    3081,  3573,  3574,    58,    56,    57,  3578,  3579,    58,   248,
     249,   250,    84,    84,   253,    83,    19,    58,   159,   320,
      85,    24,  2268,   164,   165,   304,   305,    92,    85,   439,
     440,   172,  2238,    36,   341,    38,   315,   344,   179,   180,
     181,   182,   183,   184,    58,   186,  1163,  1164,  1165,  1166,
    1167,  1168,    24,  1170,     6,    58,    28,    58,   391,    19,
      20,    21,    22,    23,    24,   323,  1537,    58,   326,   327,
    1541,    19,    24,   325,   332,  2263,  1292,    58,  1195,  1196,
    1197,  1198,  1199,  1200,  1201,    21,    22,   228,    24,  1206,
     231,    58,    21,    22,   159,    24,  2576,    58,    58,   164,
     165,    21,    22,   168,    24,  3166,  3166,   172,  1225,   250,
      21,    22,  1229,  1230,  1231,  1232,  1233,  1234,  1235,  1236,
    1237,  1238,  1239,  1240,  1241,  1242,    42,    21,    22,  1450,
      24,  2873,  2873,  1918,    19,    87,  1921,  2879,  2879,    24,
      19,  2883,  2883,    10,  1338,    24,    55,  2321,  1321,    19,
    2324,    55,    19,   156,    24,   158,    85,    24,   296,    44,
      45,    46,    47,   228,  1450,    85,   231,     6,  1450,    36,
     167,    38,   244,    58,    44,    45,    46,    47,    57,    58,
      21,    22,    28,    24,  1166,  1358,     6,    28,    58,     6,
     331,    58,     6,   145,  1367,    19,  1369,   157,   294,   196,
      24,     6,   343,    48,    49,    50,  1323,  2949,  2949,   325,
     162,   163,     6,  1195,  1196,  1197,  1198,  1199,  1200,  1201,
      24,    45,   174,  1439,  1206,  2471,  1382,   340,    81,   226,
    1347,   166,    85,   374,    58,   376,    21,    22,    23,    24,
      19,  1414,  1415,  1225,     6,   145,   146,  1229,  1230,  1231,
    1232,  1233,  1234,  1235,  1236,  1237,  1238,  1239,  1240,  1241,
    1242,    28,    19,   328,   329,  1551,   166,    24,    53,  1551,
     335,   171,   337,     6,   174,    60,    61,   415,   416,   417,
     418,   441,   442,   136,  1457,   352,   353,  1460,   188,   156,
       6,   158,   289,   531,   194,  3376,   166,  3378,   295,  2545,
      57,    58,   299,   188,    31,  2551,    11,    12,    13,  1632,
    1633,  1742,   165,  1744,  1635,    24,   169,   170,   364,   365,
    1598,   174,   176,   177,   178,   322,    31,    32,    33,   145,
     146,    60,    61,    51,   187,    19,  1509,    21,    56,    57,
      24,  1323,    83,   196,    85,  1518,  1519,   201,   202,  1635,
     166,   205,    83,  1635,    85,   171,    85,    57,    52,    53,
    1533,   145,   146,   245,  1537,  1347,    60,    61,  1541,    98,
      54,    57,   188,   145,    58,  1734,  1735,  1736,  1737,    57,
    1739,  1740,   166,    22,  1743,    24,  1745,   171,  1747,  1748,
      83,    85,    85,  2459,   209,   210,   211,   212,   213,   169,
     170,   186,   543,  1576,   188,   177,  1579,   548,    84,   550,
     194,   528,  1529,  1530,   119,   120,  1589,  2586,    24,    60,
      61,    49,    50,  1709,  3166,  3166,    57,  1709,    59,   201,
     159,   203,    54,   205,   287,   164,   165,    84,   435,   168,
    1865,   438,  1867,   172,    85,   360,   443,   362,    49,    50,
     179,   180,   181,   182,   183,   184,   160,   186,    57,  2910,
      21,    22,  2913,    24,   247,   159,    57,  2620,  2919,  2920,
     164,   165,    21,    22,   145,   146,    57,    85,   172,    21,
      22,  1598,    24,   254,   255,   179,   180,   181,   182,   183,
     184,    84,   186,   490,  1611,   166,  1613,   494,   495,   228,
     171,    84,   231,   174,    21,    22,    23,    24,    84,   281,
     282,   283,   284,   436,   437,  1632,  1633,   188,   159,   121,
     122,   123,   124,   164,   165,   430,   431,   168,   136,    70,
      71,   172,   529,    84,   228,   324,   325,   231,   179,   180,
     181,   182,   183,   184,    84,   186,    14,    15,  1530,  1765,
     244,   159,   190,   191,   192,   193,   164,   165,   361,   556,
      57,   169,   170,  1779,   172,    28,   174,  3648,    21,    22,
     396,    24,  1788,   197,   198,    28,   519,   520,   521,   187,
    1774,  1797,  3643,  3643,  1824,   192,  1703,   228,   196,   247,
     231,   209,   210,  1710,  1711,   404,  1777,  1825,  1715,    19,
    3681,   324,   325,   297,    24,    58,   209,   210,  1725,   179,
     180,  1824,  1825,  1826,    76,    77,    78,    79,    51,   616,
     228,  3187,  3188,   231,    44,    45,    46,    47,   341,  1611,
     321,  1613,    19,    20,    21,    22,    23,    24,    58,   336,
      11,    12,    13,   252,  2797,   341,  1763,   252,    19,   300,
    2716,  2717,    85,    24,  2564,  2565,  1829,  1830,   364,   161,
      31,    32,    33,  1780,    84,  1923,   378,   370,   300,  1842,
     311,    58,   386,   300,   384,  1848,  1849,  1794,   410,   336,
      57,  1854,    57,  1856,  1857,  1866,    84,    58,   296,    84,
      57,    84,    84,  2112,    84,  1868,  1869,   487,   192,  1977,
     402,   159,  1980,   160,  2123,   395,    57,  1880,  1881,  2775,
    1923,  1924,  1885,  1886,    84,  1888,  2075,    19,  2077,    84,
      19,    57,    57,  1951,  1952,  1953,    24,   207,   208,  1902,
     229,     9,   188,  2886,   214,   215,   216,   217,  1951,  1952,
    1953,    19,    20,    21,    22,    23,  2032,    85,   119,   120,
    2032,   174,    57,  1926,   448,   449,   450,   451,  1931,    84,
    2119,    57,    84,    84,   197,   198,   199,    84,   247,   174,
     157,   209,   210,   211,   212,   213,    57,  2063,    57,   192,
      58,  2063,   476,    57,    84,   514,   515,   481,   517,  1962,
     390,   174,   486,   522,   227,   324,   525,   252,   136,  1972,
      19,    20,    21,    22,    23,    24,  2959,    85,    57,    57,
      60,    61,  1794,   246,    70,    84,    84,   252,    57,  1923,
      18,   159,    19,    19,    39,    36,   164,   165,    37,    85,
      42,   169,   170,    19,   172,    85,   174,    83,    10,    58,
      19,    19,  2058,     6,     6,     6,  2062,     6,     6,   187,
    1967,    28,     6,     6,     6,     6,     6,     6,   196,     6,
    1977,     6,     6,  1980,     6,     6,     6,   300,     6,     6,
     303,     6,     6,  1990,  1991,    58,  1993,  1994,  1995,  1996,
      83,    57,  1999,  2000,  2001,  2002,    57,    57,  2005,   322,
     228,   324,   325,   231,  2011,    83,  2090,  2091,    19,   332,
      57,  3643,  3643,    24,    19,    20,    21,    22,    23,   159,
      24,   404,   396,  2094,   164,   165,   192,    19,    20,    21,
      22,    23,   172,    44,    45,    46,    47,    57,   361,   179,
     180,   181,   182,   183,   184,    57,   186,    58,   252,   252,
      57,   197,   198,    58,   194,  2126,    85,   396,   192,   252,
     376,   252,   385,   241,    57,   293,    58,   232,   296,   297,
     252,    53,   252,    57,  2285,    84,    57,    40,    60,    61,
     252,   227,   252,   160,    57,   252,  2093,    56,   228,   403,
    2153,   231,    19,    20,    21,    22,    23,    24,    57,   245,
     246,   247,  2165,    85,    57,    56,   396,   136,  2171,  2285,
     376,   192,   232,  2285,   254,   241,   188,    19,  1990,  1991,
      19,  1993,  1994,  1995,  1996,  2297,   346,    57,    19,  2301,
     453,    58,   195,  2005,    54,    19,   165,   283,  3094,  2011,
     169,   170,   144,   306,   284,   174,    83,    37,    83,  3105,
    3106,  3107,    83,   476,    19,    59,   302,    83,   187,    59,
      56,   307,    59,    56,  2270,     6,   174,   196,   174,    24,
     493,     6,     6,    59,   320,    57,   322,   159,   324,   325,
      16,  2244,   164,   165,    51,    57,   332,    57,    37,   335,
     172,    83,   288,    57,    57,    84,    24,   179,   180,   181,
     182,   183,   184,   397,   186,    57,  2269,    51,   531,   532,
     533,   534,    57,   536,   252,    57,   539,    57,    62,    63,
      64,    65,  2229,    67,    68,    69,   192,    57,    72,   252,
      74,    75,    57,    57,   252,   397,    80,    81,    57,   385,
      57,    85,     8,   376,    57,    57,   228,  2310,    57,   231,
      57,  2314,    57,    57,    57,    57,    57,    57,    57,   241,
    2267,    57,    57,    57,   246,    57,  2329,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    57,   106,   107,
     108,   109,   110,   111,   112,    57,  2462,    57,    57,   244,
    2462,   376,    57,    57,  3337,   456,   457,   458,   459,   460,
     461,   462,   463,    57,   450,  2368,   189,   453,   454,   455,
      53,    57,    57,    53,    19,   461,    19,    28,    22,   188,
     466,    84,    37,    37,    51,    83,    19,    24,    19,     6,
     476,     6,     6,     6,     6,     6,   482,    19,    65,     6,
       6,  2348,  2349,    70,  2351,     6,     6,    57,  2355,  2356,
      59,   491,   492,   493,    83,    19,  2363,   251,    85,    57,
      28,    57,   298,  2434,    84,    44,  2437,    57,   174,   159,
     251,  2378,    57,  2380,   336,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    85,   106,   107,   108,   109,
     110,   111,   112,   338,    57,  2458,  2459,    83,   252,   381,
      57,    57,    57,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   241,   106,   107,   108,   109,   110,   111,
     112,    57,    57,   252,    57,  2488,    57,  2490,    57,    57,
      57,    57,  3388,  3389,  2441,  3391,  3392,    57,    57,    57,
      57,    57,    57,    57,  2507,    57,    57,    57,   192,  3405,
    3406,  3407,    57,    57,   240,   308,   390,   396,   174,   192,
     372,   188,   240,    65,    57,    23,   174,    57,   436,   436,
     197,   198,    57,   247,    57,   140,  2348,  2349,   481,  2351,
     526,    57,   177,  2355,  2356,    57,   361,   194,   533,    55,
      57,  2363,    83,    39,    42,    58,    58,   533,    58,    31,
     227,  2677,    57,    42,    31,    39,  2378,    37,  2380,  3552,
    3553,  2683,    83,    83,    19,  2578,  2579,    58,    22,   246,
    2583,   241,     6,     6,   105,    19,    85,  2590,  2535,    57,
    2593,    57,    84,   252,   226,    53,   160,    57,   188,  3582,
     252,   339,    60,    61,   432,    57,    57,    57,   428,   241,
     427,    57,   308,   396,    57,  2618,  2619,    57,   396,  2622,
    2644,  2624,    23,   390,    65,  3521,   348,  2630,    84,    84,
      55,    84,    70,    51,   301,   302,   303,    84,    74,   188,
      65,    19,    84,    19,    37,    66,    85,   314,    57,   316,
      41,   318,    57,    73,    38,    38,    10,   324,   325,    85,
      85,    11,    12,    13,    59,   332,    83,    57,    84,   331,
      57,  2674,    57,  2781,    84,   423,    57,  2680,   324,   281,
      84,    31,    32,    33,    34,    35,    36,    37,    38,    39,
    2637,   325,    42,  2640,    57,    57,   397,   421,  2744,   192,
    2647,    58,  2649,    59,   252,  2652,   397,    84,    59,   308,
      84,   136,    84,  2716,  2717,   140,    84,    84,  2721,    57,
    2723,   179,   180,   181,   182,   183,   184,    86,   186,    10,
      83,    59,  2743,    82,    59,    59,    58,   328,  2685,  2686,
     165,    59,    59,    59,   169,   170,  2693,   326,  2695,   174,
     207,  2698,   326,  2700,  2701,   252,  2703,    57,   252,    57,
     115,   326,   187,    57,   527,    39,    19,    38,    38,    10,
      57,   196,  2775,  2776,    85,    57,    28,    85,   325,  2726,
      57,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    57,   106,   107,   108,   109,   110,   111,   112,   321,
     511,    57,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    10,   511,   240,    59,   242,    83,   244,
      59,    59,    59,    83,    59,   250,    58,    57,    59,    65,
     308,   306,   247,    57,  2781,  2647,   326,  2649,    57,     6,
    2652,   326,   319,   326,   326,    57,   326,    57,  2851,   247,
    2853,    84,   306,   132,    21,    22,    23,    24,   386,   321,
     484,  3012,  3013,   456,   458,  2876,    57,    57,   496,   526,
     252,   308,   501,  2685,  2686,   496,   503,    57,    57,    28,
    3033,    57,   331,   506,   306,   386,    53,   252,   252,   314,
     132,  2703,   252,    60,    61,   320,  3012,  3013,   331,    51,
    3012,  3013,  2905,    57,   252,   546,    57,    57,  2911,    57,
      62,    63,    64,    65,  2726,    67,    68,    69,    39,    86,
      72,   537,    74,    75,    39,   535,  2873,   241,    80,    81,
      57,  2878,    57,    85,   313,   308,   545,    57,    57,   485,
     518,   188,   540,   252,   198,   252,   371,   198,   118,    59,
     117,   326,    83,   470,    57,   326,   381,   382,   498,    83,
     465,   470,    57,   388,   527,    59,  1709,  1709,  2334,  1709,
    2462,  2322,  3680,  3051,  2781,   400,  2382,  2382,   145,   146,
    2382,  2382,   407,  3052,  2680,  3050,  2681,   412,  2682,    11,
      12,    13,  1941,  2940,   419,   162,  1192,  2441,  3001,   166,
    2637,  1632,   169,   170,  3361,   188,  1633,   174,  3362,    31,
      32,    33,    34,    35,    36,    37,    38,    39,  1167,   186,
      42,  2703,   150,  1635,  2883,  2879,  2120,  2020,   195,  3225,
     965,  2022,   973,  3247,  2949,  1269,  2983,  3096,  2954,  2146,
    1879,  2759,  2796,  2833,  3047,  3009,  3475,  3050,  3301,  3052,
    3158,   218,   219,   220,  2740,   222,   223,   224,  3318,    11,
      12,    13,    14,    15,  3488,  3321,  2878,  3490,  3322,  2634,
    2626,  1570,  1799,  1758,  1009,    -1,  1318,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,  3094,  3095,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3105,  3106,  3107,    -1,    -1,    -1,  1043,    -1,
      -1,  3114,    -1,    -1,    -1,    -1,  3119,  1052,    -1,  3122,
      -1,    -1,    -1,    -1,  3071,    -1,    -1,    -1,  2940,  3076,
    1065,  3078,  3135,    -1,  3081,    -1,  3139,  3140,  1073,  3142,
      -1,  3144,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1093,    -1,
      -1,  1096,   114,  1098,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2983,    -1,  1108,    -1,    -1,    -1,    -1,    -1,  3182,
      -1,  3184,  3185,  3186,    -1,    -1,    -1,    -1,    -1,  3301,
      -1,    -1,    -1,    -1,    -1,  3198,    -1,    -1,    -1,  3202,
      -1,  3204,    -1,    -1,    -1,    -1,    -1,    -1,  3361,  3362,
      -1,  3158,  1147,    -1,  1149,    -1,    -1,    -1,    -1,  3166,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3176,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,
      -1,    -1,    -1,    -1,    -1,    -1,    60,    61,    -1,    -1,
    3253,    -1,    -1,    -1,  3257,  3258,  3259,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3267,    -1,  3269,    -1,  3271,    -1,
      -1,    85,    -1,    -1,  3277,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    99,  3289,  3290,    -1,    -1,
      -1,  3294,  3295,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,  3351,    42,    -1,    -1,    -1,
      -1,  3357,    -1,    -1,  3317,    -1,    -1,    -1,    -1,  3322,
      -1,    -1,    -1,    -1,  3327,    -1,    -1,    -1,  3331,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3344,    -1,    -1,    -1,   159,    -1,    -1,    84,    -1,
     164,   165,    -1,    -1,    -1,   169,   170,    -1,   172,    -1,
      -1,    -1,    -1,    -1,  3176,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3388,  3389,    -1,  3391,  3392,
    3393,  3394,    -1,  3396,  3397,  3398,  3399,  3400,    -1,    -1,
      -1,    -1,  3405,  3406,  3407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   228,    -1,    -1,   231,    -1,  3366,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   241,    -1,  3376,
      -1,  3378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3444,  3445,  3446,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3455,  3456,    -1,    -1,    -1,    -1,  3461,    -1,
    1395,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3474,    -1,    -1,  3477,  3478,  3479,    -1,    -1,    -1,
      -1,  3484,  3485,    -1,    -1,    -1,    -1,    -1,    -1,  1424,
      -1,  3494,    -1,    -1,  1429,  1430,    -1,    -1,    -1,    -1,
      -1,    -1,  1437,    -1,    -1,  3508,    -1,  3510,  3511,  3512,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3521,  3522,
      -1,  1456,  3525,  3526,    -1,    -1,    -1,  1462,  1463,    -1,
    1465,  1466,    -1,  1468,  1469,  1470,  1471,  1472,  1473,    -1,
      -1,  1476,  1477,    -1,  1479,  3548,  3549,  1482,  1483,    -1,
      -1,    -1,    -1,  1488,  3366,  1490,    11,    12,    13,    14,
      15,    -1,    -1,    -1,    -1,    -1,  1501,  1502,  1503,    -1,
      -1,  1506,  3680,    -1,    -1,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3641,  3642,  3600,  3601,    -1,
      -1,    -1,    -1,    -1,    59,  3608,    -1,  1542,    -1,  3612,
      -1,    -1,    -1,    -1,  3617,    -1,    60,    61,    -1,  3622,
    1555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1573,  1574,
      -1,    85,    -1,    -1,    -1,    -1,    17,    -1,    19,    20,
      21,    22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,
      -1,    -1,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    53,    54,    -1,    -1,    -1,    58,    -1,    60,
      61,    -1,    -1,    64,    -1,    -1,  3643,    -1,    -1,    -1,
      -1,  3648,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   159,    -1,    -1,    -1,    -1,
     164,   165,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
      -1,    -1,    -1,  3680,  3681,   179,   180,   181,   182,   183,
     184,    -1,   186,    -1,    -1,    -1,    -1,    -1,   119,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,    -1,   145,    -1,    -1,    -1,   149,    -1,
      -1,    -1,    -1,   154,   228,   156,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,
      15,    -1,   246,    -1,    -1,    -1,    -1,    -1,    11,    12,
      13,    14,    15,    -1,    -1,   186,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    83,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      83,    42,    -1,    -1,    -1,   256,   257,   258,   259,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1836,  1837,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1850,  1851,    -1,    -1,    -1,
      -1,    -1,    83,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    -1,    -1,    -1,   309,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1901,    -1,    -1,    -1,
      -1,    -1,    -1,  1908,    -1,    83,    -1,  1912,  1913,  1914,
     351,   352,   353,   354,   355,   356,   357,   358,   359,   360,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,
      -1,  1946,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,    -1,    -1,    -1,  1963,  1964,
      11,    12,    13,    14,    15,   406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,   433,   434,    83,    11,    12,    13,    14,    15,
      -1,    -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    11,    12,    13,
      14,    15,    83,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
     541,   542,    -1,    -1,    -1,    -1,    -1,    -1,  2113,  2114,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,    -1,    -1,    -1,    -1,    -1,  2164,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2177,    -1,    -1,    -1,   617,   618,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    59,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2225,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,  2248,  2249,  2250,  2251,    -1,    -1,    59,
      -1,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,  2280,    -1,  2282,    -1,    -1,
      -1,    59,  2287,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    17,    -1,    19,    20,    21,
      22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    37,    -1,    -1,    -1,    41,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    53,    54,    -1,    -1,    -1,    58,    -1,    60,    61,
      -1,    -1,    64,    31,    32,    33,    34,    35,    36,    37,
      38,    39,     6,    -1,    42,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,    -1,   145,    -1,    -1,    -1,   149,    -1,    -1,
      -1,    -1,   154,    -1,   156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2485,    -1,    -1,    -1,   186,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2530,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   235,    -1,    -1,  2541,  2542,  2543,    -1,
      -1,  2546,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   256,   257,   258,   259,    -1,    -1,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,  2580,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2609,    -1,    -1,   309,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,
      11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    11,    12,    13,    14,    15,   379,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,    -1,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   420,    -1,
      59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2734,
      -1,   433,   434,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,   444,   445,   446,   447,    11,    12,    13,    14,
      15,    -1,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,  2770,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,
      -1,    59,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2809,    11,    12,    13,    14,    15,
    2815,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2825,   523,   524,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    57,    -1,  2858,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      53,    -1,    55,    -1,    -1,    -1,    -1,    60,    61,    -1,
      -1,    -1,    -1,    -1,    -1,   617,   618,    -1,    -1,    -1,
      -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    94,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    -1,    -1,  2961,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      59,    -1,    -1,    -1,   127,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,  3000,    -1,    -1,    -1,    -1,
    3005,    -1,    -1,    -1,    -1,    59,   159,    -1,    -1,    -1,
      -1,   164,   165,    -1,   167,   168,    -1,    -1,    -1,   172,
     173,    -1,    -1,    -1,    -1,    -1,   179,   180,   181,   182,
      -1,    11,    12,    13,    14,    15,    -1,    -1,    -1,    -1,
     193,    -1,    -1,    -1,   197,    -1,   199,    -1,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   228,    -1,    -1,   231,    59,
      11,    12,    13,    14,    15,    -1,  3091,   240,    -1,    -1,
      -1,   244,    -1,   246,    -1,  3100,    -1,   250,    -1,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    59,  3134,
      -1,  3136,    -1,   286,    -1,    -1,    -1,   290,   291,    -1,
      -1,    -1,    -1,  3148,    -1,    -1,  3151,  3152,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,   322,
      -1,    -1,    -1,    -1,    -1,   328,   329,    -1,   331,    -1,
      -1,    -1,   335,    -1,    -1,    -1,    -1,    -1,   341,   342,
      -1,   344,   345,    -1,    -1,   348,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   362,
     363,    -1,    -1,    -1,   367,   368,   369,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   377,    -1,    -1,    -1,   381,    -1,
      -1,   384,   385,    -1,   387,    -1,   389,    -1,    -1,   392,
     393,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,  3260,   409,    -1,   411,    -1,
      -1,  3266,    -1,    -1,    -1,    -1,   419,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    11,    12,    13,    14,    15,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    59,    -1,    -1,    -1,    -1,
      -1,    -1,  3307,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    -1,    -1,    42,    11,    12,    13,    14,    15,
      -1,    -1,    -1,    -1,  3329,    -1,    -1,    -1,  3333,    -1,
      -1,    59,    -1,    -1,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    -1,    -1,    42,    11,    12,    13,
      14,    15,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    59,    -1,    -1,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    -1,
      -1,  3386,    11,    12,    13,    14,    15,    -1,    -1,    -1,
    3395,    -1,    -1,    57,    11,    12,    13,    14,    15,    -1,
      -1,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    -1,    -1,    42,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    -1,    -1,    42,    -1,    -1,    57,    -1,
      -1,    -1,  3437,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      57,    11,    12,    13,    14,    15,  3451,  3452,    -1,    -1,
      -1,    -1,    -1,  3458,  3459,    -1,    -1,  3462,    -1,    -1,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      -1,    -1,    42,    -1,    -1,    -1,    -1,    -1,  3483,    -1,
      -1,    -1,  3487,    -1,  3489,    -1,    -1,    57,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3505,  3506,    -1,    -1,    -1,    -1,    -1,    11,    12,    13,
      14,    15,    -1,    -1,    -1,  3520,    -1,    -1,    -1,    -1,
      -1,    -1,  3527,    -1,  3529,  3530,  3531,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    -1,    -1,    42,    11,
      12,    13,    14,    15,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3557,    57,    -1,    -1,    -1,    -1,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    -1,    -1,
      42,    -1,    -1,    -1,    -1,    -1,  3581,    -1,    -1,     3,
       4,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3597,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,  3613,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3623,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    -1,    -1,    -1,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    -1,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,    -1,    -1,    -1,    -1,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,    -1,    -1,    -1,
      -1,    -1,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,   496,   497,   498,   499,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,   521,   522,   523,
     524,   525,   526,   527,    -1,   529,   530,   531,   532,   533,
     534,   535,   536,   537,   538,   539,   540,   541,   542,   543,
     544,   545,   546,   547,   548,   549,   550,   551,   552,   553,
     554,   555,   556,   557,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   597,   598,   599,   600,   601,   602,   603,
     604,   605,   606,   607,   608,   609,   610,   611,   612,   613,
     614,   615,   616,   617,   618,     3,     4,     5,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    -1,
      -1,    -1,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    -1,    -1,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,    -1,    -1,    -1,
      -1,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,    -1,    -1,    -1,    -1,    -1,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,    -1,    -1,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,   496,   497,
     498,   499,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,   521,   522,   523,   524,   525,   526,   527,
      -1,   529,   530,   531,   532,   533,   534,   535,   536,   537,
     538,   539,   540,   541,   542,   543,   544,   545,   546,   547,
     548,   549,   550,   551,   552,   553,   554,   555,   556,   557,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   597,
     598,   599,   600,   601,   602,   603,   604,   605,   606,   607,
     608,   609,   610,   611,   612,   613,   614,   615,   616,   617,
     618,     3,     4,     5,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    -1,    -1,    -1,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    -1,    -1,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,    -1,    -1,    -1,    -1,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,    -1,
      -1,    -1,    -1,    -1,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,   496,   497,   498,   499,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,   521,
     522,   523,   524,   525,   526,   527,    -1,   529,   530,   531,
     532,   533,   534,   535,   536,   537,   538,   539,   540,   541,
     542,   543,   544,   545,   546,   547,   548,   549,   550,   551,
     552,   553,   554,   555,   556,   557,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600,   601,
     602,   603,   604,   605,   606,   607,   608,   609,   610,   611,
     612,   613,   614,   615,   616,   617,   618,    17,    -1,    19,
      20,    21,    22,    23,    24,    -1,    -1,    -1,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    38,    -1,
      -1,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    54,    -1,    -1,    -1,    58,    -1,
      60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,
     120,    -1,    -1,    -1,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,    -1,   145,    -1,    -1,    -1,   149,
      -1,    -1,    -1,    -1,   154,    -1,   156,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   256,   257,   258,   259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,
     380,    17,    -1,    19,    20,    21,    22,    23,    24,    -1,
      -1,    -1,    28,    29,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    37,    38,    -1,    -1,    41,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,    54,    -1,
     420,    -1,    58,    -1,    60,    61,    -1,    -1,    64,    -1,
      -1,    -1,    -1,   433,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,   446,   447,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   119,   120,    -1,    -1,    -1,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,    -1,   145,
      -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,
     156,    -1,    -1,   523,   524,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,   618,    -1,
     256,   257,   258,   259,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   379,   380,    17,    -1,    19,    20,    21,
      22,    23,    24,    -1,    -1,    -1,    28,    29,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    37,    38,    -1,    -1,    41,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    53,    54,    -1,   420,    -1,    58,    -1,    60,    61,
      -1,    -1,    64,    -1,    -1,    -1,    -1,   433,   434,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
     446,   447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,   120,    -1,
      -1,    -1,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,    -1,   145,    -1,    -1,    -1,   149,    -1,    -1,
      -1,    -1,   154,    -1,   156,    -1,    -1,   523,   524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   617,   618,    -1,   256,   257,   258,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    17,
      -1,    19,    20,    21,    22,    23,    24,    -1,    -1,    -1,
      28,    29,    -1,    -1,    -1,    -1,    -1,    -1,    36,    37,
      38,    -1,    -1,    41,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    53,    54,    -1,   420,    -1,
      58,    -1,    60,    61,    -1,    -1,    64,    -1,    -1,    -1,
      -1,   433,   434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   119,   120,    -1,    -1,    -1,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,    -1,   145,    -1,    -1,
      -1,   149,    -1,    -1,    -1,    -1,   154,    -1,   156,    -1,
      -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   617,   618,    -1,   256,   257,
     258,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,   380,    17,    -1,    19,    20,    21,    22,    23,
      24,    -1,    -1,    -1,    28,    29,    -1,    -1,    -1,    -1,
      -1,    -1,    36,    37,    38,    -1,    -1,    41,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    53,
      54,    -1,   420,    -1,    58,    -1,    60,    61,    -1,    -1,
      64,    -1,    -1,    -1,    -1,   433,   434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   119,   120,    -1,    -1,    -1,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
      -1,   145,    -1,    -1,    -1,   149,    -1,    -1,    -1,    -1,
     154,    -1,   156,    -1,    -1,   523,   524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   541,   542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   186,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,    -1,    -1,    -1,
      -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,
     618,    -1,   256,   257,   258,   259,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   379,   380,    17,    -1,    19,
      20,    21,    22,    23,    24,    -1,    -1,    -1,    28,    29,
      -1,    -1,    -1,    -1,    -1,    -1,    36,    37,    -1,    -1,
      -1,    41,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    53,    54,    -1,   420,    -1,    58,    -1,
      60,    61,    -1,    -1,    64,    -1,    -1,    -1,    -1,   433,
     434,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     444,   445,   446,   447,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   119,
     120,    -1,    -1,    -1,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,    -1,   145,    -1,    -1,    -1,   149,
      -1,    -1,    -1,    -1,   154,    -1,   156,    -1,    -1,   523,
     524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   558,   559,   560,   561,   562,   563,
     564,   565,   566,   567,   568,   569,   570,   571,   572,   573,
     574,   575,   576,   577,   578,   579,   580,   581,   582,   583,
     584,   585,   586,   587,   588,   589,   590,   591,   592,   593,
     594,    -1,    -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   617,   618,    -1,   256,   257,   258,   259,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,
     380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,
     420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,
      -1,    -1,    -1,   433,   434,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   444,   445,   446,   447,    84,    -1,
      -1,    -1,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,   111,   112,   113,    -1,    -1,
     116,   117,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   150,    -1,   152,    -1,    -1,    -1,
      -1,    -1,    -1,   523,   524,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,    -1,    -1,    -1,    -1,   235,
      -1,    -1,    -1,    -1,    -1,   241,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,   618,    -1,
     256,   257,   258,   259,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   351,   352,   353,   354,   355,
     356,   357,   358,   359,   360,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   379,   380,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,   420,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,   445,
     446,   447,    84,    85,    -1,    -1,    88,    89,    90,    91,
      92,    93,    94,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,   116,   117,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   150,    -1,
     152,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   558,   559,   560,   561,   562,   563,   564,   565,
     566,   567,   568,   569,   570,   571,   572,   573,   574,   575,
     576,   577,   578,   579,   580,   581,   582,   583,   584,   585,
     586,   587,   588,   589,   590,   591,   592,   593,   594,    -1,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   617,   618,    -1,   256,   257,   258,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,   447,    84,    -1,    -1,    -1,
      88,    89,    90,    91,    92,    93,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,   116,   117,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   150,    -1,   152,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    -1,    -1,    -1,    -1,   235,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   617,   618,    -1,   256,   257,
     258,   259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   379,   380,    -1,    -1,    -1,    -1,    -1,    -1,    24,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,
      -1,    -1,   420,    58,    -1,    -1,    -1,    -1,    -1,    64,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   523,   524,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   541,   542,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     558,   559,   560,   561,   562,   563,   564,   565,   566,   567,
     568,   569,   570,   571,   572,   573,   574,   575,   576,   577,
     578,   579,   580,   581,   582,   583,   584,   585,   586,   587,
     588,   589,   590,   591,   592,   593,   594,    -1,    -1,    -1,
     235,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,
     618,   256,   257,   258,   259,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   309,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   379,   380,    -1,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    54,    -1,    -1,   420,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   444,
     445,   446,   447,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   523,   524,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   541,   542,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
      -1,    -1,    -1,   235,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   617,   618,   256,   257,   258,   259,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   309,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   379,   380,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    26,    27,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   406,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    54,    -1,    -1,   420,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   444,   445,   446,   447,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   523,   524,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   541,
     542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   558,   559,   560,   561,
     562,   563,   564,   565,   566,   567,   568,   569,   570,   571,
     572,   573,   574,   575,   576,   577,   578,   579,   580,   581,
     582,   583,   584,   585,   586,   587,   588,   589,   590,   591,
     592,   593,   594,    -1,    -1,    -1,   235,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   617,   618,   256,   257,   258,
     259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     379,   380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   420,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   444,   445,   446,   447,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   523,   524,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   541,   542,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   558,
     559,   560,   561,   562,   563,   564,   565,   566,   567,   568,
     569,   570,   571,   572,   573,   574,   575,   576,   577,   578,
     579,   580,   581,   582,   583,   584,   585,   586,   587,   588,
     589,   590,   591,   592,   593,   594,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   617,   618
};

/* YYSTOS[STATE-NUM] -- The symbol kind of the accessing symbol of
   state STATE-NUM.  */
static const yytype_int16 yystos[] =
{
       0,     7,   624,   625,     3,     4,     5,   147,   165,   192,
     193,   229,   231,   233,   237,   244,   276,   280,   285,   286,
     438,   608,   612,   620,   621,   622,   623,   817,   818,   819,
     820,   822,   823,   824,   831,   833,   834,   835,   836,   837,
     838,   839,   840,   841,   842,   843,   846,   847,   848,   849,
     850,   851,   852,   854,   855,   856,   881,   899,   900,   901,
     902,   925,   957,   995,   996,   997,   998,   999,  1000,  1001,
    1002,  1057,  1058,  1090,  1109,  1110,  1111,  1112,  1113,  1114,
    1115,  1116,     0,     6,    43,    53,    57,    60,    61,    87,
     145,   147,   148,   151,   153,   159,   161,   162,   163,   165,
     179,   180,   181,   182,   183,   184,   186,   231,   237,   243,
     244,   598,   606,   607,   626,   627,   689,   691,   692,   693,
     694,   705,   757,   759,   760,   761,   762,   763,   764,   769,
     783,   784,   796,   797,   798,   860,   861,   882,   886,   889,
     892,   903,   906,   927,   934,   948,   951,   953,   956,   960,
     961,  1004,  1005,  1007,  1009,  1010,  1015,  1046,  1049,  1059,
    1060,  1076,  1077,  1091,  1094,  1103,  1104,  1108,  1119,  1124,
    1125,     6,     6,     6,    17,    19,    20,    21,    22,    23,
      24,    28,    29,    36,    37,    41,    53,    54,    58,    60,
      61,    64,   119,   120,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,   143,   145,   149,   154,   156,   186,   235,   256,   257,
     258,   259,   309,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   379,   380,   406,   420,   433,   434,   444,
     445,   446,   447,   523,   524,   541,   542,   558,   559,   560,
     561,   562,   563,   564,   565,   566,   567,   568,   569,   570,
     571,   572,   573,   574,   575,   576,   577,   578,   579,   580,
     581,   582,   583,   584,   585,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   617,   618,   631,   636,   637,   638,
     639,   640,   641,   642,   643,   644,   645,   646,   647,   648,
     684,   685,   686,   714,   732,   734,   735,   738,   739,   740,
     741,   745,   746,   859,    24,    28,   166,   830,   853,   857,
      24,   857,   857,    86,   230,   857,   857,     6,    28,   238,
     786,   192,    53,   203,   205,   234,   241,   277,   279,   289,
     299,   322,   443,   529,   145,   177,   201,   203,   205,   281,
     282,   283,   284,    45,    84,   166,   844,   857,   280,    28,
     246,   277,   609,   610,   611,  1117,     6,     3,     4,     5,
      24,    25,    43,    44,    45,    46,    47,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   276,
     277,   278,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
     327,   328,   329,   330,   331,   332,   333,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,   369,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   381,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,   396,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,   425,   426,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   438,   439,   440,   443,   444,   445,   446,   447,   448,
     449,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,   461,   462,   463,   464,   465,   466,   467,   468,
     469,   470,   471,   472,   473,   474,   475,   476,   477,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,   496,   497,   498,
     499,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   521,   522,   523,   524,   525,   526,   527,   529,
     530,   531,   532,   533,   534,   535,   536,   537,   538,   539,
     540,   541,   542,   543,   544,   545,   546,   547,   548,   549,
     550,   551,   552,   553,   554,   555,   556,   557,   558,   559,
     560,   561,   562,   563,   564,   565,   566,   567,   568,   569,
     570,   571,   572,   573,   574,   575,   576,   577,   578,   579,
     580,   581,   582,   583,   584,   585,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   597,   598,   599,
     600,   601,   602,   603,   604,   605,   606,   607,   608,   609,
     610,   611,   612,   613,   614,   615,   616,   617,   618,   630,
     687,   287,   630,   630,   745,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   106,   107,   108,   109,   110,
     111,   112,   226,   241,   695,    58,    58,   160,    24,    28,
     657,   175,   203,   204,   221,   605,   185,   203,   657,   162,
     241,   242,   243,   785,  1093,   192,   657,   531,   601,    19,
      58,   628,   631,   174,   248,   765,   167,   196,   226,   289,
     295,   299,   322,   435,   438,   443,   490,   494,   495,   529,
     556,   616,   959,  1045,    54,   630,   770,    85,   159,   164,
     165,   168,   172,   228,   231,   246,   761,   771,   772,   778,
     800,    84,   864,   770,   770,   770,   770,    53,    55,    60,
      61,    85,    94,   127,   167,   168,   173,   179,   180,   181,
     182,   193,   197,   199,   240,   244,   246,   250,   286,   290,
     291,   318,   322,   328,   329,   331,   335,   341,   342,   344,
     345,   348,   362,   363,   367,   368,   369,   377,   381,   384,
     385,   387,   389,   392,   393,   409,   411,   419,   771,   872,
     873,   937,   938,   945,   770,   770,   770,    52,    53,    85,
     244,   297,   448,   449,   450,   451,   476,   481,   486,   762,
     771,   963,   964,   965,   966,   967,   770,    85,   194,   254,
     284,   491,   492,   493,   771,   778,  1006,    84,    85,   136,
     169,   170,   174,   187,   196,   296,   771,   773,   770,   770,
     770,   770,    85,   241,   246,   381,   771,   778,   872,  1081,
    1083,    85,   244,   297,   300,   556,   557,   613,   614,   615,
     771,   778,   872,  1092,  1122,  1123,   770,   770,    85,   168,
     614,   771,  1126,    19,    36,    38,    58,   156,   158,   631,
     731,   733,   739,    39,   635,    39,    21,    22,   636,   637,
     144,    37,   144,   745,    19,   121,   122,   123,   124,   720,
     745,    84,    84,    58,    58,    58,    58,    58,    58,    58,
      58,    58,    19,    20,    22,    23,    58,   157,   631,   636,
     637,   645,   714,   715,   716,   719,   721,   722,   723,   726,
     728,   729,    19,    58,    58,    58,    55,    55,     6,    11,
      12,    13,    14,    15,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    42,    42,    45,    84,   166,   801,     6,
     801,    28,   658,   658,   857,   857,     6,    45,    84,   166,
     804,   628,   239,   240,     6,     6,   294,    24,    28,   166,
     858,     6,   278,     6,   825,     6,   832,    24,   821,   177,
     205,   283,   310,   340,   168,   283,   475,   488,   489,   821,
     205,   283,   166,   657,   657,   657,   657,   657,   657,   657,
     657,    94,   165,   543,   599,   600,   601,   602,   603,   604,
    1101,  1102,    19,   845,   658,   958,  1117,     6,  1117,     6,
       6,   531,  1118,    31,   630,   706,   690,   128,   186,   257,
     271,   272,   273,   274,   275,   354,   523,   688,   628,   105,
     630,   631,   631,    19,    21,    24,    54,    58,   758,    57,
     801,   801,   801,   628,    44,    45,    46,    47,   188,   628,
     632,   804,    57,   786,   595,   596,   597,   657,  1097,   245,
    1105,  1106,   628,   629,   629,   745,    57,   630,    84,   768,
     441,   442,  1008,   528,    24,    54,    84,   160,   632,   801,
     799,   173,   657,   657,   804,   247,    57,    84,   776,    57,
      57,   863,   865,    84,    84,    84,    84,   240,   244,   245,
     349,   361,    57,    28,   352,   353,    53,   395,    53,   395,
      53,   395,    53,   395,   324,   350,   657,   632,   396,   192,
     247,   240,   244,   341,   344,   241,   314,   366,   375,   404,
     321,   341,   244,   632,   935,    57,   628,    21,    22,    24,
     288,   633,   929,   413,   633,   928,   336,   252,   321,   343,
     252,   341,   300,   364,   365,   364,   161,   632,   370,   378,
     300,   300,   386,   384,    56,   331,   352,   353,   632,   394,
     628,   410,   336,   161,   240,   241,   244,   314,   366,   375,
     414,    57,    57,    84,   877,    84,   943,    57,    84,    84,
      84,   487,   192,   402,   758,   632,   159,   628,   632,   160,
     632,   395,   962,   776,    57,    84,    84,   632,    55,   250,
      19,    54,   200,    19,   169,   170,    57,    57,   628,   145,
     146,   166,   171,   188,   194,   703,   780,   188,   780,    24,
     779,   188,   229,   174,    57,    57,    84,    84,    84,    84,
      22,    23,    24,   648,   652,   247,   174,    57,    57,    57,
      93,   346,   373,   383,   551,   552,   553,   554,   555,  1078,
    1079,    84,  1089,   192,   390,   628,   174,   324,   632,   252,
     166,   632,  1120,    57,    57,    84,    84,  1127,  1131,   252,
      57,    10,   733,   733,   733,   745,    21,    22,   157,   726,
     733,   733,    18,    19,    19,    39,    36,    37,   144,    37,
      19,    83,    59,    83,   681,   681,   779,   779,   745,   745,
     745,   745,   745,   745,   745,    38,   718,   720,   745,    36,
      37,    84,    10,    83,   157,    83,   157,   779,   779,   736,
     737,   745,    19,    19,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   742,    53,
      60,    61,   179,   180,   181,   182,   183,   184,   186,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     829,   176,   177,   178,   201,   202,   205,   802,   803,     6,
       6,     6,     6,   176,   232,   805,   806,     6,    28,    49,
      50,    49,    50,   880,   858,     6,     6,     6,    86,   117,
     145,   162,   166,   169,   170,   174,   195,   218,   219,   220,
     222,   223,   224,   652,   703,   828,     6,    24,    87,   145,
     162,   163,   174,     6,   821,   821,   821,   821,   926,   821,
     821,  1003,   166,   821,   166,   821,     6,   821,   821,   657,
       6,     6,     6,     6,     6,     6,     6,     6,    83,    85,
       6,     6,     6,   145,   174,   200,   703,     6,  1118,   628,
       6,   745,    58,   697,   698,   700,   704,   695,    57,    83,
      83,   793,   794,   745,    57,   629,    57,    57,   404,  1095,
      21,    22,    24,    28,    58,   659,  1098,   628,  1096,    84,
     166,  1100,   628,    57,    84,    48,    49,    50,    59,   767,
     770,    24,   758,   787,   790,   791,   632,   775,   777,    81,
      85,   862,   866,   867,   885,   891,   905,   396,   192,   252,
     252,   633,    57,   628,   628,   632,    94,   422,    57,    57,
     244,   397,   252,   391,   632,   632,   396,   192,   252,   252,
     376,   232,   632,   241,   405,   657,   252,   252,    57,    57,
      84,   816,    57,    24,   645,   651,    40,   634,    51,    56,
      57,   401,   402,   296,   415,   416,   417,   418,   933,   634,
      51,    56,    57,   632,   628,   252,   252,   628,   252,   632,
     632,   160,   632,   632,    57,   632,   632,   632,   632,   632,
     632,   403,    56,   632,   632,    57,   632,    57,    56,   632,
     632,   396,   376,   192,   232,   632,   241,   632,   876,   878,
     879,   942,   944,   950,   955,   632,   252,   391,   632,   632,
     632,   188,   628,   777,   968,   629,   629,    19,    19,   631,
     701,   702,   745,    45,   628,   782,   195,   782,   782,   632,
     779,  1014,  1048,  1061,  1082,   632,   779,    28,   633,   633,
    1084,    53,   132,   135,   322,   330,  1078,  1088,    57,   632,
     632,   628,   306,   628,   791,   792,   628,    19,    59,   733,
     157,    54,    19,   144,    37,   745,   745,   682,   683,    59,
      83,    83,    59,    83,    83,    83,    83,    59,    59,    83,
      10,    83,    83,    59,    19,    58,   716,   723,   728,    59,
      59,    83,    59,    56,    56,    26,    27,   740,   743,   859,
      83,    85,    83,    85,     6,   289,   290,   631,     6,   652,
      21,    22,    23,    24,   636,   637,   638,   639,   640,   826,
     827,   701,   631,   174,   174,   166,   631,    24,   631,   830,
     658,   658,   658,   658,     6,    24,   166,   167,   168,   179,
     180,   328,   330,   361,   658,   658,     6,    24,    70,   159,
     247,   347,   421,   448,   480,   821,   658,   821,   658,   658,
     658,     6,  1102,   701,    28,   779,   657,     6,    57,    59,
     696,    16,   699,    84,   695,   630,   657,   631,   791,    57,
      59,   657,   745,    51,  1099,   657,  1101,    57,    57,  1107,
      55,    85,   165,   248,   249,   250,   253,   766,    37,   789,
      83,    57,    85,   165,   773,   774,   288,    57,    84,   870,
      85,   293,   296,   297,   771,   773,   883,    85,   168,   311,
     771,   778,   890,    85,    92,   168,   328,   329,   335,   337,
     771,   904,   397,   252,   628,   628,    57,    57,    57,    57,
     632,    84,   632,   930,   192,   252,   628,    57,    57,    57,
     397,   252,   628,   628,   632,   632,    57,   376,   628,    57,
     628,   628,     8,   923,   936,   929,   630,   929,   628,   628,
      57,   928,   628,   628,    57,    57,   628,   628,    57,   628,
      57,    57,   758,    57,    57,    57,    57,    57,    57,    57,
      57,   632,    57,   628,    57,    57,    57,   632,    57,    57,
     244,   632,   632,   632,    57,   376,    57,    81,    85,   287,
     774,   875,   777,    55,    65,    85,   140,   169,   170,   240,
     242,   244,   250,   314,   320,   371,   381,   382,   388,   400,
     407,   412,   419,   774,   941,    85,    99,   169,   170,   241,
     761,   771,   872,   946,   947,   949,    85,   145,   174,   255,
     439,   440,   703,   771,   954,   628,   628,    85,   168,   173,
     278,   402,   450,   467,   469,   473,   477,   478,   969,   976,
     979,   700,   189,   781,   632,    57,    85,    98,   168,   514,
     515,   517,   522,   525,   771,   778,  1011,    85,   168,   476,
     530,   771,   778,  1047,    51,    55,    85,   250,   331,   343,
     374,   376,   543,   548,   550,   771,   778,  1062,  1064,    53,
    1080,    57,    57,   634,    53,    19,  1085,  1086,    19,   654,
     655,   628,   632,   632,    28,    24,    84,    85,    88,    89,
      90,    91,    92,    93,    94,   113,   116,   117,   150,   152,
     631,   738,   740,   747,   750,   756,   859,  1087,   188,  1121,
     628,    84,  1130,   733,   733,    22,    37,    37,    83,    59,
      83,   679,   680,   745,   745,   745,   745,   745,   745,    38,
     718,   745,   718,    38,   718,   718,    83,   745,   745,    19,
      19,   744,   803,   806,    54,    21,    22,    24,   830,   830,
       6,     6,     6,     6,   657,   657,    21,    22,    24,   636,
     637,   653,     6,     6,    19,   758,   758,   758,   658,     6,
     658,     6,     6,     6,   695,   695,   707,   695,   708,   711,
     712,   713,   748,   750,   630,    57,    59,    83,    59,    19,
      85,    85,   233,   251,   801,   632,   632,   251,   254,   255,
      57,    28,   658,   788,   790,   801,    57,   630,   869,   871,
      44,   174,   298,    57,   893,   898,   159,    57,   908,   909,
     915,   909,   916,   633,   920,   336,   338,    57,   252,   628,
      83,    57,    57,    98,   230,   296,   422,   424,   426,   429,
     931,   932,    57,   391,   632,   628,    57,   252,   628,    57,
      57,    57,    57,   632,    57,    57,    57,    85,   922,    57,
      57,    57,    57,    57,    57,    57,    57,    57,    57,    57,
     192,    57,    57,    57,   632,   288,   292,   631,    57,   240,
     308,   390,   174,   174,   396,   174,   192,   240,    65,   628,
     372,   174,   167,   383,   632,   632,   408,   632,   632,   140,
     314,    57,    23,   436,   436,   436,   437,   776,    57,   701,
      28,   779,   628,   657,   140,    57,   988,   994,   320,   452,
     477,   632,   971,   320,   632,   970,   247,   651,   972,   973,
     479,   632,    57,   481,   989,   190,   191,   192,   193,    24,
     637,   650,  1025,  1030,  1016,  1024,  1012,  1013,   650,   177,
     526,    57,  1050,  1056,   632,   628,    57,   628,   533,   533,
     361,   194,  1063,    55,  1063,   659,  1065,    72,   547,  1066,
    1063,    57,   628,   655,    83,    39,   709,   710,   736,   736,
      58,   745,   745,   745,   751,    58,    58,    31,    57,    31,
     736,    42,    31,   628,  1129,    39,    37,   745,   745,    51,
      62,    63,    64,    65,    67,    68,    69,    72,    74,    75,
      80,    81,    85,   665,   666,   667,   668,   669,   677,    85,
     666,   667,   668,   669,   678,    83,    83,    59,    59,    59,
      59,    59,    83,    10,    59,    83,    59,    83,    10,    59,
      83,    83,    19,    58,    22,     6,     6,   630,   105,   704,
     630,    85,   712,    57,    19,    57,   252,   252,   628,   629,
     653,    74,    85,   291,   868,    24,    58,   740,   859,   887,
     888,   779,   884,   792,   160,   167,   179,   180,   328,   907,
     792,    84,   914,    40,   330,   917,   632,   339,   628,    57,
     628,   188,   432,   428,   142,   425,   427,   430,   431,    83,
      85,    57,    57,    57,   628,    57,    57,    85,   197,   198,
     199,   227,   244,   250,   323,   326,   327,   332,   807,   808,
     810,   811,   812,   921,   632,    57,   289,   290,   631,    98,
     172,   289,   293,   874,   396,   194,   347,   361,   369,   324,
     325,   632,   632,   632,   244,   397,   779,   632,   396,   308,
     347,   373,   374,   940,   779,   390,    65,    58,   156,   721,
     952,   952,   952,    23,   777,   348,   791,   990,   628,   628,
     632,    84,   628,    84,   758,    84,   628,   628,    84,    84,
    1029,   792,    84,   633,  1031,  1036,    28,    84,  1037,  1042,
     632,    70,   792,   188,   628,   628,   633,   628,    74,   628,
    1064,  1067,  1072,   628,  1085,    19,    85,   708,    57,    57,
     631,   859,    57,   114,    84,    24,   695,   749,   755,   755,
     745,   745,    57,   754,   745,    85,   509,  1128,    19,    37,
      59,    59,    66,    70,    71,    73,    11,    12,    13,    31,
      32,    33,   119,   120,   628,   663,   670,   671,   672,    41,
     673,   674,   674,   676,    24,   636,   649,    57,   670,   673,
     676,   650,    57,   745,   745,    38,   718,    38,   718,    38,
     718,    10,    38,   718,    38,   718,    85,   737,    57,    59,
      31,    57,    59,   629,   629,   628,   628,    57,   745,    83,
     704,    84,   897,   632,   914,   913,   910,   630,   657,   331,
     918,   324,    57,    57,   423,   281,   932,    57,   924,   632,
      84,   324,   325,   325,   629,   628,   171,   207,   333,   334,
     912,    28,    29,    58,   661,   662,   739,   746,    84,   815,
      57,    57,   397,   398,   399,   632,   939,   939,   633,   421,
     192,   252,   397,   632,   632,   308,   721,   725,   632,   991,
      84,   993,   981,   981,   974,   977,  1028,  1027,    84,  1023,
    1032,  1038,   628,    84,  1055,   628,   632,    84,  1068,    84,
      59,    59,   750,   730,   630,    86,   745,    24,   740,   756,
     859,    57,    57,   743,    57,   633,    57,    10,   628,    14,
      15,   664,    83,    15,    83,   664,   628,    76,    77,    78,
      79,   675,    83,   664,    82,    59,    59,    59,    59,    59,
      83,    10,    59,    59,    59,    83,    58,    59,    10,    59,
      59,    10,    59,    59,   745,    59,   888,   896,   894,   910,
      85,   199,   250,   323,   326,   327,   332,   807,   911,   633,
     328,   919,   632,   809,   810,   326,   326,   326,   209,   210,
     207,   745,    54,    92,   160,   200,   206,   225,   813,   252,
     632,   628,   252,   632,    83,   157,   989,   992,    85,   651,
     982,   983,    85,    85,   278,   320,   468,   975,    85,   245,
     302,   332,   453,   454,   455,   807,   978,    85,   135,   508,
     509,   512,   513,  1026,  1022,  1021,  1035,  1041,   527,  1054,
    1051,  1069,  1071,  1073,    57,    57,   115,     9,    85,   715,
     717,   719,   721,   722,   724,   727,   752,   755,   755,    57,
     628,   672,   663,   671,   674,   674,    39,   674,   674,    19,
      38,   718,    38,   718,   718,    10,   718,    57,    51,    65,
      70,    85,   188,   246,   301,   302,   303,   314,   316,   318,
     324,   325,   332,   807,   895,   632,   324,   325,   325,   629,
     628,   912,    57,   632,    85,    57,   629,   629,   629,   209,
     210,    59,    28,   656,    54,   200,   628,   656,   207,   208,
     214,   215,   216,   217,   814,    54,   200,    85,   628,   628,
     721,    70,    85,   245,   246,   247,   283,   302,   307,   320,
     322,   324,   325,   332,   335,   385,   450,   453,   454,   455,
     461,   466,   476,   482,   807,   980,   468,   474,   984,   632,
     628,   632,    57,   628,   628,   171,   333,   464,   628,   321,
     220,   628,    57,   632,   511,   511,   632,   632,    57,    55,
      85,    98,   173,   241,   247,   250,   497,   499,   500,   504,
     505,   507,   514,   515,   525,  1017,    85,   511,   516,  1033,
      85,   287,   511,  1039,    29,   660,   662,    51,    85,   199,
     246,   300,   303,   322,   324,   325,   332,   361,   385,   453,
     476,   493,   531,   532,   533,   534,   536,   539,   807,  1052,
      85,   197,   332,  1070,    85,   543,   544,   549,  1074,   750,
     709,    10,    83,   155,   745,    59,    83,   628,   628,   628,
     628,   675,   675,    59,    59,    59,    83,    59,    58,    59,
     628,   308,   304,   305,   315,   628,   247,   628,   326,   326,
      65,    55,   250,   317,   320,   319,   306,    74,    75,   236,
     307,   795,   171,   312,    57,   326,   326,   326,   809,    57,
     656,   656,    57,    57,   209,   210,   211,   212,   213,   209,
     210,   211,   212,   213,    57,   656,   656,   815,   456,   457,
     458,   459,   460,   461,   462,   463,   628,   247,   484,    84,
     628,   628,   628,   632,   306,    74,   307,   795,   171,   333,
     464,   458,   386,   632,   628,   321,   220,   628,   361,   483,
     628,   132,   456,    57,   628,    57,   628,   628,   628,   628,
     496,   502,  1030,   136,   511,   136,   502,   511,   503,   321,
     496,   496,   632,   501,   252,   506,   308,   331,  1018,   331,
    1019,   526,    57,  1034,   510,   628,  1043,  1031,    57,  1040,
    1037,  1043,    57,   628,   632,   247,   337,   628,   252,   632,
     306,    74,   307,   795,   171,   209,   464,   538,  1053,   633,
     386,   252,   132,   395,   456,   252,   252,   470,   628,   535,
     537,   540,    57,   657,   171,   209,    57,  1075,   546,   545,
     657,    57,   717,   724,   709,   753,    57,   745,    39,    39,
     718,   718,   179,   180,   632,   629,   629,   308,   629,   629,
     628,   628,   632,   628,   628,   628,   628,   628,   313,   629,
     629,   629,   813,    57,    57,   813,   813,   813,    57,    57,
     632,   485,   985,   471,   472,   628,   628,   628,   632,   325,
     632,   628,   628,   632,   632,   628,   632,   518,  1044,  1044,
     326,   252,   519,   520,   521,  1020,   628,  1020,   252,   628,
     628,   628,   326,   498,   632,   628,   628,   188,   632,  1036,
     632,  1042,    70,   331,   628,   632,   632,   628,   628,   628,
     628,   325,   632,   629,   628,   628,   628,   632,   632,   632,
     632,   198,   198,   118,    59,   628,   628,    59,    83,   633,
     633,   632,   813,   813,   813,   813,   632,    85,   633,   987,
     470,   632,   628,   628,  1044,   628,  1044,   628,   632,   628,
     628,   632,   470,   657,   657,   750,    57,   718,   465,   986,
     527,    83,    57,   660,   718,    59
};

/* YYR1[RULE-NUM] -- Symbol kind of the left-hand side of rule RULE-NUM.  */
static const yytype_int16 yyr1[] =
{
       0,   619,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   687,   687,   687,   687,   687,   687,   687,   687,
     687,   687,   688,   688,   688,   688,   688,   688,   688,   688,
     688,   688,   624,   624,   625,   625,   626,   626,   627,   628,
     628,   628,   629,   629,   629,   630,   630,   630,   631,   632,
     632,   632,   632,   632,   632,   633,   633,   633,   634,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   645,   646,   646,   647,   647,   648,   648,   648,   648,
     648,   648,   648,   649,   649,   650,   650,   651,   651,   652,
     652,   653,   653,   653,   653,   653,   654,   655,   655,   656,
     657,   657,   658,   658,   659,   659,   659,   659,   659,   660,
     660,   661,   661,   661,   662,   662,   662,   663,   663,   663,
     663,   663,   663,   663,   663,   664,   664,   665,   665,   665,
     665,   665,   665,   665,   665,   665,   665,   666,   667,   668,
     669,   669,   670,   670,   670,   670,   671,   671,   672,   672,
     673,   673,   673,   674,   674,   675,   675,   675,   675,   676,
     676,   676,   677,   677,   677,   677,   678,   678,   678,   678,
     678,   679,   679,   680,   680,   681,   682,   683,   684,   685,
     686,   686,   620,   621,   620,   622,   620,   623,   626,   690,
     689,   626,   691,   626,   692,   626,   693,   626,   694,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   695,   695,
     695,   695,   695,   695,   695,   695,   695,   695,   696,   696,
     697,   697,   698,   698,   699,   699,   700,   701,   702,   701,
     703,   704,   626,   706,   707,   705,   708,   708,   710,   709,
     711,   711,   712,   713,   713,   714,   714,   715,   715,   715,
     715,   715,   716,   716,   717,   718,   719,   719,   719,   719,
     719,   719,   719,   719,   719,   719,   720,   720,   720,   720,
     721,   721,   721,   722,   722,   722,   722,   722,   722,   722,
     722,   723,   723,   723,   723,   723,   724,   724,   724,   724,
     724,   725,   725,   726,   726,   727,   727,   728,   728,   728,
     728,   729,   729,   730,   730,   730,   731,   731,   732,   733,
     733,   733,   733,   733,   733,   733,   733,   733,   734,   734,
     734,   734,   734,   734,   734,   734,   734,   734,   734,   734,
     735,   735,   735,   735,   736,   736,   736,   737,   738,   739,
     740,   740,   740,   740,   740,   740,   740,   740,   740,   740,
     740,   740,   740,   740,   742,   741,   743,   744,   743,   743,
     743,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   745,   745,
     745,   745,   745,   745,   745,   745,   745,   745,   746,   747,
     747,   747,   748,   748,   749,   749,   750,   750,   750,   751,
     752,   753,   750,   750,   750,   750,   750,   750,   750,   750,
     750,   750,   750,   750,   754,   750,   750,   750,   755,   756,
     756,   756,   626,   757,   757,   758,   758,   758,   758,   626,
     759,   626,   760,   761,   761,   761,   761,   761,   761,   761,
     761,   761,   761,   762,   762,   626,   763,   764,   765,   765,
     766,   766,   766,   766,   766,   766,   766,   767,   767,   768,
     768,   626,   769,   769,   770,   770,   770,   770,   771,   771,
     771,   771,   771,   771,   771,   771,   772,   773,   773,   773,
     773,   773,   773,   773,   773,   773,   774,   774,   775,   775,
     776,   776,   777,   778,   779,   780,   780,   780,   780,   781,
     781,   781,   781,   781,   782,   782,   626,   783,   783,   783,
     783,   626,   784,   785,   785,   785,   785,   786,   786,   786,
     786,   786,   786,   786,   786,   787,   788,   788,   789,   789,
     790,   791,   791,   792,   793,   794,   795,   795,   796,   797,
     798,   798,   798,   798,   798,   799,   800,   801,   801,   801,
     802,   802,   803,   803,   803,   803,   803,   803,   804,   804,
     804,   805,   805,   806,   806,   807,   808,   808,   809,   809,
     810,   810,   811,   811,   812,   813,   813,   813,   813,   813,
     813,   813,   813,   813,   814,   814,   814,   814,   814,   814,
     814,   814,   814,   814,   814,   814,   814,   814,   815,   816,
     620,   817,   620,   818,   620,   819,   620,   820,   821,   821,
     620,   822,   620,   823,   620,   824,   825,   825,   825,   825,
     825,   825,   825,   825,   825,   825,   825,   825,   825,   825,
     825,   825,   825,   825,   826,   826,   826,   826,   826,   826,
     826,   826,   827,   827,   827,   827,   828,   828,   828,   828,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   829,   829,   829,   829,   829,   829,   829,   829,   829,
     829,   830,   620,   831,   832,   832,   832,   832,   832,   832,
     832,   620,   833,   620,   834,   620,   835,   620,   836,   620,
     837,   620,   838,   620,   839,   620,   840,   620,   841,   620,
     842,   620,   843,   844,   844,   844,   845,   845,   620,   846,
     620,   847,   620,   848,   620,   849,   620,   850,   620,   851,
     620,   852,   853,   853,   620,   854,   620,   855,   620,   856,
     857,   857,   857,   858,   858,   858,   859,   859,   859,   859,
     859,   626,   860,   861,   862,   863,   863,   864,   864,   865,
     866,   867,   868,   868,   869,   869,   870,   870,   871,   872,
     873,   874,   874,   874,   874,   875,   875,   875,   875,   875,
     875,   876,   876,   877,   877,   879,   878,   880,   880,   880,
     880,   620,   881,   796,   882,   883,   883,   883,   883,   884,
     883,   885,   885,   886,   887,   887,   888,   888,   888,   888,
     796,   903,   904,   904,   904,   904,   904,   904,   904,   905,
     905,   906,   907,   907,   907,   907,   908,   908,   909,   910,
     911,   911,   911,   911,   911,   911,   911,   911,   912,   912,
     912,   912,   912,   912,   913,   913,   914,   914,   915,   916,
     917,   917,   917,   918,   918,   919,   919,   920,   921,   921,
     921,   921,   921,   921,   921,   921,   921,   922,   922,   923,
     924,   816,   620,   925,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   796,   889,   890,   890,   890,   890,
     891,   891,   892,   893,   894,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   895,   895,   895,   895,   895,   895,   895,   895,   895,
     895,   896,   896,   897,   897,   898,   859,   620,   899,   620,
     900,   620,   901,   620,   902,   796,   927,   928,   928,   928,
     929,   929,   929,   929,   929,   930,   930,   931,   931,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   933,   933,
     933,   933,   933,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   934,   934,   934,   934,   934,   934,   934,   934,
     934,   934,   935,   936,   934,   934,   934,   934,   934,   937,
     937,   937,   937,   937,   937,   937,   937,   937,   937,   937,
     937,   938,   939,   939,   939,   940,   940,   940,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   941,   941,   941,
     941,   941,   941,   941,   941,   941,   941,   942,   942,   943,
     943,   944,   945,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   692,   745,   745,
     796,   946,   947,   948,   949,   949,   949,   949,   949,   949,
     949,   949,   950,   950,   951,   952,   952,   796,   953,   954,
     954,   954,   954,   954,   954,   954,   954,   955,   955,   956,
     620,   957,   958,   958,   958,   958,   958,   958,   796,   959,
     959,   959,   960,   961,   961,   962,   962,   963,   964,   965,
     965,   965,   965,   965,   965,   965,   965,   965,   965,   965,
     965,   965,   965,   965,   966,   967,   968,   968,   969,   969,
     969,   969,   969,   969,   969,   969,   969,   970,   969,   971,
     969,   969,   969,   969,   972,   972,   973,   974,   974,   975,
     975,   975,   976,   976,   977,   977,   978,   978,   978,   978,
     978,   978,   978,   978,   978,   978,   978,   979,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   980,   980,   980,
     980,   980,   980,   980,   980,   980,   980,   981,   981,   982,
     983,   984,   984,   984,   985,   985,   986,   986,   987,   988,
     989,   989,   991,   990,   992,   992,   993,   993,   994,   859,
     859,   859,   859,   620,   995,   620,   996,   620,   997,   620,
     998,   620,   999,   620,  1000,   620,  1001,   620,  1002,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,   796,  1004,
    1005,  1005,  1005,  1006,  1006,  1006,  1006,  1006,  1006,  1006,
    1006,  1006,  1006,   796,  1008,  1007,  1009,  1009,  1009,  1009,
     796,  1010,  1011,  1011,  1011,  1011,  1012,  1011,  1013,  1011,
    1011,  1011,  1011,  1014,  1014,  1015,  1016,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,  1017,
    1017,  1017,  1017,  1017,  1018,  1017,  1019,  1017,  1017,  1017,
    1017,  1017,  1020,  1020,  1020,  1021,  1022,  1022,  1023,  1023,
    1024,  1025,  1026,  1026,  1026,  1026,  1026,  1027,  1028,  1028,
    1029,  1029,  1030,  1031,  1032,  1033,  1033,  1033,  1034,  1035,
    1035,  1036,  1036,  1037,  1038,  1039,  1039,  1039,  1040,  1041,
    1041,  1042,  1042,  1043,  1043,  1044,  1044,   859,   859,   796,
    1045,  1045,  1046,  1047,  1047,  1047,  1047,  1047,  1047,  1048,
    1048,  1049,  1050,  1051,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,  1052,
    1052,  1053,  1053,  1053,  1053,  1054,  1054,  1055,  1055,  1056,
     859,   859,   620,  1057,   620,  1058,   796,  1059,  1060,  1061,
    1061,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,  1062,
    1062,  1062,  1062,  1062,  1063,  1063,  1064,  1065,  1066,  1066,
    1067,  1068,  1068,  1069,  1069,  1070,  1070,  1070,  1071,  1072,
    1073,  1073,  1074,  1074,  1074,  1075,   796,  1076,  1077,  1077,
    1077,  1077,  1077,  1077,  1077,  1078,  1078,  1078,  1078,  1078,
    1078,  1078,  1079,  1079,  1080,  1080,  1082,  1081,  1083,  1083,
    1083,  1083,  1083,  1083,  1083,  1083,  1083,  1084,  1083,  1083,
    1085,  1086,  1086,  1087,  1088,  1088,  1089,  1089,   620,  1090,
    1091,  1092,  1092,  1092,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   859,   859,   859,   859,   859,   859,   859,   859,   859,
     859,   626,   626,  1093,  1094,  1095,  1095,  1096,  1096,  1097,
    1097,  1097,  1097,  1098,  1099,  1099,  1100,  1100,  1101,  1101,
    1102,  1102,  1102,  1102,  1102,  1102,  1102,  1102,  1102,   626,
    1103,  1103,   626,  1104,  1105,  1105,  1106,  1107,  1107,   626,
    1108,  1108,  1108,  1108,   620,  1109,   620,  1110,   620,  1111,
     620,  1112,   620,  1113,   620,  1114,   620,  1115,   620,  1116,
    1117,  1117,  1118,  1118,  1118,   796,  1119,  1091,  1091,  1120,
    1120,  1121,  1121,  1122,  1122,  1123,  1123,  1123,  1123,  1123,
    1123,  1123,   796,  1124,  1125,  1125,  1126,  1126,  1126,  1127,
    1128,  1129,  1129,  1130,  1130,  1131,   859,   859
};

/* YYR2[RULE-NUM] -- Number of symbols on the right-hand side of rule RULE-NUM.  */
static const yytype_int8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     2,     0,     2,     1,     1,     5,     1,
       3,     1,     2,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     1,     1,     1,     0,     2,
       2,     2,     3,     7,     2,     2,     5,     5,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     0,     1,     1,     1,     1,     3,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     2,     4,     1,     3,     1,     3,     1,     3,
       4,     6,     6,     0,     1,     1,     1,     1,     1,     2,
       4,     4,     2,     2,     2,     2,     2,     4,     2,     2,
       2,     0,     3,     0,     3,     0,     0,     0,     6,     6,
       1,     1,     1,     2,     1,     2,     1,     2,     1,     0,
       4,     1,     2,     1,     4,     1,     6,     1,     8,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     2,     0,     4,
       2,     5,     0,     4,     0,     2,     1,     1,     0,     2,
       2,     4,     1,     0,     0,     7,     0,     1,     0,     2,
       1,     1,     1,     1,     2,     1,     1,     1,     1,     1,
       1,     3,     1,     1,     1,     1,     5,     7,     5,     7,
       9,     7,     5,     7,     5,    11,     1,     1,     2,     1,
       7,     9,     7,     7,     9,     7,     9,     7,     9,     7,
      15,     1,     1,     1,     1,     3,     1,     1,     1,     1,
       3,     1,     3,     1,     3,     1,     3,     1,     2,     2,
       6,     1,     3,     0,     4,     3,     1,     3,     3,     2,
       4,     3,     4,     2,     2,     2,     2,     0,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     1,
       5,     7,     7,     1,     0,     1,     3,     1,     4,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     4,     1,     0,     5,     1,
       1,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     2,     4,     1,     1,
       1,     1,     1,     1,     3,     3,     5,     7,     6,     6,
       6,     6,     4,     8,     8,     4,     1,     1,     4,     1,
       1,     1,     5,     3,     2,     1,     3,     4,     6,     0,
       0,     0,     9,     4,     3,     4,     4,     5,     5,     3,
       3,     3,     2,     5,     0,     5,     7,     9,     0,     1,
       1,     1,     1,     4,     5,     1,     3,     1,     1,     1,
       3,     1,     5,     1,     1,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     3,     0,     1,
       2,     2,     2,     4,     4,     3,     3,     0,     3,     0,
       3,     1,     1,     1,     0,     1,     2,     3,     0,     2,
       2,     2,     3,     2,     2,     2,     1,     2,     2,     2,
       3,     3,     3,     2,     4,     3,     1,     2,     0,     3,
       0,     3,     0,     3,     1,     2,     1,     1,     1,     0,
       2,     2,     2,     2,     2,     1,     1,     3,     3,     3,
       3,     1,     4,     1,     1,     1,     1,     1,     3,     2,
       3,     3,     2,     3,     3,     0,     1,     2,     0,     1,
       3,     1,     3,     1,     0,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     5,     0,     3,     1,     1,     3,
       1,     3,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     1,     3,     1,     1,     1,     4,     1,     0,     3,
       5,     2,     1,     1,     2,     0,     5,     5,     5,     5,
       4,     4,     4,     4,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     1,     1,     1,     1,     0,     3,
       1,     3,     1,     3,     1,     4,     1,     5,     1,     0,
       1,     3,     1,     4,     1,     4,     0,     2,     3,     3,
       3,     3,     4,     4,     3,     2,     2,     2,     2,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     2,
       3,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     4,     0,     2,     2,     2,     2,     2,
       2,     1,     4,     1,     4,     1,     4,     1,     4,     1,
       4,     1,     4,     1,     4,     1,     4,     1,     5,     1,
       3,     1,     4,     1,     1,     3,     0,     1,     1,     4,
       1,     4,     1,     4,     1,     3,     1,     4,     1,     4,
       1,     3,     2,     2,     1,     4,     1,     2,     1,     3,
       1,     1,     1,     1,     0,     1,     1,     1,     1,     1,
       1,     1,     3,     3,     1,     0,     3,     0,     3,     0,
       3,     3,     2,     2,     0,     3,     0,     3,     0,     3,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     3,
       3,     0,     3,     0,     3,     0,     2,     0,     2,     2,
       2,     1,     5,     1,     2,     1,     1,     3,     3,     0,
       4,     0,     3,     5,     1,     3,     3,     1,     1,     1,
       1,     2,     1,     2,     2,     2,     2,     3,     5,     0,
       3,     5,     1,     1,     1,     1,     0,     2,     0,     0,
       2,     4,     4,     4,     2,     2,     2,     1,     1,     1,
       2,     2,     3,     3,     0,     3,     0,     3,     4,     3,
       0,     2,     2,     0,     2,     0,     2,     4,     2,     4,
       4,     4,     2,     2,     1,     2,     1,     0,     3,     0,
       0,     5,     1,     5,     0,     2,     3,     3,     3,     2,
       2,     2,     2,     2,     1,     2,     1,     1,     2,     4,
       0,     3,     5,     0,     0,     0,     2,     2,     2,     2,
       2,     2,     3,     3,     3,     3,     2,     3,     3,     4,
       4,     4,     2,     2,     3,     3,     3,     3,     3,     3,
       1,     0,     3,     0,     3,     4,     1,     1,     6,     1,
       6,     1,     6,     1,     6,     2,     2,     0,     3,     3,
       0,     3,     3,     2,     2,     1,     3,     1,     3,     1,
       3,     2,     2,     2,     2,     2,     2,     3,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     4,     6,     4,
       6,     6,     4,     6,     5,     5,     4,     5,     5,     6,
       6,     3,     3,     4,     5,     6,     5,     5,     5,     5,
       5,     5,     5,     5,     5,     5,     6,     6,     6,     5,
       6,     6,     6,     8,     6,     6,     6,     7,     5,     6,
       5,     6,     7,     5,     6,     5,     6,     8,     4,     4,
       4,     4,     5,     5,     6,     5,     5,     6,     5,     5,
       6,     7,     7,     7,     7,     7,     8,     8,     5,     5,
       4,     4,     0,     0,     6,     6,     5,     5,     5,     1,
       1,     2,     2,     2,     2,     2,     2,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       4,     4,     4,     2,     3,     2,     2,     2,     2,     3,
       5,     5,     6,     6,     4,     5,     3,     3,     3,     4,
       3,     3,     2,     2,     2,     3,     3,     0,     3,     0,
       3,     0,     3,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     6,     4,     4,
       1,     1,     3,     2,     1,     1,     1,     2,     3,     3,
       3,     3,     0,     3,     5,     1,     3,     1,     2,     1,
       2,     2,     2,     1,     2,     2,     4,     0,     3,     5,
       1,     4,     0,     3,     3,     3,     2,     3,     2,     1,
       2,     2,     2,     3,     3,     0,     1,     2,     3,     1,
       1,     2,     2,     3,     3,     3,     3,     4,     2,     4,
       3,     2,     3,     1,     2,     4,     0,     3,     2,     1,
       2,     3,     3,     3,     3,     2,     3,     0,     5,     0,
       5,     2,     2,     1,     4,     1,     1,     0,     3,     2,
       2,     2,     5,     2,     0,     3,     0,     2,     2,     3,
       2,     2,     3,     2,     2,     2,     1,     3,     2,     2,
       2,     2,     2,     2,     3,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     2,     3,     2,
       3,     3,     4,     4,     2,     2,     2,     3,     3,     3,
       2,     3,     3,     3,     4,     2,     1,     0,     2,     3,
       1,     0,     1,     2,     0,     2,     0,     1,     3,     0,
       0,     2,     0,     3,     0,     3,     0,     3,     3,     1,
       1,     1,     1,     1,     4,     1,     6,     1,     6,     1,
       6,     1,     7,     1,     6,     1,     7,     1,     5,     0,
       2,     3,     2,     3,     3,     2,     3,     2,     2,     2,
       3,     3,     3,     1,     3,     3,     2,     3,     3,     2,
       2,     2,     2,     2,     0,     4,     2,     3,     3,     5,
       1,     2,     1,     1,     2,     2,     0,     3,     0,     3,
       6,     2,     3,     0,     3,     5,     0,     4,     4,     3,
       4,     2,     3,     3,     3,     3,     4,     4,     4,     3,
       3,     4,     4,     2,     0,     3,     0,     3,     6,     3,
       3,     4,     1,     1,     1,     0,     0,     3,     0,     3,
       4,     1,     2,     2,     2,     4,     4,     0,     0,     3,
       0,     3,     3,     1,     0,     0,     2,     2,     0,     0,
       3,     1,     5,     1,     0,     0,     2,     2,     0,     0,
       3,     1,     5,     1,     2,     0,     2,     1,     1,     1,
       1,     2,     2,     1,     1,     2,     4,     2,     2,     0,
       3,     5,     0,     0,     2,     2,     2,     2,     2,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     2,     3,     3,     4,     3,     2,     2,
       1,     1,     1,     1,     1,     0,     3,     0,     3,     4,
       1,     1,     1,     6,     1,     6,     1,     2,     5,     0,
       3,     1,     1,     2,     3,     1,     3,     2,     3,     3,
       3,     4,     3,     3,     0,     1,     2,     1,     4,     6,
       0,     0,     3,     0,     3,     2,     2,     2,     0,     0,
       0,     3,     4,     4,     2,     0,     2,     2,     3,     3,
       3,     3,     5,     5,     4,     3,     2,     3,     3,     3,
       3,     3,     1,     2,     0,     2,     0,     4,     2,     3,
       5,     1,     2,     2,     2,     2,     2,     0,     4,     2,
       1,     1,     3,     1,     0,     2,     0,     3,     1,     4,
       3,     3,     2,     4,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     0,     5,     2,     0,     0,     2,     2,
       2,     1,     3,     1,     0,     2,     1,     3,     1,     3,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       4,     3,     1,     3,     5,     2,     0,     0,     2,     1,
       3,     4,     3,     3,     1,     4,     1,     5,     1,     3,
       1,     3,     1,     3,     1,     4,     1,     2,     1,     3,
       0,     1,     0,     1,     2,     2,     2,     3,     3,     1,
       1,     0,     2,     1,     1,     1,     1,     2,     3,     2,
       3,     4,     2,     2,     3,     3,     1,     2,     3,     0,
       2,     0,     3,     0,     3,     3,     1,     1
};


enum { YYENOMEM = -2 };

#define yyerrok         (yyerrstatus = 0)
#define yyclearin       (yychar = YYEMPTY)

#define YYACCEPT        goto yyacceptlab
#define YYABORT         goto yyabortlab
#define YYERROR         goto yyerrorlab
#define YYNOMEM         goto yyexhaustedlab


#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)                                    \
  do                                                              \
    if (yychar == YYEMPTY)                                        \
      {                                                           \
        yychar = (Token);                                         \
        yylval = (Value);                                         \
        YYPOPSTACK (yylen);                                       \
        yystate = *yyssp;                                         \
        YY_LAC_DISCARD ("YYBACKUP");                              \
        goto yybackup;                                            \
      }                                                           \
    else                                                          \
      {                                                           \
        yyerror (YY_("syntax error: cannot back up")); \
        YYERROR;                                                  \
      }                                                           \
  while (0)

/* Backward compatibility with an undocumented macro.
   Use YYerror or YYUNDEF. */
#define YYERRCODE YYUNDEF


/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)                        \
do {                                            \
  if (yydebug)                                  \
    YYFPRINTF Args;                             \
} while (0)




# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)                    \
do {                                                                      \
  if (yydebug)                                                            \
    {                                                                     \
      YYFPRINTF (stderr, "%s ", Title);                                   \
      yy_symbol_print (stderr,                                            \
                  Kind, Value); \
      YYFPRINTF (stderr, "\n");                                           \
    }                                                                     \
} while (0)


/*-----------------------------------.
| Print this symbol's value on YYO.  |
`-----------------------------------*/

static void
yy_symbol_value_print (FILE *yyo,
                       yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  FILE *yyoutput = yyo;
  YY_USE (yyoutput);
  if (!yyvaluep)
    return;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/*---------------------------.
| Print this symbol on YYO.  |
`---------------------------*/

static void
yy_symbol_print (FILE *yyo,
                 yysymbol_kind_t yykind, YYSTYPE const * const yyvaluep)
{
  YYFPRINTF (yyo, "%s %s (",
             yykind < YYNTOKENS ? "token" : "nterm", yysymbol_name (yykind));

  yy_symbol_value_print (yyo, yykind, yyvaluep);
  YYFPRINTF (yyo, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

static void
yy_stack_print (yy_state_t *yybottom, yy_state_t *yytop)
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)                            \
do {                                                            \
  if (yydebug)                                                  \
    yy_stack_print ((Bottom), (Top));                           \
} while (0)


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

static void
yy_reduce_print (yy_state_t *yyssp, YYSTYPE *yyvsp,
                 int yyrule)
{
  int yylno = yyrline[yyrule];
  int yynrhs = yyr2[yyrule];
  int yyi;
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %d):\n",
             yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr,
                       YY_ACCESSING_SYMBOL (+yyssp[yyi + 1 - yynrhs]),
                       &yyvsp[(yyi + 1) - (yynrhs)]);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)          \
do {                                    \
  if (yydebug)                          \
    yy_reduce_print (yyssp, yyvsp, Rule); \
} while (0)

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args) ((void) 0)
# define YY_SYMBOL_PRINT(Title, Kind, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


/* Given a state stack such that *YYBOTTOM is its bottom, such that
   *YYTOP is either its top or is YYTOP_EMPTY to indicate an empty
   stack, and such that *YYCAPACITY is the maximum number of elements it
   can hold without a reallocation, make sure there is enough room to
   store YYADD more elements.  If not, allocate a new stack using
   YYSTACK_ALLOC, copy the existing elements, and adjust *YYBOTTOM,
   *YYTOP, and *YYCAPACITY to reflect the new capacity and memory
   location.  If *YYBOTTOM != YYBOTTOM_NO_FREE, then free the old stack
   using YYSTACK_FREE.  Return 0 if successful or if no reallocation is
   required.  Return YYENOMEM if memory is exhausted.  */
static int
yy_lac_stack_realloc (YYPTRDIFF_T *yycapacity, YYPTRDIFF_T yyadd,
#if YYDEBUG
                      char const *yydebug_prefix,
                      char const *yydebug_suffix,
#endif
                      yy_state_t **yybottom,
                      yy_state_t *yybottom_no_free,
                      yy_state_t **yytop, yy_state_t *yytop_empty)
{
  YYPTRDIFF_T yysize_old =
    *yytop == yytop_empty ? 0 : *yytop - *yybottom + 1;
  YYPTRDIFF_T yysize_new = yysize_old + yyadd;
  if (*yycapacity < yysize_new)
    {
      YYPTRDIFF_T yyalloc = 2 * yysize_new;
      yy_state_t *yybottom_new;
      /* Use YYMAXDEPTH for maximum stack size given that the stack
         should never need to grow larger than the main state stack
         needs to grow without LAC.  */
      if (YYMAXDEPTH < yysize_new)
        {
          YYDPRINTF ((stderr, "%smax size exceeded%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (YYMAXDEPTH < yyalloc)
        yyalloc = YYMAXDEPTH;
      yybottom_new =
        YY_CAST (yy_state_t *,
                 YYSTACK_ALLOC (YY_CAST (YYSIZE_T,
                                         yyalloc * YYSIZEOF (*yybottom_new))));
      if (!yybottom_new)
        {
          YYDPRINTF ((stderr, "%srealloc failed%s", yydebug_prefix,
                      yydebug_suffix));
          return YYENOMEM;
        }
      if (*yytop != yytop_empty)
        {
          YYCOPY (yybottom_new, *yybottom, yysize_old);
          *yytop = yybottom_new + (yysize_old - 1);
        }
      if (*yybottom != yybottom_no_free)
        YYSTACK_FREE (*yybottom);
      *yybottom = yybottom_new;
      *yycapacity = yyalloc;
    }
  return 0;
}

/* Establish the initial context for the current lookahead if no initial
   context is currently established.

   We define a context as a snapshot of the parser stacks.  We define
   the initial context for a lookahead as the context in which the
   parser initially examines that lookahead in order to select a
   syntactic action.  Thus, if the lookahead eventually proves
   syntactically unacceptable (possibly in a later context reached via a
   series of reductions), the initial context can be used to determine
   the exact set of tokens that would be syntactically acceptable in the
   lookahead's place.  Moreover, it is the context after which any
   further semantic actions would be erroneous because they would be
   determined by a syntactically unacceptable token.

   YY_LAC_ESTABLISH should be invoked when a reduction is about to be
   performed in an inconsistent state (which, for the purposes of LAC,
   includes consistent states that don't know they're consistent because
   their default reductions have been disabled).  Iff there is a
   lookahead token, it should also be invoked before reporting a syntax
   error.  This latter case is for the sake of the debugging output.

   For parse.lac=full, the implementation of YY_LAC_ESTABLISH is as
   follows.  If no initial context is currently established for the
   current lookahead, then check if that lookahead can eventually be
   shifted if syntactic actions continue from the current context.
   Report a syntax error if it cannot.  */
#define YY_LAC_ESTABLISH                                                \
do {                                                                    \
  if (!yy_lac_established)                                              \
    {                                                                   \
      YYDPRINTF ((stderr,                                               \
                  "LAC: initial context established for %s\n",          \
                  yysymbol_name (yytoken)));                            \
      yy_lac_established = 1;                                           \
      switch (yy_lac (yyesa, &yyes, &yyes_capacity, yyssp, yytoken))    \
        {                                                               \
        case YYENOMEM:                                                  \
          YYNOMEM;                                                      \
        case 1:                                                         \
          goto yyerrlab;                                                \
        }                                                               \
    }                                                                   \
} while (0)

/* Discard any previous initial lookahead context because of Event,
   which may be a lookahead change or an invalidation of the currently
   established initial context for the current lookahead.

   The most common example of a lookahead change is a shift.  An example
   of both cases is syntax error recovery.  That is, a syntax error
   occurs when the lookahead is syntactically erroneous for the
   currently established initial context, so error recovery manipulates
   the parser stacks to try to find a new initial context in which the
   current lookahead is syntactically acceptable.  If it fails to find
   such a context, it discards the lookahead.  */
#if YYDEBUG
# define YY_LAC_DISCARD(Event)                                           \
do {                                                                     \
  if (yy_lac_established)                                                \
    {                                                                    \
      YYDPRINTF ((stderr, "LAC: initial context discarded due to "       \
                  Event "\n"));                                          \
      yy_lac_established = 0;                                            \
    }                                                                    \
} while (0)
#else
# define YY_LAC_DISCARD(Event) yy_lac_established = 0
#endif

/* Given the stack whose top is *YYSSP, return 0 iff YYTOKEN can
   eventually (after perhaps some reductions) be shifted, return 1 if
   not, or return YYENOMEM if memory is exhausted.  As preconditions and
   postconditions: *YYES_CAPACITY is the allocated size of the array to
   which *YYES points, and either *YYES = YYESA or *YYES points to an
   array allocated with YYSTACK_ALLOC.  yy_lac may overwrite the
   contents of either array, alter *YYES and *YYES_CAPACITY, and free
   any old *YYES other than YYESA.  */
static int
yy_lac (yy_state_t *yyesa, yy_state_t **yyes,
        YYPTRDIFF_T *yyes_capacity, yy_state_t *yyssp, yysymbol_kind_t yytoken)
{
  yy_state_t *yyes_prev = yyssp;
  yy_state_t *yyesp = yyes_prev;
  /* Reduce until we encounter a shift and thereby accept the token.  */
  YYDPRINTF ((stderr, "LAC: checking lookahead %s:", yysymbol_name (yytoken)));
  if (yytoken == YYSYMBOL_YYUNDEF)
    {
      YYDPRINTF ((stderr, " Always Err\n"));
      return 1;
    }
  while (1)
    {
      int yyrule = yypact[+*yyesp];
      if (yypact_value_is_default (yyrule)
          || (yyrule += yytoken) < 0 || YYLAST < yyrule
          || yycheck[yyrule] != yytoken)
        {
          /* Use the default action.  */
          yyrule = yydefact[+*yyesp];
          if (yyrule == 0)
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
        }
      else
        {
          /* Use the action from yytable.  */
          yyrule = yytable[yyrule];
          if (yytable_value_is_error (yyrule))
            {
              YYDPRINTF ((stderr, " Err\n"));
              return 1;
            }
          if (0 < yyrule)
            {
              YYDPRINTF ((stderr, " S%d\n", yyrule));
              return 0;
            }
          yyrule = -yyrule;
        }
      /* By now we know we have to simulate a reduce.  */
      YYDPRINTF ((stderr, " R%d", yyrule - 1));
      {
        /* Pop the corresponding number of values from the stack.  */
        YYPTRDIFF_T yylen = yyr2[yyrule];
        /* First pop from the LAC stack as many tokens as possible.  */
        if (yyesp != yyes_prev)
          {
            YYPTRDIFF_T yysize = yyesp - *yyes + 1;
            if (yylen < yysize)
              {
                yyesp -= yylen;
                yylen = 0;
              }
            else
              {
                yyesp = yyes_prev;
                yylen -= yysize;
              }
          }
        /* Only afterwards look at the main stack.  */
        if (yylen)
          yyesp = yyes_prev -= yylen;
      }
      /* Push the resulting state of the reduction.  */
      {
        yy_state_fast_t yystate;
        {
          const int yylhs = yyr1[yyrule] - YYNTOKENS;
          const int yyi = yypgoto[yylhs] + *yyesp;
          yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyesp
                     ? yytable[yyi]
                     : yydefgoto[yylhs]);
        }
        if (yyesp == yyes_prev)
          {
            yyesp = *yyes;
            YY_IGNORE_USELESS_CAST_BEGIN
            *yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        else
          {
            if (yy_lac_stack_realloc (yyes_capacity, 1,
#if YYDEBUG
                                      " (", ")",
#endif
                                      yyes, yyesa, &yyesp, yyes_prev))
              {
                YYDPRINTF ((stderr, "\n"));
                return YYENOMEM;
              }
            YY_IGNORE_USELESS_CAST_BEGIN
            *++yyesp = YY_CAST (yy_state_t, yystate);
            YY_IGNORE_USELESS_CAST_END
          }
        YYDPRINTF ((stderr, " G%d", yystate));
      }
    }
}

/* Context of a parse error.  */
typedef struct
{
  yy_state_t *yyssp;
  yy_state_t *yyesa;
  yy_state_t **yyes;
  YYPTRDIFF_T *yyes_capacity;
  yysymbol_kind_t yytoken;
} yypcontext_t;

/* Put in YYARG at most YYARGN of the expected tokens given the
   current YYCTX, and return the number of tokens stored in YYARG.  If
   YYARG is null, return the number of expected tokens (guaranteed to
   be less than YYNTOKENS).  Return YYENOMEM on memory exhaustion.
   Return 0 if there are more than YYARGN expected tokens, yet fill
   YYARG up to YYARGN. */
static int
yypcontext_expected_tokens (const yypcontext_t *yyctx,
                            yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;

  int yyx;
  for (yyx = 0; yyx < YYNTOKENS; ++yyx)
    {
      yysymbol_kind_t yysym = YY_CAST (yysymbol_kind_t, yyx);
      if (yysym != YYSYMBOL_YYerror && yysym != YYSYMBOL_YYUNDEF)
        switch (yy_lac (yyctx->yyesa, yyctx->yyes, yyctx->yyes_capacity, yyctx->yyssp, yysym))
          {
          case YYENOMEM:
            return YYENOMEM;
          case 1:
            continue;
          default:
            if (!yyarg)
              ++yycount;
            else if (yycount == yyargn)
              return 0;
            else
              yyarg[yycount++] = yysym;
          }
    }
  if (yyarg && yycount == 0 && 0 < yyargn)
    yyarg[0] = YYSYMBOL_YYEMPTY;
  return yycount;
}




#ifndef yystrlen
# if defined __GLIBC__ && defined _STRING_H
#  define yystrlen(S) (YY_CAST (YYPTRDIFF_T, strlen (S)))
# else
/* Return the length of YYSTR.  */
static YYPTRDIFF_T
yystrlen (const char *yystr)
{
  YYPTRDIFF_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
# endif
#endif

#ifndef yystpcpy
# if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#  define yystpcpy stpcpy
# else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
static char *
yystpcpy (char *yydest, const char *yysrc)
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
# endif
#endif

#ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYPTRDIFF_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYPTRDIFF_T yyn = 0;
      char const *yyp = yystr;
      for (;;)
        switch (*++yyp)
          {
          case '\'':
          case ',':
            goto do_not_strip_quotes;

          case '\\':
            if (*++yyp != '\\')
              goto do_not_strip_quotes;
            else
              goto append;

          append:
          default:
            if (yyres)
              yyres[yyn] = *yyp;
            yyn++;
            break;

          case '"':
            if (yyres)
              yyres[yyn] = '\0';
            return yyn;
          }
    do_not_strip_quotes: ;
    }

  if (yyres)
    return yystpcpy (yyres, yystr) - yyres;
  else
    return yystrlen (yystr);
}
#endif


static int
yy_syntax_error_arguments (const yypcontext_t *yyctx,
                           yysymbol_kind_t yyarg[], int yyargn)
{
  /* Actual size of YYARG. */
  int yycount = 0;
  /* There are many possibilities here to consider:
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
       In the first two cases, it might appear that the current syntax
       error should have been detected in the previous state when yy_lac
       was invoked.  However, at that time, there might have been a
       different syntax error that discarded a different initial context
       during error recovery, leaving behind the current lookahead.
  */
  if (yyctx->yytoken != YYSYMBOL_YYEMPTY)
    {
      int yyn;
      YYDPRINTF ((stderr, "Constructing syntax error message\n"));
      if (yyarg)
        yyarg[yycount] = yyctx->yytoken;
      ++yycount;
      yyn = yypcontext_expected_tokens (yyctx,
                                        yyarg ? yyarg + 1 : yyarg, yyargn - 1);
      if (yyn == YYENOMEM)
        return YYENOMEM;
      else if (yyn == 0)
        YYDPRINTF ((stderr, "No expected tokens.\n"));
      else
        yycount += yyn;
    }
  return yycount;
}

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.  In order to see if a particular token T is a
   valid looakhead, invoke yy_lac (YYESA, YYES, YYES_CAPACITY, YYSSP, T).

   Return 0 if *YYMSG was successfully written.  Return -1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return YYENOMEM if the
   required number of bytes is too large to store or if
   yy_lac returned YYENOMEM.  */
static int
yysyntax_error (YYPTRDIFF_T *yymsg_alloc, char **yymsg,
                const yypcontext_t *yyctx)
{
  enum { YYARGS_MAX = 5 };
  /* Internationalized format string. */
  const char *yyformat = YY_NULLPTR;
  /* Arguments of yyformat: reported tokens (one for the "unexpected",
     one per "expected"). */
  yysymbol_kind_t yyarg[YYARGS_MAX];
  /* Cumulated lengths of YYARG.  */
  YYPTRDIFF_T yysize = 0;

  /* Actual size of YYARG. */
  int yycount = yy_syntax_error_arguments (yyctx, yyarg, YYARGS_MAX);
  if (yycount == YYENOMEM)
    return YYENOMEM;

  switch (yycount)
    {
#define YYCASE_(N, S)                       \
      case N:                               \
        yyformat = S;                       \
        break
    default: /* Avoid compiler warnings. */
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
#undef YYCASE_
    }

  /* Compute error message size.  Don't count the "%s"s, but reserve
     room for the terminator.  */
  yysize = yystrlen (yyformat) - 2 * yycount + 1;
  {
    int yyi;
    for (yyi = 0; yyi < yycount; ++yyi)
      {
        YYPTRDIFF_T yysize1
          = yysize + yytnamerr (YY_NULLPTR, yytname[yyarg[yyi]]);
        if (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM)
          yysize = yysize1;
        else
          return YYENOMEM;
      }
  }

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return -1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yytname[yyarg[yyi++]]);
          yyformat += 2;
        }
      else
        {
          ++yyp;
          ++yyformat;
        }
  }
  return 0;
}


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

static void
yydestruct (const char *yymsg,
            yysymbol_kind_t yykind, YYSTYPE *yyvaluep)
{
  YY_USE (yyvaluep);
  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yykind, yyvaluep, yylocationp);

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  YY_USE (yykind);
  YY_IGNORE_MAYBE_UNINITIALIZED_END
}


/* Lookahead token kind.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;
/* Number of syntax errors so far.  */
int yynerrs;




/*----------.
| yyparse.  |
`----------*/

int
yyparse (void)
{
    yy_state_fast_t yystate = 0;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus = 0;

    /* Refer to the stacks through separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* Their size.  */
    YYPTRDIFF_T yystacksize = YYINITDEPTH;

    /* The state stack: array, bottom, top.  */
    yy_state_t yyssa[YYINITDEPTH];
    yy_state_t *yyss = yyssa;
    yy_state_t *yyssp = yyss;

    /* The semantic value stack: array, bottom, top.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs = yyvsa;
    YYSTYPE *yyvsp = yyvs;

    yy_state_t yyesa[20];
    yy_state_t *yyes = yyesa;
    YYPTRDIFF_T yyes_capacity = 20 < YYMAXDEPTH ? 20 : YYMAXDEPTH;

  /* Whether LAC context is established.  A Boolean.  */
  int yy_lac_established = 0;
  int yyn;
  /* The return value of yyparse.  */
  int yyresult;
  /* Lookahead symbol kind.  */
  yysymbol_kind_t yytoken = YYSYMBOL_YYEMPTY;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;

  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYPTRDIFF_T yymsg_alloc = sizeof yymsgbuf;

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yychar = YYEMPTY; /* Cause a token to be read.  */

  goto yysetstate;


/*------------------------------------------------------------.
| yynewstate -- push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;


/*--------------------------------------------------------------------.
| yysetstate -- set current state (the top of the stack) to yystate.  |
`--------------------------------------------------------------------*/
yysetstate:
  YYDPRINTF ((stderr, "Entering state %d\n", yystate));
  YY_ASSERT (0 <= yystate && yystate < YYNSTATES);
  YY_IGNORE_USELESS_CAST_BEGIN
  *yyssp = YY_CAST (yy_state_t, yystate);
  YY_IGNORE_USELESS_CAST_END
  YY_STACK_PRINT (yyss, yyssp);

  if (yyss + yystacksize - 1 <= yyssp)
#if !defined yyoverflow && !defined YYSTACK_RELOCATE
    YYNOMEM;
#else
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYPTRDIFF_T yysize = yyssp - yyss + 1;

# if defined yyoverflow
      {
        /* Give user a chance to reallocate the stack.  Use copies of
           these so that the &'s don't force the real ones into
           memory.  */
        yy_state_t *yyss1 = yyss;
        YYSTYPE *yyvs1 = yyvs;

        /* Each stack pointer address is followed by the size of the
           data in use in that stack, in bytes.  This used to be a
           conditional around just the two extra args, but that might
           be undefined if yyoverflow is a macro.  */
        yyoverflow (YY_("memory exhausted"),
                    &yyss1, yysize * YYSIZEOF (*yyssp),
                    &yyvs1, yysize * YYSIZEOF (*yyvsp),
                    &yystacksize);
        yyss = yyss1;
        yyvs = yyvs1;
      }
# else /* defined YYSTACK_RELOCATE */
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
        YYNOMEM;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
        yystacksize = YYMAXDEPTH;

      {
        yy_state_t *yyss1 = yyss;
        union yyalloc *yyptr =
          YY_CAST (union yyalloc *,
                   YYSTACK_ALLOC (YY_CAST (YYSIZE_T, YYSTACK_BYTES (yystacksize))));
        if (! yyptr)
          YYNOMEM;
        YYSTACK_RELOCATE (yyss_alloc, yyss);
        YYSTACK_RELOCATE (yyvs_alloc, yyvs);
#  undef YYSTACK_RELOCATE
        if (yyss1 != yyssa)
          YYSTACK_FREE (yyss1);
      }
# endif

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;

      YY_IGNORE_USELESS_CAST_BEGIN
      YYDPRINTF ((stderr, "Stack size increased to %ld\n",
                  YY_CAST (long, yystacksize)));
      YY_IGNORE_USELESS_CAST_END

      if (yyss + yystacksize - 1 <= yyssp)
        YYABORT;
    }
#endif /* !defined yyoverflow && !defined YYSTACK_RELOCATE */


  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;


/*-----------.
| yybackup.  |
`-----------*/
yybackup:
  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either empty, or end-of-input, or a valid lookahead.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token\n"));
      yychar = yylex ();
    }

  if (yychar <= YYEOF)
    {
      yychar = YYEOF;
      yytoken = YYSYMBOL_YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else if (yychar == YYerror)
    {
      /* The scanner already issued an error message, process directly
         to error recovery.  But do not keep the error token as
         lookahead, it is too special and may lead us to an endless
         loop in error recovery. */
      yychar = YYUNDEF;
      yytoken = YYSYMBOL_YYerror;
      goto yyerrlab1;
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    {
      YY_LAC_ESTABLISH;
      goto yydefault;
    }
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      YY_LAC_ESTABLISH;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);
  yystate = yyn;
  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END

  /* Discard the shifted token.  */
  yychar = YYEMPTY;
  YY_LAC_DISCARD ("shift");
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     '$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];


  YY_REDUCE_PRINT (yyn);
  {
    int yychar_backup = yychar;
    switch (yyn)
      {
  case 562: /* enum_type: NET_TYPE  */
#line 61 "conf/gen_parser.m4"
                    { (yyval.i) = T_ENUM_NET_TYPE; }
#line 8226 "obj/conf/cf-parse.tab.c"
    break;

  case 563: /* enum_type: RTS  */
#line 61 "conf/gen_parser.m4"
                                                    { (yyval.i) = T_ENUM_RTS; }
#line 8232 "obj/conf/cf-parse.tab.c"
    break;

  case 564: /* enum_type: SCOPE  */
#line 61 "conf/gen_parser.m4"
                                                                                 { (yyval.i) = T_ENUM_SCOPE; }
#line 8238 "obj/conf/cf-parse.tab.c"
    break;

  case 565: /* enum_type: RTD  */
#line 61 "conf/gen_parser.m4"
                                                                                                              { (yyval.i) = T_ENUM_RTD; }
#line 8244 "obj/conf/cf-parse.tab.c"
    break;

  case 566: /* enum_type: ROA  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                         { (yyval.i) = T_ENUM_ROA; }
#line 8250 "obj/conf/cf-parse.tab.c"
    break;

  case 567: /* enum_type: ASPA  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                     { (yyval.i) = T_ENUM_ASPA; }
#line 8256 "obj/conf/cf-parse.tab.c"
    break;

  case 568: /* enum_type: AF  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                { (yyval.i) = T_ENUM_AF; }
#line 8262 "obj/conf/cf-parse.tab.c"
    break;

  case 569: /* enum_type: MPLS_POLICY  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                                                  { (yyval.i) = T_ENUM_MPLS_POLICY; }
#line 8268 "obj/conf/cf-parse.tab.c"
    break;

  case 570: /* enum_type: BGP_ORIGIN  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                                                                                            { (yyval.i) = T_ENUM_BGP_ORIGIN; }
#line 8274 "obj/conf/cf-parse.tab.c"
    break;

  case 571: /* enum_type: RA_PREFERENCE  */
#line 61 "conf/gen_parser.m4"
                                                                                                                                                                                                                                                                                                                        { (yyval.i) = T_ENUM_RA_PREFERENCE; }
#line 8280 "obj/conf/cf-parse.tab.c"
    break;

  case 572: /* config: conf_entries END  */
#line 148 "conf/confbase.Y"
                         { return 0; }
#line 8286 "obj/conf/cf-parse.tab.c"
    break;

  case 573: /* config: CLI_MARKER cli_cmd  */
#line 149 "conf/confbase.Y"
                      { return 0; }
#line 8292 "obj/conf/cf-parse.tab.c"
    break;

  case 578: /* definition: DEFINE symbol '=' term ';'  */
#line 165 "conf/confbase.Y"
                              {
     struct f_val *val = cfg_allocz(sizeof(struct f_val));
     *val = cf_eval((yyvsp[-1].x), T_VOID);
     cf_define_symbol(new_config, (yyvsp[-3].s), SYM_CONSTANT | val->type, val, val);
   }
#line 8302 "obj/conf/cf-parse.tab.c"
    break;

  case 580: /* expr: '(' term ')'  */
#line 174 "conf/confbase.Y"
                { (yyval.i) = cf_eval_int((yyvsp[-1].x)); }
#line 8308 "obj/conf/cf-parse.tab.c"
    break;

  case 581: /* expr: symbol_known  */
#line 175 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_INT)) cf_error("Number constant expected");
     (yyval.i) = SYM_VAL((yyvsp[0].s)).i; }
#line 8316 "obj/conf/cf-parse.tab.c"
    break;

  case 582: /* expr_us: expr S  */
#line 181 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) S_; }
#line 8322 "obj/conf/cf-parse.tab.c"
    break;

  case 583: /* expr_us: expr MS  */
#line 182 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) MS_; }
#line 8328 "obj/conf/cf-parse.tab.c"
    break;

  case 584: /* expr_us: expr US  */
#line 183 "conf/confbase.Y"
           { (yyval.time) = (yyvsp[-1].i) US_; }
#line 8334 "obj/conf/cf-parse.tab.c"
    break;

  case 589: /* bool: expr  */
#line 192 "conf/confbase.Y"
        { (yyval.i) = !!(yyvsp[0].i); }
#line 8340 "obj/conf/cf-parse.tab.c"
    break;

  case 590: /* bool: ON  */
#line 193 "conf/confbase.Y"
      { (yyval.i) = 1; }
#line 8346 "obj/conf/cf-parse.tab.c"
    break;

  case 591: /* bool: YES  */
#line 194 "conf/confbase.Y"
       { (yyval.i) = 1; }
#line 8352 "obj/conf/cf-parse.tab.c"
    break;

  case 592: /* bool: OFF  */
#line 195 "conf/confbase.Y"
       { (yyval.i) = 0; }
#line 8358 "obj/conf/cf-parse.tab.c"
    break;

  case 593: /* bool: NO  */
#line 196 "conf/confbase.Y"
      { (yyval.i) = 0; }
#line 8364 "obj/conf/cf-parse.tab.c"
    break;

  case 594: /* bool: %empty  */
#line 197 "conf/confbase.Y"
                                 { (yyval.i) = 1; }
#line 8370 "obj/conf/cf-parse.tab.c"
    break;

  case 595: /* ipa: IP4  */
#line 204 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8376 "obj/conf/cf-parse.tab.c"
    break;

  case 596: /* ipa: IP6  */
#line 205 "conf/confbase.Y"
       { (yyval.a) = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8382 "obj/conf/cf-parse.tab.c"
    break;

  case 597: /* ipa: CF_SYM_KNOWN  */
#line 206 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_IP)) cf_error("IP address constant expected");
     (yyval.a) = SYM_VAL((yyvsp[0].s)).ip;
   }
#line 8391 "obj/conf/cf-parse.tab.c"
    break;

  case 598: /* ipa_scope: %empty  */
#line 213 "conf/confbase.Y"
               { (yyval.iface) = NULL; }
#line 8397 "obj/conf/cf-parse.tab.c"
    break;

  case 599: /* ipa_scope: '%' symbol  */
#line 214 "conf/confbase.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 8403 "obj/conf/cf-parse.tab.c"
    break;

  case 600: /* pxlen4: '/' NUM  */
#line 221 "conf/confbase.Y"
           {
     if ((yyvsp[0].i) > IP4_MAX_PREFIX_LENGTH) cf_error("Invalid prefix length %u", (yyvsp[0].i));
     (yyval.i) = (yyvsp[0].i);
   }
#line 8412 "obj/conf/cf-parse.tab.c"
    break;

  case 601: /* net_ip4_: IP4 pxlen4  */
#line 228 "conf/confbase.Y"
{
  net_fill_ip4(&((yyval.net)), (yyvsp[-1].ip4), (yyvsp[0].i));

  net_addr_ip4 *n = (void *) &((yyval.net));
  if (!net_validate_ip4(n))
    cf_error("Invalid IPv4 prefix %I4/%d, maybe you wanted %I4/%d",
	     n->prefix, n->pxlen, ip4_and(n->prefix, ip4_mkmask(n->pxlen)), n->pxlen);
}
#line 8425 "obj/conf/cf-parse.tab.c"
    break;

  case 602: /* net_ip6_: IP6 '/' NUM  */
#line 238 "conf/confbase.Y"
{
  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  net_fill_ip6(&((yyval.net)), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6 *n = (void *) &((yyval.net));
  if (!net_validate_ip6(n))
    cf_error("Invalid IPv6 prefix %I6/%d, maybe you wanted %I6/%d",
	     n->prefix, n->pxlen, ip6_and(n->prefix, ip6_mkmask(n->pxlen)), n->pxlen);
}
#line 8441 "obj/conf/cf-parse.tab.c"
    break;

  case 603: /* net_ip6_sadr_: IP6 '/' NUM FROM IP6 '/' NUM  */
#line 251 "conf/confbase.Y"
{
  if ((yyvsp[-4].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[-4].i));

  if ((yyvsp[0].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid prefix length %u", (yyvsp[0].i));

  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
  net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-6].ip6), (yyvsp[-4].i), (yyvsp[-2].ip6), (yyvsp[0].i));

  net_addr_ip6_sadr *n = (void *) (yyval.net_ptr);
  if (!net_validate_ip6_sadr(n))
    cf_error("Invalid SADR IPv6 prefix %I6/%d from %I6/%d, maybe you wanted %I6/%d from %I6/%d",
	     n->dst_prefix, n->dst_pxlen, n->src_prefix, n->src_pxlen,
	     ip6_and(n->dst_prefix, ip6_mkmask(n->dst_pxlen)), n->dst_pxlen,
	     ip6_and(n->src_prefix, ip6_mkmask(n->src_pxlen)), n->src_pxlen);
}
#line 8463 "obj/conf/cf-parse.tab.c"
    break;

  case 604: /* net_vpn4_: VPN_RD net_ip4_  */
#line 270 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
  net_fill_vpn4((yyval.net_ptr), net4_prefix(&(yyvsp[0].net)), net4_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8472 "obj/conf/cf-parse.tab.c"
    break;

  case 605: /* net_vpn6_: VPN_RD net_ip6_  */
#line 276 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
  net_fill_vpn6((yyval.net_ptr), net6_prefix(&(yyvsp[0].net)), net6_pxlen(&(yyvsp[0].net)), (yyvsp[-1].i64));
}
#line 8481 "obj/conf/cf-parse.tab.c"
    break;

  case 606: /* net_roa4_: net_ip4_ MAX NUM AS NUM  */
#line 282 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa4));
  net_fill_roa4((yyval.net_ptr), net4_prefix(&(yyvsp[-4].net)), net4_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net4_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP4_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8492 "obj/conf/cf-parse.tab.c"
    break;

  case 607: /* net_roa6_: net_ip6_ MAX NUM AS NUM  */
#line 290 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_roa6));
  net_fill_roa6((yyval.net_ptr), net6_prefix(&(yyvsp[-4].net)), net6_pxlen(&(yyvsp[-4].net)), (yyvsp[-2].i), (yyvsp[0].i));
  if ((yyvsp[-2].i) < net6_pxlen(&(yyvsp[-4].net)) || (yyvsp[-2].i) > IP6_MAX_PREFIX_LENGTH)
    cf_error("Invalid max prefix length %u", (yyvsp[-2].i));
}
#line 8503 "obj/conf/cf-parse.tab.c"
    break;

  case 608: /* net_mpls_: MPLS NUM  */
#line 298 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_mpls));
  net_fill_mpls((yyval.net_ptr), (yyvsp[0].i));
}
#line 8512 "obj/conf/cf-parse.tab.c"
    break;

  case 609: /* net_aspa_: ASPA NUM  */
#line 304 "conf/confbase.Y"
{
  (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_aspa));
  net_fill_aspa((yyval.net_ptr), (yyvsp[0].i));
}
#line 8521 "obj/conf/cf-parse.tab.c"
    break;

  case 616: /* net_: net_ip_  */
#line 314 "conf/confbase.Y"
           { (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length); net_copy((yyval.net_ptr), &((yyvsp[0].net))); }
#line 8527 "obj/conf/cf-parse.tab.c"
    break;

  case 624: /* net_ip4: CF_SYM_KNOWN  */
#line 328 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP4))
       cf_error("IPv4 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8537 "obj/conf/cf-parse.tab.c"
    break;

  case 626: /* net_ip6: CF_SYM_KNOWN  */
#line 337 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || (SYM_VAL((yyvsp[0].s)).net->type != NET_IP6))
       cf_error("IPv6 network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8547 "obj/conf/cf-parse.tab.c"
    break;

  case 628: /* net_ip: CF_SYM_KNOWN  */
#line 346 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET)) || !net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       cf_error("IP network constant expected");
     (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
   }
#line 8557 "obj/conf/cf-parse.tab.c"
    break;

  case 630: /* net_any: CF_SYM_KNOWN  */
#line 355 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_NET))
       cf_error("Network constant expected");
     (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
   }
#line 8567 "obj/conf/cf-parse.tab.c"
    break;

  case 633: /* net_or_ipa: IP4  */
#line 365 "conf/confbase.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 8573 "obj/conf/cf-parse.tab.c"
    break;

  case 634: /* net_or_ipa: IP6  */
#line 366 "conf/confbase.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 8579 "obj/conf/cf-parse.tab.c"
    break;

  case 635: /* net_or_ipa: CF_SYM_KNOWN  */
#line 367 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
       net_fill_ip_host(&((yyval.net)), SYM_VAL((yyvsp[0].s)).ip);
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_is_ip(SYM_VAL((yyvsp[0].s)).net))
       (yyval.net) = * SYM_VAL((yyvsp[0].s)).net;
     else
       cf_error("IP address or network constant expected");
   }
#line 8592 "obj/conf/cf-parse.tab.c"
    break;

  case 636: /* label_stack_start: NUM  */
#line 378 "conf/confbase.Y"
{
  (yyval.mls) = cfg_allocz(sizeof(mpls_label_stack));
  (yyval.mls)->len = 1;
  (yyval.mls)->stack[0] = (yyvsp[0].i);
}
#line 8602 "obj/conf/cf-parse.tab.c"
    break;

  case 638: /* label_stack: label_stack '/' NUM  */
#line 386 "conf/confbase.Y"
                        {
    if ((yyvsp[-2].mls)->len >= MPLS_MAX_LABEL_STACK)
      cf_error("Too many labels in stack");
    (yyvsp[-2].mls)->stack[(yyvsp[-2].mls)->len++] = (yyvsp[0].i);
    (yyval.mls) = (yyvsp[-2].mls);
  }
#line 8613 "obj/conf/cf-parse.tab.c"
    break;

  case 639: /* time: TEXT  */
#line 395 "conf/confbase.Y"
        {
     (yyval.time) = tm_parse_time((yyvsp[0].t));
     if (!(yyval.time))
       cf_error("Invalid date/time");
   }
#line 8623 "obj/conf/cf-parse.tab.c"
    break;

  case 641: /* text: CF_SYM_KNOWN  */
#line 404 "conf/confbase.Y"
                {
     if ((yyvsp[0].s)->class != (SYM_CONSTANT | T_STRING)) cf_error("String constant expected");
     (yyval.t) = SYM_VAL((yyvsp[0].s)).s;
   }
#line 8632 "obj/conf/cf-parse.tab.c"
    break;

  case 643: /* opttext: %empty  */
#line 412 "conf/confbase.Y"
               { (yyval.t) = NULL; }
#line 8638 "obj/conf/cf-parse.tab.c"
    break;

  case 644: /* text_or_ipa: TEXT  */
#line 416 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8644 "obj/conf/cf-parse.tab.c"
    break;

  case 645: /* text_or_ipa: IP4  */
#line 417 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 8650 "obj/conf/cf-parse.tab.c"
    break;

  case 646: /* text_or_ipa: IP6  */
#line 418 "conf/confbase.Y"
       { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 8656 "obj/conf/cf-parse.tab.c"
    break;

  case 647: /* text_or_ipa: CF_SYM_KNOWN  */
#line 419 "conf/confbase.Y"
                {
     if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_STRING)) ||
	 ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)))
       (yyval.v) = *((yyvsp[0].s)->val);
     else
       cf_error("String or IP constant expected");
   }
#line 8668 "obj/conf/cf-parse.tab.c"
    break;

  case 648: /* text_or_ipa: '(' term ')'  */
#line 426 "conf/confbase.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8678 "obj/conf/cf-parse.tab.c"
    break;

  case 650: /* bytestring: bytestring_expr  */
#line 435 "conf/confbase.Y"
                   { (yyval.bs) = cf_eval((yyvsp[0].x), T_BYTESTRING).val.bs; }
#line 8684 "obj/conf/cf-parse.tab.c"
    break;

  case 651: /* bytestring_text: BYTETEXT  */
#line 439 "conf/confbase.Y"
            { (yyval.v).type = T_BYTESTRING; (yyval.v).val.bs = (yyvsp[0].bs); }
#line 8690 "obj/conf/cf-parse.tab.c"
    break;

  case 652: /* bytestring_text: TEXT  */
#line 440 "conf/confbase.Y"
        { (yyval.v).type = T_STRING; (yyval.v).val.s = (yyvsp[0].t); }
#line 8696 "obj/conf/cf-parse.tab.c"
    break;

  case 653: /* bytestring_text: bytestring_expr  */
#line 441 "conf/confbase.Y"
                   {
     (yyval.v) = cf_eval((yyvsp[0].x), T_VOID);
     if (((yyval.v).type != T_BYTESTRING) && ((yyval.v).type != T_STRING))
       cf_error("Bytestring or string value expected");
   }
#line 8706 "obj/conf/cf-parse.tab.c"
    break;

  case 656: /* bytestring_expr: '(' term ')'  */
#line 451 "conf/confbase.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 8712 "obj/conf/cf-parse.tab.c"
    break;

  case 657: /* flow_num_op: TRUE  */
#line 37 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_TRUE; }
#line 8718 "obj/conf/cf-parse.tab.c"
    break;

  case 658: /* flow_num_op: '='  */
#line 38 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_EQ;  }
#line 8724 "obj/conf/cf-parse.tab.c"
    break;

  case 659: /* flow_num_op: NEQ  */
#line 39 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_NEQ; }
#line 8730 "obj/conf/cf-parse.tab.c"
    break;

  case 660: /* flow_num_op: '<'  */
#line 40 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LT;  }
#line 8736 "obj/conf/cf-parse.tab.c"
    break;

  case 661: /* flow_num_op: LEQ  */
#line 41 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_LEQ; }
#line 8742 "obj/conf/cf-parse.tab.c"
    break;

  case 662: /* flow_num_op: '>'  */
#line 42 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GT;  }
#line 8748 "obj/conf/cf-parse.tab.c"
    break;

  case 663: /* flow_num_op: GEQ  */
#line 43 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_GEQ; }
#line 8754 "obj/conf/cf-parse.tab.c"
    break;

  case 664: /* flow_num_op: FALSE  */
#line 44 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_FALSE; }
#line 8760 "obj/conf/cf-parse.tab.c"
    break;

  case 665: /* flow_logic_op: OR  */
#line 48 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_OR; }
#line 8766 "obj/conf/cf-parse.tab.c"
    break;

  case 666: /* flow_logic_op: AND  */
#line 49 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_OP_AND; }
#line 8772 "obj/conf/cf-parse.tab.c"
    break;

  case 667: /* flow_num_type_: PROTO  */
#line 53 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_IP_PROTOCOL; }
#line 8778 "obj/conf/cf-parse.tab.c"
    break;

  case 668: /* flow_num_type_: NEXT HEADER  */
#line 54 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_NEXT_HEADER; }
#line 8784 "obj/conf/cf-parse.tab.c"
    break;

  case 669: /* flow_num_type_: PORT  */
#line 55 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PORT; }
#line 8790 "obj/conf/cf-parse.tab.c"
    break;

  case 670: /* flow_num_type_: DPORT  */
#line 56 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PORT; }
#line 8796 "obj/conf/cf-parse.tab.c"
    break;

  case 671: /* flow_num_type_: SPORT  */
#line 57 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PORT; }
#line 8802 "obj/conf/cf-parse.tab.c"
    break;

  case 672: /* flow_num_type_: ICMP TYPE  */
#line 58 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_TYPE; }
#line 8808 "obj/conf/cf-parse.tab.c"
    break;

  case 673: /* flow_num_type_: ICMP CODE  */
#line 59 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_ICMP_CODE; }
#line 8814 "obj/conf/cf-parse.tab.c"
    break;

  case 674: /* flow_num_type_: LENGTH  */
#line 60 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_PACKET_LENGTH; }
#line 8820 "obj/conf/cf-parse.tab.c"
    break;

  case 675: /* flow_num_type_: DSCP  */
#line 61 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DSCP; }
#line 8826 "obj/conf/cf-parse.tab.c"
    break;

  case 676: /* flow_num_type_: LABEL  */
#line 62 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_LABEL; }
#line 8832 "obj/conf/cf-parse.tab.c"
    break;

  case 677: /* flow_num_type: flow_num_type_  */
#line 65 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, (yyvsp[0].i32)); }
#line 8838 "obj/conf/cf-parse.tab.c"
    break;

  case 678: /* flow_flag_type: TCP FLAGS  */
#line 66 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_TCP_FLAGS); }
#line 8844 "obj/conf/cf-parse.tab.c"
    break;

  case 679: /* flow_frag_type: FRAGMENT  */
#line 67 "conf/flowspec.Y"
                             { flow_builder_set_type(this_flow, FLOW_TYPE_FRAGMENT); }
#line 8850 "obj/conf/cf-parse.tab.c"
    break;

  case 680: /* flow_srcdst: DST  */
#line 70 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_DST_PREFIX; }
#line 8856 "obj/conf/cf-parse.tab.c"
    break;

  case 681: /* flow_srcdst: SRC  */
#line 71 "conf/flowspec.Y"
                { (yyval.i32) = FLOW_TYPE_SRC_PREFIX; }
#line 8862 "obj/conf/cf-parse.tab.c"
    break;

  case 682: /* flow_num_opts: flow_num_op expr  */
#line 75 "conf/flowspec.Y"
                    {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8871 "obj/conf/cf-parse.tab.c"
    break;

  case 683: /* flow_num_opts: flow_num_opts flow_logic_op flow_num_op expr  */
#line 79 "conf/flowspec.Y"
                                                {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, (yyvsp[-2].i32) | (yyvsp[-1].i32), (yyvsp[0].i));
   }
#line 8880 "obj/conf/cf-parse.tab.c"
    break;

  case 686: /* flow_num_opt_ext_expr: expr  */
#line 88 "conf/flowspec.Y"
        {
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_EQ, (yyvsp[0].i));
   }
#line 8889 "obj/conf/cf-parse.tab.c"
    break;

  case 687: /* flow_num_opt_ext_expr: expr DDOT expr  */
#line 92 "conf/flowspec.Y"
                  {
     flow_check_cf_value_length(this_flow, (yyvsp[-2].i));
     flow_check_cf_value_length(this_flow, (yyvsp[0].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_GEQ, (yyvsp[-2].i));
     flow_builder_add_op_val(this_flow, FLOW_OP_AND | FLOW_OP_LEQ, (yyvsp[0].i));
   }
#line 8900 "obj/conf/cf-parse.tab.c"
    break;

  case 690: /* flow_bmk_opts: flow_neg expr '/' expr  */
#line 106 "conf/flowspec.Y"
                          {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8909 "obj/conf/cf-parse.tab.c"
    break;

  case 691: /* flow_bmk_opts: flow_bmk_opts flow_logic_op flow_neg expr '/' expr  */
#line 110 "conf/flowspec.Y"
                                                      {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, (yyvsp[-4].i32) | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
   }
#line 8918 "obj/conf/cf-parse.tab.c"
    break;

  case 692: /* flow_bmk_opts: flow_bmk_opts ',' flow_neg expr '/' expr  */
#line 114 "conf/flowspec.Y"
                                            {
     flow_check_cf_bmk_values(this_flow, (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i));
     flow_builder_add_val_mask(this_flow, 0x40 | (yyvsp[-3].i32), (yyvsp[-2].i), (yyvsp[0].i)); /* AND */
   }
#line 8927 "obj/conf/cf-parse.tab.c"
    break;

  case 693: /* flow_neg: %empty  */
#line 121 "conf/flowspec.Y"
                { (yyval.i32) = 0x00; }
#line 8933 "obj/conf/cf-parse.tab.c"
    break;

  case 694: /* flow_neg: '!'  */
#line 122 "conf/flowspec.Y"
                { (yyval.i32) = 0x02; }
#line 8939 "obj/conf/cf-parse.tab.c"
    break;

  case 695: /* flow_frag_val: DONT_FRAGMENT  */
#line 126 "conf/flowspec.Y"
                  { (yyval.i32) = 1; }
#line 8945 "obj/conf/cf-parse.tab.c"
    break;

  case 696: /* flow_frag_val: IS_FRAGMENT  */
#line 127 "conf/flowspec.Y"
                  { (yyval.i32) = 2; }
#line 8951 "obj/conf/cf-parse.tab.c"
    break;

  case 697: /* flow_frag_val: FIRST_FRAGMENT  */
#line 128 "conf/flowspec.Y"
                  { (yyval.i32) = 4; }
#line 8957 "obj/conf/cf-parse.tab.c"
    break;

  case 698: /* flow_frag_val: LAST_FRAGMENT  */
#line 129 "conf/flowspec.Y"
                  { (yyval.i32) = 8; }
#line 8963 "obj/conf/cf-parse.tab.c"
    break;

  case 699: /* flow_frag_opts: flow_neg flow_frag_val  */
#line 133 "conf/flowspec.Y"
                          {
     flow_builder_add_val_mask(this_flow, 0, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8971 "obj/conf/cf-parse.tab.c"
    break;

  case 700: /* flow_frag_opts: flow_frag_opts flow_logic_op flow_neg flow_frag_val  */
#line 136 "conf/flowspec.Y"
                                                       {
     flow_builder_add_val_mask(this_flow, (yyvsp[-2].i32), ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32));
   }
#line 8979 "obj/conf/cf-parse.tab.c"
    break;

  case 701: /* flow_frag_opts: flow_frag_opts ',' flow_neg flow_frag_val  */
#line 139 "conf/flowspec.Y"
                                             {
     flow_builder_add_val_mask(this_flow, 0x40, ((yyvsp[-1].i32) ? 0 : (yyvsp[0].i32)), (yyvsp[0].i32)); /* AND */
   }
#line 8987 "obj/conf/cf-parse.tab.c"
    break;

  case 702: /* flow4_item: flow_srcdst net_ip4  */
#line 145 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder4_add_pfx(this_flow, (net_addr_ip4 *) &((yyvsp[0].net)));
   }
#line 8996 "obj/conf/cf-parse.tab.c"
    break;

  case 706: /* flow6_item: flow_srcdst net_ip6  */
#line 155 "conf/flowspec.Y"
                       {
     flow_builder_set_type(this_flow, (yyvsp[-1].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[0].net)), 0);
   }
#line 9005 "obj/conf/cf-parse.tab.c"
    break;

  case 707: /* flow6_item: flow_srcdst net_ip6 OFFSET NUM  */
#line 159 "conf/flowspec.Y"
                                  {
     if ((yyvsp[0].i) > (yyvsp[-2].net).pxlen)
       cf_error("Prefix offset is higher than prefix length");
     flow_builder_set_type(this_flow, (yyvsp[-3].i32));
     flow_builder6_add_pfx(this_flow, (net_addr_ip6 *) &((yyvsp[-2].net)), (yyvsp[0].i));
   }
#line 9016 "obj/conf/cf-parse.tab.c"
    break;

  case 715: /* flow_builder_init: %empty  */
#line 181 "conf/flowspec.Y"
{
  if (this_flow == NULL)
    this_flow = flow_builder_init(config_pool);	  /* FIXME: This should be allocated from tmp in future */
  else
    flow_builder_clear(this_flow);
}
#line 9027 "obj/conf/cf-parse.tab.c"
    break;

  case 716: /* flow_builder_set_ipv4: %empty  */
#line 188 "conf/flowspec.Y"
                       { this_flow->ipv6 = 0; }
#line 9033 "obj/conf/cf-parse.tab.c"
    break;

  case 717: /* flow_builder_set_ipv6: %empty  */
#line 189 "conf/flowspec.Y"
                       { this_flow->ipv6 = 1; }
#line 9039 "obj/conf/cf-parse.tab.c"
    break;

  case 718: /* net_flow4_: FLOW4 '{' flow_builder_init flow_builder_set_ipv4 flow4_opts '}'  */
#line 192 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder4_finalize(this_flow, cfg_mem);
  flow4_validate_cf((net_addr_flow4 *) (yyval.net_ptr));
}
#line 9048 "obj/conf/cf-parse.tab.c"
    break;

  case 719: /* net_flow6_: FLOW6 '{' flow_builder_init flow_builder_set_ipv6 flow6_opts '}'  */
#line 198 "conf/flowspec.Y"
{
  (yyval.net_ptr) = (net_addr *) flow_builder6_finalize(this_flow, cfg_mem);
  flow6_validate_cf((net_addr_flow6 *) (yyval.net_ptr));
}
#line 9057 "obj/conf/cf-parse.tab.c"
    break;

  case 729: /* $@1: %empty  */
#line 402 "filter/config.Y"
                 {
     (yyvsp[0].s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FILTER, filter, NULL);
     cf_push_scope( new_config, (yyvsp[0].s) );
     this_function = NULL;
   }
#line 9067 "obj/conf/cf-parse.tab.c"
    break;

  case 730: /* filter_def: FILTER symbol $@1 filter_body  */
#line 406 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .sym = (yyvsp[-2].s), .root = (yyvsp[0].fl) };
     (yyvsp[-2].s)->filter = f;

     cf_pop_scope(new_config);
   }
#line 9079 "obj/conf/cf-parse.tab.c"
    break;

  case 732: /* filter_eval: EVAL term  */
#line 417 "filter/config.Y"
             { cf_eval_int((yyvsp[0].x)); }
#line 9085 "obj/conf/cf-parse.tab.c"
    break;

  case 734: /* custom_attr: ATTRIBUTE type symbol ';'  */
#line 421 "filter/config.Y"
                                       {
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, ca_lookup(new_config->pool, (yyvsp[-1].s)->name, (yyvsp[-2].i))->fda);
}
#line 9093 "obj/conf/cf-parse.tab.c"
    break;

  case 736: /* bt_test_suite: BT_TEST_SUITE '(' symbol_known ',' text ')'  */
#line 427 "filter/config.Y"
                                             {
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-3].s)->function;
  t->fn_name = (yyvsp[-3].s)->name;
  t->dsc = (yyvsp[-1].t);

  add_tail(&new_config->tests, &t->n);
 }
#line 9107 "obj/conf/cf-parse.tab.c"
    break;

  case 738: /* bt_test_same: BT_TEST_SAME '(' symbol_known ',' symbol_known ',' NUM ')'  */
#line 440 "filter/config.Y"
                                                            {
  cf_assert_symbol((yyvsp[-5].s), SYM_FUNCTION);
  cf_assert_symbol((yyvsp[-3].s), SYM_FUNCTION);
  struct f_bt_test_suite *t = cfg_allocz(sizeof(struct f_bt_test_suite));
  t->fn = (yyvsp[-5].s)->function;
  t->cmp = (yyvsp[-3].s)->function;
  t->result = (yyvsp[-1].i);
  t->fn_name = (yyvsp[-5].s)->name;
  t->dsc = (yyvsp[-3].s)->name;
  add_tail(&new_config->tests, &t->n);
 }
#line 9123 "obj/conf/cf-parse.tab.c"
    break;

  case 739: /* type: INT  */
#line 454 "filter/config.Y"
       { (yyval.i) = T_INT; }
#line 9129 "obj/conf/cf-parse.tab.c"
    break;

  case 740: /* type: BOOL  */
#line 455 "filter/config.Y"
        { (yyval.i) = T_BOOL; }
#line 9135 "obj/conf/cf-parse.tab.c"
    break;

  case 741: /* type: IP  */
#line 456 "filter/config.Y"
      { (yyval.i) = T_IP; }
#line 9141 "obj/conf/cf-parse.tab.c"
    break;

  case 742: /* type: RD  */
#line 457 "filter/config.Y"
      { (yyval.i) = T_RD; }
#line 9147 "obj/conf/cf-parse.tab.c"
    break;

  case 743: /* type: PREFIX  */
#line 458 "filter/config.Y"
          { (yyval.i) = T_NET; }
#line 9153 "obj/conf/cf-parse.tab.c"
    break;

  case 744: /* type: PAIR  */
#line 459 "filter/config.Y"
        { (yyval.i) = T_PAIR; }
#line 9159 "obj/conf/cf-parse.tab.c"
    break;

  case 745: /* type: QUAD  */
#line 460 "filter/config.Y"
        { (yyval.i) = T_QUAD; }
#line 9165 "obj/conf/cf-parse.tab.c"
    break;

  case 746: /* type: EC  */
#line 461 "filter/config.Y"
      { (yyval.i) = T_EC; }
#line 9171 "obj/conf/cf-parse.tab.c"
    break;

  case 747: /* type: LC  */
#line 462 "filter/config.Y"
      { (yyval.i) = T_LC; }
#line 9177 "obj/conf/cf-parse.tab.c"
    break;

  case 748: /* type: STRING  */
#line 463 "filter/config.Y"
          { (yyval.i) = T_STRING; }
#line 9183 "obj/conf/cf-parse.tab.c"
    break;

  case 749: /* type: BYTESTRING  */
#line 464 "filter/config.Y"
              { (yyval.i) = T_BYTESTRING; }
#line 9189 "obj/conf/cf-parse.tab.c"
    break;

  case 750: /* type: BGPMASK  */
#line 465 "filter/config.Y"
           { (yyval.i) = T_PATH_MASK; }
#line 9195 "obj/conf/cf-parse.tab.c"
    break;

  case 751: /* type: BGPPATH  */
#line 466 "filter/config.Y"
           { (yyval.i) = T_PATH; }
#line 9201 "obj/conf/cf-parse.tab.c"
    break;

  case 752: /* type: CLIST  */
#line 467 "filter/config.Y"
         { (yyval.i) = T_CLIST; }
#line 9207 "obj/conf/cf-parse.tab.c"
    break;

  case 753: /* type: ECLIST  */
#line 468 "filter/config.Y"
          { (yyval.i) = T_ECLIST; }
#line 9213 "obj/conf/cf-parse.tab.c"
    break;

  case 754: /* type: LCLIST  */
#line 469 "filter/config.Y"
          { (yyval.i) = T_LCLIST; }
#line 9219 "obj/conf/cf-parse.tab.c"
    break;

  case 755: /* type: ROUTE  */
#line 470 "filter/config.Y"
         { (yyval.i) = T_ROUTE; }
#line 9225 "obj/conf/cf-parse.tab.c"
    break;

  case 756: /* type: type SET  */
#line 471 "filter/config.Y"
            {
	switch ((yyvsp[-1].i)) {
	  case T_INT:
	  case T_PAIR:
	  case T_QUAD:
	  case T_ENUM:
	  case T_EC:
	  case T_LC:
	  case T_RD:
	  case T_IP:
	       (yyval.i) = T_SET;
	       break;

	  case T_NET:
	       (yyval.i) = T_PREFIX_SET;
	    break;

	  default:
		cf_error( "You can't create sets of this type." );
	}
   }
#line 9251 "obj/conf/cf-parse.tab.c"
    break;

  case 757: /* type: ENUM enum_type  */
#line 492 "filter/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 9257 "obj/conf/cf-parse.tab.c"
    break;

  case 758: /* function_argsn: %empty  */
#line 496 "filter/config.Y"
               { (yyval.fa) = NULL; }
#line 9263 "obj/conf/cf-parse.tab.c"
    break;

  case 759: /* function_argsn: function_argsn type symbol ';'  */
#line 497 "filter/config.Y"
                                  {
     if ((yyvsp[-1].s)->scope->slots >= 0xfe) cf_error("Too many declarations, at most 255 allowed");
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9274 "obj/conf/cf-parse.tab.c"
    break;

  case 760: /* function_args: '(' ')'  */
#line 506 "filter/config.Y"
           { (yyval.fa) = NULL; }
#line 9280 "obj/conf/cf-parse.tab.c"
    break;

  case 761: /* function_args: '(' function_argsn type symbol ')'  */
#line 507 "filter/config.Y"
                                      {
     (yyval.fa) = cfg_alloc(sizeof(struct f_arg));
     (yyval.fa)->arg = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, sym_->scope->slots++);
     (yyval.fa)->next = (yyvsp[-3].fa);
   }
#line 9290 "obj/conf/cf-parse.tab.c"
    break;

  case 762: /* function_vars: %empty  */
#line 515 "filter/config.Y"
               { (yyval.i) = 0; }
#line 9296 "obj/conf/cf-parse.tab.c"
    break;

  case 763: /* function_vars: function_vars type symbol ';'  */
#line 516 "filter/config.Y"
                                 {
     cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.i) = (yyvsp[-3].i) + 1;
   }
#line 9305 "obj/conf/cf-parse.tab.c"
    break;

  case 764: /* function_type: %empty  */
#line 523 "filter/config.Y"
               { (yyval.i) = T_VOID; }
#line 9311 "obj/conf/cf-parse.tab.c"
    break;

  case 765: /* function_type: IMP type  */
#line 524 "filter/config.Y"
            { (yyval.i) = (yyvsp[0].i); }
#line 9317 "obj/conf/cf-parse.tab.c"
    break;

  case 767: /* filter: symbol_known  */
#line 530 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_FILTER);
     (yyval.f) = (yyvsp[0].s)->filter;
   }
#line 9326 "obj/conf/cf-parse.tab.c"
    break;

  case 768: /* $@2: %empty  */
#line 534 "filter/config.Y"
   {
     cf_push_scope(new_config, NULL);
     this_function = NULL;
   }
#line 9335 "obj/conf/cf-parse.tab.c"
    break;

  case 769: /* filter: $@2 filter_body  */
#line 537 "filter/config.Y"
                 {
     struct filter *f = cfg_alloc(sizeof(struct filter));
     *f = (struct filter) { .root = (yyvsp[0].fl) };
     (yyval.f) = f;

     cf_pop_scope(new_config);
   }
#line 9347 "obj/conf/cf-parse.tab.c"
    break;

  case 770: /* where_filter: WHERE term  */
#line 547 "filter/config.Y"
              {
     /* Construct 'IF term THEN { ACCEPT; } ELSE { REJECT; }' */
     (yyval.f) = f_new_where((yyvsp[0].x));
   }
#line 9356 "obj/conf/cf-parse.tab.c"
    break;

  case 771: /* function_body: function_vars '{' cmds '}'  */
#line 554 "filter/config.Y"
                              {
     (yyval.fl) = f_linearize((yyvsp[-1].x), 0);
     (yyval.fl)->vars = (yyvsp[-3].i);
   }
#line 9365 "obj/conf/cf-parse.tab.c"
    break;

  case 773: /* $@3: %empty  */
#line 563 "filter/config.Y"
                   {
     DBG( "Beginning of function %s\n", (yyvsp[0].s)->name );
     this_function = cf_define_symbol(new_config, (yyvsp[0].s), SYM_FUNCTION, function, NULL);
     cf_push_scope(new_config, this_function);
   }
#line 9375 "obj/conf/cf-parse.tab.c"
    break;

  case 774: /* $@4: %empty  */
#line 567 "filter/config.Y"
                                 {
     /* Make dummy f_line for storing function prototype */
     struct f_line *dummy = cfg_allocz(sizeof(struct f_line));
     this_function->function = dummy;

     dummy->return_type = (yyvsp[0].i);

     /* Revert the args */
     while ((yyvsp[-1].fa)) {
       struct f_arg *tmp = (yyvsp[-1].fa);
       (yyvsp[-1].fa) = (yyvsp[-1].fa)->next;

       tmp->next = dummy->arg_list;
       dummy->arg_list = tmp;
       dummy->args++;
     }
   }
#line 9397 "obj/conf/cf-parse.tab.c"
    break;

  case 775: /* function_def: FUNCTION symbol $@3 function_args function_type $@4 function_body  */
#line 583 "filter/config.Y"
                   {
     (yyvsp[0].fl)->args = this_function->function->args;
     (yyvsp[0].fl)->arg_list = this_function->function->arg_list;
     (yyvsp[0].fl)->return_type = this_function->function->return_type;
     (yyvsp[-5].s)->function = (yyvsp[0].fl);
     cf_pop_scope(new_config);
   }
#line 9409 "obj/conf/cf-parse.tab.c"
    break;

  case 776: /* cmds: %empty  */
#line 594 "filter/config.Y"
                  { (yyval.x) = NULL; }
#line 9415 "obj/conf/cf-parse.tab.c"
    break;

  case 777: /* cmds: cmds_int  */
#line 595 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].xp).begin; }
#line 9421 "obj/conf/cf-parse.tab.c"
    break;

  case 778: /* $@5: %empty  */
#line 598 "filter/config.Y"
             { cf_push_soft_scope(new_config); }
#line 9427 "obj/conf/cf-parse.tab.c"
    break;

  case 779: /* cmds_scoped: $@5 cmds  */
#line 598 "filter/config.Y"
                                                      { cf_pop_soft_scope(new_config); (yyval.x) = (yyvsp[0].x); }
#line 9433 "obj/conf/cf-parse.tab.c"
    break;

  case 782: /* cmd_prep: cmd_var  */
#line 602 "filter/config.Y"
                  {
  (yyval.xp).begin = (yyval.xp).end = (yyvsp[0].x);
  if ((yyvsp[0].x))
    while ((yyval.xp).end->next)
      (yyval.xp).end = (yyval.xp).end->next;
}
#line 9444 "obj/conf/cf-parse.tab.c"
    break;

  case 784: /* cmds_int: cmds_int cmd_prep  */
#line 611 "filter/config.Y"
                     {
  if (!(yyvsp[-1].xp).begin)
    (yyval.xp) = (yyvsp[0].xp);
  else if (!(yyvsp[0].xp).begin)
    (yyval.xp) = (yyvsp[-1].xp);
  else {
    (yyval.xp).begin = (yyvsp[-1].xp).begin;
    (yyval.xp).end = (yyvsp[0].xp).end;
    (yyvsp[-1].xp).end->next = (yyvsp[0].xp).begin;
  }
 }
#line 9460 "obj/conf/cf-parse.tab.c"
    break;

  case 785: /* fipa: IP4  */
#line 628 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip4((yyvsp[0].ip4)); }
#line 9466 "obj/conf/cf-parse.tab.c"
    break;

  case 786: /* fipa: IP6  */
#line 629 "filter/config.Y"
                          { (yyval.v).type = T_IP; (yyval.v).val.ip = ipa_from_ip6((yyvsp[0].ip6)); }
#line 9472 "obj/conf/cf-parse.tab.c"
    break;

  case 787: /* set_atom0: NUM  */
#line 642 "filter/config.Y"
          { (yyval.v).type = T_INT; (yyval.v).val.i = (yyvsp[0].i); }
#line 9478 "obj/conf/cf-parse.tab.c"
    break;

  case 788: /* set_atom0: fipa  */
#line 643 "filter/config.Y"
          { (yyval.v) = (yyvsp[0].v); }
#line 9484 "obj/conf/cf-parse.tab.c"
    break;

  case 789: /* set_atom0: VPN_RD  */
#line 644 "filter/config.Y"
          { (yyval.v).type = T_RD; (yyval.v).val.ec = (yyvsp[0].i64); }
#line 9490 "obj/conf/cf-parse.tab.c"
    break;

  case 790: /* set_atom0: ENUM_TOKEN  */
#line 645 "filter/config.Y"
              { (yyval.v).type = pair_a((yyvsp[0].i)); (yyval.v).val.i = pair_b((yyvsp[0].i)); }
#line 9496 "obj/conf/cf-parse.tab.c"
    break;

  case 791: /* set_atom0: '(' term ')'  */
#line 646 "filter/config.Y"
                {
     (yyval.v) = cf_eval((yyvsp[-1].x), T_VOID);
     if (!f_valid_set_type((yyval.v).type))
       cf_error("Set-incompatible type (%s)", f_type_name((yyval.v).type));
   }
#line 9506 "obj/conf/cf-parse.tab.c"
    break;

  case 793: /* set_atom: symbol_known  */
#line 655 "filter/config.Y"
                {
     cf_assert_symbol((yyvsp[0].s), SYM_CONSTANT);
     if (!f_valid_set_type(SYM_TYPE((yyvsp[0].s))))
       cf_error("%s: Set-incompatible type (%s)", (yyvsp[0].s)->name, f_type_name(SYM_TYPE((yyvsp[0].s))));
     (yyval.v) = *(yyvsp[0].s)->val;
   }
#line 9517 "obj/conf/cf-parse.tab.c"
    break;

  case 795: /* cnum: term  */
#line 668 "filter/config.Y"
        { (yyval.i32) = cf_eval_int((yyvsp[0].x)); }
#line 9523 "obj/conf/cf-parse.tab.c"
    break;

  case 796: /* pair_item: '(' cnum ',' cnum ')'  */
#line 671 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9529 "obj/conf/cf-parse.tab.c"
    break;

  case 797: /* pair_item: '(' cnum ',' cnum DDOT cnum ')'  */
#line 672 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9535 "obj/conf/cf-parse.tab.c"
    break;

  case 798: /* pair_item: '(' cnum ',' '*' ')'  */
#line 673 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-3].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9541 "obj/conf/cf-parse.tab.c"
    break;

  case 799: /* pair_item: '(' cnum DDOT cnum ',' cnum ')'  */
#line 674 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set((yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9547 "obj/conf/cf-parse.tab.c"
    break;

  case 800: /* pair_item: '(' cnum DDOT cnum ',' cnum DDOT cnum ')'  */
#line 675 "filter/config.Y"
                                             { (yyval.e) = f_new_pair_set((yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9553 "obj/conf/cf-parse.tab.c"
    break;

  case 801: /* pair_item: '(' cnum DDOT cnum ',' '*' ')'  */
#line 676 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item((yyvsp[-5].i32), (yyvsp[-3].i32), 0, CC_ALL); }
#line 9559 "obj/conf/cf-parse.tab.c"
    break;

  case 802: /* pair_item: '(' '*' ',' cnum ')'  */
#line 677 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9565 "obj/conf/cf-parse.tab.c"
    break;

  case 803: /* pair_item: '(' '*' ',' cnum DDOT cnum ')'  */
#line 678 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_set(0, CC_ALL, (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9571 "obj/conf/cf-parse.tab.c"
    break;

  case 804: /* pair_item: '(' '*' ',' '*' ')'  */
#line 679 "filter/config.Y"
                                        { (yyval.e) = f_new_pair_item(0, CC_ALL, 0, CC_ALL); }
#line 9577 "obj/conf/cf-parse.tab.c"
    break;

  case 805: /* pair_item: '(' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ')'  */
#line 681 "filter/config.Y"
   { (yyval.e) = f_new_pair_item((yyvsp[-9].i32), (yyvsp[-3].i32), (yyvsp[-7].i32), (yyvsp[-1].i32)); }
#line 9583 "obj/conf/cf-parse.tab.c"
    break;

  case 806: /* ec_kind: RT  */
#line 685 "filter/config.Y"
      { (yyval.ecs) = EC_RT; }
#line 9589 "obj/conf/cf-parse.tab.c"
    break;

  case 807: /* ec_kind: RO  */
#line 686 "filter/config.Y"
      { (yyval.ecs) = EC_RO; }
#line 9595 "obj/conf/cf-parse.tab.c"
    break;

  case 808: /* ec_kind: UNKNOWN NUM  */
#line 687 "filter/config.Y"
               { (yyval.ecs) = (yyvsp[0].i); }
#line 9601 "obj/conf/cf-parse.tab.c"
    break;

  case 809: /* ec_kind: GENERIC  */
#line 688 "filter/config.Y"
           { (yyval.ecs) = EC_GENERIC; }
#line 9607 "obj/conf/cf-parse.tab.c"
    break;

  case 810: /* ec_item: '(' ec_kind ',' cnum ',' cnum ')'  */
#line 692 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9613 "obj/conf/cf-parse.tab.c"
    break;

  case 811: /* ec_item: '(' ec_kind ',' cnum ',' cnum DDOT cnum ')'  */
#line 693 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-7].ecs), 0, (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9619 "obj/conf/cf-parse.tab.c"
    break;

  case 812: /* ec_item: '(' ec_kind ',' cnum ',' '*' ')'  */
#line 694 "filter/config.Y"
                                                { (yyval.e) = f_new_ec_item((yyvsp[-5].ecs), 0, (yyvsp[-3].i32), 0, EC_ALL); }
#line 9625 "obj/conf/cf-parse.tab.c"
    break;

  case 813: /* lc_item: '(' cnum ',' cnum ',' cnum ')'  */
#line 698 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), (yyvsp[-1].i32), (yyvsp[-1].i32)); }
#line 9631 "obj/conf/cf-parse.tab.c"
    break;

  case 814: /* lc_item: '(' cnum ',' cnum ',' cnum DDOT cnum ')'  */
#line 699 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-1].i32)); }
#line 9637 "obj/conf/cf-parse.tab.c"
    break;

  case 815: /* lc_item: '(' cnum ',' cnum ',' '*' ')'  */
#line 700 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9643 "obj/conf/cf-parse.tab.c"
    break;

  case 816: /* lc_item: '(' cnum ',' cnum DDOT cnum ',' '*' ')'  */
#line 701 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-7].i32), (yyvsp[-5].i32), (yyvsp[-3].i32), 0, LC_ALL); }
#line 9649 "obj/conf/cf-parse.tab.c"
    break;

  case 817: /* lc_item: '(' cnum ',' '*' ',' '*' ')'  */
#line 702 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-5].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9655 "obj/conf/cf-parse.tab.c"
    break;

  case 818: /* lc_item: '(' cnum DDOT cnum ',' '*' ',' '*' ')'  */
#line 703 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item((yyvsp[-7].i32), (yyvsp[-5].i32), 0, LC_ALL, 0, LC_ALL); }
#line 9661 "obj/conf/cf-parse.tab.c"
    break;

  case 819: /* lc_item: '(' '*' ',' '*' ',' '*' ')'  */
#line 704 "filter/config.Y"
                                            { (yyval.e) = f_new_lc_item(0, LC_ALL, 0, LC_ALL, 0, LC_ALL); }
#line 9667 "obj/conf/cf-parse.tab.c"
    break;

  case 820: /* lc_item: '(' cnum ',' cnum ',' cnum ')' DDOT '(' cnum ',' cnum ',' cnum ')'  */
#line 706 "filter/config.Y"
   { (yyval.e) = f_new_lc_item((yyvsp[-13].i32), (yyvsp[-5].i32), (yyvsp[-11].i32), (yyvsp[-3].i32), (yyvsp[-9].i32), (yyvsp[-1].i32)); }
#line 9673 "obj/conf/cf-parse.tab.c"
    break;

  case 824: /* set_item: set_atom  */
#line 713 "filter/config.Y"
            { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9679 "obj/conf/cf-parse.tab.c"
    break;

  case 825: /* set_item: set_atom DDOT set_atom  */
#line 714 "filter/config.Y"
                          { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9685 "obj/conf/cf-parse.tab.c"
    break;

  case 829: /* switch_item: switch_atom  */
#line 721 "filter/config.Y"
               { (yyval.e) = f_new_item((yyvsp[0].v), (yyvsp[0].v)); }
#line 9691 "obj/conf/cf-parse.tab.c"
    break;

  case 830: /* switch_item: switch_atom DDOT switch_atom  */
#line 722 "filter/config.Y"
                                { (yyval.e) = f_new_item((yyvsp[-2].v), (yyvsp[0].v)); }
#line 9697 "obj/conf/cf-parse.tab.c"
    break;

  case 832: /* ec_items: ec_items ',' ec_item  */
#line 727 "filter/config.Y"
                        { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9703 "obj/conf/cf-parse.tab.c"
    break;

  case 834: /* set_items: set_items ',' set_item  */
#line 732 "filter/config.Y"
                          { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9709 "obj/conf/cf-parse.tab.c"
    break;

  case 836: /* switch_items: switch_items ',' switch_item  */
#line 737 "filter/config.Y"
                                { (yyval.e) = f_merge_items((yyvsp[-2].e), (yyvsp[0].e)); }
#line 9715 "obj/conf/cf-parse.tab.c"
    break;

  case 837: /* fprefix: net_ip_  */
#line 741 "filter/config.Y"
                { (yyval.px).net = (yyvsp[0].net); (yyval.px).lo = (yyvsp[0].net).pxlen; (yyval.px).hi = (yyvsp[0].net).pxlen; }
#line 9721 "obj/conf/cf-parse.tab.c"
    break;

  case 838: /* fprefix: net_ip_ '+'  */
#line 742 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = (yyvsp[-1].net).pxlen; (yyval.px).hi = net_max_prefix_length[(yyvsp[-1].net).type]; }
#line 9727 "obj/conf/cf-parse.tab.c"
    break;

  case 839: /* fprefix: net_ip_ '-'  */
#line 743 "filter/config.Y"
                { (yyval.px).net = (yyvsp[-1].net); (yyval.px).lo = 0; (yyval.px).hi = (yyvsp[-1].net).pxlen; }
#line 9733 "obj/conf/cf-parse.tab.c"
    break;

  case 840: /* fprefix: net_ip_ '{' NUM ',' NUM '}'  */
#line 744 "filter/config.Y"
                               {
     (yyval.px).net = (yyvsp[-5].net); (yyval.px).lo = (yyvsp[-3].i); (yyval.px).hi = (yyvsp[-1].i);
     if (((yyvsp[-3].i) > (yyvsp[-1].i)) || ((yyvsp[-1].i) > net_max_prefix_length[(yyvsp[-5].net).type]))
       cf_error("Invalid prefix pattern range: {%u, %u}", (yyvsp[-3].i), (yyvsp[-1].i));
   }
#line 9743 "obj/conf/cf-parse.tab.c"
    break;

  case 841: /* fprefix_set: fprefix  */
#line 752 "filter/config.Y"
           { (yyval.trie) = f_new_trie(cfg_mem, 0); trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi); }
#line 9749 "obj/conf/cf-parse.tab.c"
    break;

  case 842: /* fprefix_set: fprefix_set ',' fprefix  */
#line 753 "filter/config.Y"
                           { (yyval.trie) = (yyvsp[-2].trie); if (!trie_add_prefix((yyval.trie), &((yyvsp[0].px).net), (yyvsp[0].px).lo, (yyvsp[0].px).hi)) cf_error("Mixed IPv4/IPv6 prefixes in prefix set"); }
#line 9755 "obj/conf/cf-parse.tab.c"
    break;

  case 843: /* switch_body: %empty  */
#line 756 "filter/config.Y"
                         { (yyval.e) = NULL; }
#line 9761 "obj/conf/cf-parse.tab.c"
    break;

  case 844: /* switch_body: switch_body switch_items ':' cmds_scoped  */
#line 757 "filter/config.Y"
                                            {
     /* Fill data fields */
     struct f_tree *t;
     for (t = (yyvsp[-2].e); t; t = t->left)
       t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-3].e), (yyvsp[-2].e));
   }
#line 9773 "obj/conf/cf-parse.tab.c"
    break;

  case 845: /* switch_body: switch_body ELSECOL cmds_scoped  */
#line 764 "filter/config.Y"
                                   {
     struct f_tree *t = f_new_tree();
     t->from.type = t->to.type = T_VOID;
     t->right = t;
     t->data = (yyvsp[0].x);
     (yyval.e) = f_merge_items((yyvsp[-2].e), t);
 }
#line 9785 "obj/conf/cf-parse.tab.c"
    break;

  case 846: /* bgp_path_expr: symbol_value  */
#line 774 "filter/config.Y"
                { (yyval.x) = (yyvsp[0].x); }
#line 9791 "obj/conf/cf-parse.tab.c"
    break;

  case 847: /* bgp_path_expr: '(' term ')'  */
#line 775 "filter/config.Y"
                { (yyval.x) = (yyvsp[-1].x); }
#line 9797 "obj/conf/cf-parse.tab.c"
    break;

  case 848: /* bgp_path: PO bgp_path_tail PC  */
#line 779 "filter/config.Y"
                         { (yyval.x) = (yyvsp[-1].x); }
#line 9803 "obj/conf/cf-parse.tab.c"
    break;

  case 849: /* bgp_path_tail: NUM bgp_path_tail  */
#line 783 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .asn = (yyvsp[-1].i), .kind = PM_ASN, }, }); (yyval.x)->next = (yyvsp[0].x);  }
#line 9809 "obj/conf/cf-parse.tab.c"
    break;

  case 850: /* bgp_path_tail: NUM DDOT NUM bgp_path_tail  */
#line 784 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .from = (yyvsp[-3].i), .to = (yyvsp[-1].i), .kind = PM_ASN_RANGE }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9815 "obj/conf/cf-parse.tab.c"
    break;

  case 851: /* bgp_path_tail: '[' ']' bgp_path_tail  */
#line 785 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = NULL, .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9821 "obj/conf/cf-parse.tab.c"
    break;

  case 852: /* bgp_path_tail: '[' set_items ']' bgp_path_tail  */
#line 786 "filter/config.Y"
                                   {
   if ((yyvsp[-2].e)->from.type != T_INT) cf_error("Only integer sets allowed in path mask");
   (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .set = build_tree((yyvsp[-2].e)), .kind = PM_ASN_SET }, }); (yyval.x)->next = (yyvsp[0].x);
 }
#line 9830 "obj/conf/cf-parse.tab.c"
    break;

  case 853: /* bgp_path_tail: '*' bgp_path_tail  */
#line 790 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_ASTERISK }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9836 "obj/conf/cf-parse.tab.c"
    break;

  case 854: /* bgp_path_tail: '?' bgp_path_tail  */
#line 791 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_QUESTION }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9842 "obj/conf/cf-parse.tab.c"
    break;

  case 855: /* bgp_path_tail: '+' bgp_path_tail  */
#line 792 "filter/config.Y"
                                { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PATH_MASK_ITEM, .val.pmi = { .kind = PM_LOOP }, }); (yyval.x)->next = (yyvsp[0].x); }
#line 9848 "obj/conf/cf-parse.tab.c"
    break;

  case 856: /* bgp_path_tail: bgp_path_expr bgp_path_tail  */
#line 793 "filter/config.Y"
                                { (yyval.x) = (yyvsp[-1].x); (yyval.x)->next = (yyvsp[0].x); }
#line 9854 "obj/conf/cf-parse.tab.c"
    break;

  case 857: /* bgp_path_tail: %empty  */
#line 794 "filter/config.Y"
                                { (yyval.x) = NULL; }
#line 9860 "obj/conf/cf-parse.tab.c"
    break;

  case 858: /* constant: NUM  */
#line 798 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_INT, .val.i = (yyvsp[0].i), }); }
#line 9866 "obj/conf/cf-parse.tab.c"
    break;

  case 859: /* constant: TRUE  */
#line 799 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }); }
#line 9872 "obj/conf/cf-parse.tab.c"
    break;

  case 860: /* constant: FALSE  */
#line 800 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }); }
#line 9878 "obj/conf/cf-parse.tab.c"
    break;

  case 861: /* constant: TEXT  */
#line 801 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_STRING, .val.s = (yyvsp[0].t), }); }
#line 9884 "obj/conf/cf-parse.tab.c"
    break;

  case 862: /* constant: BYTETEXT  */
#line 802 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BYTESTRING, .val.bs = (yyvsp[0].bs), }); }
#line 9890 "obj/conf/cf-parse.tab.c"
    break;

  case 863: /* constant: fipa  */
#line 803 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (yyvsp[0].v)); }
#line 9896 "obj/conf/cf-parse.tab.c"
    break;

  case 864: /* constant: VPN_RD  */
#line 804 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_RD, .val.ec = (yyvsp[0].i64), }); }
#line 9902 "obj/conf/cf-parse.tab.c"
    break;

  case 865: /* constant: net_  */
#line 805 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_NET, .val.net = (yyvsp[0].net_ptr), }); }
#line 9908 "obj/conf/cf-parse.tab.c"
    break;

  case 866: /* constant: '[' ']'  */
#line 806 "filter/config.Y"
           { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = NULL, }); }
#line 9914 "obj/conf/cf-parse.tab.c"
    break;

  case 867: /* constant: '[' set_items ']'  */
#line 807 "filter/config.Y"
                     {
     DBG( "We've got a set here..." );
     (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_SET, .val.t = build_tree((yyvsp[-1].e)), });
     DBG( "ook\n" );
 }
#line 9924 "obj/conf/cf-parse.tab.c"
    break;

  case 868: /* constant: '[' fprefix_set ']'  */
#line 812 "filter/config.Y"
                       { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_PREFIX_SET, .val.ti = (yyvsp[-1].trie), }); }
#line 9930 "obj/conf/cf-parse.tab.c"
    break;

  case 869: /* constant: ENUM_TOKEN  */
#line 813 "filter/config.Y"
              { (yyval.x) = f_new_inst(FI_CONSTANT, (struct f_val) { .type = (yyvsp[0].i) >> 16, .val.i = (yyvsp[0].i) & 0xffff, }); }
#line 9936 "obj/conf/cf-parse.tab.c"
    break;

  case 870: /* constructor: '(' term ',' term ')'  */
#line 817 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_PAIR_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9942 "obj/conf/cf-parse.tab.c"
    break;

  case 871: /* constructor: '(' ec_kind ',' term ',' term ')'  */
#line 818 "filter/config.Y"
                                     { (yyval.x) = f_new_inst(FI_EC_CONSTRUCT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].ecs)); }
#line 9948 "obj/conf/cf-parse.tab.c"
    break;

  case 872: /* constructor: '(' term ',' term ',' term ')'  */
#line 819 "filter/config.Y"
                                  { (yyval.x) = f_new_inst(FI_LC_CONSTRUCT, (yyvsp[-5].x), (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 9954 "obj/conf/cf-parse.tab.c"
    break;

  case 873: /* constructor: bgp_path  */
#line 820 "filter/config.Y"
            { (yyval.x) = f_new_inst(FI_PATHMASK_CONSTRUCT, (yyvsp[0].x)); }
#line 9960 "obj/conf/cf-parse.tab.c"
    break;

  case 874: /* var_list_r: %empty  */
#line 826 "filter/config.Y"
               { (yyval.x) = NULL; }
#line 9966 "obj/conf/cf-parse.tab.c"
    break;

  case 875: /* var_list_r: term  */
#line 827 "filter/config.Y"
        { (yyval.x) = (yyvsp[0].x); }
#line 9972 "obj/conf/cf-parse.tab.c"
    break;

  case 876: /* var_list_r: var_list_r ',' term  */
#line 828 "filter/config.Y"
                       { (yyval.x) = (yyvsp[0].x); (yyval.x)->next = (yyvsp[-2].x); }
#line 9978 "obj/conf/cf-parse.tab.c"
    break;

  case 877: /* var_list: var_list_r  */
#line 832 "filter/config.Y"
   {
     (yyval.x) = NULL;

     /* Revert the var_list_r */
     while ((yyvsp[0].x)) {
       struct f_inst *tmp = (yyvsp[0].x);
       (yyvsp[0].x) = (yyvsp[0].x)->next;

       tmp->next = (yyval.x);
       (yyval.x) = tmp;
     }
   }
#line 9995 "obj/conf/cf-parse.tab.c"
    break;

  case 878: /* function_call: symbol_known '(' var_list ')'  */
#line 848 "filter/config.Y"
   {
     if ((yyvsp[-3].s)->class != SYM_FUNCTION)
       cf_error("You can't call something which is not a function. Really.");

     (yyval.x) = f_new_inst(FI_CALL, (yyvsp[-1].x), (yyvsp[-3].s));
   }
#line 10006 "obj/conf/cf-parse.tab.c"
    break;

  case 879: /* symbol_value: symbol_known  */
#line 857 "filter/config.Y"
  {
    switch ((yyvsp[0].s)->class) {
      case SYM_CONSTANT_RANGE:
	(yyval.x) = f_new_inst(FI_CONSTANT, *((yyvsp[0].s)->val));
	break;
      case SYM_VARIABLE_RANGE:
	(yyval.x) = f_new_inst(FI_VAR_GET, (yyvsp[0].s));
	break;
      case SYM_ATTRIBUTE:
	(yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), *(yyvsp[0].s)->attribute);
	break;
      default:
	cf_error("Can't get value of symbol %s", (yyvsp[0].s)->name);
    }
  }
#line 10026 "obj/conf/cf-parse.tab.c"
    break;

  case 880: /* static_attr: FROM  */
#line 875 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_FROM,	0); }
#line 10032 "obj/conf/cf-parse.tab.c"
    break;

  case 881: /* static_attr: GW  */
#line 876 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_IP,         SA_GW,	0); }
#line 10038 "obj/conf/cf-parse.tab.c"
    break;

  case 882: /* static_attr: NET  */
#line 877 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_NET,	  SA_NET,	1); }
#line 10044 "obj/conf/cf-parse.tab.c"
    break;

  case 883: /* static_attr: PROTO  */
#line 878 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_PROTO,	1); }
#line 10050 "obj/conf/cf-parse.tab.c"
    break;

  case 884: /* static_attr: SOURCE  */
#line 879 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTS,   SA_SOURCE,	1); }
#line 10056 "obj/conf/cf-parse.tab.c"
    break;

  case 885: /* static_attr: SCOPE  */
#line 880 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_SCOPE, SA_SCOPE,	0); }
#line 10062 "obj/conf/cf-parse.tab.c"
    break;

  case 886: /* static_attr: DEST  */
#line 881 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_ENUM_RTD,   SA_DEST,	0); }
#line 10068 "obj/conf/cf-parse.tab.c"
    break;

  case 887: /* static_attr: IFNAME  */
#line 882 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_STRING,     SA_IFNAME,	0); }
#line 10074 "obj/conf/cf-parse.tab.c"
    break;

  case 888: /* static_attr: IFINDEX  */
#line 883 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_IFINDEX,	1); }
#line 10080 "obj/conf/cf-parse.tab.c"
    break;

  case 889: /* static_attr: WEIGHT  */
#line 884 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_WEIGHT,	0); }
#line 10086 "obj/conf/cf-parse.tab.c"
    break;

  case 890: /* static_attr: PREFERENCE  */
#line 885 "filter/config.Y"
              { (yyval.fsa) = f_new_static_attr(T_INT,	  SA_PREF,	0); }
#line 10092 "obj/conf/cf-parse.tab.c"
    break;

  case 891: /* static_attr: GW_MPLS  */
#line 886 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_INT,        SA_GW_MPLS,	0); }
#line 10098 "obj/conf/cf-parse.tab.c"
    break;

  case 892: /* static_attr: GW_MPLS_STACK  */
#line 887 "filter/config.Y"
                 { (yyval.fsa) = f_new_static_attr(T_CLIST, SA_GW_MPLS_STACK,	0); }
#line 10104 "obj/conf/cf-parse.tab.c"
    break;

  case 893: /* static_attr: ONLINK  */
#line 888 "filter/config.Y"
           { (yyval.fsa) = f_new_static_attr(T_BOOL,       SA_ONLINK,	0); }
#line 10110 "obj/conf/cf-parse.tab.c"
    break;

  case 894: /* $@6: %empty  */
#line 891 "filter/config.Y"
                          { f_method_call_start((yyvsp[-1].x)); }
#line 10116 "obj/conf/cf-parse.tab.c"
    break;

  case 895: /* term_dot_method: term '.' $@6 method_name_cont  */
#line 891 "filter/config.Y"
                                                                        { f_method_call_end(); (yyval.x) = (yyvsp[0].x); }
#line 10122 "obj/conf/cf-parse.tab.c"
    break;

  case 896: /* method_name_cont: CF_SYM_METHOD_BARE  */
#line 893 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[0].s), FM.object, NULL, 1);
   }
#line 10130 "obj/conf/cf-parse.tab.c"
    break;

  case 897: /* $@7: %empty  */
#line 896 "filter/config.Y"
                      {
     f_method_call_args();
   }
#line 10138 "obj/conf/cf-parse.tab.c"
    break;

  case 898: /* method_name_cont: CF_SYM_METHOD_ARGS $@7 '(' var_list ')'  */
#line 898 "filter/config.Y"
                      {
     (yyval.x) = f_dispatch_method((yyvsp[-4].s), FM.object, (yyvsp[-1].x), 1);
   }
#line 10146 "obj/conf/cf-parse.tab.c"
    break;

  case 899: /* method_name_cont: static_attr  */
#line 901 "filter/config.Y"
               {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_RTA_GET, FM.object, (yyvsp[0].fsa));
   }
#line 10156 "obj/conf/cf-parse.tab.c"
    break;

  case 900: /* method_name_cont: dynamic_attr  */
#line 906 "filter/config.Y"
                {
     if (FM.object->type != T_ROUTE)
       cf_error("Getting a route attribute from %s, need a route", f_type_name(FM.object->type));
     (yyval.x) = f_new_inst(FI_EA_GET, FM.object, (yyvsp[0].fda));
   }
#line 10166 "obj/conf/cf-parse.tab.c"
    break;

  case 901: /* term: '(' term ')'  */
#line 914 "filter/config.Y"
                        { (yyval.x) = (yyvsp[-1].x); }
#line 10172 "obj/conf/cf-parse.tab.c"
    break;

  case 902: /* term: term '+' term  */
#line 915 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_ADD, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10178 "obj/conf/cf-parse.tab.c"
    break;

  case 903: /* term: term '-' term  */
#line 916 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_SUBTRACT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10184 "obj/conf/cf-parse.tab.c"
    break;

  case 904: /* term: term '*' term  */
#line 917 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MULTIPLY, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10190 "obj/conf/cf-parse.tab.c"
    break;

  case 905: /* term: term '/' term  */
#line 918 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DIVIDE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10196 "obj/conf/cf-parse.tab.c"
    break;

  case 906: /* term: term AND term  */
#line 919 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_AND, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10202 "obj/conf/cf-parse.tab.c"
    break;

  case 907: /* term: term OR term  */
#line 920 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_OR, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10208 "obj/conf/cf-parse.tab.c"
    break;

  case 908: /* term: term '=' term  */
#line 921 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_EQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10214 "obj/conf/cf-parse.tab.c"
    break;

  case 909: /* term: term NEQ term  */
#line 922 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NEQ, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10220 "obj/conf/cf-parse.tab.c"
    break;

  case 910: /* term: term '<' term  */
#line 923 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10226 "obj/conf/cf-parse.tab.c"
    break;

  case 911: /* term: term LEQ term  */
#line 924 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10232 "obj/conf/cf-parse.tab.c"
    break;

  case 912: /* term: term '>' term  */
#line 925 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LT, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10238 "obj/conf/cf-parse.tab.c"
    break;

  case 913: /* term: term GEQ term  */
#line 926 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_LTE, (yyvsp[0].x), (yyvsp[-2].x)); }
#line 10244 "obj/conf/cf-parse.tab.c"
    break;

  case 914: /* term: term '~' term  */
#line 927 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10250 "obj/conf/cf-parse.tab.c"
    break;

  case 915: /* term: term NMA term  */
#line 928 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT_MATCH, (yyvsp[-2].x), (yyvsp[0].x)); }
#line 10256 "obj/conf/cf-parse.tab.c"
    break;

  case 916: /* term: '!' term  */
#line 929 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_NOT, (yyvsp[0].x)); }
#line 10262 "obj/conf/cf-parse.tab.c"
    break;

  case 917: /* term: DEFINED '(' term ')'  */
#line 930 "filter/config.Y"
                        { (yyval.x) = f_new_inst(FI_DEFINED, (yyvsp[-1].x)); }
#line 10268 "obj/conf/cf-parse.tab.c"
    break;

  case 918: /* term: symbol_value  */
#line 932 "filter/config.Y"
                  { (yyval.x) = (yyvsp[0].x); }
#line 10274 "obj/conf/cf-parse.tab.c"
    break;

  case 919: /* term: constant  */
#line 933 "filter/config.Y"
            { (yyval.x) = (yyvsp[0].x); }
#line 10280 "obj/conf/cf-parse.tab.c"
    break;

  case 920: /* term: constructor  */
#line 934 "filter/config.Y"
               { (yyval.x) = (yyvsp[0].x); }
#line 10286 "obj/conf/cf-parse.tab.c"
    break;

  case 921: /* term: static_attr  */
#line 936 "filter/config.Y"
               { (yyval.x) = f_new_inst(FI_RTA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fsa)); }
#line 10292 "obj/conf/cf-parse.tab.c"
    break;

  case 922: /* term: dynamic_attr  */
#line 938 "filter/config.Y"
                { (yyval.x) = f_new_inst(FI_EA_GET, f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL }), (yyvsp[0].fda)); }
#line 10298 "obj/conf/cf-parse.tab.c"
    break;

  case 924: /* term: '+' EMPTY '+'  */
#line 942 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_PATH)); }
#line 10304 "obj/conf/cf-parse.tab.c"
    break;

  case 925: /* term: '-' EMPTY '-'  */
#line 943 "filter/config.Y"
                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_CLIST)); }
#line 10310 "obj/conf/cf-parse.tab.c"
    break;

  case 926: /* term: '-' '-' EMPTY '-' '-'  */
#line 944 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_ECLIST)); }
#line 10316 "obj/conf/cf-parse.tab.c"
    break;

  case 927: /* term: '-' '-' '-' EMPTY '-' '-' '-'  */
#line 945 "filter/config.Y"
                                 { (yyval.x) = f_new_inst(FI_CONSTANT, val_empty(T_LCLIST)); }
#line 10322 "obj/conf/cf-parse.tab.c"
    break;

  case 928: /* term: PREPEND '(' term ',' term ')'  */
#line 947 "filter/config.Y"
                                 { (yyval.x) = f_dispatch_method_x("prepend", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10328 "obj/conf/cf-parse.tab.c"
    break;

  case 929: /* term: ADD '(' term ',' term ')'  */
#line 948 "filter/config.Y"
                             { (yyval.x) = f_dispatch_method_x("add", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10334 "obj/conf/cf-parse.tab.c"
    break;

  case 930: /* term: DELETE '(' term ',' term ')'  */
#line 949 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("delete", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10340 "obj/conf/cf-parse.tab.c"
    break;

  case 931: /* term: FILTER '(' term ',' term ')'  */
#line 950 "filter/config.Y"
                                { (yyval.x) = f_dispatch_method_x("filter", (yyvsp[-3].x)->type, (yyvsp[-3].x), (yyvsp[-1].x)); }
#line 10346 "obj/conf/cf-parse.tab.c"
    break;

  case 932: /* term: ROA_CHECK '(' rtable ')'  */
#line 952 "filter/config.Y"
                            { (yyval.x) = f_new_inst(FI_ROA_CHECK_IMPLICIT, (yyvsp[-1].r)); }
#line 10352 "obj/conf/cf-parse.tab.c"
    break;

  case 933: /* term: ROA_CHECK '(' rtable ',' term ',' term ')'  */
#line 953 "filter/config.Y"
                                              { (yyval.x) = f_new_inst(FI_ROA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 10358 "obj/conf/cf-parse.tab.c"
    break;

  case 934: /* term: ASPA_CHECK '(' rtable ',' term ',' term ')'  */
#line 954 "filter/config.Y"
                                               { (yyval.x) = f_new_inst(FI_ASPA_CHECK_EXPLICIT, (yyvsp[-3].x), (yyvsp[-1].x), (yyvsp[-5].r)); }
#line 10364 "obj/conf/cf-parse.tab.c"
    break;

  case 935: /* term: FORMAT '(' term ')'  */
#line 956 "filter/config.Y"
                       {  (yyval.x) = f_new_inst(FI_FORMAT, (yyvsp[-1].x)); }
#line 10370 "obj/conf/cf-parse.tab.c"
    break;

  case 938: /* term_bs: FROM_HEX '(' term ')'  */
#line 963 "filter/config.Y"
                         { (yyval.x) = f_new_inst(FI_FROM_HEX, (yyvsp[-1].x)); }
#line 10376 "obj/conf/cf-parse.tab.c"
    break;

  case 939: /* break_command: ACCEPT  */
#line 967 "filter/config.Y"
          { (yyval.fret) = F_ACCEPT; }
#line 10382 "obj/conf/cf-parse.tab.c"
    break;

  case 940: /* break_command: REJECT  */
#line 968 "filter/config.Y"
          { (yyval.fret) = F_REJECT; }
#line 10388 "obj/conf/cf-parse.tab.c"
    break;

  case 941: /* break_command: ERROR  */
#line 969 "filter/config.Y"
         { (yyval.fret) = F_ERROR; }
#line 10394 "obj/conf/cf-parse.tab.c"
    break;

  case 942: /* var: type symbol '=' term ';'  */
#line 973 "filter/config.Y"
                            {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-3].s), SYM_VARIABLE | (yyvsp[-4].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT, (yyvsp[-1].x), sym);
   }
#line 10403 "obj/conf/cf-parse.tab.c"
    break;

  case 943: /* var: type symbol ';'  */
#line 977 "filter/config.Y"
                   {
     struct symbol *sym = cf_define_symbol(new_config, (yyvsp[-1].s), SYM_VARIABLE | (yyvsp[-2].i), offset, f_new_var(sym_->scope));
     (yyval.x) = f_new_inst(FI_VAR_INIT0, sym);
   }
#line 10412 "obj/conf/cf-parse.tab.c"
    break;

  case 944: /* for_var: type symbol  */
#line 984 "filter/config.Y"
               { (yyval.s) = cf_define_symbol(new_config, (yyvsp[0].s), SYM_VARIABLE | (yyvsp[-1].i), offset, f_new_var(sym_->scope)); }
#line 10418 "obj/conf/cf-parse.tab.c"
    break;

  case 945: /* for_var: CF_SYM_KNOWN  */
#line 985 "filter/config.Y"
                { cf_error("Use of a pre-defined variable in for loop is not allowed"); }
#line 10424 "obj/conf/cf-parse.tab.c"
    break;

  case 946: /* cmd: '{' cmds_scoped '}'  */
#line 989 "filter/config.Y"
                       {
     (yyval.x) = (yyvsp[-1].x);
   }
#line 10432 "obj/conf/cf-parse.tab.c"
    break;

  case 947: /* cmd: IF term THEN cmd  */
#line 992 "filter/config.Y"
                    {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-2].x), (yyvsp[0].x), NULL);
   }
#line 10440 "obj/conf/cf-parse.tab.c"
    break;

  case 948: /* cmd: IF term THEN cmd ELSE cmd  */
#line 995 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_CONDITION, (yyvsp[-4].x), (yyvsp[-2].x), (yyvsp[0].x));
   }
#line 10448 "obj/conf/cf-parse.tab.c"
    break;

  case 949: /* $@8: %empty  */
#line 998 "filter/config.Y"
       {
     /* Reserve space for walk data on stack */
     cf_push_block_scope(new_config);
     new_config->current_scope->slots += 2;
   }
#line 10458 "obj/conf/cf-parse.tab.c"
    break;

  case 950: /* $@9: %empty  */
#line 1004 "filter/config.Y"
   { this_for_scope = new_config->current_scope; new_config->current_scope = this_for_scope->next; }
#line 10464 "obj/conf/cf-parse.tab.c"
    break;

  case 951: /* $@10: %empty  */
#line 1006 "filter/config.Y"
   { new_config->current_scope = this_for_scope; this_for_scope = NULL; }
#line 10470 "obj/conf/cf-parse.tab.c"
    break;

  case 952: /* cmd: FOR $@8 for_var IN $@9 term $@10 DO cmd  */
#line 1007 "filter/config.Y"
          {
     cf_pop_block_scope(new_config);
     (yyval.x) = f_for_cycle((yyvsp[-6].s), (yyvsp[-3].x), (yyvsp[0].x));
   }
#line 10479 "obj/conf/cf-parse.tab.c"
    break;

  case 953: /* cmd: symbol_known '=' term ';'  */
#line 1011 "filter/config.Y"
                             {
     switch ((yyvsp[-3].s)->class) {
       case SYM_VARIABLE_RANGE:
	 (yyval.x) = f_new_inst(FI_VAR_SET, (yyvsp[-1].x), (yyvsp[-3].s));
	 break;
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), *(yyvsp[-3].s)->attribute);
	 break;
       default:
	 cf_error("Can't assign to symbol %s", (yyvsp[-3].s)->name);
     }
   }
#line 10496 "obj/conf/cf-parse.tab.c"
    break;

  case 954: /* cmd: RETURN term ';'  */
#line 1023 "filter/config.Y"
                   {
     DBG( "Ook, we'll return the value\n" );
     if (!this_function)
       cf_error("Can't return from a non-function, use accept or reject instead.");
     if (this_function->function->return_type == T_VOID)
     {
       if ((yyvsp[-1].x)->type != T_VOID)
	 cf_warn("Inferring function %s return type from its return value: %s", this_function->name, f_type_name((yyvsp[-1].x)->type));
       ((struct f_line *) this_function->function)->return_type = (yyvsp[-1].x)->type;
     }
     else if (this_function->function->return_type != (yyvsp[-1].x)->type)
       cf_error("Can't return type %s from function %s, expected %s",
		f_type_name((yyvsp[-1].x)->type), this_function->name, f_type_name(this_function->function->return_type));

     (yyval.x) = f_new_inst(FI_RETURN, (yyvsp[-1].x));
   }
#line 10517 "obj/conf/cf-parse.tab.c"
    break;

  case 955: /* cmd: dynamic_attr '=' term ';'  */
#line 1039 "filter/config.Y"
                             {
     (yyval.x) = f_new_inst(FI_EA_SET, (yyvsp[-1].x), (yyvsp[-3].fda));
   }
#line 10525 "obj/conf/cf-parse.tab.c"
    break;

  case 956: /* cmd: static_attr '=' term ';'  */
#line 1042 "filter/config.Y"
                            {
     if ((yyvsp[-3].fsa).readonly)
       cf_error( "This static attribute is read-only.");
     (yyval.x) = f_new_inst(FI_RTA_SET, (yyvsp[-1].x), (yyvsp[-3].fsa));
   }
#line 10535 "obj/conf/cf-parse.tab.c"
    break;

  case 957: /* cmd: UNSET '(' dynamic_attr ')' ';'  */
#line 1047 "filter/config.Y"
                                  {
     (yyval.x) = f_new_inst(FI_EA_UNSET, (yyvsp[-2].fda));
   }
#line 10543 "obj/conf/cf-parse.tab.c"
    break;

  case 958: /* cmd: UNSET '(' symbol_known ')' ';'  */
#line 1050 "filter/config.Y"
                                  {
     switch ((yyvsp[-2].s)->class) {
       case SYM_ATTRIBUTE:
	 (yyval.x) = f_new_inst(FI_EA_UNSET, *(yyvsp[-2].s)->attribute);
	 break;
       default:
	 cf_error("Can't unset symbol %s", (yyvsp[-2].s)->name);
     }
 }
#line 10557 "obj/conf/cf-parse.tab.c"
    break;

  case 959: /* cmd: break_command var_list_r ';'  */
#line 1059 "filter/config.Y"
                                {
    (yyval.x) = f_print((yyvsp[-1].x), !!(yyvsp[-1].x), (yyvsp[-2].fret));
   }
#line 10565 "obj/conf/cf-parse.tab.c"
    break;

  case 960: /* cmd: PRINT var_list_r ';'  */
#line 1062 "filter/config.Y"
                        {
    (yyval.x) = f_print((yyvsp[-1].x), 1, F_NOP);
   }
#line 10573 "obj/conf/cf-parse.tab.c"
    break;

  case 961: /* cmd: PRINTN var_list_r ';'  */
#line 1065 "filter/config.Y"
                         {
    (yyval.x) = f_print((yyvsp[-1].x), 0, F_NOP);
   }
#line 10581 "obj/conf/cf-parse.tab.c"
    break;

  case 962: /* cmd: function_call ';'  */
#line 1068 "filter/config.Y"
                     { (yyval.x) = f_new_inst(FI_DROP_RESULT, (yyvsp[-1].x)); }
#line 10587 "obj/conf/cf-parse.tab.c"
    break;

  case 963: /* cmd: CASE term '{' switch_body '}'  */
#line 1069 "filter/config.Y"
                                 {
      (yyval.x) = f_new_inst(FI_SWITCH, (yyvsp[-3].x), (yyvsp[-1].e));
   }
#line 10595 "obj/conf/cf-parse.tab.c"
    break;

  case 964: /* $@11: %empty  */
#line 1072 "filter/config.Y"
              {
     f_method_call_start(f_lval_getter(&(yyvsp[-1].flv)));
   }
#line 10603 "obj/conf/cf-parse.tab.c"
    break;

  case 965: /* cmd: lvalue '.' $@11 method_name_cont ';'  */
#line 1074 "filter/config.Y"
                          {
     f_method_call_end();
     (yyval.x) = f_lval_setter(&(yyvsp[-4].flv), (yyvsp[-1].x));
   }
#line 10612 "obj/conf/cf-parse.tab.c"
    break;

  case 966: /* cmd: BT_ASSERT '(' get_cf_position term get_cf_position ')' ';'  */
#line 1078 "filter/config.Y"
                                                              { (yyval.x) = assert_done((yyvsp[-3].x), (yyvsp[-4].t) + 1, (yyvsp[-2].t) - 1); }
#line 10618 "obj/conf/cf-parse.tab.c"
    break;

  case 967: /* cmd: BT_CHECK_ASSIGN '(' get_cf_position lvalue get_cf_position ',' term ')' ';'  */
#line 1079 "filter/config.Y"
                                                                               { (yyval.x) = assert_assign(&(yyvsp[-5].flv), (yyvsp[-2].x), (yyvsp[-6].t) + 1, (yyvsp[-4].t) - 1); }
#line 10624 "obj/conf/cf-parse.tab.c"
    break;

  case 968: /* get_cf_position: %empty  */
#line 1083 "filter/config.Y"
{
  (yyval.t) = cf_text;
}
#line 10632 "obj/conf/cf-parse.tab.c"
    break;

  case 969: /* lvalue: CF_SYM_KNOWN  */
#line 1088 "filter/config.Y"
                {
     switch ((yyvsp[0].s)->class)
     {
       case SYM_VARIABLE_RANGE:
	 (yyval.flv) = (struct f_lval) { .type = F_LVAL_VARIABLE, .sym = (yyvsp[0].s), .rte = f_const_empty(T_ROUTE) };
         break;
       case SYM_ATTRIBUTE:
         (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = *((yyvsp[0].s)->attribute), .rte = f_const_empty(T_ROUTE) };
	 break;
       default:
	 cf_error("Variable name or custom attribute name required");
     }
   }
#line 10650 "obj/conf/cf-parse.tab.c"
    break;

  case 970: /* lvalue: static_attr  */
#line 1101 "filter/config.Y"
               { (yyval.flv) = (struct f_lval) { .type = F_LVAL_SA, .sa = (yyvsp[0].fsa), .rte = f_const_empty(T_ROUTE) }; }
#line 10656 "obj/conf/cf-parse.tab.c"
    break;

  case 971: /* lvalue: dynamic_attr  */
#line 1102 "filter/config.Y"
                { (yyval.flv) = (struct f_lval) { .type = F_LVAL_EA, .da = (yyvsp[0].fda), .rte = f_const_empty(T_ROUTE) }; }
#line 10662 "obj/conf/cf-parse.tab.c"
    break;

  case 973: /* rtrid: ROUTER ID idval ';'  */
#line 170 "nest/config.Y"
                       { new_config->router_id = (yyvsp[-1].i32); }
#line 10668 "obj/conf/cf-parse.tab.c"
    break;

  case 974: /* rtrid: ROUTER ID FROM iface_patt ';'  */
#line 171 "nest/config.Y"
                                 { new_config->router_id_from = this_ipatt; }
#line 10674 "obj/conf/cf-parse.tab.c"
    break;

  case 975: /* idval: NUM  */
#line 175 "nest/config.Y"
       { (yyval.i32) = (yyvsp[0].i); }
#line 10680 "obj/conf/cf-parse.tab.c"
    break;

  case 976: /* idval: '(' term ')'  */
#line 176 "nest/config.Y"
                { (yyval.i32) = cf_eval_int((yyvsp[-1].x)); }
#line 10686 "obj/conf/cf-parse.tab.c"
    break;

  case 977: /* idval: IP4  */
#line 177 "nest/config.Y"
       { (yyval.i32) = ip4_to_u32((yyvsp[0].ip4)); }
#line 10692 "obj/conf/cf-parse.tab.c"
    break;

  case 978: /* idval: CF_SYM_KNOWN  */
#line 178 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_INT) || (yyvsp[0].s)->class == (SYM_CONSTANT | T_QUAD))
       (yyval.i32) = SYM_VAL((yyvsp[0].s)).i;
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP)) && ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip))
       (yyval.i32) = ipa_to_u32(SYM_VAL((yyvsp[0].s)).ip);
     else
       cf_error("Number or IPv4 address constant expected");
   }
#line 10705 "obj/conf/cf-parse.tab.c"
    break;

  case 980: /* hostname_override: HOSTNAME text ';'  */
#line 190 "nest/config.Y"
                                     { new_config->hostname = (yyvsp[-1].t); }
#line 10711 "obj/conf/cf-parse.tab.c"
    break;

  case 982: /* gr_opts: GRACEFUL RESTART WAIT expr ';'  */
#line 194 "nest/config.Y"
                                        { new_config->gr_wait = (yyvsp[-1].i); }
#line 10717 "obj/conf/cf-parse.tab.c"
    break;

  case 983: /* net_type_base: IPV4  */
#line 200 "nest/config.Y"
        { (yyval.i) = NET_IP4; }
#line 10723 "obj/conf/cf-parse.tab.c"
    break;

  case 984: /* net_type_base: IPV6  */
#line 201 "nest/config.Y"
        { (yyval.i) = NET_IP6; }
#line 10729 "obj/conf/cf-parse.tab.c"
    break;

  case 985: /* net_type_base: IPV6 SADR  */
#line 202 "nest/config.Y"
             { (yyval.i) = NET_IP6_SADR; }
#line 10735 "obj/conf/cf-parse.tab.c"
    break;

  case 986: /* net_type_base: VPN4  */
#line 203 "nest/config.Y"
        { (yyval.i) = NET_VPN4; }
#line 10741 "obj/conf/cf-parse.tab.c"
    break;

  case 987: /* net_type_base: VPN6  */
#line 204 "nest/config.Y"
        { (yyval.i) = NET_VPN6; }
#line 10747 "obj/conf/cf-parse.tab.c"
    break;

  case 988: /* net_type_base: ROA4  */
#line 205 "nest/config.Y"
        { (yyval.i) = NET_ROA4; }
#line 10753 "obj/conf/cf-parse.tab.c"
    break;

  case 989: /* net_type_base: ROA6  */
#line 206 "nest/config.Y"
        { (yyval.i) = NET_ROA6; }
#line 10759 "obj/conf/cf-parse.tab.c"
    break;

  case 990: /* net_type_base: FLOW4  */
#line 207 "nest/config.Y"
        { (yyval.i) = NET_FLOW4; }
#line 10765 "obj/conf/cf-parse.tab.c"
    break;

  case 991: /* net_type_base: FLOW6  */
#line 208 "nest/config.Y"
        { (yyval.i) = NET_FLOW6; }
#line 10771 "obj/conf/cf-parse.tab.c"
    break;

  case 992: /* net_type_base: ASPA  */
#line 209 "nest/config.Y"
        { (yyval.i) = NET_ASPA; }
#line 10777 "obj/conf/cf-parse.tab.c"
    break;

  case 994: /* net_type: MPLS  */
#line 214 "nest/config.Y"
        { (yyval.i) = NET_MPLS; }
#line 10783 "obj/conf/cf-parse.tab.c"
    break;

  case 997: /* table_start: net_type TABLE symbol  */
#line 224 "nest/config.Y"
                                   {
   this_table = rt_new_table((yyvsp[0].s), (yyvsp[-2].i));
   }
#line 10791 "obj/conf/cf-parse.tab.c"
    break;

  case 999: /* table_sorted: SORTED  */
#line 231 "nest/config.Y"
          { this_table->sorted = 1; }
#line 10797 "obj/conf/cf-parse.tab.c"
    break;

  case 1000: /* table_opt: SORTED bool  */
#line 235 "nest/config.Y"
               { this_table->sorted = (yyvsp[0].i); }
#line 10803 "obj/conf/cf-parse.tab.c"
    break;

  case 1001: /* table_opt: DEBUG debug_mask  */
#line 236 "nest/config.Y"
                    { this_table->debug = (yyvsp[0].i); }
#line 10809 "obj/conf/cf-parse.tab.c"
    break;

  case 1002: /* table_opt: TRIE bool  */
#line 237 "nest/config.Y"
             {
     if (!net_val_match(this_table->addr_type, NB_IP | NB_VPN | NB_ROA | NB_IP6_SADR))
       cf_error("Trie option not supported for %s table", net_label[this_table->addr_type]);
     this_table->trie_used = (yyvsp[0].i);
   }
#line 10819 "obj/conf/cf-parse.tab.c"
    break;

  case 1003: /* table_opt: MIN SETTLE TIME expr_us  */
#line 242 "nest/config.Y"
                           { this_table->min_settle_time = (yyvsp[0].time); }
#line 10825 "obj/conf/cf-parse.tab.c"
    break;

  case 1004: /* table_opt: MAX SETTLE TIME expr_us  */
#line 243 "nest/config.Y"
                           { this_table->max_settle_time = (yyvsp[0].time); }
#line 10831 "obj/conf/cf-parse.tab.c"
    break;

  case 1005: /* table_opt: GC THRESHOLD expr  */
#line 244 "nest/config.Y"
                     { this_table->gc_threshold = (yyvsp[0].i); }
#line 10837 "obj/conf/cf-parse.tab.c"
    break;

  case 1006: /* table_opt: GC PERIOD expr_us  */
#line 245 "nest/config.Y"
                     { this_table->gc_period = (uint) (yyvsp[0].time); if ((yyvsp[0].time) > 3600 S_) cf_error("GC period must be at most 3600 s"); }
#line 10843 "obj/conf/cf-parse.tab.c"
    break;

  case 1011: /* conf: proto  */
#line 261 "nest/config.Y"
            { proto_postconfig(); }
#line 10849 "obj/conf/cf-parse.tab.c"
    break;

  case 1012: /* proto_start: PROTOCOL  */
#line 264 "nest/config.Y"
            { (yyval.i) = SYM_PROTO; }
#line 10855 "obj/conf/cf-parse.tab.c"
    break;

  case 1013: /* proto_start: TEMPLATE  */
#line 265 "nest/config.Y"
            { (yyval.i) = SYM_TEMPLATE; }
#line 10861 "obj/conf/cf-parse.tab.c"
    break;

  case 1014: /* proto_name: %empty  */
#line 269 "nest/config.Y"
               {
     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;
     }
#line 10872 "obj/conf/cf-parse.tab.c"
    break;

  case 1015: /* proto_name: symbol  */
#line 275 "nest/config.Y"
          {
     cf_define_symbol(new_config, (yyvsp[0].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[0].s)->name;
   }
#line 10881 "obj/conf/cf-parse.tab.c"
    break;

  case 1016: /* proto_name: FROM CF_SYM_KNOWN  */
#line 279 "nest/config.Y"
                     {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     struct symbol *s = cf_default_name(new_config, this_proto->protocol->template, &this_proto->protocol->name_counter);
     s->class = this_proto->class;
     s->proto = this_proto;
     this_proto->name = s->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10896 "obj/conf/cf-parse.tab.c"
    break;

  case 1017: /* proto_name: symbol FROM CF_SYM_KNOWN  */
#line 289 "nest/config.Y"
                            {
     if (((yyvsp[0].s)->class != SYM_TEMPLATE) && ((yyvsp[0].s)->class != SYM_PROTO)) cf_error("Template or protocol name expected");

     cf_define_symbol(new_config, (yyvsp[-2].s), this_proto->class, proto, this_proto);
     this_proto->name = (yyvsp[-2].s)->name;

     proto_copy_config(this_proto, (yyvsp[0].s)->proto);
   }
#line 10909 "obj/conf/cf-parse.tab.c"
    break;

  case 1019: /* proto_item: DISABLED bool  */
#line 301 "nest/config.Y"
                 { this_proto->disabled = (yyvsp[0].i); }
#line 10915 "obj/conf/cf-parse.tab.c"
    break;

  case 1020: /* proto_item: DEBUG debug_mask  */
#line 302 "nest/config.Y"
                    { this_proto->debug = (yyvsp[0].i); }
#line 10921 "obj/conf/cf-parse.tab.c"
    break;

  case 1021: /* proto_item: MRTDUMP mrtdump_mask  */
#line 303 "nest/config.Y"
                        { this_proto->mrtdump = (yyvsp[0].i); }
#line 10927 "obj/conf/cf-parse.tab.c"
    break;

  case 1022: /* proto_item: ROUTER ID idval  */
#line 304 "nest/config.Y"
                   { this_proto->router_id = (yyvsp[0].i32); }
#line 10933 "obj/conf/cf-parse.tab.c"
    break;

  case 1023: /* proto_item: DESCRIPTION text  */
#line 305 "nest/config.Y"
                    { this_proto->dsc = (yyvsp[0].t); }
#line 10939 "obj/conf/cf-parse.tab.c"
    break;

  case 1024: /* proto_item: VRF text  */
#line 306 "nest/config.Y"
            { this_proto->vrf = if_get_by_name((yyvsp[0].t)); this_proto->vrf_set = 1; }
#line 10945 "obj/conf/cf-parse.tab.c"
    break;

  case 1025: /* proto_item: VRF DEFAULT  */
#line 307 "nest/config.Y"
               { this_proto->vrf = NULL; this_proto->vrf_set = 1; }
#line 10951 "obj/conf/cf-parse.tab.c"
    break;

  case 1026: /* channel_start: net_type_base  */
#line 312 "nest/config.Y"
{
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
}
#line 10959 "obj/conf/cf-parse.tab.c"
    break;

  case 1027: /* channel_item_: TABLE rtable  */
#line 317 "nest/config.Y"
                {
     if (this_channel->net_type && ((yyvsp[0].r)->addr_type != this_channel->net_type))
       cf_error("Incompatible table type");
     this_channel->table = (yyvsp[0].r);
   }
#line 10969 "obj/conf/cf-parse.tab.c"
    break;

  case 1028: /* channel_item_: IMPORT imexport  */
#line 322 "nest/config.Y"
                   { this_channel->in_filter = (yyvsp[0].f); }
#line 10975 "obj/conf/cf-parse.tab.c"
    break;

  case 1029: /* channel_item_: EXPORT imexport  */
#line 323 "nest/config.Y"
                   { this_channel->out_filter = (yyvsp[0].f); }
#line 10981 "obj/conf/cf-parse.tab.c"
    break;

  case 1030: /* channel_item_: RECEIVE LIMIT limit_spec  */
#line 324 "nest/config.Y"
                            { this_channel->rx_limit = (yyvsp[0].cl); }
#line 10987 "obj/conf/cf-parse.tab.c"
    break;

  case 1031: /* channel_item_: IMPORT LIMIT limit_spec  */
#line 325 "nest/config.Y"
                           { this_channel->in_limit = (yyvsp[0].cl); }
#line 10993 "obj/conf/cf-parse.tab.c"
    break;

  case 1032: /* channel_item_: EXPORT LIMIT limit_spec  */
#line 326 "nest/config.Y"
                           { this_channel->out_limit = (yyvsp[0].cl); }
#line 10999 "obj/conf/cf-parse.tab.c"
    break;

  case 1033: /* channel_item_: PREFERENCE expr  */
#line 327 "nest/config.Y"
                   { this_channel->preference = (yyvsp[0].i); check_u16((yyvsp[0].i)); }
#line 11005 "obj/conf/cf-parse.tab.c"
    break;

  case 1034: /* channel_item_: IMPORT KEEP FILTERED bool  */
#line 328 "nest/config.Y"
                             { this_channel->in_keep_filtered = (yyvsp[0].i); }
#line 11011 "obj/conf/cf-parse.tab.c"
    break;

  case 1035: /* channel_item_: RPKI RELOAD bool  */
#line 329 "nest/config.Y"
                    { this_channel->rpki_reload = (yyvsp[0].i); }
#line 11017 "obj/conf/cf-parse.tab.c"
    break;

  case 1037: /* channel_item: DEBUG debug_mask  */
#line 335 "nest/config.Y"
                    { this_channel->debug = (yyvsp[0].i); }
#line 11023 "obj/conf/cf-parse.tab.c"
    break;

  case 1042: /* channel_end: %empty  */
#line 349 "nest/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 11034 "obj/conf/cf-parse.tab.c"
    break;

  case 1044: /* rtable: CF_SYM_KNOWN  */
#line 359 "nest/config.Y"
                     { cf_assert_symbol((yyvsp[0].s), SYM_TABLE); (yyval.r) = (yyvsp[0].s)->table; }
#line 11040 "obj/conf/cf-parse.tab.c"
    break;

  case 1045: /* imexport: FILTER filter  */
#line 362 "nest/config.Y"
                 { (yyval.f) = (yyvsp[0].f); }
#line 11046 "obj/conf/cf-parse.tab.c"
    break;

  case 1047: /* imexport: ALL  */
#line 364 "nest/config.Y"
       { (yyval.f) = FILTER_ACCEPT; }
#line 11052 "obj/conf/cf-parse.tab.c"
    break;

  case 1048: /* imexport: NONE  */
#line 365 "nest/config.Y"
        { (yyval.f) = FILTER_REJECT; }
#line 11058 "obj/conf/cf-parse.tab.c"
    break;

  case 1049: /* limit_action: %empty  */
#line 369 "nest/config.Y"
                 { (yyval.i) = PLA_DISABLE; }
#line 11064 "obj/conf/cf-parse.tab.c"
    break;

  case 1050: /* limit_action: ACTION WARN  */
#line 370 "nest/config.Y"
               { (yyval.i) = PLA_WARN; }
#line 11070 "obj/conf/cf-parse.tab.c"
    break;

  case 1051: /* limit_action: ACTION BLOCK  */
#line 371 "nest/config.Y"
                { (yyval.i) = PLA_BLOCK; }
#line 11076 "obj/conf/cf-parse.tab.c"
    break;

  case 1052: /* limit_action: ACTION RESTART  */
#line 372 "nest/config.Y"
                  { (yyval.i) = PLA_RESTART; }
#line 11082 "obj/conf/cf-parse.tab.c"
    break;

  case 1053: /* limit_action: ACTION DISABLE  */
#line 373 "nest/config.Y"
                  { (yyval.i) = PLA_DISABLE; }
#line 11088 "obj/conf/cf-parse.tab.c"
    break;

  case 1054: /* limit_spec: expr limit_action  */
#line 377 "nest/config.Y"
                     { (yyval.cl) = (struct channel_limit){ .limit = (yyvsp[-1].i), (yyval.cl).action = (yyvsp[0].i) }; }
#line 11094 "obj/conf/cf-parse.tab.c"
    break;

  case 1055: /* limit_spec: OFF  */
#line 378 "nest/config.Y"
       { (yyval.cl) = (struct channel_limit){}; }
#line 11100 "obj/conf/cf-parse.tab.c"
    break;

  case 1057: /* debug_default: DEBUG PROTOCOLS debug_mask  */
#line 385 "nest/config.Y"
                              { new_config->proto_default_debug = (yyvsp[0].i); }
#line 11106 "obj/conf/cf-parse.tab.c"
    break;

  case 1058: /* debug_default: DEBUG CHANNELS debug_mask  */
#line 386 "nest/config.Y"
                             { new_config->channel_default_debug = (yyvsp[0].i); }
#line 11112 "obj/conf/cf-parse.tab.c"
    break;

  case 1059: /* debug_default: DEBUG TABLES debug_mask  */
#line 387 "nest/config.Y"
                           { new_config->table_default_debug = (yyvsp[0].i); }
#line 11118 "obj/conf/cf-parse.tab.c"
    break;

  case 1060: /* debug_default: DEBUG COMMANDS expr  */
#line 388 "nest/config.Y"
                       { new_config->cli_debug = (yyvsp[0].i); }
#line 11124 "obj/conf/cf-parse.tab.c"
    break;

  case 1062: /* timeformat_base: TIMEFORMAT timeformat_which timeformat_spec ';'  */
#line 396 "nest/config.Y"
                                                   { *(yyvsp[-2].tfp) = (yyvsp[-1].tf); }
#line 11130 "obj/conf/cf-parse.tab.c"
    break;

  case 1063: /* timeformat_which: ROUTE  */
#line 400 "nest/config.Y"
         { (yyval.tfp) = &new_config->tf_route; }
#line 11136 "obj/conf/cf-parse.tab.c"
    break;

  case 1064: /* timeformat_which: PROTOCOL  */
#line 401 "nest/config.Y"
            { (yyval.tfp) = &new_config->tf_proto; }
#line 11142 "obj/conf/cf-parse.tab.c"
    break;

  case 1065: /* timeformat_which: BASE  */
#line 402 "nest/config.Y"
        { (yyval.tfp) = &new_config->tf_base; }
#line 11148 "obj/conf/cf-parse.tab.c"
    break;

  case 1066: /* timeformat_which: LOG  */
#line 403 "nest/config.Y"
       { (yyval.tfp) = &new_config->tf_log; }
#line 11154 "obj/conf/cf-parse.tab.c"
    break;

  case 1067: /* timeformat_spec: TEXT  */
#line 407 "nest/config.Y"
        { (yyval.tf) = (struct timeformat){(yyvsp[0].t), NULL, 0}; }
#line 11160 "obj/conf/cf-parse.tab.c"
    break;

  case 1068: /* timeformat_spec: TEXT expr TEXT  */
#line 408 "nest/config.Y"
                  { (yyval.tf) = (struct timeformat){(yyvsp[-2].t), (yyvsp[0].t), (s64) (yyvsp[-1].i) S_}; }
#line 11166 "obj/conf/cf-parse.tab.c"
    break;

  case 1069: /* timeformat_spec: ISO SHORT  */
#line 409 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_S; }
#line 11172 "obj/conf/cf-parse.tab.c"
    break;

  case 1070: /* timeformat_spec: ISO SHORT MS  */
#line 410 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_MS; }
#line 11178 "obj/conf/cf-parse.tab.c"
    break;

  case 1071: /* timeformat_spec: ISO SHORT US  */
#line 411 "nest/config.Y"
                { (yyval.tf) = TM_ISO_SHORT_US; }
#line 11184 "obj/conf/cf-parse.tab.c"
    break;

  case 1072: /* timeformat_spec: ISO LONG  */
#line 412 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_S; }
#line 11190 "obj/conf/cf-parse.tab.c"
    break;

  case 1073: /* timeformat_spec: ISO LONG MS  */
#line 413 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_MS; }
#line 11196 "obj/conf/cf-parse.tab.c"
    break;

  case 1074: /* timeformat_spec: ISO LONG US  */
#line 414 "nest/config.Y"
                { (yyval.tf) = TM_ISO_LONG_US; }
#line 11202 "obj/conf/cf-parse.tab.c"
    break;

  case 1075: /* iface_patt_node_init: %empty  */
#line 421 "nest/config.Y"
               {
     struct iface_patt_node *ipn = cfg_allocz(sizeof(struct iface_patt_node));
     add_tail(&this_ipatt->ipn_list, NODE ipn);
     this_ipn = ipn;
   }
#line 11212 "obj/conf/cf-parse.tab.c"
    break;

  case 1076: /* iface_patt_node_body: TEXT  */
#line 429 "nest/config.Y"
        { this_ipn->pattern = (yyvsp[0].t); /* this_ipn->prefix stays zero */ }
#line 11218 "obj/conf/cf-parse.tab.c"
    break;

  case 1077: /* iface_patt_node_body: opttext net_or_ipa  */
#line 430 "nest/config.Y"
                      { this_ipn->pattern = (yyvsp[-1].t); this_ipn->prefix = (yyvsp[0].net); }
#line 11224 "obj/conf/cf-parse.tab.c"
    break;

  case 1078: /* iface_negate: %empty  */
#line 434 "nest/config.Y"
       { this_ipn->positive = 1; }
#line 11230 "obj/conf/cf-parse.tab.c"
    break;

  case 1079: /* iface_negate: '-'  */
#line 435 "nest/config.Y"
       { this_ipn->positive = 0; }
#line 11236 "obj/conf/cf-parse.tab.c"
    break;

  case 1083: /* iface_patt_list_nopx: iface_patt_list  */
#line 449 "nest/config.Y"
                                      { iface_patt_check(); }
#line 11242 "obj/conf/cf-parse.tab.c"
    break;

  case 1084: /* iface_patt_init: %empty  */
#line 451 "nest/config.Y"
                 {
   /* Generic this_ipatt init */
   this_ipatt = cfg_allocz(sizeof(struct iface_patt));
   init_list(&this_ipatt->ipn_list);
 }
#line 11252 "obj/conf/cf-parse.tab.c"
    break;

  case 1086: /* tos: CLASS expr  */
#line 463 "nest/config.Y"
              { (yyval.i) = (yyvsp[0].i) & 0xfc;        if ((yyvsp[0].i) > 255) cf_error("TX class must be in range 0-255"); }
#line 11258 "obj/conf/cf-parse.tab.c"
    break;

  case 1087: /* tos: DSCP expr  */
#line 464 "nest/config.Y"
              { (yyval.i) = ((yyvsp[0].i) & 0x3f) << 2; if ((yyvsp[0].i) > 63)  cf_error("TX DSCP must be in range 0-63"); }
#line 11264 "obj/conf/cf-parse.tab.c"
    break;

  case 1089: /* dev_proto_start: proto_start DIRECT  */
#line 471 "nest/config.Y"
                                    {
     this_proto = proto_config_new(&proto_device, (yyvsp[-1].i));
     init_list(&DIRECT_CFG->iface_list);
   }
#line 11273 "obj/conf/cf-parse.tab.c"
    break;

  case 1094: /* dev_proto: dev_proto CHECK LINK bool ';'  */
#line 482 "nest/config.Y"
                                 { DIRECT_CFG->check_link = (yyvsp[-1].i); }
#line 11279 "obj/conf/cf-parse.tab.c"
    break;

  case 1095: /* dev_iface_init: %empty  */
#line 486 "nest/config.Y"
               {
     this_ipatt = cfg_allocz(sizeof(struct iface_patt));
     add_tail(&DIRECT_CFG->iface_list, NODE this_ipatt);
     init_list(&this_ipatt->ipn_list);
   }
#line 11289 "obj/conf/cf-parse.tab.c"
    break;

  case 1097: /* debug_mask: ALL  */
#line 500 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11295 "obj/conf/cf-parse.tab.c"
    break;

  case 1098: /* debug_mask: OFF  */
#line 501 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11301 "obj/conf/cf-parse.tab.c"
    break;

  case 1099: /* debug_mask: '{' debug_list '}'  */
#line 502 "nest/config.Y"
                      { (yyval.i) = (yyvsp[-1].i); }
#line 11307 "obj/conf/cf-parse.tab.c"
    break;

  case 1101: /* debug_list: debug_list ',' debug_flag  */
#line 507 "nest/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11313 "obj/conf/cf-parse.tab.c"
    break;

  case 1102: /* debug_flag: STATES  */
#line 511 "nest/config.Y"
                { (yyval.i) = D_STATES; }
#line 11319 "obj/conf/cf-parse.tab.c"
    break;

  case 1103: /* debug_flag: ROUTES  */
#line 512 "nest/config.Y"
                { (yyval.i) = D_ROUTES; }
#line 11325 "obj/conf/cf-parse.tab.c"
    break;

  case 1104: /* debug_flag: FILTERS  */
#line 513 "nest/config.Y"
                { (yyval.i) = D_FILTERS; }
#line 11331 "obj/conf/cf-parse.tab.c"
    break;

  case 1105: /* debug_flag: INTERFACES  */
#line 514 "nest/config.Y"
                { (yyval.i) = D_IFACES; }
#line 11337 "obj/conf/cf-parse.tab.c"
    break;

  case 1106: /* debug_flag: EVENTS  */
#line 515 "nest/config.Y"
                { (yyval.i) = D_EVENTS; }
#line 11343 "obj/conf/cf-parse.tab.c"
    break;

  case 1107: /* debug_flag: PACKETS  */
#line 516 "nest/config.Y"
                { (yyval.i) = D_PACKETS; }
#line 11349 "obj/conf/cf-parse.tab.c"
    break;

  case 1108: /* mrtdump_mask: ALL  */
#line 522 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 11355 "obj/conf/cf-parse.tab.c"
    break;

  case 1109: /* mrtdump_mask: OFF  */
#line 523 "nest/config.Y"
       { (yyval.i) = 0; }
#line 11361 "obj/conf/cf-parse.tab.c"
    break;

  case 1110: /* mrtdump_mask: '{' mrtdump_list '}'  */
#line 524 "nest/config.Y"
                        { (yyval.i) = (yyvsp[-1].i); }
#line 11367 "obj/conf/cf-parse.tab.c"
    break;

  case 1112: /* mrtdump_list: mrtdump_list ',' mrtdump_flag  */
#line 529 "nest/config.Y"
                                 { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 11373 "obj/conf/cf-parse.tab.c"
    break;

  case 1113: /* mrtdump_flag: STATES  */
#line 533 "nest/config.Y"
                { (yyval.i) = MD_STATES; }
#line 11379 "obj/conf/cf-parse.tab.c"
    break;

  case 1114: /* mrtdump_flag: MESSAGES  */
#line 534 "nest/config.Y"
                { (yyval.i) = MD_MESSAGES; }
#line 11385 "obj/conf/cf-parse.tab.c"
    break;

  case 1124: /* password_item_begin: pass_key bytestring_text  */
#line 561 "nest/config.Y"
{
  init_password_list();
  if ((yyvsp[0].v).type == T_BYTESTRING)
    init_password((yyvsp[0].v).val.bs->data, (yyvsp[0].v).val.bs->length, password_id++);
  else if ((yyvsp[0].v).type == T_STRING)
    init_password((yyvsp[0].v).val.s, strlen((yyvsp[0].v).val.s), password_id++);
  else bug("Bad bytestring_text");
}
#line 11398 "obj/conf/cf-parse.tab.c"
    break;

  case 1125: /* password_item_params: %empty  */
#line 571 "nest/config.Y"
               { }
#line 11404 "obj/conf/cf-parse.tab.c"
    break;

  case 1126: /* password_item_params: GENERATE FROM time ';' password_item_params  */
#line 572 "nest/config.Y"
                                               { this_p_item->genfrom = (yyvsp[-2].time); }
#line 11410 "obj/conf/cf-parse.tab.c"
    break;

  case 1127: /* password_item_params: GENERATE TO time ';' password_item_params  */
#line 573 "nest/config.Y"
                                             { this_p_item->gento = (yyvsp[-2].time); }
#line 11416 "obj/conf/cf-parse.tab.c"
    break;

  case 1128: /* password_item_params: ACCEPT FROM time ';' password_item_params  */
#line 574 "nest/config.Y"
                                             { this_p_item->accfrom = (yyvsp[-2].time); }
#line 11422 "obj/conf/cf-parse.tab.c"
    break;

  case 1129: /* password_item_params: ACCEPT TO time ';' password_item_params  */
#line 575 "nest/config.Y"
                                           { this_p_item->accto = (yyvsp[-2].time); }
#line 11428 "obj/conf/cf-parse.tab.c"
    break;

  case 1130: /* password_item_params: FROM time ';' password_item_params  */
#line 576 "nest/config.Y"
                                      { this_p_item->genfrom = this_p_item->accfrom = (yyvsp[-2].time); }
#line 11434 "obj/conf/cf-parse.tab.c"
    break;

  case 1131: /* password_item_params: TO time ';' password_item_params  */
#line 577 "nest/config.Y"
                                    { this_p_item->gento = this_p_item->accto = (yyvsp[-2].time); }
#line 11440 "obj/conf/cf-parse.tab.c"
    break;

  case 1132: /* password_item_params: ID expr ';' password_item_params  */
#line 578 "nest/config.Y"
                                    { this_p_item->id = (yyvsp[-2].i); if ((yyvsp[-2].i) > 255) cf_error("Password ID must be in range 0-255"); }
#line 11446 "obj/conf/cf-parse.tab.c"
    break;

  case 1133: /* password_item_params: ALGORITHM password_algorithm ';' password_item_params  */
#line 579 "nest/config.Y"
                                                         { this_p_item->alg = (yyvsp[-2].i); }
#line 11452 "obj/conf/cf-parse.tab.c"
    break;

  case 1134: /* password_algorithm: KEYED MD5  */
#line 583 "nest/config.Y"
                { (yyval.i) = ALG_MD5; }
#line 11458 "obj/conf/cf-parse.tab.c"
    break;

  case 1135: /* password_algorithm: KEYED SHA1  */
#line 584 "nest/config.Y"
                { (yyval.i) = ALG_SHA1; }
#line 11464 "obj/conf/cf-parse.tab.c"
    break;

  case 1136: /* password_algorithm: KEYED SHA256  */
#line 585 "nest/config.Y"
                { (yyval.i) = ALG_SHA256; }
#line 11470 "obj/conf/cf-parse.tab.c"
    break;

  case 1137: /* password_algorithm: KEYED SHA384  */
#line 586 "nest/config.Y"
                { (yyval.i) = ALG_SHA384; }
#line 11476 "obj/conf/cf-parse.tab.c"
    break;

  case 1138: /* password_algorithm: KEYED SHA512  */
#line 587 "nest/config.Y"
                { (yyval.i) = ALG_SHA512; }
#line 11482 "obj/conf/cf-parse.tab.c"
    break;

  case 1139: /* password_algorithm: HMAC MD5  */
#line 588 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_MD5; }
#line 11488 "obj/conf/cf-parse.tab.c"
    break;

  case 1140: /* password_algorithm: HMAC SHA1  */
#line 589 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA1; }
#line 11494 "obj/conf/cf-parse.tab.c"
    break;

  case 1141: /* password_algorithm: HMAC SHA256  */
#line 590 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA256; }
#line 11500 "obj/conf/cf-parse.tab.c"
    break;

  case 1142: /* password_algorithm: HMAC SHA384  */
#line 591 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA384; }
#line 11506 "obj/conf/cf-parse.tab.c"
    break;

  case 1143: /* password_algorithm: HMAC SHA512  */
#line 592 "nest/config.Y"
                { (yyval.i) = ALG_HMAC_SHA512; }
#line 11512 "obj/conf/cf-parse.tab.c"
    break;

  case 1144: /* password_algorithm: BLAKE2S128  */
#line 593 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_128; }
#line 11518 "obj/conf/cf-parse.tab.c"
    break;

  case 1145: /* password_algorithm: BLAKE2S256  */
#line 594 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2S_256; }
#line 11524 "obj/conf/cf-parse.tab.c"
    break;

  case 1146: /* password_algorithm: BLAKE2B256  */
#line 595 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_256; }
#line 11530 "obj/conf/cf-parse.tab.c"
    break;

  case 1147: /* password_algorithm: BLAKE2B512  */
#line 596 "nest/config.Y"
                { (yyval.i) = ALG_BLAKE2B_512; }
#line 11536 "obj/conf/cf-parse.tab.c"
    break;

  case 1148: /* password_item_end: %empty  */
#line 600 "nest/config.Y"
{
  password_validate_length(this_p_item);
}
#line 11544 "obj/conf/cf-parse.tab.c"
    break;

  case 1151: /* cmd_SHOW_STATUS: SHOW STATUS END  */
#line 613 "nest/config.Y"
{ cmd_show_status(); }
#line 11550 "obj/conf/cf-parse.tab.c"
    break;

  case 1153: /* cmd_SHOW_MEMORY: SHOW MEMORY END  */
#line 616 "nest/config.Y"
{ cmd_show_memory(); }
#line 11556 "obj/conf/cf-parse.tab.c"
    break;

  case 1155: /* cmd_SHOW_PROTOCOLS: SHOW PROTOCOLS proto_patt2 END  */
#line 619 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 0); }
#line 11562 "obj/conf/cf-parse.tab.c"
    break;

  case 1157: /* cmd_SHOW_PROTOCOLS_ALL: SHOW PROTOCOLS ALL proto_patt2 END  */
#line 622 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_show, 0, 1); }
#line 11568 "obj/conf/cf-parse.tab.c"
    break;

  case 1158: /* optproto: CF_SYM_KNOWN  */
#line 625 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.s) = (yyvsp[0].s); }
#line 11574 "obj/conf/cf-parse.tab.c"
    break;

  case 1159: /* optproto: %empty  */
#line 626 "nest/config.Y"
               { (yyval.s) = NULL; }
#line 11580 "obj/conf/cf-parse.tab.c"
    break;

  case 1161: /* cmd_SHOW_INTERFACES: SHOW INTERFACES END  */
#line 630 "nest/config.Y"
{ if_show(); }
#line 11586 "obj/conf/cf-parse.tab.c"
    break;

  case 1163: /* cmd_SHOW_INTERFACES_SUMMARY: SHOW INTERFACES SUMMARY END  */
#line 633 "nest/config.Y"
{ if_show_summary(); }
#line 11592 "obj/conf/cf-parse.tab.c"
    break;

  case 1165: /* cmd_SHOW_ROUTE: SHOW ROUTE r_args END  */
#line 637 "nest/config.Y"
{ rt_show((yyvsp[-1].ra)); }
#line 11598 "obj/conf/cf-parse.tab.c"
    break;

  case 1166: /* r_args: %empty  */
#line 657 "nest/config.Y"
               {
     (yyval.ra) = cfg_allocz(sizeof(struct rt_show_data));
     init_list(&((yyval.ra)->tables));
     (yyval.ra)->filter = FILTER_ACCEPT;
     (yyval.ra)->running_on_config = config;
   }
#line 11609 "obj/conf/cf-parse.tab.c"
    break;

  case 1167: /* r_args: r_args net_any  */
#line 663 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_EQUAL;
   }
#line 11620 "obj/conf/cf-parse.tab.c"
    break;

  case 1168: /* r_args: r_args FOR r_args_for  */
#line 669 "nest/config.Y"
                         {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_FOR;
   }
#line 11631 "obj/conf/cf-parse.tab.c"
    break;

  case 1169: /* r_args: r_args IN net_any  */
#line 675 "nest/config.Y"
                     {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->addr) cf_error("Only one prefix expected");
     if (!net_type_match((yyvsp[0].net_ptr), NB_IP)) cf_error("Only IP networks accepted for 'in' argument");
     (yyval.ra)->addr = (yyvsp[0].net_ptr);
     (yyval.ra)->addr_mode = RSD_ADDR_IN;
   }
#line 11643 "obj/conf/cf-parse.tab.c"
    break;

  case 1170: /* r_args: r_args TABLE symbol_known  */
#line 682 "nest/config.Y"
                            {
     cf_assert_symbol((yyvsp[0].s), SYM_TABLE);
     (yyval.ra) = (yyvsp[-2].ra);
     rt_show_add_table((yyval.ra), (yyvsp[0].s)->table->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11654 "obj/conf/cf-parse.tab.c"
    break;

  case 1171: /* r_args: r_args TABLE ALL  */
#line 688 "nest/config.Y"
                    {
     struct rtable_config *t;
     (yyval.ra) = (yyvsp[-2].ra);
     WALK_LIST(t, config->tables)
       rt_show_add_table((yyval.ra), t->table);
     (yyval.ra)->tables_defined_by = RSD_TDB_ALL;
   }
#line 11666 "obj/conf/cf-parse.tab.c"
    break;

  case 1172: /* r_args: r_args IMPORT TABLE channel_arg  */
#line 695 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->in_table) cf_error("No import table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->in_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11676 "obj/conf/cf-parse.tab.c"
    break;

  case 1173: /* r_args: r_args EXPORT TABLE channel_arg  */
#line 700 "nest/config.Y"
                                   {
     if (!(yyvsp[0].c)->out_table) cf_error("No export table in channel %s.%s", (yyvsp[0].c)->proto->name, (yyvsp[0].c)->name);
     rt_show_add_table((yyval.ra), (yyvsp[0].c)->out_table);
     (yyval.ra)->tables_defined_by = RSD_TDB_DIRECT;
   }
#line 11686 "obj/conf/cf-parse.tab.c"
    break;

  case 1174: /* r_args: r_args FILTER filter  */
#line 705 "nest/config.Y"
                        {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11696 "obj/conf/cf-parse.tab.c"
    break;

  case 1175: /* r_args: r_args where_filter  */
#line 710 "nest/config.Y"
                       {
     (yyval.ra) = (yyvsp[-1].ra);
     if ((yyval.ra)->filter != FILTER_ACCEPT) cf_error("Filter specified twice");
     (yyval.ra)->filter = (yyvsp[0].f);
   }
#line 11706 "obj/conf/cf-parse.tab.c"
    break;

  case 1176: /* r_args: r_args ALL  */
#line 715 "nest/config.Y"
              {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->verbose = 1;
   }
#line 11715 "obj/conf/cf-parse.tab.c"
    break;

  case 1177: /* r_args: r_args PRIMARY  */
#line 719 "nest/config.Y"
                  {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->primary_only = 1;
   }
#line 11724 "obj/conf/cf-parse.tab.c"
    break;

  case 1178: /* r_args: r_args FILTERED  */
#line 723 "nest/config.Y"
                   {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->filtered = 1;
   }
#line 11733 "obj/conf/cf-parse.tab.c"
    break;

  case 1179: /* r_args: r_args export_mode symbol_known  */
#line 727 "nest/config.Y"
                                   {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11748 "obj/conf/cf-parse.tab.c"
    break;

  case 1180: /* r_args: r_args export_mode channel_arg  */
#line 737 "nest/config.Y"
                                  {
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->export_mode) cf_error("Export specified twice");
     (yyval.ra)->export_mode = (yyvsp[-1].i);
     (yyval.ra)->export_channel = (yyvsp[0].c);
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11760 "obj/conf/cf-parse.tab.c"
    break;

  case 1181: /* r_args: r_args PROTOCOL symbol_known  */
#line 744 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[0].s), SYM_PROTO);
     struct proto_config *c = (struct proto_config *) (yyvsp[0].s)->proto;
     (yyval.ra) = (yyvsp[-2].ra);
     if ((yyval.ra)->show_protocol) cf_error("Protocol specified twice");
     if (!c->proto) cf_error("%s is not a protocol", (yyvsp[0].s)->name);
     (yyval.ra)->show_protocol = c->proto;
     (yyval.ra)->tables_defined_by = RSD_TDB_INDIRECT;
   }
#line 11774 "obj/conf/cf-parse.tab.c"
    break;

  case 1182: /* r_args: r_args STATS  */
#line 753 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 1;
   }
#line 11783 "obj/conf/cf-parse.tab.c"
    break;

  case 1183: /* r_args: r_args COUNT  */
#line 757 "nest/config.Y"
                {
     (yyval.ra) = (yyvsp[-1].ra);
     (yyval.ra)->stats = 2;
   }
#line 11792 "obj/conf/cf-parse.tab.c"
    break;

  case 1184: /* r_args_for: r_args_for_val  */
#line 764 "nest/config.Y"
                 {
    (yyval.net_ptr) = cfg_alloc((yyvsp[0].net).length);
    net_copy((yyval.net_ptr), &(yyvsp[0].net));
  }
#line 11801 "obj/conf/cf-parse.tab.c"
    break;

  case 1188: /* r_args_for: VPN_RD IP4  */
#line 771 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn4));
    net_fill_vpn4((yyval.net_ptr), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11810 "obj/conf/cf-parse.tab.c"
    break;

  case 1189: /* r_args_for: VPN_RD IP6  */
#line 775 "nest/config.Y"
              {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_vpn6));
    net_fill_vpn6((yyval.net_ptr), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[-1].i64));
  }
#line 11819 "obj/conf/cf-parse.tab.c"
    break;

  case 1190: /* r_args_for: IP6 FROM IP6  */
#line 779 "nest/config.Y"
                {
    (yyval.net_ptr) = cfg_alloc(sizeof(net_addr_ip6_sadr));
    net_fill_ip6_sadr((yyval.net_ptr), (yyvsp[-2].ip6), IP6_MAX_PREFIX_LENGTH, (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH);
  }
#line 11828 "obj/conf/cf-parse.tab.c"
    break;

  case 1191: /* r_args_for: CF_SYM_KNOWN  */
#line 783 "nest/config.Y"
                {
     if ((yyvsp[0].s)->class == (SYM_CONSTANT | T_IP))
     {
       (yyval.net_ptr) = cfg_alloc(ipa_is_ip4(SYM_VAL((yyvsp[0].s)).ip) ? sizeof(net_addr_ip4) : sizeof(net_addr_ip6));
       net_fill_ip_host((yyval.net_ptr), SYM_VAL((yyvsp[0].s)).ip);
     }
     else if (((yyvsp[0].s)->class == (SYM_CONSTANT | T_NET)) && net_type_match(SYM_VAL((yyvsp[0].s)).net, NB_IP | NB_VPN))
       (yyval.net_ptr) = (net_addr *) SYM_VAL((yyvsp[0].s)).net; /* Avoid const warning */
     else
       cf_error("IP address or network constant expected");
   }
#line 11844 "obj/conf/cf-parse.tab.c"
    break;

  case 1194: /* r_args_for_val: IP4  */
#line 799 "nest/config.Y"
       { net_fill_ip4(&((yyval.net)), (yyvsp[0].ip4), IP4_MAX_PREFIX_LENGTH); }
#line 11850 "obj/conf/cf-parse.tab.c"
    break;

  case 1195: /* r_args_for_val: IP6  */
#line 800 "nest/config.Y"
       { net_fill_ip6(&((yyval.net)), (yyvsp[0].ip6), IP6_MAX_PREFIX_LENGTH); }
#line 11856 "obj/conf/cf-parse.tab.c"
    break;

  case 1196: /* export_mode: PREEXPORT  */
#line 803 "nest/config.Y"
                { (yyval.i) = RSEM_PREEXPORT; }
#line 11862 "obj/conf/cf-parse.tab.c"
    break;

  case 1197: /* export_mode: EXPORT  */
#line 804 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORT; }
#line 11868 "obj/conf/cf-parse.tab.c"
    break;

  case 1198: /* export_mode: NOEXPORT  */
#line 805 "nest/config.Y"
                { (yyval.i) = RSEM_NOEXPORT; }
#line 11874 "obj/conf/cf-parse.tab.c"
    break;

  case 1199: /* export_mode: EXPORTED  */
#line 806 "nest/config.Y"
                { (yyval.i) = RSEM_EXPORTED; }
#line 11880 "obj/conf/cf-parse.tab.c"
    break;

  case 1200: /* channel_sym: IPV4  */
#line 811 "nest/config.Y"
                { (yyval.t) = "ipv4"; }
#line 11886 "obj/conf/cf-parse.tab.c"
    break;

  case 1201: /* channel_sym: IPV4_MC  */
#line 812 "nest/config.Y"
                { (yyval.t) = "ipv4-mc"; }
#line 11892 "obj/conf/cf-parse.tab.c"
    break;

  case 1202: /* channel_sym: IPV4_MPLS  */
#line 813 "nest/config.Y"
                { (yyval.t) = "ipv4-mpls"; }
#line 11898 "obj/conf/cf-parse.tab.c"
    break;

  case 1203: /* channel_sym: IPV6  */
#line 814 "nest/config.Y"
                { (yyval.t) = "ipv6"; }
#line 11904 "obj/conf/cf-parse.tab.c"
    break;

  case 1204: /* channel_sym: IPV6_MC  */
#line 815 "nest/config.Y"
                { (yyval.t) = "ipv6-mc"; }
#line 11910 "obj/conf/cf-parse.tab.c"
    break;

  case 1205: /* channel_sym: IPV6_MPLS  */
#line 816 "nest/config.Y"
                { (yyval.t) = "ipv6-mpls"; }
#line 11916 "obj/conf/cf-parse.tab.c"
    break;

  case 1206: /* channel_sym: IPV6_SADR  */
#line 817 "nest/config.Y"
                { (yyval.t) = "ipv6-sadr"; }
#line 11922 "obj/conf/cf-parse.tab.c"
    break;

  case 1207: /* channel_sym: VPN4  */
#line 818 "nest/config.Y"
                { (yyval.t) = "vpn4"; }
#line 11928 "obj/conf/cf-parse.tab.c"
    break;

  case 1208: /* channel_sym: VPN4_MC  */
#line 819 "nest/config.Y"
                { (yyval.t) = "vpn4-mc"; }
#line 11934 "obj/conf/cf-parse.tab.c"
    break;

  case 1209: /* channel_sym: VPN4_MPLS  */
#line 820 "nest/config.Y"
                { (yyval.t) = "vpn4-mpls"; }
#line 11940 "obj/conf/cf-parse.tab.c"
    break;

  case 1210: /* channel_sym: VPN6  */
#line 821 "nest/config.Y"
                { (yyval.t) = "vpn6"; }
#line 11946 "obj/conf/cf-parse.tab.c"
    break;

  case 1211: /* channel_sym: VPN6_MC  */
#line 822 "nest/config.Y"
                { (yyval.t) = "vpn6-mc"; }
#line 11952 "obj/conf/cf-parse.tab.c"
    break;

  case 1212: /* channel_sym: VPN6_MPLS  */
#line 823 "nest/config.Y"
                { (yyval.t) = "vpn6-mpls"; }
#line 11958 "obj/conf/cf-parse.tab.c"
    break;

  case 1213: /* channel_sym: ROA4  */
#line 824 "nest/config.Y"
                { (yyval.t) = "roa4"; }
#line 11964 "obj/conf/cf-parse.tab.c"
    break;

  case 1214: /* channel_sym: ROA6  */
#line 825 "nest/config.Y"
                { (yyval.t) = "roa6"; }
#line 11970 "obj/conf/cf-parse.tab.c"
    break;

  case 1215: /* channel_sym: FLOW4  */
#line 826 "nest/config.Y"
                { (yyval.t) = "flow4"; }
#line 11976 "obj/conf/cf-parse.tab.c"
    break;

  case 1216: /* channel_sym: FLOW6  */
#line 827 "nest/config.Y"
                { (yyval.t) = "flow6"; }
#line 11982 "obj/conf/cf-parse.tab.c"
    break;

  case 1217: /* channel_sym: MPLS  */
#line 828 "nest/config.Y"
                { (yyval.t) = "mpls"; }
#line 11988 "obj/conf/cf-parse.tab.c"
    break;

  case 1218: /* channel_sym: ASPA  */
#line 829 "nest/config.Y"
                { (yyval.t) = "aspa"; }
#line 11994 "obj/conf/cf-parse.tab.c"
    break;

  case 1219: /* channel_sym: PRI  */
#line 830 "nest/config.Y"
                { (yyval.t) = "pri"; }
#line 12000 "obj/conf/cf-parse.tab.c"
    break;

  case 1220: /* channel_sym: SEC  */
#line 831 "nest/config.Y"
                { (yyval.t) = "sec"; }
#line 12006 "obj/conf/cf-parse.tab.c"
    break;

  case 1221: /* channel_arg: CF_SYM_KNOWN '.' channel_sym  */
#line 835 "nest/config.Y"
                                {
     cf_assert_symbol((yyvsp[-2].s), SYM_PROTO);
     struct proto *p =  (yyvsp[-2].s)->proto->proto;
     if (!p) cf_error("%s is not a protocol", (yyvsp[-2].s)->name);
     (yyval.c) = proto_find_channel_by_name(p, (yyvsp[0].t));
     if (!(yyval.c)) cf_error("Channel %s.%s not found", (yyvsp[-2].s)->name, (yyvsp[0].t));
   }
#line 12018 "obj/conf/cf-parse.tab.c"
    break;

  case 1223: /* cmd_SHOW_SYMBOLS: SHOW SYMBOLS sym_args END  */
#line 846 "nest/config.Y"
{ cmd_show_symbols((yyvsp[-1].sd)); }
#line 12024 "obj/conf/cf-parse.tab.c"
    break;

  case 1224: /* sym_args: %empty  */
#line 855 "nest/config.Y"
               {
     (yyval.sd) = cfg_allocz(sizeof(struct sym_show_data));
   }
#line 12032 "obj/conf/cf-parse.tab.c"
    break;

  case 1225: /* sym_args: sym_args TABLE  */
#line 858 "nest/config.Y"
                  { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TABLE; }
#line 12038 "obj/conf/cf-parse.tab.c"
    break;

  case 1226: /* sym_args: sym_args FILTER  */
#line 859 "nest/config.Y"
                   { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FILTER; }
#line 12044 "obj/conf/cf-parse.tab.c"
    break;

  case 1227: /* sym_args: sym_args FUNCTION  */
#line 860 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_FUNCTION; }
#line 12050 "obj/conf/cf-parse.tab.c"
    break;

  case 1228: /* sym_args: sym_args PROTOCOL  */
#line 861 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_PROTO; }
#line 12056 "obj/conf/cf-parse.tab.c"
    break;

  case 1229: /* sym_args: sym_args TEMPLATE  */
#line 862 "nest/config.Y"
                     { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->type = SYM_TEMPLATE; }
#line 12062 "obj/conf/cf-parse.tab.c"
    break;

  case 1230: /* sym_args: sym_args CF_SYM_KNOWN  */
#line 863 "nest/config.Y"
                         { (yyval.sd) = (yyvsp[-1].sd); (yyval.sd)->sym = (yyvsp[0].s); }
#line 12068 "obj/conf/cf-parse.tab.c"
    break;

  case 1232: /* cmd_DUMP_RESOURCES: DUMP RESOURCES text END  */
#line 868 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "resources", resource_dump); }
#line 12074 "obj/conf/cf-parse.tab.c"
    break;

  case 1234: /* cmd_DUMP_SOCKETS: DUMP SOCKETS text END  */
#line 870 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "sockets", sk_dump_all); }
#line 12080 "obj/conf/cf-parse.tab.c"
    break;

  case 1236: /* cmd_DUMP_EVENTS: DUMP EVENTS text END  */
#line 872 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "event log", io_log_dump); }
#line 12086 "obj/conf/cf-parse.tab.c"
    break;

  case 1238: /* cmd_DUMP_INTERFACES: DUMP INTERFACES text END  */
#line 874 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "interfaces", if_dump_all); }
#line 12092 "obj/conf/cf-parse.tab.c"
    break;

  case 1240: /* cmd_DUMP_NEIGHBORS: DUMP NEIGHBORS text END  */
#line 876 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "neighbor cache", neigh_dump_all); }
#line 12098 "obj/conf/cf-parse.tab.c"
    break;

  case 1242: /* cmd_DUMP_ATTRIBUTES: DUMP ATTRIBUTES text END  */
#line 878 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "attribute cache", rta_dump_all); }
#line 12104 "obj/conf/cf-parse.tab.c"
    break;

  case 1244: /* cmd_DUMP_ROUTES: DUMP ROUTES text END  */
#line 880 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "routing tables", rt_dump_all); }
#line 12110 "obj/conf/cf-parse.tab.c"
    break;

  case 1246: /* cmd_DUMP_PROTOCOLS: DUMP PROTOCOLS text END  */
#line 882 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "protocols", protos_dump_all); }
#line 12116 "obj/conf/cf-parse.tab.c"
    break;

  case 1248: /* cmd_DUMP_FILTER_ALL: DUMP FILTER ALL text END  */
#line 884 "nest/config.Y"
{ cmd_dump_file(this_cli, (yyvsp[-1].t), "filter bytecode", filters_dump_all); }
#line 12122 "obj/conf/cf-parse.tab.c"
    break;

  case 1250: /* cmd_EVAL: EVAL term END  */
#line 887 "nest/config.Y"
{ cmd_eval(f_linearize((yyvsp[-1].x), 1)); }
#line 12128 "obj/conf/cf-parse.tab.c"
    break;

  case 1252: /* cmd_ECHO: ECHO echo_mask echo_size END  */
#line 890 "nest/config.Y"
                                       {
  cli_set_log_echo(this_cli, (yyvsp[-2].i), (yyvsp[-1].i));
  cli_msg(0, "");
}
#line 12137 "obj/conf/cf-parse.tab.c"
    break;

  case 1253: /* echo_mask: ALL  */
#line 896 "nest/config.Y"
       { (yyval.i) = ~0; }
#line 12143 "obj/conf/cf-parse.tab.c"
    break;

  case 1254: /* echo_mask: OFF  */
#line 897 "nest/config.Y"
       { (yyval.i) = 0; }
#line 12149 "obj/conf/cf-parse.tab.c"
    break;

  case 1255: /* echo_mask: '{' log_mask_list '}'  */
#line 898 "nest/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 12155 "obj/conf/cf-parse.tab.c"
    break;

  case 1256: /* echo_size: %empty  */
#line 902 "nest/config.Y"
               { (yyval.i) = 4096; }
#line 12161 "obj/conf/cf-parse.tab.c"
    break;

  case 1257: /* echo_size: NUM  */
#line 903 "nest/config.Y"
       {
     if ((yyvsp[0].i) < 256 || (yyvsp[0].i) > 65536) cf_error("Invalid log buffer size");
     (yyval.i) = (yyvsp[0].i);
   }
#line 12170 "obj/conf/cf-parse.tab.c"
    break;

  case 1259: /* cmd_DISABLE: DISABLE proto_patt opttext END  */
#line 910 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_disable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 12176 "obj/conf/cf-parse.tab.c"
    break;

  case 1261: /* cmd_ENABLE: ENABLE proto_patt opttext END  */
#line 912 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_enable, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 12182 "obj/conf/cf-parse.tab.c"
    break;

  case 1263: /* cmd_RESTART: RESTART proto_patt opttext END  */
#line 914 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_restart, 1, (uintptr_t) (yyvsp[-1].t)); }
#line 12188 "obj/conf/cf-parse.tab.c"
    break;

  case 1265: /* cmd_RELOAD: RELOAD proto_patt END  */
#line 916 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD); }
#line 12194 "obj/conf/cf-parse.tab.c"
    break;

  case 1267: /* cmd_RELOAD_IN: RELOAD IN proto_patt END  */
#line 918 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_IN); }
#line 12200 "obj/conf/cf-parse.tab.c"
    break;

  case 1269: /* cmd_RELOAD_OUT: RELOAD OUT proto_patt END  */
#line 920 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-1].ps), proto_cmd_reload, 1, CMD_RELOAD_OUT); }
#line 12206 "obj/conf/cf-parse.tab.c"
    break;

  case 1271: /* cmd_DEBUG: DEBUG debug_args END  */
#line 924 "nest/config.Y"
{ /* Done in debug_args */  }
#line 12212 "obj/conf/cf-parse.tab.c"
    break;

  case 1272: /* debug_args: proto_patt debug_mask  */
#line 936 "nest/config.Y"
                         { proto_apply_cmd((yyvsp[-1].ps), proto_cmd_debug, 1, (yyvsp[0].i));  }
#line 12218 "obj/conf/cf-parse.tab.c"
    break;

  case 1273: /* debug_args: channel_arg debug_mask  */
#line 937 "nest/config.Y"
                          { channel_cmd_debug((yyvsp[-1].c), (yyvsp[0].i)); }
#line 12224 "obj/conf/cf-parse.tab.c"
    break;

  case 1275: /* cmd_MRTDUMP: MRTDUMP proto_patt mrtdump_mask END  */
#line 942 "nest/config.Y"
{ proto_apply_cmd((yyvsp[-2].ps), proto_cmd_mrtdump, 1, (yyvsp[-1].i)); }
#line 12230 "obj/conf/cf-parse.tab.c"
    break;

  case 1277: /* cmd_RESTRICT: RESTRICT END  */
#line 945 "nest/config.Y"
{ this_cli->restricted = 1; cli_msg(16, "Access restricted"); }
#line 12236 "obj/conf/cf-parse.tab.c"
    break;

  case 1279: /* cmd_TIMEFORMAT: TIMEFORMAT timeformat_spec END  */
#line 949 "nest/config.Y"
{ cli_set_timeformat(this_cli, (yyvsp[-1].tf)); }
#line 12242 "obj/conf/cf-parse.tab.c"
    break;

  case 1280: /* proto_patt: CF_SYM_KNOWN  */
#line 958 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12248 "obj/conf/cf-parse.tab.c"
    break;

  case 1281: /* proto_patt: ALL  */
#line 959 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12254 "obj/conf/cf-parse.tab.c"
    break;

  case 1282: /* proto_patt: TEXT  */
#line 960 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12260 "obj/conf/cf-parse.tab.c"
    break;

  case 1283: /* proto_patt2: CF_SYM_KNOWN  */
#line 964 "nest/config.Y"
                { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ps).ptr = (yyvsp[0].s); (yyval.ps).patt = 0; }
#line 12266 "obj/conf/cf-parse.tab.c"
    break;

  case 1284: /* proto_patt2: %empty  */
#line 965 "nest/config.Y"
        { (yyval.ps).ptr = NULL; (yyval.ps).patt = 1; }
#line 12272 "obj/conf/cf-parse.tab.c"
    break;

  case 1285: /* proto_patt2: TEXT  */
#line 966 "nest/config.Y"
        { (yyval.ps).ptr = (yyvsp[0].t); (yyval.ps).patt = 1; }
#line 12278 "obj/conf/cf-parse.tab.c"
    break;

  case 1286: /* dynamic_attr: IGP_METRIC  */
#line 969 "nest/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_GEN_IGP_METRIC); }
#line 12284 "obj/conf/cf-parse.tab.c"
    break;

  case 1287: /* dynamic_attr: ASPA_PROVIDERS  */
#line 971 "nest/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_ASPA_PROVIDERS); }
#line 12290 "obj/conf/cf-parse.tab.c"
    break;

  case 1288: /* dynamic_attr: MPLS_LABEL  */
#line 973 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_LABEL); }
#line 12296 "obj/conf/cf-parse.tab.c"
    break;

  case 1289: /* dynamic_attr: MPLS_POLICY  */
#line 974 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_MPLS_POLICY, EA_MPLS_POLICY); }
#line 12302 "obj/conf/cf-parse.tab.c"
    break;

  case 1290: /* dynamic_attr: MPLS_CLASS  */
#line 975 "nest/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_MPLS_CLASS); }
#line 12308 "obj/conf/cf-parse.tab.c"
    break;

  case 1293: /* mpls_domain_start: MPLS DOMAIN symbol  */
#line 35 "nest/mpls.Y"
                                      { this_mpls_domain = mpls_domain_config_new((yyvsp[0].s)); }
#line 12314 "obj/conf/cf-parse.tab.c"
    break;

  case 1299: /* mpls_domain_end: %empty  */
#line 51 "nest/mpls.Y"
                 { mpls_domain_postconfig(this_mpls_domain); this_mpls_domain = NULL; }
#line 12320 "obj/conf/cf-parse.tab.c"
    break;

  case 1301: /* mpls_range_start: LABEL RANGE symbol  */
#line 57 "nest/mpls.Y"
{
  if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == STATIC))
    this_mpls_range = this_mpls_domain->static_range;
  else if (((yyvsp[0].s)->class == SYM_KEYWORD) && ((yyvsp[0].s)->keyword->value == DYNAMIC))
    this_mpls_range = this_mpls_domain->dynamic_range;
  else
    this_mpls_range = mpls_range_config_new(this_mpls_domain, (yyvsp[0].s));
}
#line 12333 "obj/conf/cf-parse.tab.c"
    break;

  case 1302: /* mpls_range_opt: START expr  */
#line 67 "nest/mpls.Y"
              { this_mpls_range->start = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range start must be less than 2^20"); }
#line 12339 "obj/conf/cf-parse.tab.c"
    break;

  case 1303: /* mpls_range_opt: LENGTH expr  */
#line 68 "nest/mpls.Y"
               { this_mpls_range->length = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label range length must be less than 2^20"); if (!(yyvsp[0].i)) cf_error("MPLS label range length must be nonzero"); }
#line 12345 "obj/conf/cf-parse.tab.c"
    break;

  case 1308: /* mpls_range_end: %empty  */
#line 82 "nest/mpls.Y"
{
  struct mpls_range_config *r = this_mpls_range;

  if ((r->start == (uint) -1) || (r->length == (uint) -1))
    cf_error("MPLS label range start and length must be specified");

  if (r->start + r->length > MPLS_MAX_LABEL)
    cf_error("MPLS label range end must be less than 2^20");

  this_mpls_range = NULL;
}
#line 12361 "obj/conf/cf-parse.tab.c"
    break;

  case 1310: /* mpls_channel_start: MPLS  */
#line 98 "nest/mpls.Y"
{
  (yyval.cc) = this_channel = channel_config_get(&channel_mpls, net_label[NET_MPLS], NET_MPLS, this_proto);

  if (EMPTY_LIST(new_config->mpls_domains))
  {
    int counter = 0;
    mpls_domain_config_new(cf_default_name(new_config, "mpls%d", &counter));
    cf_warn("No MPLS domain defined");
  }

  /* Default values for new channel */
  if (!MPLS_CC->domain)
  {
    MPLS_CC->domain = cf_default_mpls_domain(new_config);
    MPLS_CC->label_policy = MPLS_POLICY_PREFIX;
  }
}
#line 12383 "obj/conf/cf-parse.tab.c"
    break;

  case 1311: /* mpls_label_policy: STATIC  */
#line 117 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_STATIC; }
#line 12389 "obj/conf/cf-parse.tab.c"
    break;

  case 1312: /* mpls_label_policy: PREFIX  */
#line 118 "nest/mpls.Y"
          { (yyval.i) = MPLS_POLICY_PREFIX; }
#line 12395 "obj/conf/cf-parse.tab.c"
    break;

  case 1313: /* mpls_label_policy: AGGREGATE  */
#line 119 "nest/mpls.Y"
             { (yyval.i) = MPLS_POLICY_AGGREGATE; }
#line 12401 "obj/conf/cf-parse.tab.c"
    break;

  case 1314: /* mpls_label_policy: VRF  */
#line 120 "nest/mpls.Y"
       { (yyval.i) = MPLS_POLICY_VRF; }
#line 12407 "obj/conf/cf-parse.tab.c"
    break;

  case 1316: /* mpls_channel_opt: DOMAIN symbol_known  */
#line 125 "nest/mpls.Y"
                       { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_DOMAIN); MPLS_CC->domain = (yyvsp[0].s)->mpls_domain; }
#line 12413 "obj/conf/cf-parse.tab.c"
    break;

  case 1317: /* mpls_channel_opt: LABEL RANGE symbol_known  */
#line 126 "nest/mpls.Y"
                            { cf_assert_symbol((yyvsp[0].s), SYM_MPLS_RANGE); MPLS_CC->range = (yyvsp[0].s)->mpls_range; }
#line 12419 "obj/conf/cf-parse.tab.c"
    break;

  case 1318: /* mpls_channel_opt: LABEL RANGE STATIC  */
#line 127 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->static_range; }
#line 12425 "obj/conf/cf-parse.tab.c"
    break;

  case 1319: /* mpls_channel_opt: LABEL RANGE DYNAMIC  */
#line 128 "nest/mpls.Y"
                       { MPLS_CC->range = MPLS_CC->domain->dynamic_range; }
#line 12431 "obj/conf/cf-parse.tab.c"
    break;

  case 1320: /* mpls_channel_opt: LABEL POLICY mpls_label_policy  */
#line 129 "nest/mpls.Y"
                                  { MPLS_CC->label_policy = (yyvsp[0].i); }
#line 12437 "obj/conf/cf-parse.tab.c"
    break;

  case 1325: /* $@12: %empty  */
#line 142 "nest/mpls.Y"
                  { mpls_channel_postconfig(this_channel); }
#line 12443 "obj/conf/cf-parse.tab.c"
    break;

  case 1327: /* show_mpls_ranges_args: %empty  */
#line 147 "nest/mpls.Y"
   {
     if (EMPTY_LIST(config->mpls_domains))
       cf_error("No MPLS domain defined");

     (yyval.msrc) = cfg_allocz(sizeof(struct mpls_show_ranges_cmd));
   }
#line 12454 "obj/conf/cf-parse.tab.c"
    break;

  case 1328: /* show_mpls_ranges_args: show_mpls_ranges_args symbol_known  */
#line 154 "nest/mpls.Y"
   {
     if ((yyvsp[0].s)->class == SYM_MPLS_DOMAIN)
     {
       if ((yyval.msrc)->domain)
	cf_error("Only one MPLS domain expected");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_domain;
     }
     else if ((yyvsp[0].s)->class == SYM_MPLS_RANGE)
     {
       if ((yyval.msrc)->range)
	cf_error("Only one MPLS label range expected");

       if ((yyval.msrc)->domain != (yyvsp[0].s)->mpls_range->domain)
	cf_error("MPLS label range from different MPLS domain");

       (yyval.msrc)->domain = (yyvsp[0].s)->mpls_range->domain;
       (yyval.msrc)->range = (yyvsp[0].s)->mpls_range;
     }
     else
       cf_error("MPLS domain or label range expected");
   }
#line 12481 "obj/conf/cf-parse.tab.c"
    break;

  case 1329: /* show_mpls_ranges_args: show_mpls_ranges_args STATIC  */
#line 177 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->static_range;
   }
#line 12493 "obj/conf/cf-parse.tab.c"
    break;

  case 1330: /* show_mpls_ranges_args: show_mpls_ranges_args DYNAMIC  */
#line 185 "nest/mpls.Y"
   {
     if ((yyval.msrc)->range)
       cf_error("Only one MPLS label range expected");

     (yyval.msrc)->domain = (yyval.msrc)->domain ?: cf_default_mpls_domain(config);
     (yyval.msrc)->range = (yyval.msrc)->domain->dynamic_range;
   }
#line 12505 "obj/conf/cf-parse.tab.c"
    break;

  case 1332: /* cmd_SHOW_MPLS_RANGES: SHOW MPLS RANGES show_mpls_ranges_args END  */
#line 195 "nest/mpls.Y"
{ mpls_show_ranges((yyvsp[-1].msrc)); }
#line 12511 "obj/conf/cf-parse.tab.c"
    break;

  case 1334: /* aggregator_proto_start: proto_start AGGREGATOR  */
#line 32 "proto/aggregator/config.Y"
{
  this_proto = proto_config_new(&proto_aggregator, (yyvsp[-1].i));
  this_channel = AGGREGATOR_CFG->src = channel_config_new(NULL, "source", 0, this_proto);
  AGGREGATOR_CFG->dst = channel_config_new(NULL, "destination", 0, this_proto);

  AGGREGATOR_CFG->src->ra_mode = AGGREGATOR_CFG->dst->ra_mode = RA_ANY;
}
#line 12523 "obj/conf/cf-parse.tab.c"
    break;

  case 1337: /* aggregator_proto_item: PEER TABLE rtable  */
#line 43 "proto/aggregator/config.Y"
                     { AGGREGATOR_CFG->dst->table = (yyvsp[0].r); }
#line 12529 "obj/conf/cf-parse.tab.c"
    break;

  case 1338: /* aggregator_proto_item: AGGREGATE ON aggr_list  */
#line 44 "proto/aggregator/config.Y"
                          {
    if (AGGREGATOR_CFG->aggr_on)
      cf_error("Only one aggregate on clause allowed");

    bool net_present = 0;
    int count = 0;

    for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
//      log(L_WARN "type %d sacode %d", item->i.type, item->i.sa.sa_code);
      if (item->i.type == AGGR_ITEM_STATIC_ATTR && item->i.sa.sa_code == SA_NET)
	net_present = 1;

      count++;
    }

   if (!net_present)
     cf_error("'NET' must be present");

   AGGREGATOR_CFG->aggr_on = cfg_alloc(sizeof(struct aggr_item) * count);

   int pos = 0;
   for (const struct aggr_item_node *item = (yyvsp[0].ai); item; item = item->next) {
     if (item->i.type == AGGR_ITEM_DYNAMIC_ATTR)
       AGGREGATOR_CFG->aggr_on_da_count++;

     AGGREGATOR_CFG->aggr_on[pos++] = item->i;
   }

   AGGREGATOR_CFG->aggr_on_count = pos;
 }
#line 12564 "obj/conf/cf-parse.tab.c"
    break;

  case 1339: /* $@13: %empty  */
#line 74 "proto/aggregator/config.Y"
            {
   cf_push_block_scope(new_config);
   cf_create_symbol(new_config, "routes", SYM_VARIABLE | T_ROUTES_BLOCK, offset, f_new_var(sym_->scope));
 }
#line 12573 "obj/conf/cf-parse.tab.c"
    break;

  case 1340: /* aggregator_proto_item: MERGE BY $@13 function_body  */
#line 77 "proto/aggregator/config.Y"
                 {
   cf_pop_block_scope(new_config);
   (yyvsp[0].fl)->args++;
   AGGREGATOR_CFG->merge_by = (yyvsp[0].fl);
 }
#line 12583 "obj/conf/cf-parse.tab.c"
    break;

  case 1345: /* aggr_list: aggr_list ',' aggr_item  */
#line 90 "proto/aggregator/config.Y"
                           {
       if ((yyvsp[0].ai) == NULL) {
         (yyval.ai) = (yyvsp[-2].ai);
       } else {
         (yyval.ai) = (yyvsp[0].ai);
         (yyval.ai)->next = (yyvsp[-2].ai);
       }
   }
#line 12596 "obj/conf/cf-parse.tab.c"
    break;

  case 1346: /* aggr_item: '(' term ')'  */
#line 101 "proto/aggregator/config.Y"
                {
       (yyval.ai) = AGGR_ITEM_ALLOC;
       (yyval.ai)->i.type = AGGR_ITEM_TERM;
       (yyval.ai)->i.line = f_linearize((yyvsp[-1].x), 1);
    }
#line 12606 "obj/conf/cf-parse.tab.c"
    break;

  case 1347: /* aggr_item: CF_SYM_KNOWN  */
#line 106 "proto/aggregator/config.Y"
                 {
      switch ((yyvsp[0].s)->class) {
        case SYM_ATTRIBUTE:
          (yyval.ai) = AGGR_ITEM_ALLOC;
          (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
          (yyval.ai)->i.da = *(yyvsp[0].s)->attribute;
          break;
        case SYM_CONSTANT_RANGE:
          (yyval.ai) = NULL;
          break;
        default:
          cf_error("Can't aggregate on symbol type %s.", cf_symbol_class_name((yyvsp[0].s)));
      }
    }
#line 12625 "obj/conf/cf-parse.tab.c"
    break;

  case 1348: /* aggr_item: dynamic_attr  */
#line 120 "proto/aggregator/config.Y"
                 {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_DYNAMIC_ATTR;
      (yyval.ai)->i.da = (yyvsp[0].fda);
    }
#line 12635 "obj/conf/cf-parse.tab.c"
    break;

  case 1349: /* aggr_item: static_attr  */
#line 125 "proto/aggregator/config.Y"
                {
      (yyval.ai) = AGGR_ITEM_ALLOC;
      (yyval.ai)->i.type = AGGR_ITEM_STATIC_ATTR;
      (yyval.ai)->i.sa = (yyvsp[0].fsa);
    }
#line 12645 "obj/conf/cf-parse.tab.c"
    break;

  case 1351: /* bfd_proto_start: proto_start BFD  */
#line 39 "proto/bfd/config.Y"
{
  this_proto = proto_config_new(&proto_bfd, (yyvsp[-1].i));
  init_list(&BFD_CFG->patt_list);
  init_list(&BFD_CFG->neigh_list);
  BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
  BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
}
#line 12657 "obj/conf/cf-parse.tab.c"
    break;

  case 1357: /* bfd_proto_item: STRICT BIND bool  */
#line 53 "proto/bfd/config.Y"
                    { BFD_CFG->strict_bind = (yyvsp[0].i); }
#line 12663 "obj/conf/cf-parse.tab.c"
    break;

  case 1358: /* bfd_proto_item: ZERO UDP6 CHECKSUM RX bool  */
#line 54 "proto/bfd/config.Y"
                              { BFD_CFG->zero_udp6_checksum_rx = (yyvsp[0].i); }
#line 12669 "obj/conf/cf-parse.tab.c"
    break;

  case 1362: /* bfd_accept_item: IPV4  */
#line 67 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 1;  BFD_CFG->accept_ipv6 = 0; }
#line 12675 "obj/conf/cf-parse.tab.c"
    break;

  case 1363: /* bfd_accept_item: IPV6  */
#line 68 "proto/bfd/config.Y"
                        { BFD_CFG->accept_ipv4 = 0;  BFD_CFG->accept_ipv6 = 1; }
#line 12681 "obj/conf/cf-parse.tab.c"
    break;

  case 1364: /* bfd_accept_item: DIRECT  */
#line 69 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 1;  BFD_CFG->accept_multihop = 0; }
#line 12687 "obj/conf/cf-parse.tab.c"
    break;

  case 1365: /* bfd_accept_item: MULTIHOP  */
#line 70 "proto/bfd/config.Y"
                        { BFD_CFG->accept_direct = 0;  BFD_CFG->accept_multihop = 1; }
#line 12693 "obj/conf/cf-parse.tab.c"
    break;

  case 1366: /* bfd_accept: %empty  */
#line 74 "proto/bfd/config.Y"
   {
     BFD_CFG->accept_ipv4 = BFD_CFG->accept_ipv6 = 1;
     BFD_CFG->accept_direct = BFD_CFG->accept_multihop = 1;
   }
#line 12702 "obj/conf/cf-parse.tab.c"
    break;

  case 1368: /* bfd_iface_start: %empty  */
#line 82 "proto/bfd/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct bfd_iface_config));
  add_tail(&BFD_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);

  BFD_IFACE->min_rx_int = BFD_DEFAULT_MIN_RX_INT;
  BFD_IFACE->min_tx_int = BFD_DEFAULT_MIN_TX_INT;
  BFD_IFACE->idle_tx_int = BFD_DEFAULT_IDLE_TX_INT;
  BFD_IFACE->multiplier = BFD_DEFAULT_MULTIPLIER;

  reset_passwords();
}
#line 12719 "obj/conf/cf-parse.tab.c"
    break;

  case 1369: /* bfd_iface_finish: %empty  */
#line 96 "proto/bfd/config.Y"
{
  BFD_IFACE->passwords = get_passwords();

  if (!BFD_IFACE->auth_type != !BFD_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (BFD_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *BFD_IFACE->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[BFD_IFACE->auth_type];
    }
  }
}
#line 12742 "obj/conf/cf-parse.tab.c"
    break;

  case 1370: /* bfd_iface_item: INTERVAL expr_us  */
#line 116 "proto/bfd/config.Y"
                    { BFD_IFACE->min_rx_int = BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12748 "obj/conf/cf-parse.tab.c"
    break;

  case 1371: /* bfd_iface_item: MIN RX INTERVAL expr_us  */
#line 117 "proto/bfd/config.Y"
                           { BFD_IFACE->min_rx_int = (yyvsp[0].time); }
#line 12754 "obj/conf/cf-parse.tab.c"
    break;

  case 1372: /* bfd_iface_item: MIN TX INTERVAL expr_us  */
#line 118 "proto/bfd/config.Y"
                           { BFD_IFACE->min_tx_int = (yyvsp[0].time); }
#line 12760 "obj/conf/cf-parse.tab.c"
    break;

  case 1373: /* bfd_iface_item: IDLE TX INTERVAL expr_us  */
#line 119 "proto/bfd/config.Y"
                            { BFD_IFACE->idle_tx_int = (yyvsp[0].time); }
#line 12766 "obj/conf/cf-parse.tab.c"
    break;

  case 1374: /* bfd_iface_item: MULTIPLIER expr  */
#line 120 "proto/bfd/config.Y"
                   { BFD_IFACE->multiplier = (yyvsp[0].i); }
#line 12772 "obj/conf/cf-parse.tab.c"
    break;

  case 1375: /* bfd_iface_item: PASSIVE bool  */
#line 121 "proto/bfd/config.Y"
                { BFD_IFACE->passive = (yyvsp[0].i); }
#line 12778 "obj/conf/cf-parse.tab.c"
    break;

  case 1376: /* bfd_iface_item: AUTHENTICATION bfd_auth_type  */
#line 122 "proto/bfd/config.Y"
                                { BFD_IFACE->auth_type = (yyvsp[0].i); }
#line 12784 "obj/conf/cf-parse.tab.c"
    break;

  case 1377: /* bfd_iface_item: password_list  */
#line 123 "proto/bfd/config.Y"
                 {}
#line 12790 "obj/conf/cf-parse.tab.c"
    break;

  case 1378: /* bfd_auth_type: NONE  */
#line 127 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_NONE; }
#line 12796 "obj/conf/cf-parse.tab.c"
    break;

  case 1379: /* bfd_auth_type: SIMPLE  */
#line 128 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_SIMPLE; }
#line 12802 "obj/conf/cf-parse.tab.c"
    break;

  case 1380: /* bfd_auth_type: KEYED MD5  */
#line 129 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_MD5; }
#line 12808 "obj/conf/cf-parse.tab.c"
    break;

  case 1381: /* bfd_auth_type: KEYED SHA1  */
#line 130 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_KEYED_SHA1; }
#line 12814 "obj/conf/cf-parse.tab.c"
    break;

  case 1382: /* bfd_auth_type: METICULOUS KEYED MD5  */
#line 131 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_MD5; }
#line 12820 "obj/conf/cf-parse.tab.c"
    break;

  case 1383: /* bfd_auth_type: METICULOUS KEYED SHA1  */
#line 132 "proto/bfd/config.Y"
                         { (yyval.i) = BFD_AUTH_METICULOUS_KEYED_SHA1; }
#line 12826 "obj/conf/cf-parse.tab.c"
    break;

  case 1389: /* bfd_multihop: bfd_iface_start bfd_iface_opt_list bfd_iface_finish  */
#line 150 "proto/bfd/config.Y"
{ BFD_CFG->multihop = BFD_IFACE; }
#line 12832 "obj/conf/cf-parse.tab.c"
    break;

  case 1390: /* bfd_neigh_iface: %empty  */
#line 154 "proto/bfd/config.Y"
               { (yyval.iface) = NULL; }
#line 12838 "obj/conf/cf-parse.tab.c"
    break;

  case 1391: /* bfd_neigh_iface: '%' symbol  */
#line 155 "proto/bfd/config.Y"
              { (yyval.iface) = if_get_by_name((yyvsp[0].s)->name); }
#line 12844 "obj/conf/cf-parse.tab.c"
    break;

  case 1392: /* bfd_neigh_iface: DEV text  */
#line 156 "proto/bfd/config.Y"
            { (yyval.iface) = if_get_by_name((yyvsp[0].t)); }
#line 12850 "obj/conf/cf-parse.tab.c"
    break;

  case 1393: /* bfd_neigh_local: %empty  */
#line 160 "proto/bfd/config.Y"
               { (yyval.a) = IPA_NONE; }
#line 12856 "obj/conf/cf-parse.tab.c"
    break;

  case 1394: /* bfd_neigh_local: LOCAL ipa  */
#line 161 "proto/bfd/config.Y"
             { (yyval.a) = (yyvsp[0].a); }
#line 12862 "obj/conf/cf-parse.tab.c"
    break;

  case 1395: /* bfd_neigh_multihop: %empty  */
#line 165 "proto/bfd/config.Y"
               { (yyval.i) = 0; }
#line 12868 "obj/conf/cf-parse.tab.c"
    break;

  case 1396: /* bfd_neigh_multihop: MULTIHOP bool  */
#line 166 "proto/bfd/config.Y"
                 { (yyval.i) = (yyvsp[0].i); }
#line 12874 "obj/conf/cf-parse.tab.c"
    break;

  case 1397: /* bfd_neighbor: ipa bfd_neigh_iface bfd_neigh_local bfd_neigh_multihop  */
#line 170 "proto/bfd/config.Y"
{
  this_bfd_neighbor = cfg_allocz(sizeof(struct bfd_neighbor));
  add_tail(&BFD_CFG->neigh_list, NODE this_bfd_neighbor);

  BFD_NEIGHBOR->addr = (yyvsp[-3].a);
  BFD_NEIGHBOR->local = (yyvsp[-1].a);
  BFD_NEIGHBOR->iface = (yyvsp[-2].iface);
  BFD_NEIGHBOR->multihop = (yyvsp[0].i);

  if ((yyvsp[0].i) && (yyvsp[-2].iface))
    cf_error("Neighbor cannot set both interface and multihop");

  if ((yyvsp[0].i) && ipa_zero((yyvsp[-1].a)))
    cf_error("Multihop neighbor requires specified local address");
}
#line 12894 "obj/conf/cf-parse.tab.c"
    break;

  case 1398: /* bfd_item: INTERVAL expr_us  */
#line 190 "proto/bfd/config.Y"
                    { this_bfd_opts->min_rx_int = this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12900 "obj/conf/cf-parse.tab.c"
    break;

  case 1399: /* bfd_item: MIN RX INTERVAL expr_us  */
#line 191 "proto/bfd/config.Y"
                           { this_bfd_opts->min_rx_int = (yyvsp[0].time); }
#line 12906 "obj/conf/cf-parse.tab.c"
    break;

  case 1400: /* bfd_item: MIN TX INTERVAL expr_us  */
#line 192 "proto/bfd/config.Y"
                           { this_bfd_opts->min_tx_int = (yyvsp[0].time); }
#line 12912 "obj/conf/cf-parse.tab.c"
    break;

  case 1401: /* bfd_item: IDLE TX INTERVAL expr_us  */
#line 193 "proto/bfd/config.Y"
                            { this_bfd_opts->idle_tx_int = (yyvsp[0].time); }
#line 12918 "obj/conf/cf-parse.tab.c"
    break;

  case 1402: /* bfd_item: MULTIPLIER expr  */
#line 194 "proto/bfd/config.Y"
                   { this_bfd_opts->multiplier = (yyvsp[0].i); }
#line 12924 "obj/conf/cf-parse.tab.c"
    break;

  case 1403: /* bfd_item: PASSIVE bool  */
#line 195 "proto/bfd/config.Y"
                { this_bfd_opts->passive = (yyvsp[0].i); this_bfd_opts->passive_set = 1; }
#line 12930 "obj/conf/cf-parse.tab.c"
    break;

  case 1404: /* bfd_item: GRACEFUL  */
#line 196 "proto/bfd/config.Y"
            { this_bfd_opts->mode = BGP_BFD_GRACEFUL; }
#line 12936 "obj/conf/cf-parse.tab.c"
    break;

  case 1405: /* bfd_item: AUTHENTICATION bfd_auth_type  */
#line 197 "proto/bfd/config.Y"
                                { this_bfd_opts->auth_type = (yyvsp[0].i); }
#line 12942 "obj/conf/cf-parse.tab.c"
    break;

  case 1406: /* bfd_item: password_list  */
#line 198 "proto/bfd/config.Y"
                 {}
#line 12948 "obj/conf/cf-parse.tab.c"
    break;

  case 1409: /* bfd_opts_start: %empty  */
#line 207 "proto/bfd/config.Y"
{ reset_passwords(); }
#line 12954 "obj/conf/cf-parse.tab.c"
    break;

  case 1410: /* bfd_opts_end: %empty  */
#line 210 "proto/bfd/config.Y"
{
  this_bfd_opts->passwords = get_passwords();

  if (!this_bfd_opts->auth_type != !this_bfd_opts->passwords)
    cf_warn("Authentication and password options should be used together");

  if (this_bfd_opts->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *this_bfd_opts->passwords)
    {
      if (pass->alg)
        cf_error("Password algorithm option not available in BFD protocol");

      pass->alg = bfd_auth_type_to_hash_alg[this_bfd_opts->auth_type];
    }
  }
}
#line 12977 "obj/conf/cf-parse.tab.c"
    break;

  case 1413: /* cmd_SHOW_BFD_SESSIONS: SHOW BFD SESSIONS bfd_show_sessions_args END  */
#line 237 "proto/bfd/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].bssc)->name, &proto_bfd, p) bfd_show_sessions(p, (yyvsp[-1].bssc)); }
#line 12983 "obj/conf/cf-parse.tab.c"
    break;

  case 1414: /* bfd_show_sessions_args: %empty  */
#line 249 "proto/bfd/config.Y"
               { (yyval.bssc) = cfg_allocz(sizeof(struct bfd_show_sessions_cmd)); }
#line 12989 "obj/conf/cf-parse.tab.c"
    break;

  case 1415: /* bfd_show_sessions_args: bfd_show_sessions_args CF_SYM_KNOWN  */
#line 250 "proto/bfd/config.Y"
                                       { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.bssc)->name = (yyvsp[0].s); }
#line 12995 "obj/conf/cf-parse.tab.c"
    break;

  case 1416: /* bfd_show_sessions_args: bfd_show_sessions_args ADDRESS net_or_ipa  */
#line 251 "proto/bfd/config.Y"
                                             { net_copy(&((yyval.bssc)->address), &((yyvsp[0].net))); }
#line 13001 "obj/conf/cf-parse.tab.c"
    break;

  case 1417: /* bfd_show_sessions_args: bfd_show_sessions_args INTERFACE text  */
#line 252 "proto/bfd/config.Y"
                                         { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 13007 "obj/conf/cf-parse.tab.c"
    break;

  case 1418: /* bfd_show_sessions_args: bfd_show_sessions_args DEV text  */
#line 253 "proto/bfd/config.Y"
                                   { (yyval.bssc)->iface = if_get_by_name((yyvsp[0].t)); }
#line 13013 "obj/conf/cf-parse.tab.c"
    break;

  case 1419: /* bfd_show_sessions_args: bfd_show_sessions_args ALL  */
#line 254 "proto/bfd/config.Y"
                              { (yyval.bssc)->verbose = 1; }
#line 13019 "obj/conf/cf-parse.tab.c"
    break;

  case 1420: /* bfd_show_sessions_args: bfd_show_sessions_args IPV4  */
#line 255 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv4 = 1; if ((yyval.bssc)->ipv6) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 13025 "obj/conf/cf-parse.tab.c"
    break;

  case 1421: /* bfd_show_sessions_args: bfd_show_sessions_args IPV6  */
#line 256 "proto/bfd/config.Y"
                               { (yyval.bssc)->ipv6 = 1; if ((yyval.bssc)->ipv4) cf_error("Options 'ipv4' and 'ipv6' are mutually exclusive"); }
#line 13031 "obj/conf/cf-parse.tab.c"
    break;

  case 1422: /* bfd_show_sessions_args: bfd_show_sessions_args DIRECT  */
#line 257 "proto/bfd/config.Y"
                                 { (yyval.bssc)->direct = 1; if ((yyval.bssc)->multihop) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 13037 "obj/conf/cf-parse.tab.c"
    break;

  case 1423: /* bfd_show_sessions_args: bfd_show_sessions_args MULTIHOP  */
#line 258 "proto/bfd/config.Y"
                                   { (yyval.bssc)->multihop = 1; if ((yyval.bssc)->direct) cf_error("Options 'direct' and 'multihop' are mutually exclusive"); }
#line 13043 "obj/conf/cf-parse.tab.c"
    break;

  case 1425: /* babel_proto_start: proto_start BABEL  */
#line 36 "proto/babel/config.Y"
{
  this_proto = proto_config_new(&proto_babel, (yyvsp[-1].i));
  init_list(&BABEL_CFG->iface_list);
  BABEL_CFG->hold_time = 1 S_;
}
#line 13053 "obj/conf/cf-parse.tab.c"
    break;

  case 1429: /* babel_proto_item: RANDOMIZE ROUTER ID bool  */
#line 46 "proto/babel/config.Y"
                            { BABEL_CFG->randomize_router_id = (yyvsp[0].i); }
#line 13059 "obj/conf/cf-parse.tab.c"
    break;

  case 1433: /* babel_iface_start: %empty  */
#line 59 "proto/babel/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct babel_iface_config));
  add_tail(&BABEL_CFG->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  BABEL_IFACE->port = BABEL_PORT;
  BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED;
  BABEL_IFACE->limit = BABEL_HELLO_LIMIT;
  BABEL_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  BABEL_IFACE->tx_priority = sk_priority_control;
  BABEL_IFACE->rtt_min = BABEL_RTT_MIN;
  BABEL_IFACE->rtt_max = BABEL_RTT_MAX;
  BABEL_IFACE->rtt_decay = BABEL_RTT_DECAY;
  BABEL_IFACE->rtt_send = 1;
  BABEL_IFACE->check_link = 1;
  BABEL_IFACE->ext_next_hop = 1;
}
#line 13082 "obj/conf/cf-parse.tab.c"
    break;

  case 1434: /* babel_iface_finish: %empty  */
#line 80 "proto/babel/config.Y"
{
  if (BABEL_IFACE->type == BABEL_IFACE_TYPE_WIRELESS)
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRELESS;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRELESS;
  }
  else
  {
    if (!BABEL_IFACE->hello_interval)
      BABEL_IFACE->hello_interval = BABEL_HELLO_INTERVAL_WIRED;
    if (!BABEL_IFACE->rxcost)
      BABEL_IFACE->rxcost = BABEL_RXCOST_WIRED;
    if (BABEL_IFACE->type == BABEL_IFACE_TYPE_TUNNEL && !BABEL_IFACE->rtt_cost)
      BABEL_IFACE->rtt_cost = BABEL_RXCOST_RTT;
  }

  if (BABEL_IFACE->rtt_cost && !BABEL_IFACE->rtt_send)
    cf_error("Can't set RTT cost when sending timestamps is disabled");

  if (BABEL_IFACE->rtt_min >= BABEL_IFACE->rtt_max)
    cf_error("Min RTT must be smaller than max RTT");

  /* Make sure we do not overflow the 16-bit centisec fields */
  if (!BABEL_IFACE->update_interval)
    BABEL_IFACE->update_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_UPDATE_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);
  BABEL_IFACE->ihu_interval = MIN_(BABEL_IFACE->hello_interval*BABEL_IHU_INTERVAL_FACTOR, BABEL_MAX_INTERVAL);

  BABEL_CFG->hold_time = MAX_(BABEL_CFG->hold_time, BABEL_IFACE->update_interval*BABEL_HOLD_TIME_FACTOR);

  BABEL_IFACE->passwords = get_passwords();

  if (!BABEL_IFACE->auth_type != !BABEL_IFACE->passwords)
    cf_error("Authentication and password options should be used together");

  if (BABEL_IFACE->passwords)
  {
    struct password_item *pass;
    uint len = 0, i = 0;

    WALK_LIST(pass, *BABEL_IFACE->passwords)
    {
      /* Set default crypto algorithm (HMAC-SHA256) */
      if (!pass->alg)
	pass->alg = ALG_HMAC_SHA256;

      if (!((pass->alg & ALG_HMAC) ||
	    (pass->alg == ALG_BLAKE2S_128) ||
	    (pass->alg == ALG_BLAKE2S_256) ||
	    (pass->alg == ALG_BLAKE2B_256) ||
	    (pass->alg == ALG_BLAKE2B_512)))
	cf_error("Only HMAC and Blake2 algorithms are supported");

      len += mac_type_length(pass->alg);
      i++;
    }

    BABEL_IFACE->mac_num_keys = i;
    BABEL_IFACE->mac_total_len = len;
  }

}
#line 13150 "obj/conf/cf-parse.tab.c"
    break;

  case 1436: /* babel_iface_item: PORT expr  */
#line 146 "proto/babel/config.Y"
             { BABEL_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13156 "obj/conf/cf-parse.tab.c"
    break;

  case 1437: /* babel_iface_item: RXCOST expr  */
#line 147 "proto/babel/config.Y"
               { BABEL_IFACE->rxcost = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid rxcost"); }
#line 13162 "obj/conf/cf-parse.tab.c"
    break;

  case 1438: /* babel_iface_item: LIMIT expr  */
#line 148 "proto/babel/config.Y"
              { BABEL_IFACE->limit = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>16)) cf_error("Limit must be in range 1-16"); }
#line 13168 "obj/conf/cf-parse.tab.c"
    break;

  case 1439: /* babel_iface_item: TYPE WIRED  */
#line 149 "proto/babel/config.Y"
              { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRED; }
#line 13174 "obj/conf/cf-parse.tab.c"
    break;

  case 1440: /* babel_iface_item: TYPE WIRELESS  */
#line 150 "proto/babel/config.Y"
                 { BABEL_IFACE->type = BABEL_IFACE_TYPE_WIRELESS; }
#line 13180 "obj/conf/cf-parse.tab.c"
    break;

  case 1441: /* babel_iface_item: TYPE TUNNEL  */
#line 151 "proto/babel/config.Y"
               { BABEL_IFACE->type = BABEL_IFACE_TYPE_TUNNEL; }
#line 13186 "obj/conf/cf-parse.tab.c"
    break;

  case 1442: /* babel_iface_item: HELLO INTERVAL expr_us  */
#line 152 "proto/babel/config.Y"
                          { BABEL_IFACE->hello_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Hello interval must be in range 10 ms - 655 s"); }
#line 13192 "obj/conf/cf-parse.tab.c"
    break;

  case 1443: /* babel_iface_item: UPDATE INTERVAL expr_us  */
#line 153 "proto/babel/config.Y"
                           { BABEL_IFACE->update_interval = (yyvsp[0].time); if (((yyvsp[0].time)<BABEL_MIN_INTERVAL) || ((yyvsp[0].time)>BABEL_MAX_INTERVAL)) cf_error("Update interval must be in range 10 ms - 655 s"); }
#line 13198 "obj/conf/cf-parse.tab.c"
    break;

  case 1444: /* babel_iface_item: RX BUFFER expr  */
#line 154 "proto/babel/config.Y"
                  { BABEL_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX buffer must be in range 256-65535"); }
#line 13204 "obj/conf/cf-parse.tab.c"
    break;

  case 1445: /* babel_iface_item: TX LENGTH expr  */
#line 155 "proto/babel/config.Y"
                  { BABEL_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 13210 "obj/conf/cf-parse.tab.c"
    break;

  case 1446: /* babel_iface_item: TX tos  */
#line 156 "proto/babel/config.Y"
          { BABEL_IFACE->tx_tos = (yyvsp[0].i); }
#line 13216 "obj/conf/cf-parse.tab.c"
    break;

  case 1447: /* babel_iface_item: TX PRIORITY expr  */
#line 157 "proto/babel/config.Y"
                    { BABEL_IFACE->tx_priority = (yyvsp[0].i); }
#line 13222 "obj/conf/cf-parse.tab.c"
    break;

  case 1448: /* babel_iface_item: CHECK LINK bool  */
#line 158 "proto/babel/config.Y"
                   { BABEL_IFACE->check_link = (yyvsp[0].i); }
#line 13228 "obj/conf/cf-parse.tab.c"
    break;

  case 1449: /* babel_iface_item: NEXT HOP IPV4 ipa  */
#line 159 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip4 = (yyvsp[0].a); if (!ipa_is_ip4((yyvsp[0].a))) cf_error("Must be an IPv4 address"); }
#line 13234 "obj/conf/cf-parse.tab.c"
    break;

  case 1450: /* babel_iface_item: NEXT HOP IPV6 ipa  */
#line 160 "proto/babel/config.Y"
                     { BABEL_IFACE->next_hop_ip6 = (yyvsp[0].a); if (!ipa_is_ip6((yyvsp[0].a))) cf_error("Must be an IPv6 address"); }
#line 13240 "obj/conf/cf-parse.tab.c"
    break;

  case 1451: /* babel_iface_item: EXTENDED NEXT HOP bool  */
#line 161 "proto/babel/config.Y"
                          { BABEL_IFACE->ext_next_hop = (yyvsp[0].i); }
#line 13246 "obj/conf/cf-parse.tab.c"
    break;

  case 1452: /* babel_iface_item: AUTHENTICATION NONE  */
#line 162 "proto/babel/config.Y"
                       { BABEL_IFACE->auth_type = BABEL_AUTH_NONE; }
#line 13252 "obj/conf/cf-parse.tab.c"
    break;

  case 1453: /* babel_iface_item: AUTHENTICATION MAC  */
#line 163 "proto/babel/config.Y"
                      { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 0; }
#line 13258 "obj/conf/cf-parse.tab.c"
    break;

  case 1454: /* babel_iface_item: AUTHENTICATION MAC PERMISSIVE  */
#line 164 "proto/babel/config.Y"
                                 { BABEL_IFACE->auth_type = BABEL_AUTH_MAC; BABEL_IFACE->auth_permissive = 1; }
#line 13264 "obj/conf/cf-parse.tab.c"
    break;

  case 1455: /* babel_iface_item: RTT MIN expr_us  */
#line 165 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_min = (yyvsp[0].time); }
#line 13270 "obj/conf/cf-parse.tab.c"
    break;

  case 1456: /* babel_iface_item: RTT MAX expr_us  */
#line 166 "proto/babel/config.Y"
                   { BABEL_IFACE->rtt_max = (yyvsp[0].time); }
#line 13276 "obj/conf/cf-parse.tab.c"
    break;

  case 1457: /* babel_iface_item: RTT COST expr  */
#line 167 "proto/babel/config.Y"
                 { BABEL_IFACE->rtt_cost = (yyvsp[0].i); if ((yyvsp[0].i) >= BABEL_INFINITY) cf_error("RTT cost must be < 65535"); }
#line 13282 "obj/conf/cf-parse.tab.c"
    break;

  case 1458: /* babel_iface_item: RTT DECAY expr  */
#line 168 "proto/babel/config.Y"
                  { BABEL_IFACE->rtt_decay = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 256)) cf_error("RTT decay must be between 1-256"); }
#line 13288 "obj/conf/cf-parse.tab.c"
    break;

  case 1459: /* babel_iface_item: SEND TIMESTAMPS bool  */
#line 169 "proto/babel/config.Y"
                        { BABEL_IFACE->rtt_send = (yyvsp[0].i); }
#line 13294 "obj/conf/cf-parse.tab.c"
    break;

  case 1466: /* dynamic_attr: BABEL_METRIC  */
#line 187 "proto/babel/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_BABEL_METRIC); }
#line 13300 "obj/conf/cf-parse.tab.c"
    break;

  case 1468: /* cmd_SHOW_BABEL_INTERFACES: SHOW BABEL INTERFACES optproto opttext END  */
#line 192 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_interfaces(p, (yyvsp[-1].t)); }
#line 13306 "obj/conf/cf-parse.tab.c"
    break;

  case 1470: /* cmd_SHOW_BABEL_NEIGHBORS: SHOW BABEL NEIGHBORS optproto opttext END  */
#line 195 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_neighbors(p, (yyvsp[-1].t)); }
#line 13312 "obj/conf/cf-parse.tab.c"
    break;

  case 1472: /* cmd_SHOW_BABEL_ENTRIES: SHOW BABEL ENTRIES optproto opttext END  */
#line 198 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p) babel_show_entries(p); }
#line 13318 "obj/conf/cf-parse.tab.c"
    break;

  case 1474: /* cmd_SHOW_BABEL_ROUTES: SHOW BABEL ROUTES optproto opttext END  */
#line 201 "proto/babel/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_babel, p)  babel_show_routes(p); }
#line 13324 "obj/conf/cf-parse.tab.c"
    break;

  case 1476: /* bgp_proto_start: proto_start BGP  */
#line 50 "proto/bgp/config.Y"
                                 {
     this_proto = proto_config_new(&proto_bgp, (yyvsp[-1].i));
     BGP_CFG->local_port = BGP_PORT;
     BGP_CFG->remote_port = BGP_PORT;
     BGP_CFG->multihop = -1;	/* undefined */
     BGP_CFG->hold_time = 240;
     BGP_CFG->initial_hold_time = 240;
     BGP_CFG->compare_path_lengths = 1;
     BGP_CFG->igp_metric = 1;
     BGP_CFG->connect_delay_time = 5;
     BGP_CFG->connect_retry_time = 120;
     BGP_CFG->error_amnesia_time = 300;
     BGP_CFG->error_delay_time_min = 60;
     BGP_CFG->error_delay_time_max = 300;
     BGP_CFG->enable_refresh = 1;
     BGP_CFG->enable_enhanced_refresh = 1;
     BGP_CFG->enable_as4 = 1;
     BGP_CFG->enable_hostname = 0;
     BGP_CFG->capabilities = 2;
     BGP_CFG->interpret_communities = 1;
     BGP_CFG->allow_as_sets = 1;
     BGP_CFG->default_local_pref = 100;
     BGP_CFG->gr_mode = BGP_GR_AWARE;
     BGP_CFG->gr_time = 120;
     BGP_CFG->min_gr_time = 0;
     BGP_CFG->max_gr_time = ~0U;
     BGP_CFG->llgr_mode = -1;
     BGP_CFG->llgr_time = 3600;
     BGP_CFG->min_llgr_time = 0;
     BGP_CFG->max_llgr_time = ~0U;
     BGP_CFG->setkey = 1;
     BGP_CFG->local_role = BGP_ROLE_UNDEFINED;
     BGP_CFG->dynamic_name = "dynbgp";
     BGP_CFG->check_link = -1;
     BGP_CFG->send_hold_time = -1;
   }
#line 13365 "obj/conf/cf-parse.tab.c"
    break;

  case 1478: /* bgp_loc_opts: bgp_loc_opts PORT expr  */
#line 90 "proto/bgp/config.Y"
                          { BGP_CFG->local_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13371 "obj/conf/cf-parse.tab.c"
    break;

  case 1479: /* bgp_loc_opts: bgp_loc_opts AS expr  */
#line 91 "proto/bgp/config.Y"
                        { BGP_CFG->local_as = (yyvsp[0].i); }
#line 13377 "obj/conf/cf-parse.tab.c"
    break;

  case 1481: /* bgp_nbr_opts: bgp_nbr_opts PORT expr  */
#line 96 "proto/bgp/config.Y"
                          { BGP_CFG->remote_port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 13383 "obj/conf/cf-parse.tab.c"
    break;

  case 1482: /* bgp_nbr_opts: bgp_nbr_opts AS expr  */
#line 97 "proto/bgp/config.Y"
                        { BGP_CFG->remote_as = (yyvsp[0].i); }
#line 13389 "obj/conf/cf-parse.tab.c"
    break;

  case 1483: /* bgp_nbr_opts: bgp_nbr_opts INTERNAL  */
#line 98 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_INTERNAL; }
#line 13395 "obj/conf/cf-parse.tab.c"
    break;

  case 1484: /* bgp_nbr_opts: bgp_nbr_opts EXTERNAL  */
#line 99 "proto/bgp/config.Y"
                         { BGP_CFG->peer_type = BGP_PT_EXTERNAL; }
#line 13401 "obj/conf/cf-parse.tab.c"
    break;

  case 1485: /* bgp_cease_mask: bool  */
#line 104 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i) ? ~(1 << 7) : 0; }
#line 13407 "obj/conf/cf-parse.tab.c"
    break;

  case 1486: /* bgp_cease_mask: '{' bgp_cease_list '}'  */
#line 105 "proto/bgp/config.Y"
                          { (yyval.i) = (yyvsp[-1].i); }
#line 13413 "obj/conf/cf-parse.tab.c"
    break;

  case 1488: /* bgp_cease_list: bgp_cease_list ',' bgp_cease_flag  */
#line 110 "proto/bgp/config.Y"
                                     { (yyval.i) = (yyvsp[-2].i) | (yyvsp[0].i); }
#line 13419 "obj/conf/cf-parse.tab.c"
    break;

  case 1489: /* bgp_cease_flag: CEASE  */
#line 114 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 0; }
#line 13425 "obj/conf/cf-parse.tab.c"
    break;

  case 1490: /* bgp_cease_flag: PREFIX LIMIT HIT  */
#line 115 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 1; }
#line 13431 "obj/conf/cf-parse.tab.c"
    break;

  case 1491: /* bgp_cease_flag: ADMINISTRATIVE SHUTDOWN  */
#line 116 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 2; }
#line 13437 "obj/conf/cf-parse.tab.c"
    break;

  case 1492: /* bgp_cease_flag: PEER DECONFIGURED  */
#line 117 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 3; }
#line 13443 "obj/conf/cf-parse.tab.c"
    break;

  case 1493: /* bgp_cease_flag: ADMINISTRATIVE RESET  */
#line 118 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 4; }
#line 13449 "obj/conf/cf-parse.tab.c"
    break;

  case 1494: /* bgp_cease_flag: CONNECTION REJECTED  */
#line 119 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 5; }
#line 13455 "obj/conf/cf-parse.tab.c"
    break;

  case 1495: /* bgp_cease_flag: CONFIGURATION CHANGE  */
#line 120 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 6; }
#line 13461 "obj/conf/cf-parse.tab.c"
    break;

  case 1496: /* bgp_cease_flag: CONNECTION COLLISION  */
#line 121 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 7; }
#line 13467 "obj/conf/cf-parse.tab.c"
    break;

  case 1497: /* bgp_cease_flag: OUT OF RESOURCES  */
#line 122 "proto/bgp/config.Y"
                                { (yyval.i) = 1 << 8; }
#line 13473 "obj/conf/cf-parse.tab.c"
    break;

  case 1498: /* bgp_role_name: PEER  */
#line 126 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PEER; }
#line 13479 "obj/conf/cf-parse.tab.c"
    break;

  case 1499: /* bgp_role_name: PROVIDER  */
#line 127 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_PROVIDER; }
#line 13485 "obj/conf/cf-parse.tab.c"
    break;

  case 1500: /* bgp_role_name: CUSTOMER  */
#line 128 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_CUSTOMER; }
#line 13491 "obj/conf/cf-parse.tab.c"
    break;

  case 1501: /* bgp_role_name: RS_SERVER  */
#line 129 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_SERVER; }
#line 13497 "obj/conf/cf-parse.tab.c"
    break;

  case 1502: /* bgp_role_name: RS_CLIENT  */
#line 130 "proto/bgp/config.Y"
             { (yyval.i) = BGP_ROLE_RS_CLIENT; }
#line 13503 "obj/conf/cf-parse.tab.c"
    break;

  case 1508: /* bgp_proto: bgp_proto LOCAL ipa ipa_scope bgp_loc_opts ';'  */
#line 139 "proto/bgp/config.Y"
                                                  {
     BGP_CFG->local_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13512 "obj/conf/cf-parse.tab.c"
    break;

  case 1510: /* bgp_proto: bgp_proto NEIGHBOR ipa ipa_scope bgp_nbr_opts ';'  */
#line 144 "proto/bgp/config.Y"
                                                     {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     BGP_CFG->remote_ip = (yyvsp[-3].a);
     if ((yyvsp[-2].iface)) BGP_CFG->iface = (yyvsp[-2].iface);
   }
#line 13523 "obj/conf/cf-parse.tab.c"
    break;

  case 1511: /* bgp_proto: bgp_proto NEIGHBOR RANGE net_ip bgp_nbr_opts ';'  */
#line 150 "proto/bgp/config.Y"
                                                    {
     if (ipa_nonzero(BGP_CFG->remote_ip) || BGP_CFG->remote_range)
       cf_error("Only one neighbor per BGP instance is allowed");
     net_addr *n = cfg_alloc((yyvsp[-2].net).length);
     net_copy(n, &((yyvsp[-2].net)));
     BGP_CFG->remote_range = n;
   }
#line 13535 "obj/conf/cf-parse.tab.c"
    break;

  case 1512: /* bgp_proto: bgp_proto INTERFACE TEXT ';'  */
#line 157 "proto/bgp/config.Y"
                                { BGP_CFG->iface = if_get_by_name((yyvsp[-1].t)); }
#line 13541 "obj/conf/cf-parse.tab.c"
    break;

  case 1513: /* bgp_proto: bgp_proto RR CLUSTER ID idval ';'  */
#line 158 "proto/bgp/config.Y"
                                     { BGP_CFG->rr_cluster_id = (yyvsp[-1].i32); }
#line 13547 "obj/conf/cf-parse.tab.c"
    break;

  case 1514: /* bgp_proto: bgp_proto RR CLIENT bool ';'  */
#line 159 "proto/bgp/config.Y"
                                { BGP_CFG->rr_client = (yyvsp[-1].i); }
#line 13553 "obj/conf/cf-parse.tab.c"
    break;

  case 1515: /* bgp_proto: bgp_proto RS CLIENT bool ';'  */
#line 160 "proto/bgp/config.Y"
                                { BGP_CFG->rs_client = (yyvsp[-1].i); }
#line 13559 "obj/conf/cf-parse.tab.c"
    break;

  case 1516: /* bgp_proto: bgp_proto CONFEDERATION expr ';'  */
#line 161 "proto/bgp/config.Y"
                                    { BGP_CFG->confederation = (yyvsp[-1].i); }
#line 13565 "obj/conf/cf-parse.tab.c"
    break;

  case 1517: /* bgp_proto: bgp_proto CONFEDERATION MEMBER bool ';'  */
#line 162 "proto/bgp/config.Y"
                                           { BGP_CFG->confederation_member = (yyvsp[-1].i); }
#line 13571 "obj/conf/cf-parse.tab.c"
    break;

  case 1518: /* bgp_proto: bgp_proto HOLD TIME expr ';'  */
#line 163 "proto/bgp/config.Y"
                                { BGP_CFG->hold_time = (yyvsp[-1].i); if (((yyvsp[-1].i) && (yyvsp[-1].i)<3) || ((yyvsp[-1].i)>65535)) cf_error("Hold time must be in range 3-65535 or zero"); }
#line 13577 "obj/conf/cf-parse.tab.c"
    break;

  case 1519: /* bgp_proto: bgp_proto MIN HOLD TIME expr ';'  */
#line 164 "proto/bgp/config.Y"
                                    { BGP_CFG->min_hold_time = (yyvsp[-1].i); }
#line 13583 "obj/conf/cf-parse.tab.c"
    break;

  case 1520: /* bgp_proto: bgp_proto STARTUP HOLD TIME expr ';'  */
#line 165 "proto/bgp/config.Y"
                                        { BGP_CFG->initial_hold_time = (yyvsp[-1].i); }
#line 13589 "obj/conf/cf-parse.tab.c"
    break;

  case 1521: /* bgp_proto: bgp_proto DIRECT ';'  */
#line 166 "proto/bgp/config.Y"
                        { BGP_CFG->multihop = 0; }
#line 13595 "obj/conf/cf-parse.tab.c"
    break;

  case 1522: /* bgp_proto: bgp_proto MULTIHOP ';'  */
#line 167 "proto/bgp/config.Y"
                          { BGP_CFG->multihop = 64; }
#line 13601 "obj/conf/cf-parse.tab.c"
    break;

  case 1523: /* bgp_proto: bgp_proto MULTIHOP expr ';'  */
#line 168 "proto/bgp/config.Y"
                               { BGP_CFG->multihop = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>255)) cf_error("Multihop must be in range 1-255"); }
#line 13607 "obj/conf/cf-parse.tab.c"
    break;

  case 1524: /* bgp_proto: bgp_proto DYNAMIC NAME text ';'  */
#line 169 "proto/bgp/config.Y"
                                   {
     if (strchr((yyvsp[-1].t), '%')) cf_error("Forbidden character '%%' in dynamic name");
     if (strlen((yyvsp[-1].t)) > (SYM_MAX_LEN - 16)) cf_error("Dynamic name too long");
     BGP_CFG->dynamic_name = (yyvsp[-1].t);
   }
#line 13617 "obj/conf/cf-parse.tab.c"
    break;

  case 1525: /* bgp_proto: bgp_proto DYNAMIC NAME DIGITS expr ';'  */
#line 174 "proto/bgp/config.Y"
                                          { BGP_CFG->dynamic_name_digits = (yyvsp[-1].i); if ((yyvsp[-1].i)>10) cf_error("Dynamic name digits must be at most 10"); }
#line 13623 "obj/conf/cf-parse.tab.c"
    break;

  case 1526: /* bgp_proto: bgp_proto STRICT BIND bool ';'  */
#line 175 "proto/bgp/config.Y"
                                  { BGP_CFG->strict_bind = (yyvsp[-1].i); }
#line 13629 "obj/conf/cf-parse.tab.c"
    break;

  case 1527: /* bgp_proto: bgp_proto FREE BIND bool ';'  */
#line 176 "proto/bgp/config.Y"
                                { BGP_CFG->free_bind = (yyvsp[-1].i); }
#line 13635 "obj/conf/cf-parse.tab.c"
    break;

  case 1528: /* bgp_proto: bgp_proto PATH METRIC bool ';'  */
#line 177 "proto/bgp/config.Y"
                                  { BGP_CFG->compare_path_lengths = (yyvsp[-1].i); }
#line 13641 "obj/conf/cf-parse.tab.c"
    break;

  case 1529: /* bgp_proto: bgp_proto MED METRIC bool ';'  */
#line 178 "proto/bgp/config.Y"
                                 { BGP_CFG->med_metric = (yyvsp[-1].i); }
#line 13647 "obj/conf/cf-parse.tab.c"
    break;

  case 1530: /* bgp_proto: bgp_proto IGP METRIC bool ';'  */
#line 179 "proto/bgp/config.Y"
                                 { BGP_CFG->igp_metric = (yyvsp[-1].i); }
#line 13653 "obj/conf/cf-parse.tab.c"
    break;

  case 1531: /* bgp_proto: bgp_proto PREFER OLDER bool ';'  */
#line 180 "proto/bgp/config.Y"
                                   { BGP_CFG->prefer_older = (yyvsp[-1].i); }
#line 13659 "obj/conf/cf-parse.tab.c"
    break;

  case 1532: /* bgp_proto: bgp_proto DETERMINISTIC MED bool ';'  */
#line 181 "proto/bgp/config.Y"
                                        { BGP_CFG->deterministic_med = (yyvsp[-1].i); }
#line 13665 "obj/conf/cf-parse.tab.c"
    break;

  case 1533: /* bgp_proto: bgp_proto DEFAULT BGP_MED expr ';'  */
#line 182 "proto/bgp/config.Y"
                                      { BGP_CFG->default_med = (yyvsp[-1].i); }
#line 13671 "obj/conf/cf-parse.tab.c"
    break;

  case 1534: /* bgp_proto: bgp_proto DEFAULT BGP_LOCAL_PREF expr ';'  */
#line 183 "proto/bgp/config.Y"
                                             { BGP_CFG->default_local_pref = (yyvsp[-1].i); }
#line 13677 "obj/conf/cf-parse.tab.c"
    break;

  case 1535: /* bgp_proto: bgp_proto SOURCE ADDRESS ipa ';'  */
#line 184 "proto/bgp/config.Y"
                                    { BGP_CFG->local_ip = (yyvsp[-1].a); }
#line 13683 "obj/conf/cf-parse.tab.c"
    break;

  case 1536: /* bgp_proto: bgp_proto START DELAY TIME expr ';'  */
#line 185 "proto/bgp/config.Y"
                                       { BGP_CFG->connect_delay_time = (yyvsp[-1].i); cf_warn("%s: Start delay time option is deprecated, use connect delay time", this_proto->name); }
#line 13689 "obj/conf/cf-parse.tab.c"
    break;

  case 1537: /* bgp_proto: bgp_proto CONNECT DELAY TIME expr ';'  */
#line 186 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_delay_time = (yyvsp[-1].i); }
#line 13695 "obj/conf/cf-parse.tab.c"
    break;

  case 1538: /* bgp_proto: bgp_proto CONNECT RETRY TIME expr ';'  */
#line 187 "proto/bgp/config.Y"
                                         { BGP_CFG->connect_retry_time = (yyvsp[-1].i); }
#line 13701 "obj/conf/cf-parse.tab.c"
    break;

  case 1539: /* bgp_proto: bgp_proto KEEPALIVE TIME expr ';'  */
#line 188 "proto/bgp/config.Y"
                                     { BGP_CFG->keepalive_time = (yyvsp[-1].i); if (((yyvsp[-1].i)<1) || ((yyvsp[-1].i)>65535)) cf_error("Keepalive time must be in range 1-65535"); }
#line 13707 "obj/conf/cf-parse.tab.c"
    break;

  case 1540: /* bgp_proto: bgp_proto MIN KEEPALIVE TIME expr ';'  */
#line 189 "proto/bgp/config.Y"
                                         { BGP_CFG->min_keepalive_time = (yyvsp[-1].i); }
#line 13713 "obj/conf/cf-parse.tab.c"
    break;

  case 1541: /* bgp_proto: bgp_proto SEND HOLD TIME expr ';'  */
#line 190 "proto/bgp/config.Y"
                                    { BGP_CFG->send_hold_time = (yyvsp[-1].i); }
#line 13719 "obj/conf/cf-parse.tab.c"
    break;

  case 1542: /* bgp_proto: bgp_proto ERROR FORGET TIME expr ';'  */
#line 191 "proto/bgp/config.Y"
                                        { BGP_CFG->error_amnesia_time = (yyvsp[-1].i); }
#line 13725 "obj/conf/cf-parse.tab.c"
    break;

  case 1543: /* bgp_proto: bgp_proto ERROR WAIT TIME expr ',' expr ';'  */
#line 192 "proto/bgp/config.Y"
                                               { BGP_CFG->error_delay_time_min = (yyvsp[-3].i); BGP_CFG->error_delay_time_max = (yyvsp[-1].i); }
#line 13731 "obj/conf/cf-parse.tab.c"
    break;

  case 1544: /* bgp_proto: bgp_proto DISABLE AFTER ERROR bool ';'  */
#line 193 "proto/bgp/config.Y"
                                          { BGP_CFG->disable_after_error = (yyvsp[-1].i); }
#line 13737 "obj/conf/cf-parse.tab.c"
    break;

  case 1545: /* bgp_proto: bgp_proto DISABLE AFTER CEASE bgp_cease_mask ';'  */
#line 194 "proto/bgp/config.Y"
                                                    { BGP_CFG->disable_after_cease = (yyvsp[-1].i); }
#line 13743 "obj/conf/cf-parse.tab.c"
    break;

  case 1546: /* bgp_proto: bgp_proto ENABLE ROUTE REFRESH bool ';'  */
#line 195 "proto/bgp/config.Y"
                                           { BGP_CFG->enable_refresh = (yyvsp[-1].i); }
#line 13749 "obj/conf/cf-parse.tab.c"
    break;

  case 1547: /* bgp_proto: bgp_proto ENABLE ENHANCED ROUTE REFRESH bool ';'  */
#line 196 "proto/bgp/config.Y"
                                                    { BGP_CFG->enable_enhanced_refresh = (yyvsp[-1].i); }
#line 13755 "obj/conf/cf-parse.tab.c"
    break;

  case 1548: /* bgp_proto: bgp_proto ENABLE AS4 bool ';'  */
#line 197 "proto/bgp/config.Y"
                                 { BGP_CFG->enable_as4 = (yyvsp[-1].i); }
#line 13761 "obj/conf/cf-parse.tab.c"
    break;

  case 1549: /* bgp_proto: bgp_proto ENABLE EXTENDED MESSAGES bool ';'  */
#line 198 "proto/bgp/config.Y"
                                               { BGP_CFG->enable_extended_messages = (yyvsp[-1].i); }
#line 13767 "obj/conf/cf-parse.tab.c"
    break;

  case 1550: /* bgp_proto: bgp_proto ADVERTISE HOSTNAME bool ';'  */
#line 199 "proto/bgp/config.Y"
                                         { BGP_CFG->enable_hostname = (yyvsp[-1].i); }
#line 13773 "obj/conf/cf-parse.tab.c"
    break;

  case 1551: /* bgp_proto: bgp_proto REQUIRE ROUTE REFRESH bool ';'  */
#line 200 "proto/bgp/config.Y"
                                            { BGP_CFG->require_refresh = (yyvsp[-1].i); }
#line 13779 "obj/conf/cf-parse.tab.c"
    break;

  case 1552: /* bgp_proto: bgp_proto REQUIRE ENHANCED ROUTE REFRESH bool ';'  */
#line 201 "proto/bgp/config.Y"
                                                     { BGP_CFG->require_enhanced_refresh = (yyvsp[-1].i); }
#line 13785 "obj/conf/cf-parse.tab.c"
    break;

  case 1553: /* bgp_proto: bgp_proto REQUIRE AS4 bool ';'  */
#line 202 "proto/bgp/config.Y"
                                  { BGP_CFG->require_as4 = (yyvsp[-1].i); }
#line 13791 "obj/conf/cf-parse.tab.c"
    break;

  case 1554: /* bgp_proto: bgp_proto REQUIRE EXTENDED MESSAGES bool ';'  */
#line 203 "proto/bgp/config.Y"
                                                { BGP_CFG->require_extended_messages = (yyvsp[-1].i); }
#line 13797 "obj/conf/cf-parse.tab.c"
    break;

  case 1555: /* bgp_proto: bgp_proto REQUIRE HOSTNAME bool ';'  */
#line 204 "proto/bgp/config.Y"
                                       { BGP_CFG->require_hostname = (yyvsp[-1].i); }
#line 13803 "obj/conf/cf-parse.tab.c"
    break;

  case 1556: /* bgp_proto: bgp_proto REQUIRE GRACEFUL RESTART bool ';'  */
#line 205 "proto/bgp/config.Y"
                                               { BGP_CFG->require_gr = (yyvsp[-1].i); }
#line 13809 "obj/conf/cf-parse.tab.c"
    break;

  case 1557: /* bgp_proto: bgp_proto REQUIRE LONG LIVED GRACEFUL RESTART bool ';'  */
#line 206 "proto/bgp/config.Y"
                                                          { BGP_CFG->require_llgr = (yyvsp[-1].i); }
#line 13815 "obj/conf/cf-parse.tab.c"
    break;

  case 1558: /* bgp_proto: bgp_proto CAPABILITIES bool ';'  */
#line 207 "proto/bgp/config.Y"
                                   { BGP_CFG->capabilities = (yyvsp[-1].i); }
#line 13821 "obj/conf/cf-parse.tab.c"
    break;

  case 1559: /* bgp_proto: bgp_proto PASSWORD text ';'  */
#line 208 "proto/bgp/config.Y"
                               { BGP_CFG->password = (yyvsp[-1].t); }
#line 13827 "obj/conf/cf-parse.tab.c"
    break;

  case 1560: /* bgp_proto: bgp_proto SETKEY bool ';'  */
#line 209 "proto/bgp/config.Y"
                             { BGP_CFG->setkey = (yyvsp[-1].i); }
#line 13833 "obj/conf/cf-parse.tab.c"
    break;

  case 1561: /* bgp_proto: bgp_proto PASSIVE bool ';'  */
#line 210 "proto/bgp/config.Y"
                              { BGP_CFG->passive = (yyvsp[-1].i); }
#line 13839 "obj/conf/cf-parse.tab.c"
    break;

  case 1562: /* bgp_proto: bgp_proto INTERPRET COMMUNITIES bool ';'  */
#line 211 "proto/bgp/config.Y"
                                            { BGP_CFG->interpret_communities = (yyvsp[-1].i); }
#line 13845 "obj/conf/cf-parse.tab.c"
    break;

  case 1563: /* bgp_proto: bgp_proto ALLOW LOCAL AS ';'  */
#line 212 "proto/bgp/config.Y"
                                { BGP_CFG->allow_local_as = -1; }
#line 13851 "obj/conf/cf-parse.tab.c"
    break;

  case 1564: /* bgp_proto: bgp_proto ALLOW LOCAL AS expr ';'  */
#line 213 "proto/bgp/config.Y"
                                     { BGP_CFG->allow_local_as = (yyvsp[-1].i); }
#line 13857 "obj/conf/cf-parse.tab.c"
    break;

  case 1565: /* bgp_proto: bgp_proto ALLOW BGP_LOCAL_PREF bool ';'  */
#line 214 "proto/bgp/config.Y"
                                           { BGP_CFG->allow_local_pref = (yyvsp[-1].i); }
#line 13863 "obj/conf/cf-parse.tab.c"
    break;

  case 1566: /* bgp_proto: bgp_proto ALLOW BGP_MED bool ';'  */
#line 215 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_med = (yyvsp[-1].i); }
#line 13869 "obj/conf/cf-parse.tab.c"
    break;

  case 1567: /* bgp_proto: bgp_proto ALLOW AS SETS bool ';'  */
#line 216 "proto/bgp/config.Y"
                                    { BGP_CFG->allow_as_sets = (yyvsp[-1].i); }
#line 13875 "obj/conf/cf-parse.tab.c"
    break;

  case 1568: /* bgp_proto: bgp_proto GRACEFUL RESTART bool ';'  */
#line 217 "proto/bgp/config.Y"
                                       { BGP_CFG->gr_mode = (yyvsp[-1].i); }
#line 13881 "obj/conf/cf-parse.tab.c"
    break;

  case 1569: /* bgp_proto: bgp_proto GRACEFUL RESTART AWARE ';'  */
#line 218 "proto/bgp/config.Y"
                                        { BGP_CFG->gr_mode = BGP_GR_AWARE; }
#line 13887 "obj/conf/cf-parse.tab.c"
    break;

  case 1570: /* bgp_proto: bgp_proto GRACEFUL RESTART TIME expr ';'  */
#line 219 "proto/bgp/config.Y"
                                            { BGP_CFG->gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Graceful restart time must be less than 4096"); }
#line 13893 "obj/conf/cf-parse.tab.c"
    break;

  case 1571: /* bgp_proto: bgp_proto MIN GRACEFUL RESTART TIME expr ';'  */
#line 220 "proto/bgp/config.Y"
                                                { BGP_CFG->min_gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Min graceful restart time must be less than 4096"); }
#line 13899 "obj/conf/cf-parse.tab.c"
    break;

  case 1572: /* bgp_proto: bgp_proto MAX GRACEFUL RESTART TIME expr ';'  */
#line 221 "proto/bgp/config.Y"
                                                { BGP_CFG->max_gr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 12)) cf_error("Max graceful restart time must be less than 4096"); }
#line 13905 "obj/conf/cf-parse.tab.c"
    break;

  case 1573: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART bool ';'  */
#line 222 "proto/bgp/config.Y"
                                                  { BGP_CFG->llgr_mode = (yyvsp[-1].i); }
#line 13911 "obj/conf/cf-parse.tab.c"
    break;

  case 1574: /* bgp_proto: bgp_proto LONG LIVED GRACEFUL RESTART AWARE ';'  */
#line 223 "proto/bgp/config.Y"
                                                   { BGP_CFG->llgr_mode = BGP_LLGR_AWARE; }
#line 13917 "obj/conf/cf-parse.tab.c"
    break;

  case 1575: /* bgp_proto: bgp_proto LONG LIVED STALE TIME expr ';'  */
#line 224 "proto/bgp/config.Y"
                                            { BGP_CFG->llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Long-lived stale time must be less than 2^24"); }
#line 13923 "obj/conf/cf-parse.tab.c"
    break;

  case 1576: /* bgp_proto: bgp_proto MIN LONG LIVED STALE TIME expr ';'  */
#line 225 "proto/bgp/config.Y"
                                                { BGP_CFG->min_llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Min long-lived stale time must be less than 2^24"); }
#line 13929 "obj/conf/cf-parse.tab.c"
    break;

  case 1577: /* bgp_proto: bgp_proto MAX LONG LIVED STALE TIME expr ';'  */
#line 226 "proto/bgp/config.Y"
                                                { BGP_CFG->max_llgr_time = (yyvsp[-1].i); if ((yyvsp[-1].i) >= (1 << 24)) cf_error("Max long-lived stale time must be less than 2^24"); }
#line 13935 "obj/conf/cf-parse.tab.c"
    break;

  case 1578: /* bgp_proto: bgp_proto TTL SECURITY bool ';'  */
#line 227 "proto/bgp/config.Y"
                                   { BGP_CFG->ttl_security = (yyvsp[-1].i); }
#line 13941 "obj/conf/cf-parse.tab.c"
    break;

  case 1579: /* bgp_proto: bgp_proto CHECK LINK bool ';'  */
#line 228 "proto/bgp/config.Y"
                                 { BGP_CFG->check_link = (yyvsp[-1].i); }
#line 13947 "obj/conf/cf-parse.tab.c"
    break;

  case 1580: /* bgp_proto: bgp_proto BFD bool ';'  */
#line 229 "proto/bgp/config.Y"
                          { if ((yyvsp[-1].i)) init_bfd_opts(&BGP_CFG->bfd); else BGP_CFG->bfd = NULL; }
#line 13953 "obj/conf/cf-parse.tab.c"
    break;

  case 1581: /* bgp_proto: bgp_proto BFD GRACEFUL ';'  */
#line 230 "proto/bgp/config.Y"
                              { init_bfd_opts(&BGP_CFG->bfd); BGP_CFG->bfd->mode = BGP_BFD_GRACEFUL; }
#line 13959 "obj/conf/cf-parse.tab.c"
    break;

  case 1582: /* $@14: %empty  */
#line 231 "proto/bgp/config.Y"
                 { open_bfd_opts(&BGP_CFG->bfd); }
#line 13965 "obj/conf/cf-parse.tab.c"
    break;

  case 1583: /* $@15: %empty  */
#line 231 "proto/bgp/config.Y"
                                                            { close_bfd_opts(); }
#line 13971 "obj/conf/cf-parse.tab.c"
    break;

  case 1585: /* bgp_proto: bgp_proto ENFORCE FIRST AS bool ';'  */
#line 232 "proto/bgp/config.Y"
                                       { BGP_CFG->enforce_first_as = (yyvsp[-1].i); }
#line 13977 "obj/conf/cf-parse.tab.c"
    break;

  case 1586: /* bgp_proto: bgp_proto LOCAL ROLE bgp_role_name ';'  */
#line 233 "proto/bgp/config.Y"
                                          { BGP_CFG->local_role = (yyvsp[-1].i); }
#line 13983 "obj/conf/cf-parse.tab.c"
    break;

  case 1587: /* bgp_proto: bgp_proto REQUIRE ROLES bool ';'  */
#line 234 "proto/bgp/config.Y"
                                    { BGP_CFG->require_roles = (yyvsp[-1].i); }
#line 13989 "obj/conf/cf-parse.tab.c"
    break;

  case 1588: /* bgp_proto: bgp_proto DISABLE RX bool ';'  */
#line 235 "proto/bgp/config.Y"
                                 { BGP_CFG->disable_rx = (yyvsp[-1].i); }
#line 13995 "obj/conf/cf-parse.tab.c"
    break;

  case 1589: /* bgp_afi: IPV4  */
#line 239 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4; }
#line 14001 "obj/conf/cf-parse.tab.c"
    break;

  case 1590: /* bgp_afi: IPV6  */
#line 240 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6; }
#line 14007 "obj/conf/cf-parse.tab.c"
    break;

  case 1591: /* bgp_afi: IPV4 MULTICAST  */
#line 241 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MC; }
#line 14013 "obj/conf/cf-parse.tab.c"
    break;

  case 1592: /* bgp_afi: IPV6 MULTICAST  */
#line 242 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MC; }
#line 14019 "obj/conf/cf-parse.tab.c"
    break;

  case 1593: /* bgp_afi: IPV4 MPLS  */
#line 243 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV4_MPLS; }
#line 14025 "obj/conf/cf-parse.tab.c"
    break;

  case 1594: /* bgp_afi: IPV6 MPLS  */
#line 244 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_IPV6_MPLS; }
#line 14031 "obj/conf/cf-parse.tab.c"
    break;

  case 1595: /* bgp_afi: VPN4 MPLS  */
#line 245 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MPLS; }
#line 14037 "obj/conf/cf-parse.tab.c"
    break;

  case 1596: /* bgp_afi: VPN6 MPLS  */
#line 246 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MPLS; }
#line 14043 "obj/conf/cf-parse.tab.c"
    break;

  case 1597: /* bgp_afi: VPN4 MULTICAST  */
#line 247 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN4_MC; }
#line 14049 "obj/conf/cf-parse.tab.c"
    break;

  case 1598: /* bgp_afi: VPN6 MULTICAST  */
#line 248 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_VPN6_MC; }
#line 14055 "obj/conf/cf-parse.tab.c"
    break;

  case 1599: /* bgp_afi: FLOW4  */
#line 249 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW4; }
#line 14061 "obj/conf/cf-parse.tab.c"
    break;

  case 1600: /* bgp_afi: FLOW6  */
#line 250 "proto/bgp/config.Y"
                        { (yyval.i32) = BGP_AF_FLOW6; }
#line 14067 "obj/conf/cf-parse.tab.c"
    break;

  case 1601: /* bgp_channel_start: bgp_afi  */
#line 254 "proto/bgp/config.Y"
{
  const struct bgp_af_desc *desc = bgp_get_af_desc((yyvsp[0].i32));

  if (!desc)
    cf_error("Unknown AFI/SAFI");

  this_channel = channel_config_get(&channel_bgp, desc->name, desc->net, this_proto);

  /* New channel */
  if (!BGP_CC->desc)
  {
    BGP_CC->c.in_filter = FILTER_UNDEF;
    BGP_CC->c.out_filter = FILTER_UNDEF;
    BGP_CC->c.ra_mode = RA_UNDEF;
    BGP_CC->afi = (yyvsp[0].i32);
    BGP_CC->desc = desc;
    BGP_CC->next_hop_keep = 0xff; /* undefined */
    BGP_CC->gr_able = 0xff;	/* undefined */
    BGP_CC->llgr_able = 0xff;	/* undefined */
    BGP_CC->llgr_time = ~0U;	/* undefined */
    BGP_CC->min_llgr_time = ~0U; /* undefined */
    BGP_CC->max_llgr_time = ~0U; /* undefined */
    BGP_CC->aigp = 0xff;	/* undefined */
  }
}
#line 14097 "obj/conf/cf-parse.tab.c"
    break;

  case 1602: /* bgp_nh: bool  */
#line 281 "proto/bgp/config.Y"
        { (yyval.i) = (yyvsp[0].i); }
#line 14103 "obj/conf/cf-parse.tab.c"
    break;

  case 1603: /* bgp_nh: IBGP  */
#line 282 "proto/bgp/config.Y"
        { (yyval.i) = NH_IBGP; }
#line 14109 "obj/conf/cf-parse.tab.c"
    break;

  case 1604: /* bgp_nh: EBGP  */
#line 283 "proto/bgp/config.Y"
        { (yyval.i) = NH_EBGP; }
#line 14115 "obj/conf/cf-parse.tab.c"
    break;

  case 1609: /* bgp_channel_item: NEXT HOP ADDRESS ipa  */
#line 289 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_addr = (yyvsp[0].a); }
#line 14121 "obj/conf/cf-parse.tab.c"
    break;

  case 1610: /* bgp_channel_item: NEXT HOP SELF bgp_nh  */
#line 290 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_self = (yyvsp[0].i); }
#line 14127 "obj/conf/cf-parse.tab.c"
    break;

  case 1611: /* bgp_channel_item: NEXT HOP KEEP bgp_nh  */
#line 291 "proto/bgp/config.Y"
                        { BGP_CC->next_hop_keep = (yyvsp[0].i); }
#line 14133 "obj/conf/cf-parse.tab.c"
    break;

  case 1612: /* bgp_channel_item: NEXT HOP PREFER GLOBAL  */
#line 292 "proto/bgp/config.Y"
                          { BGP_CC->next_hop_prefer = NHP_GLOBAL; }
#line 14139 "obj/conf/cf-parse.tab.c"
    break;

  case 1613: /* bgp_channel_item: MANDATORY bool  */
#line 293 "proto/bgp/config.Y"
                  { BGP_CC->mandatory = (yyvsp[0].i); }
#line 14145 "obj/conf/cf-parse.tab.c"
    break;

  case 1614: /* bgp_channel_item: MISSING LLADDR bgp_lladdr  */
#line 294 "proto/bgp/config.Y"
                             { cf_warn("%s.%s: Missing lladdr option is deprecated and ignored, remove it", this_proto->name, this_channel->name); }
#line 14151 "obj/conf/cf-parse.tab.c"
    break;

  case 1615: /* bgp_channel_item: GATEWAY DIRECT  */
#line 295 "proto/bgp/config.Y"
                  { BGP_CC->gw_mode = GW_DIRECT; }
#line 14157 "obj/conf/cf-parse.tab.c"
    break;

  case 1616: /* bgp_channel_item: GATEWAY RECURSIVE  */
#line 296 "proto/bgp/config.Y"
                     { BGP_CC->gw_mode = GW_RECURSIVE; }
#line 14163 "obj/conf/cf-parse.tab.c"
    break;

  case 1617: /* bgp_channel_item: SECONDARY bool  */
#line 297 "proto/bgp/config.Y"
                  { BGP_CC->secondary = (yyvsp[0].i); }
#line 14169 "obj/conf/cf-parse.tab.c"
    break;

  case 1618: /* bgp_channel_item: VALIDATE bool  */
#line 298 "proto/bgp/config.Y"
                 {
    BGP_CC->validate = (yyvsp[0].i);
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Validate option limited to flowspec channels");
   }
#line 14179 "obj/conf/cf-parse.tab.c"
    break;

  case 1619: /* bgp_channel_item: GRACEFUL RESTART bool  */
#line 303 "proto/bgp/config.Y"
                         { BGP_CC->gr_able = (yyvsp[0].i); }
#line 14185 "obj/conf/cf-parse.tab.c"
    break;

  case 1620: /* bgp_channel_item: LONG LIVED GRACEFUL RESTART bool  */
#line 304 "proto/bgp/config.Y"
                                    { BGP_CC->llgr_able = (yyvsp[0].i); }
#line 14191 "obj/conf/cf-parse.tab.c"
    break;

  case 1621: /* bgp_channel_item: LONG LIVED STALE TIME expr  */
#line 305 "proto/bgp/config.Y"
                              { BGP_CC->llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Long-lived stale time must be less than 2^24"); }
#line 14197 "obj/conf/cf-parse.tab.c"
    break;

  case 1622: /* bgp_channel_item: MIN LONG LIVED STALE TIME expr  */
#line 306 "proto/bgp/config.Y"
                                  { BGP_CC->min_llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Min long-lived stale time must be less than 2^24"); }
#line 14203 "obj/conf/cf-parse.tab.c"
    break;

  case 1623: /* bgp_channel_item: MAX LONG LIVED STALE TIME expr  */
#line 307 "proto/bgp/config.Y"
                                  { BGP_CC->max_llgr_time = (yyvsp[0].i); if ((yyvsp[0].i) >= (1 << 24)) cf_error("Max long-lived stale time must be less than 2^24"); }
#line 14209 "obj/conf/cf-parse.tab.c"
    break;

  case 1624: /* bgp_channel_item: EXTENDED NEXT HOP bool  */
#line 308 "proto/bgp/config.Y"
                          { BGP_CC->ext_next_hop = (yyvsp[0].i); }
#line 14215 "obj/conf/cf-parse.tab.c"
    break;

  case 1625: /* bgp_channel_item: REQUIRE EXTENDED NEXT HOP bool  */
#line 309 "proto/bgp/config.Y"
                                  { BGP_CC->require_ext_next_hop = (yyvsp[0].i);  if (BGP_AFI(BGP_CC->afi) != BGP_AFI_IPV4) cf_warn("Require extended next hop option ignored for non-IPv4 channels"); }
#line 14221 "obj/conf/cf-parse.tab.c"
    break;

  case 1626: /* bgp_channel_item: ADD PATHS RX  */
#line 310 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_RX; }
#line 14227 "obj/conf/cf-parse.tab.c"
    break;

  case 1627: /* bgp_channel_item: ADD PATHS TX  */
#line 311 "proto/bgp/config.Y"
                { BGP_CC->add_path = BGP_ADD_PATH_TX; }
#line 14233 "obj/conf/cf-parse.tab.c"
    break;

  case 1628: /* bgp_channel_item: ADD PATHS bool  */
#line 312 "proto/bgp/config.Y"
                  { BGP_CC->add_path = (yyvsp[0].i) ? BGP_ADD_PATH_FULL : 0; }
#line 14239 "obj/conf/cf-parse.tab.c"
    break;

  case 1629: /* bgp_channel_item: REQUIRE ADD PATHS bool  */
#line 313 "proto/bgp/config.Y"
                          { BGP_CC->require_add_path = (yyvsp[0].i); }
#line 14245 "obj/conf/cf-parse.tab.c"
    break;

  case 1630: /* bgp_channel_item: IMPORT TABLE bool  */
#line 314 "proto/bgp/config.Y"
                     { BGP_CC->import_table = (yyvsp[0].i); }
#line 14251 "obj/conf/cf-parse.tab.c"
    break;

  case 1631: /* bgp_channel_item: EXPORT TABLE bool  */
#line 315 "proto/bgp/config.Y"
                     { BGP_CC->export_table = (yyvsp[0].i); }
#line 14257 "obj/conf/cf-parse.tab.c"
    break;

  case 1632: /* bgp_channel_item: AIGP bool  */
#line 316 "proto/bgp/config.Y"
             { BGP_CC->aigp = (yyvsp[0].i); BGP_CC->aigp_originate = 0; }
#line 14263 "obj/conf/cf-parse.tab.c"
    break;

  case 1633: /* bgp_channel_item: AIGP ORIGINATE  */
#line 317 "proto/bgp/config.Y"
                  { BGP_CC->aigp = 1; BGP_CC->aigp_originate = 1; }
#line 14269 "obj/conf/cf-parse.tab.c"
    break;

  case 1634: /* bgp_channel_item: COST expr  */
#line 318 "proto/bgp/config.Y"
             { BGP_CC->cost = (yyvsp[0].i); if ((yyvsp[0].i) < 1) cf_error("Cost must be positive"); }
#line 14275 "obj/conf/cf-parse.tab.c"
    break;

  case 1635: /* bgp_channel_item: IGP TABLE rtable  */
#line 319 "proto/bgp/config.Y"
                    {
    if (BGP_CC->desc->no_igp)
      cf_error("IGP table not allowed here");

    if ((yyvsp[0].r)->addr_type == NET_IP4)
      BGP_CC->igp_table_ip4 = (yyvsp[0].r);
    else if ((yyvsp[0].r)->addr_type == NET_IP6)
      BGP_CC->igp_table_ip6 = (yyvsp[0].r);
    else
      cf_error("Mismatched IGP table type");
   }
#line 14291 "obj/conf/cf-parse.tab.c"
    break;

  case 1636: /* bgp_channel_item: BASE TABLE rtable  */
#line 330 "proto/bgp/config.Y"
                     {
    if (BGP_SAFI(BGP_CC->afi) != BGP_SAFI_FLOW)
      cf_error("Base table option limited to flowspec channels");

    if (((BGP_CC->afi == BGP_AF_FLOW4) && ((yyvsp[0].r)->addr_type == NET_IP4)) ||
        ((BGP_CC->afi == BGP_AF_FLOW6) && ((yyvsp[0].r)->addr_type == NET_IP6)))
      BGP_CC->base_table = (yyvsp[0].r);
    else
      cf_error("Mismatched base table type");
   }
#line 14306 "obj/conf/cf-parse.tab.c"
    break;

  case 1641: /* bgp_channel_end: %empty  */
#line 353 "proto/bgp/config.Y"
{
  if (!this_channel->table)
    cf_error("Routing table not specified");

  this_channel = NULL;
}
#line 14317 "obj/conf/cf-parse.tab.c"
    break;

  case 1643: /* dynamic_attr: BGP_ORIGIN  */
#line 364 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_BGP_ORIGIN, EA_CODE(PROTOCOL_BGP, BA_ORIGIN));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14323 "obj/conf/cf-parse.tab.c"
    break;

  case 1644: /* dynamic_attr: BGP_PATH  */
#line 366 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14329 "obj/conf/cf-parse.tab.c"
    break;

  case 1645: /* dynamic_attr: BGP_NEXT_HOP  */
#line 368 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_CODE(PROTOCOL_BGP, BA_NEXT_HOP));	(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14335 "obj/conf/cf-parse.tab.c"
    break;

  case 1646: /* dynamic_attr: BGP_MED  */
#line 370 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_MULTI_EXIT_DISC));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14341 "obj/conf/cf-parse.tab.c"
    break;

  case 1647: /* dynamic_attr: BGP_LOCAL_PREF  */
#line 372 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_LOCAL_PREF));		(yyval.fda).flags = BAF_TRANSITIVE; }
#line 14347 "obj/conf/cf-parse.tab.c"
    break;

  case 1648: /* dynamic_attr: BGP_ATOMIC_AGGR  */
#line 374 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_ATOMIC_AGGR)); (yyval.fda).flags = BAF_TRANSITIVE; }
#line 14353 "obj/conf/cf-parse.tab.c"
    break;

  case 1649: /* dynamic_attr: BGP_AGGREGATOR  */
#line 376 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AGGREGATOR));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14359 "obj/conf/cf-parse.tab.c"
    break;

  case 1650: /* dynamic_attr: BGP_COMMUNITY  */
#line 378 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14365 "obj/conf/cf-parse.tab.c"
    break;

  case 1651: /* dynamic_attr: BGP_ORIGINATOR_ID  */
#line 380 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_CODE(PROTOCOL_BGP, BA_ORIGINATOR_ID));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14371 "obj/conf/cf-parse.tab.c"
    break;

  case 1652: /* dynamic_attr: BGP_CLUSTER_LIST  */
#line 382 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT_SET, T_CLIST, EA_CODE(PROTOCOL_BGP, BA_CLUSTER_LIST));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14377 "obj/conf/cf-parse.tab.c"
    break;

  case 1653: /* dynamic_attr: BGP_EXT_COMMUNITY  */
#line 384 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_EC_SET, T_ECLIST, EA_CODE(PROTOCOL_BGP, BA_EXT_COMMUNITY));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14383 "obj/conf/cf-parse.tab.c"
    break;

  case 1654: /* dynamic_attr: BGP_AIGP  */
#line 386 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_OPAQUE, T_ENUM_EMPTY, EA_CODE(PROTOCOL_BGP, BA_AIGP));	(yyval.fda).flags = BAF_OPTIONAL; }
#line 14389 "obj/conf/cf-parse.tab.c"
    break;

  case 1655: /* dynamic_attr: BGP_LARGE_COMMUNITY  */
#line 388 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_LC_SET, T_LCLIST, EA_CODE(PROTOCOL_BGP, BA_LARGE_COMMUNITY)); (yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14395 "obj/conf/cf-parse.tab.c"
    break;

  case 1656: /* dynamic_attr: BGP_OTC  */
#line 390 "proto/bgp/config.Y"
        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_CODE(PROTOCOL_BGP, BA_ONLY_TO_CUSTOMER));	(yyval.fda).flags = BAF_OPTIONAL | BAF_TRANSITIVE; }
#line 14401 "obj/conf/cf-parse.tab.c"
    break;

  case 1657: /* custom_attr: ATTRIBUTE BGP expr type symbol ';'  */
#line 392 "proto/bgp/config.Y"
                                                {
  if ((yyvsp[-3].i) > 255 || (yyvsp[-3].i) < 1)
    cf_error("Invalid attribute number (Given %i, must be 1-255)", (yyvsp[-3].i));
  if ((yyvsp[-2].i) != T_BYTESTRING)
    cf_error("Attribute type must be bytestring, not %s", f_type_name((yyvsp[-2].i)));
  if (bgp_attr_name((yyvsp[-3].i)))
    cf_error("Attribute BGP.%d already known as %s", (yyvsp[-3].i), bgp_attr_name((yyvsp[-3].i)));

  struct f_dynamic_attr *a = cfg_alloc(sizeof(struct f_dynamic_attr));
  *a = f_new_dynamic_attr(f_type_attr((yyvsp[-2].i)), T_BYTESTRING, EA_CODE(PROTOCOL_BGP, (yyvsp[-3].i)));
  a->flags = BAF_TRANSITIVE | BAF_OPTIONAL;
  cf_define_symbol(new_config, (yyvsp[-1].s), SYM_ATTRIBUTE, attribute, a);
}
#line 14419 "obj/conf/cf-parse.tab.c"
    break;

  case 1658: /* term: ASPA_CHECK_DOWNSTREAM '(' rtable ')'  */
#line 409 "proto/bgp/config.Y"
                                           { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 0, }),
      (yyvsp[-1].r)
  );
}
#line 14434 "obj/conf/cf-parse.tab.c"
    break;

  case 1659: /* term: ASPA_CHECK_UPSTREAM '(' rtable ')'  */
#line 420 "proto/bgp/config.Y"
                                         { (yyval.x) =
  f_new_inst(FI_ASPA_CHECK_EXPLICIT,
      f_new_inst(FI_EA_GET,
	f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_ROUTE, .val.rte = NULL, }),
	f_new_dynamic_attr(EAF_TYPE_AS_PATH, T_PATH, EA_CODE(PROTOCOL_BGP, BA_AS_PATH))
      ),
      f_new_inst(FI_CONSTANT, (struct f_val) { .type = T_BOOL, .val.i = 1, }),
      (yyvsp[-1].r)
  );
}
#line 14449 "obj/conf/cf-parse.tab.c"
    break;

  case 1661: /* l3vpn_channel_start: net_type_base  */
#line 53 "proto/l3vpn/config.Y"
{
  /* Redefining proto_channel to change default values */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[0].i)], (yyvsp[0].i), this_proto);
  if (!this_channel->copy)
  {
    this_channel->out_filter = FILTER_ACCEPT;
    this_channel->preference = net_val_match((yyvsp[0].i), NB_IP) ?
      DEF_PREF_L3VPN_IMPORT :
      DEF_PREF_L3VPN_EXPORT;
  }
}
#line 14465 "obj/conf/cf-parse.tab.c"
    break;

  case 1663: /* l3vpn_proto_start: proto_start L3VPN  */
#line 68 "proto/l3vpn/config.Y"
{
  this_proto = proto_config_new(&proto_l3vpn, (yyvsp[-1].i));
}
#line 14473 "obj/conf/cf-parse.tab.c"
    break;

  case 1667: /* l3vpn_proto_item: RD VPN_RD  */
#line 77 "proto/l3vpn/config.Y"
             { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14479 "obj/conf/cf-parse.tab.c"
    break;

  case 1668: /* l3vpn_proto_item: ROUTE DISTINGUISHER VPN_RD  */
#line 78 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->rd = (yyvsp[0].i64); }
#line 14485 "obj/conf/cf-parse.tab.c"
    break;

  case 1669: /* l3vpn_proto_item: IMPORT TARGET l3vpn_targets  */
#line 79 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->import_target = (yyvsp[0].e); }
#line 14491 "obj/conf/cf-parse.tab.c"
    break;

  case 1670: /* l3vpn_proto_item: EXPORT TARGET l3vpn_targets  */
#line 80 "proto/l3vpn/config.Y"
                               { L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14497 "obj/conf/cf-parse.tab.c"
    break;

  case 1671: /* l3vpn_proto_item: ROUTE TARGET l3vpn_targets  */
#line 81 "proto/l3vpn/config.Y"
                              { L3VPN_CFG->import_target = L3VPN_CFG->export_target = (yyvsp[0].e); }
#line 14503 "obj/conf/cf-parse.tab.c"
    break;

  case 1675: /* l3vpn_targets: ec_item  */
#line 94 "proto/l3vpn/config.Y"
           { f_tree_only_rt((yyvsp[0].e)); (yyval.e) = (yyvsp[0].e); }
#line 14509 "obj/conf/cf-parse.tab.c"
    break;

  case 1676: /* l3vpn_targets: '[' ec_items ']'  */
#line 95 "proto/l3vpn/config.Y"
                    { f_tree_only_rt((yyvsp[-1].e)); (yyval.e) = build_tree((yyvsp[-1].e)); }
#line 14515 "obj/conf/cf-parse.tab.c"
    break;

  case 1678: /* mrt_proto_start: proto_start MRT  */
#line 29 "proto/mrt/config.Y"
{
  this_proto = proto_config_new(&proto_mrt, (yyvsp[-1].i));
}
#line 14523 "obj/conf/cf-parse.tab.c"
    break;

  case 1680: /* mrt_proto_item: TABLE rtable  */
#line 35 "proto/mrt/config.Y"
                        { MRT_CFG->table_cf = (yyvsp[0].r); }
#line 14529 "obj/conf/cf-parse.tab.c"
    break;

  case 1681: /* mrt_proto_item: TABLE TEXT  */
#line 36 "proto/mrt/config.Y"
                        { MRT_CFG->table_expr = (yyvsp[0].t); }
#line 14535 "obj/conf/cf-parse.tab.c"
    break;

  case 1682: /* mrt_proto_item: FILTER filter  */
#line 37 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14541 "obj/conf/cf-parse.tab.c"
    break;

  case 1683: /* mrt_proto_item: where_filter  */
#line 38 "proto/mrt/config.Y"
                        { MRT_CFG->filter = (yyvsp[0].f); }
#line 14547 "obj/conf/cf-parse.tab.c"
    break;

  case 1684: /* mrt_proto_item: FILENAME text  */
#line 39 "proto/mrt/config.Y"
                        { MRT_CFG->filename = (yyvsp[0].t); }
#line 14553 "obj/conf/cf-parse.tab.c"
    break;

  case 1685: /* mrt_proto_item: PERIOD expr  */
#line 40 "proto/mrt/config.Y"
                        { MRT_CFG->period = (yyvsp[0].i); }
#line 14559 "obj/conf/cf-parse.tab.c"
    break;

  case 1686: /* mrt_proto_item: ALWAYS ADD PATH bool  */
#line 41 "proto/mrt/config.Y"
                        { MRT_CFG->always_add_path = (yyvsp[0].i); }
#line 14565 "obj/conf/cf-parse.tab.c"
    break;

  case 1689: /* mrt_proto: mrt_proto_start proto_name '{' mrt_proto_opts '}'  */
#line 50 "proto/mrt/config.Y"
                                                     { mrt_check_config(this_proto); }
#line 14571 "obj/conf/cf-parse.tab.c"
    break;

  case 1691: /* cmd_MRT_DUMP: MRT DUMP mrt_dump_args END  */
#line 54 "proto/mrt/config.Y"
{ mrt_dump_cmd((yyvsp[-1].md)); }
#line 14577 "obj/conf/cf-parse.tab.c"
    break;

  case 1692: /* mrt_dump_args: %empty  */
#line 62 "proto/mrt/config.Y"
               { (yyval.md) = cfg_allocz(sizeof(struct mrt_dump_data)); }
#line 14583 "obj/conf/cf-parse.tab.c"
    break;

  case 1693: /* mrt_dump_args: mrt_dump_args TABLE rtable  */
#line 63 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_ptr = (yyvsp[0].r)->table; }
#line 14589 "obj/conf/cf-parse.tab.c"
    break;

  case 1694: /* mrt_dump_args: mrt_dump_args TABLE TEXT  */
#line 64 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->table_expr = (yyvsp[0].t); }
#line 14595 "obj/conf/cf-parse.tab.c"
    break;

  case 1695: /* mrt_dump_args: mrt_dump_args FILTER filter  */
#line 65 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14601 "obj/conf/cf-parse.tab.c"
    break;

  case 1696: /* mrt_dump_args: mrt_dump_args where_filter  */
#line 66 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-1].md); (yyval.md)->filter = (yyvsp[0].f); }
#line 14607 "obj/conf/cf-parse.tab.c"
    break;

  case 1697: /* mrt_dump_args: mrt_dump_args TO text  */
#line 67 "proto/mrt/config.Y"
                                { (yyval.md) = (yyvsp[-2].md); (yyval.md)->filename = (yyvsp[0].t); }
#line 14613 "obj/conf/cf-parse.tab.c"
    break;

  case 1698: /* proto: ospf_proto '}'  */
#line 212 "proto/ospf/config.Y"
                      { ospf_proto_finish(); }
#line 14619 "obj/conf/cf-parse.tab.c"
    break;

  case 1699: /* ospf_variant: OSPF  */
#line 215 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14625 "obj/conf/cf-parse.tab.c"
    break;

  case 1700: /* ospf_variant: OSPF V2  */
#line 216 "proto/ospf/config.Y"
           { (yyval.i) = 1; }
#line 14631 "obj/conf/cf-parse.tab.c"
    break;

  case 1701: /* ospf_variant: OSPF V3  */
#line 217 "proto/ospf/config.Y"
           { (yyval.i) = 0; }
#line 14637 "obj/conf/cf-parse.tab.c"
    break;

  case 1702: /* ospf_proto_start: proto_start ospf_variant  */
#line 221 "proto/ospf/config.Y"
{
  this_proto = proto_config_new(&proto_ospf, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : 0;

  init_list(&OSPF_CFG->area_list);
  init_list(&OSPF_CFG->vlink_list);
  OSPF_CFG->ecmp = rt_default_ecmp;
  OSPF_CFG->tick = OSPF_DEFAULT_TICK;
  OSPF_CFG->ospf2 = (yyvsp[0].i);
  OSPF_CFG->af_ext = !(yyvsp[0].i);
  OSPF_CFG->gr_mode = OSPF_GR_AWARE;
  OSPF_CFG->gr_time = OSPF_DEFAULT_GR_TIME;
}
#line 14655 "obj/conf/cf-parse.tab.c"
    break;

  case 1705: /* ospf_af_mc: %empty  */
#line 241 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 14661 "obj/conf/cf-parse.tab.c"
    break;

  case 1706: /* ospf_af_mc: MULTICAST  */
#line 242 "proto/ospf/config.Y"
             { (yyval.i) = 1; }
#line 14667 "obj/conf/cf-parse.tab.c"
    break;

  case 1707: /* ospf_channel_start: net_type ospf_af_mc  */
#line 247 "proto/ospf/config.Y"
{
  /* TODO: change name for multicast channels */
  (yyval.cc) = this_channel = channel_config_get(NULL, net_label[(yyvsp[-1].i)], (yyvsp[-1].i), this_proto);

  /* Save the multicast flag */
  OSPF_CFG->af_mc = (yyvsp[0].i);
}
#line 14679 "obj/conf/cf-parse.tab.c"
    break;

  case 1710: /* ospf_proto_item: ospf_channel  */
#line 259 "proto/ospf/config.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 14685 "obj/conf/cf-parse.tab.c"
    break;

  case 1711: /* ospf_proto_item: RFC1583COMPAT bool  */
#line 260 "proto/ospf/config.Y"
                      { OSPF_CFG->rfc1583 = (yyvsp[0].i); }
#line 14691 "obj/conf/cf-parse.tab.c"
    break;

  case 1712: /* ospf_proto_item: RFC5838 bool  */
#line 261 "proto/ospf/config.Y"
                { OSPF_CFG->af_ext = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("RFC5838 option requires OSPFv3"); }
#line 14697 "obj/conf/cf-parse.tab.c"
    break;

  case 1713: /* ospf_proto_item: VPN PE bool  */
#line 262 "proto/ospf/config.Y"
               { OSPF_CFG->vpn_pe = (yyvsp[0].i); }
#line 14703 "obj/conf/cf-parse.tab.c"
    break;

  case 1714: /* ospf_proto_item: STUB ROUTER bool  */
#line 263 "proto/ospf/config.Y"
                    { OSPF_CFG->stub_router = (yyvsp[0].i); }
#line 14709 "obj/conf/cf-parse.tab.c"
    break;

  case 1715: /* ospf_proto_item: GRACEFUL RESTART bool  */
#line 264 "proto/ospf/config.Y"
                         { OSPF_CFG->gr_mode = (yyvsp[0].i); }
#line 14715 "obj/conf/cf-parse.tab.c"
    break;

  case 1716: /* ospf_proto_item: GRACEFUL RESTART AWARE  */
#line 265 "proto/ospf/config.Y"
                          { OSPF_CFG->gr_mode = OSPF_GR_AWARE; }
#line 14721 "obj/conf/cf-parse.tab.c"
    break;

  case 1717: /* ospf_proto_item: GRACEFUL RESTART TIME expr  */
#line 266 "proto/ospf/config.Y"
                              { OSPF_CFG->gr_time = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 1800)) cf_error("Graceful restart time must be in range 1-1800"); }
#line 14727 "obj/conf/cf-parse.tab.c"
    break;

  case 1718: /* ospf_proto_item: ECMP bool  */
#line 267 "proto/ospf/config.Y"
             { OSPF_CFG->ecmp = (yyvsp[0].i) ? OSPF_DEFAULT_ECMP_LIMIT : 0; }
#line 14733 "obj/conf/cf-parse.tab.c"
    break;

  case 1719: /* ospf_proto_item: ECMP bool LIMIT expr  */
#line 268 "proto/ospf/config.Y"
                        { OSPF_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 14739 "obj/conf/cf-parse.tab.c"
    break;

  case 1720: /* ospf_proto_item: MERGE EXTERNAL bool  */
#line 269 "proto/ospf/config.Y"
                       { OSPF_CFG->merge_external = (yyvsp[0].i); }
#line 14745 "obj/conf/cf-parse.tab.c"
    break;

  case 1721: /* ospf_proto_item: TICK expr  */
#line 270 "proto/ospf/config.Y"
             { OSPF_CFG->tick = (yyvsp[0].i); if((yyvsp[0].i) <= 0) cf_error("Tick must be greater than zero"); }
#line 14751 "obj/conf/cf-parse.tab.c"
    break;

  case 1722: /* ospf_proto_item: INSTANCE ID expr  */
#line 271 "proto/ospf/config.Y"
                    { OSPF_CFG->instance_id = (yyvsp[0].i); OSPF_CFG->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 14757 "obj/conf/cf-parse.tab.c"
    break;

  case 1724: /* ospf_area_start: AREA idval  */
#line 275 "proto/ospf/config.Y"
                            {
  this_area = cfg_allocz(sizeof(struct ospf_area_config));
  add_tail(&OSPF_CFG->area_list, NODE this_area);
  this_area->areaid = (yyvsp[0].i32);
  this_area->default_cost = OSPF_DEFAULT_STUB_COST;
  this_area->type = OPT_E;
  this_area->transint = OSPF_DEFAULT_TRANSINT;

  init_list(&this_area->patt_list);
  init_list(&this_area->net_list);
  init_list(&this_area->enet_list);
  init_list(&this_area->stubnet_list);
 }
#line 14775 "obj/conf/cf-parse.tab.c"
    break;

  case 1725: /* ospf_area: ospf_area_start '{' ospf_area_opts '}'  */
#line 290 "proto/ospf/config.Y"
                                                  { ospf_area_finish(); }
#line 14781 "obj/conf/cf-parse.tab.c"
    break;

  case 1728: /* ospf_area_item: STUB bool  */
#line 299 "proto/ospf/config.Y"
             { this_area->type = (yyvsp[0].i) ? 0 : OPT_E; /* We should remove the option */ }
#line 14787 "obj/conf/cf-parse.tab.c"
    break;

  case 1729: /* ospf_area_item: NSSA  */
#line 300 "proto/ospf/config.Y"
        { this_area->type = OPT_N; }
#line 14793 "obj/conf/cf-parse.tab.c"
    break;

  case 1730: /* ospf_area_item: SUMMARY bool  */
#line 301 "proto/ospf/config.Y"
                { this_area->summary = (yyvsp[0].i); }
#line 14799 "obj/conf/cf-parse.tab.c"
    break;

  case 1731: /* ospf_area_item: DEFAULT NSSA bool  */
#line 302 "proto/ospf/config.Y"
                     { this_area->default_nssa = (yyvsp[0].i); }
#line 14805 "obj/conf/cf-parse.tab.c"
    break;

  case 1732: /* ospf_area_item: DEFAULT COST expr  */
#line 303 "proto/ospf/config.Y"
                     { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14811 "obj/conf/cf-parse.tab.c"
    break;

  case 1733: /* ospf_area_item: DEFAULT COST2 expr  */
#line 304 "proto/ospf/config.Y"
                      { this_area->default_cost = (yyvsp[0].i) | LSA_EXT3_EBIT; ospf_check_defcost((yyvsp[0].i)); }
#line 14817 "obj/conf/cf-parse.tab.c"
    break;

  case 1734: /* ospf_area_item: STUB COST expr  */
#line 305 "proto/ospf/config.Y"
                  { this_area->default_cost = (yyvsp[0].i); ospf_check_defcost((yyvsp[0].i)); }
#line 14823 "obj/conf/cf-parse.tab.c"
    break;

  case 1735: /* ospf_area_item: TRANSLATOR bool  */
#line 306 "proto/ospf/config.Y"
                   { this_area->translator = (yyvsp[0].i); }
#line 14829 "obj/conf/cf-parse.tab.c"
    break;

  case 1736: /* ospf_area_item: TRANSLATOR STABILITY expr  */
#line 307 "proto/ospf/config.Y"
                             { this_area->transint = (yyvsp[0].i); }
#line 14835 "obj/conf/cf-parse.tab.c"
    break;

  case 1737: /* $@16: %empty  */
#line 308 "proto/ospf/config.Y"
            { this_nets = &this_area->net_list; }
#line 14841 "obj/conf/cf-parse.tab.c"
    break;

  case 1739: /* $@17: %empty  */
#line 309 "proto/ospf/config.Y"
            { this_nets = &this_area->enet_list; }
#line 14847 "obj/conf/cf-parse.tab.c"
    break;

  case 1746: /* ospf_stubnet_start: net_ip  */
#line 321 "proto/ospf/config.Y"
          {
     this_stubnet = cfg_allocz(sizeof(struct ospf_stubnet_config));
     add_tail(&this_area->stubnet_list, NODE this_stubnet);
     this_stubnet->prefix = (yyvsp[0].net);
     this_stubnet->cost = COST_D;
   }
#line 14858 "obj/conf/cf-parse.tab.c"
    break;

  case 1749: /* ospf_stubnet_item: HIDDEN bool  */
#line 335 "proto/ospf/config.Y"
               { this_stubnet->hidden = (yyvsp[0].i); }
#line 14864 "obj/conf/cf-parse.tab.c"
    break;

  case 1750: /* ospf_stubnet_item: SUMMARY bool  */
#line 336 "proto/ospf/config.Y"
                { this_stubnet->summary = (yyvsp[0].i); }
#line 14870 "obj/conf/cf-parse.tab.c"
    break;

  case 1751: /* ospf_stubnet_item: COST expr  */
#line 337 "proto/ospf/config.Y"
             { this_stubnet->cost = (yyvsp[0].i); }
#line 14876 "obj/conf/cf-parse.tab.c"
    break;

  case 1752: /* ospf_vlink: ospf_vlink_start ospf_instance_id '{' ospf_vlink_opts '}'  */
#line 341 "proto/ospf/config.Y"
                                                             { ospf_iface_finish(); }
#line 14882 "obj/conf/cf-parse.tab.c"
    break;

  case 1753: /* ospf_vlink: ospf_vlink_start ospf_instance_id  */
#line 342 "proto/ospf/config.Y"
                                     { ospf_iface_finish(); }
#line 14888 "obj/conf/cf-parse.tab.c"
    break;

  case 1757: /* ospf_vlink_item: HELLO expr  */
#line 351 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14894 "obj/conf/cf-parse.tab.c"
    break;

  case 1758: /* ospf_vlink_item: RETRANSMIT expr  */
#line 352 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14900 "obj/conf/cf-parse.tab.c"
    break;

  case 1759: /* ospf_vlink_item: TRANSMIT DELAY expr  */
#line 353 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 14906 "obj/conf/cf-parse.tab.c"
    break;

  case 1760: /* ospf_vlink_item: WAIT expr  */
#line 354 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14912 "obj/conf/cf-parse.tab.c"
    break;

  case 1761: /* ospf_vlink_item: DEAD expr  */
#line 355 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14918 "obj/conf/cf-parse.tab.c"
    break;

  case 1762: /* ospf_vlink_item: DEAD COUNT expr  */
#line 356 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 14924 "obj/conf/cf-parse.tab.c"
    break;

  case 1763: /* ospf_vlink_item: AUTHENTICATION NONE  */
#line 357 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE;  }
#line 14930 "obj/conf/cf-parse.tab.c"
    break;

  case 1764: /* ospf_vlink_item: AUTHENTICATION SIMPLE  */
#line 358 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 14936 "obj/conf/cf-parse.tab.c"
    break;

  case 1765: /* ospf_vlink_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 359 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 14942 "obj/conf/cf-parse.tab.c"
    break;

  case 1767: /* ospf_vlink_start: VIRTUAL LINK idval  */
#line 364 "proto/ospf/config.Y"
 {
  if (this_area->areaid == 0) cf_error("Virtual link cannot be in backbone");
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&OSPF_CFG->vlink_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->voa = this_area->areaid;
  OSPF_PATT->vid = (yyvsp[0].i32);
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_VLINK;
  init_list(&OSPF_PATT->nbma_list);
  reset_passwords();
 }
#line 14962 "obj/conf/cf-parse.tab.c"
    break;

  case 1768: /* ospf_iface_item: COST expr  */
#line 382 "proto/ospf/config.Y"
             { OSPF_PATT->cost = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Cost must be in range 1-65535"); }
#line 14968 "obj/conf/cf-parse.tab.c"
    break;

  case 1769: /* ospf_iface_item: HELLO expr  */
#line 383 "proto/ospf/config.Y"
              { OSPF_PATT->helloint = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Hello interval must be in range 1-65535"); }
#line 14974 "obj/conf/cf-parse.tab.c"
    break;

  case 1770: /* ospf_iface_item: POLL expr  */
#line 384 "proto/ospf/config.Y"
             { OSPF_PATT->pollint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=0) cf_error("Poll int must be greater than zero"); }
#line 14980 "obj/conf/cf-parse.tab.c"
    break;

  case 1771: /* ospf_iface_item: RETRANSMIT expr  */
#line 385 "proto/ospf/config.Y"
                   { OSPF_PATT->rxmtint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Retransmit int must be greater than one"); }
#line 14986 "obj/conf/cf-parse.tab.c"
    break;

  case 1772: /* ospf_iface_item: WAIT expr  */
#line 386 "proto/ospf/config.Y"
             { OSPF_PATT->waitint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Wait interval must be greater than one"); }
#line 14992 "obj/conf/cf-parse.tab.c"
    break;

  case 1773: /* ospf_iface_item: DEAD expr  */
#line 387 "proto/ospf/config.Y"
             { OSPF_PATT->deadint = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead interval must be greater than one"); }
#line 14998 "obj/conf/cf-parse.tab.c"
    break;

  case 1774: /* ospf_iface_item: DEAD COUNT expr  */
#line 388 "proto/ospf/config.Y"
                   { OSPF_PATT->deadc = (yyvsp[0].i) ; if ((yyvsp[0].i)<=1) cf_error("Dead count must be greater than one"); }
#line 15004 "obj/conf/cf-parse.tab.c"
    break;

  case 1775: /* ospf_iface_item: TYPE BROADCAST  */
#line 389 "proto/ospf/config.Y"
                  { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 15010 "obj/conf/cf-parse.tab.c"
    break;

  case 1776: /* ospf_iface_item: TYPE BCAST  */
#line 390 "proto/ospf/config.Y"
              { OSPF_PATT->type = OSPF_IT_BCAST ; }
#line 15016 "obj/conf/cf-parse.tab.c"
    break;

  case 1777: /* ospf_iface_item: TYPE NONBROADCAST  */
#line 391 "proto/ospf/config.Y"
                     { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 15022 "obj/conf/cf-parse.tab.c"
    break;

  case 1778: /* ospf_iface_item: TYPE NBMA  */
#line 392 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_NBMA ; }
#line 15028 "obj/conf/cf-parse.tab.c"
    break;

  case 1779: /* ospf_iface_item: TYPE POINTOPOINT  */
#line 393 "proto/ospf/config.Y"
                    { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 15034 "obj/conf/cf-parse.tab.c"
    break;

  case 1780: /* ospf_iface_item: TYPE PTP  */
#line 394 "proto/ospf/config.Y"
            { OSPF_PATT->type = OSPF_IT_PTP ; }
#line 15040 "obj/conf/cf-parse.tab.c"
    break;

  case 1781: /* ospf_iface_item: TYPE POINTOMULTIPOINT  */
#line 395 "proto/ospf/config.Y"
                         { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 15046 "obj/conf/cf-parse.tab.c"
    break;

  case 1782: /* ospf_iface_item: TYPE PTMP  */
#line 396 "proto/ospf/config.Y"
             { OSPF_PATT->type = OSPF_IT_PTMP ; }
#line 15052 "obj/conf/cf-parse.tab.c"
    break;

  case 1783: /* ospf_iface_item: REAL BROADCAST bool  */
#line 397 "proto/ospf/config.Y"
                       { OSPF_PATT->real_bcast = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("Real broadcast option requires OSPFv2"); }
#line 15058 "obj/conf/cf-parse.tab.c"
    break;

  case 1784: /* ospf_iface_item: PTP NETMASK bool  */
#line 398 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_netmask = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP netmask option requires OSPFv2"); }
#line 15064 "obj/conf/cf-parse.tab.c"
    break;

  case 1785: /* ospf_iface_item: PTP ADDRESS bool  */
#line 399 "proto/ospf/config.Y"
                    { OSPF_PATT->ptp_address = (yyvsp[0].i); if (!ospf_cfg_is_v2()) cf_error("PtP address option requires OSPFv2"); }
#line 15070 "obj/conf/cf-parse.tab.c"
    break;

  case 1786: /* ospf_iface_item: TRANSMIT DELAY expr  */
#line 400 "proto/ospf/config.Y"
                       { OSPF_PATT->inftransdelay = (yyvsp[0].i) ; if (((yyvsp[0].i)<=0) || ((yyvsp[0].i)>65535)) cf_error("Transmit delay must be in range 1-65535"); }
#line 15076 "obj/conf/cf-parse.tab.c"
    break;

  case 1787: /* ospf_iface_item: PRIORITY expr  */
#line 401 "proto/ospf/config.Y"
                 { OSPF_PATT->priority = (yyvsp[0].i) ; if ((yyvsp[0].i)>255) cf_error("Priority must be in range 0-255"); }
#line 15082 "obj/conf/cf-parse.tab.c"
    break;

  case 1788: /* ospf_iface_item: STRICT NONBROADCAST bool  */
#line 402 "proto/ospf/config.Y"
                            { OSPF_PATT->strictnbma = (yyvsp[0].i) ; }
#line 15088 "obj/conf/cf-parse.tab.c"
    break;

  case 1789: /* ospf_iface_item: STUB bool  */
#line 403 "proto/ospf/config.Y"
             { OSPF_PATT->stub = (yyvsp[0].i) ; }
#line 15094 "obj/conf/cf-parse.tab.c"
    break;

  case 1790: /* ospf_iface_item: CHECK LINK bool  */
#line 404 "proto/ospf/config.Y"
                   { OSPF_PATT->check_link = (yyvsp[0].i); }
#line 15100 "obj/conf/cf-parse.tab.c"
    break;

  case 1791: /* ospf_iface_item: ECMP WEIGHT expr  */
#line 405 "proto/ospf/config.Y"
                    { OSPF_PATT->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 15106 "obj/conf/cf-parse.tab.c"
    break;

  case 1792: /* ospf_iface_item: LINK LSA SUPPRESSION bool  */
#line 406 "proto/ospf/config.Y"
                             { OSPF_PATT->link_lsa_suppression = (yyvsp[0].i); if (!ospf_cfg_is_v3()) cf_error("Link LSA suppression option requires OSPFv3"); }
#line 15112 "obj/conf/cf-parse.tab.c"
    break;

  case 1794: /* ospf_iface_item: AUTHENTICATION NONE  */
#line 408 "proto/ospf/config.Y"
                       { OSPF_PATT->autype = OSPF_AUTH_NONE; }
#line 15118 "obj/conf/cf-parse.tab.c"
    break;

  case 1795: /* ospf_iface_item: AUTHENTICATION SIMPLE  */
#line 409 "proto/ospf/config.Y"
                         { OSPF_PATT->autype = OSPF_AUTH_SIMPLE; ospf_check_auth(); }
#line 15124 "obj/conf/cf-parse.tab.c"
    break;

  case 1796: /* ospf_iface_item: AUTHENTICATION CRYPTOGRAPHIC  */
#line 410 "proto/ospf/config.Y"
                                { OSPF_PATT->autype = OSPF_AUTH_CRYPT; }
#line 15130 "obj/conf/cf-parse.tab.c"
    break;

  case 1797: /* ospf_iface_item: RX BUFFER NORMAL  */
#line 411 "proto/ospf/config.Y"
                    { OSPF_PATT->rx_buffer = 0; }
#line 15136 "obj/conf/cf-parse.tab.c"
    break;

  case 1798: /* ospf_iface_item: RX BUFFER LARGE  */
#line 412 "proto/ospf/config.Y"
                   { OSPF_PATT->rx_buffer = OSPF_MAX_PKT_SIZE; }
#line 15142 "obj/conf/cf-parse.tab.c"
    break;

  case 1799: /* ospf_iface_item: RX BUFFER expr  */
#line 413 "proto/ospf/config.Y"
                  { OSPF_PATT->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("Buffer size must be in range 256-65535"); }
#line 15148 "obj/conf/cf-parse.tab.c"
    break;

  case 1800: /* ospf_iface_item: TX tos  */
#line 414 "proto/ospf/config.Y"
          { OSPF_PATT->tx_tos = (yyvsp[0].i); }
#line 15154 "obj/conf/cf-parse.tab.c"
    break;

  case 1801: /* ospf_iface_item: TX PRIORITY expr  */
#line 415 "proto/ospf/config.Y"
                    { OSPF_PATT->tx_priority = (yyvsp[0].i); }
#line 15160 "obj/conf/cf-parse.tab.c"
    break;

  case 1802: /* ospf_iface_item: TX LENGTH expr  */
#line 416 "proto/ospf/config.Y"
                  { OSPF_PATT->tx_length = (yyvsp[0].i); if (((yyvsp[0].i) < OSPF_MIN_PKT_SIZE) || ((yyvsp[0].i) > OSPF_MAX_PKT_SIZE)) cf_error("TX length must be in range 256-65535"); }
#line 15166 "obj/conf/cf-parse.tab.c"
    break;

  case 1803: /* ospf_iface_item: TTL SECURITY bool  */
#line 417 "proto/ospf/config.Y"
                     { OSPF_PATT->ttl_security = (yyvsp[0].i); }
#line 15172 "obj/conf/cf-parse.tab.c"
    break;

  case 1804: /* ospf_iface_item: TTL SECURITY TX ONLY  */
#line 418 "proto/ospf/config.Y"
                        { OSPF_PATT->ttl_security = 2; }
#line 15178 "obj/conf/cf-parse.tab.c"
    break;

  case 1805: /* ospf_iface_item: BFD bool  */
#line 419 "proto/ospf/config.Y"
            { OSPF_PATT->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 15184 "obj/conf/cf-parse.tab.c"
    break;

  case 1810: /* pref_base: net_ip  */
#line 431 "proto/ospf/config.Y"
 {
   this_pref = cfg_allocz(sizeof(struct area_net_config));
   add_tail(this_nets, NODE this_pref);
   this_pref->prefix = (yyvsp[0].net);
 }
#line 15194 "obj/conf/cf-parse.tab.c"
    break;

  case 1812: /* pref_opt: HIDDEN  */
#line 440 "proto/ospf/config.Y"
          { this_pref->hidden = 1; }
#line 15200 "obj/conf/cf-parse.tab.c"
    break;

  case 1813: /* pref_opt: TAG expr  */
#line 441 "proto/ospf/config.Y"
            { this_pref->tag = (yyvsp[0].i); }
#line 15206 "obj/conf/cf-parse.tab.c"
    break;

  case 1816: /* nbma_eligible: %empty  */
#line 450 "proto/ospf/config.Y"
             { (yyval.i) = 0; }
#line 15212 "obj/conf/cf-parse.tab.c"
    break;

  case 1817: /* nbma_eligible: ELIGIBLE  */
#line 451 "proto/ospf/config.Y"
            { (yyval.i) = 1; }
#line 15218 "obj/conf/cf-parse.tab.c"
    break;

  case 1818: /* nbma_item: ipa nbma_eligible ';'  */
#line 455 "proto/ospf/config.Y"
 {
   this_nbma = cfg_allocz(sizeof(struct nbma_node));
   add_tail(&OSPF_PATT->nbma_list, NODE this_nbma);
   this_nbma->ip=(yyvsp[-2].a);
   this_nbma->eligible=(yyvsp[-1].i);
 }
#line 15229 "obj/conf/cf-parse.tab.c"
    break;

  case 1819: /* ospf_iface_start: %empty  */
#line 464 "proto/ospf/config.Y"
 {
  this_ipatt = cfg_allocz(sizeof(struct ospf_iface_patt));
  add_tail(&this_area->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  OSPF_PATT->cost = COST_D;
  OSPF_PATT->helloint = HELLOINT_D;
  OSPF_PATT->pollint = POLLINT_D;
  OSPF_PATT->rxmtint = RXMTINT_D;
  OSPF_PATT->inftransdelay = INFTRANSDELAY_D;
  OSPF_PATT->priority = PRIORITY_D;
  OSPF_PATT->deadc = DEADC_D;
  OSPF_PATT->type = OSPF_IT_UNDEF;
  init_list(&OSPF_PATT->nbma_list);
  OSPF_PATT->check_link = 1;
  OSPF_PATT->ptp_netmask = 2; /* not specified */
  OSPF_PATT->ptp_address = 2; /* not specified */
  OSPF_PATT->tx_tos = IP_PREC_INTERNET_CONTROL;
  OSPF_PATT->tx_priority = sk_priority_control;
  reset_passwords();
 }
#line 15254 "obj/conf/cf-parse.tab.c"
    break;

  case 1821: /* ospf_instance_id: INSTANCE expr  */
#line 488 "proto/ospf/config.Y"
                 { OSPF_PATT->instance_id = (yyvsp[0].i); OSPF_PATT->instance_id_set = 1; if ((yyvsp[0].i) > 255) cf_error("Instance ID must be in range 0-255"); }
#line 15260 "obj/conf/cf-parse.tab.c"
    break;

  case 1822: /* $@18: %empty  */
#line 492 "proto/ospf/config.Y"
                   { if (ospf_cfg_is_v3()) iface_patt_check(); }
#line 15266 "obj/conf/cf-parse.tab.c"
    break;

  case 1828: /* ospf_iface: ospf_iface_start ospf_iface_patt_list ospf_iface_opt_list  */
#line 506 "proto/ospf/config.Y"
                                                            { ospf_iface_finish(); }
#line 15272 "obj/conf/cf-parse.tab.c"
    break;

  case 1829: /* dynamic_attr: OSPF_METRIC1  */
#line 509 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC1); }
#line 15278 "obj/conf/cf-parse.tab.c"
    break;

  case 1830: /* dynamic_attr: OSPF_METRIC2  */
#line 510 "proto/ospf/config.Y"
                           { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_METRIC2); }
#line 15284 "obj/conf/cf-parse.tab.c"
    break;

  case 1831: /* dynamic_attr: OSPF_TAG  */
#line 511 "proto/ospf/config.Y"
                       { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_OSPF_TAG); }
#line 15290 "obj/conf/cf-parse.tab.c"
    break;

  case 1832: /* dynamic_attr: OSPF_ROUTER_ID  */
#line 512 "proto/ospf/config.Y"
                             { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_ROUTER_ID, T_QUAD, EA_OSPF_ROUTER_ID); }
#line 15296 "obj/conf/cf-parse.tab.c"
    break;

  case 1834: /* cmd_SHOW_OSPF: SHOW OSPF optproto END  */
#line 516 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_ospf, p) ospf_sh(p); }
#line 15302 "obj/conf/cf-parse.tab.c"
    break;

  case 1836: /* cmd_SHOW_OSPF_NEIGHBORS: SHOW OSPF NEIGHBORS optproto opttext END  */
#line 519 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_neigh(p, (yyvsp[-1].t)); }
#line 15308 "obj/conf/cf-parse.tab.c"
    break;

  case 1838: /* cmd_SHOW_OSPF_INTERFACE: SHOW OSPF INTERFACE optproto opttext END  */
#line 522 "proto/ospf/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_ospf, p) ospf_sh_iface(p, (yyvsp[-1].t)); }
#line 15314 "obj/conf/cf-parse.tab.c"
    break;

  case 1840: /* cmd_SHOW_OSPF_TOPOLOGY: SHOW OSPF TOPOLOGY optproto opttext END  */
#line 527 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 1); }
#line 15320 "obj/conf/cf-parse.tab.c"
    break;

  case 1842: /* cmd_SHOW_OSPF_TOPOLOGY_ALL: SHOW OSPF TOPOLOGY ALL optproto opttext END  */
#line 530 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 0, 0); }
#line 15326 "obj/conf/cf-parse.tab.c"
    break;

  case 1844: /* cmd_SHOW_OSPF_STATE: SHOW OSPF STATE optproto opttext END  */
#line 535 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 1); }
#line 15332 "obj/conf/cf-parse.tab.c"
    break;

  case 1846: /* cmd_SHOW_OSPF_STATE_ALL: SHOW OSPF STATE ALL optproto opttext END  */
#line 538 "proto/ospf/config.Y"
{ ospf_sh_state(proto_get_named((yyvsp[-2].s), &proto_ospf), 1, 0); }
#line 15338 "obj/conf/cf-parse.tab.c"
    break;

  case 1848: /* cmd_SHOW_OSPF_LSADB: SHOW OSPF LSADB lsadb_args END  */
#line 542 "proto/ospf/config.Y"
{
  if (!(yyvsp[-1].ld)->proto)
    (yyvsp[-1].ld)->proto = (struct ospf_proto *) proto_get_named(NULL, &proto_ospf);

  ospf_sh_lsadb((yyvsp[-1].ld));
}
#line 15349 "obj/conf/cf-parse.tab.c"
    break;

  case 1849: /* lsadb_args: %empty  */
#line 558 "proto/ospf/config.Y"
               {
     (yyval.ld) = cfg_allocz(sizeof(struct lsadb_show_data));
   }
#line 15357 "obj/conf/cf-parse.tab.c"
    break;

  case 1850: /* lsadb_args: lsadb_args GLOBAL  */
#line 561 "proto/ospf/config.Y"
                     { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = LSA_SCOPE_AS; }
#line 15363 "obj/conf/cf-parse.tab.c"
    break;

  case 1851: /* lsadb_args: lsadb_args AREA idval  */
#line 562 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->scope = LSA_SCOPE_AREA; (yyval.ld)->area = (yyvsp[0].i32); }
#line 15369 "obj/conf/cf-parse.tab.c"
    break;

  case 1852: /* lsadb_args: lsadb_args LINK  */
#line 563 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->scope = 1; /* hack, 0 is no filter */ }
#line 15375 "obj/conf/cf-parse.tab.c"
    break;

  case 1853: /* lsadb_args: lsadb_args TYPE NUM  */
#line 564 "proto/ospf/config.Y"
                       { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->type = (yyvsp[0].i); }
#line 15381 "obj/conf/cf-parse.tab.c"
    break;

  case 1854: /* lsadb_args: lsadb_args LSID idval  */
#line 565 "proto/ospf/config.Y"
                         { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->lsid = (yyvsp[0].i32); }
#line 15387 "obj/conf/cf-parse.tab.c"
    break;

  case 1855: /* lsadb_args: lsadb_args SELF  */
#line 566 "proto/ospf/config.Y"
                   { (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->router = SH_ROUTER_SELF; }
#line 15393 "obj/conf/cf-parse.tab.c"
    break;

  case 1856: /* lsadb_args: lsadb_args ROUTER idval  */
#line 567 "proto/ospf/config.Y"
                           { (yyval.ld) = (yyvsp[-2].ld); (yyval.ld)->router = (yyvsp[0].i32); }
#line 15399 "obj/conf/cf-parse.tab.c"
    break;

  case 1857: /* lsadb_args: lsadb_args CF_SYM_KNOWN  */
#line 568 "proto/ospf/config.Y"
                           { cf_assert_symbol((yyvsp[0].s), SYM_PROTO); (yyval.ld) = (yyvsp[-1].ld); (yyval.ld)->proto = (struct ospf_proto *) proto_get_named((yyvsp[0].s), &proto_ospf); }
#line 15405 "obj/conf/cf-parse.tab.c"
    break;

  case 1859: /* perf_proto_start: proto_start PERF  */
#line 27 "proto/perf/config.Y"
{
  this_proto = proto_config_new(&proto_perf, (yyvsp[-1].i));
  PERF_CFG->from = 10;
  PERF_CFG->to = 20;
  PERF_CFG->repeat = 4;
  PERF_CFG->threshold_max = 500 MS_;
  PERF_CFG->threshold_min = 1 MS_;
  PERF_CFG->attrs_per_rte = 0;
  PERF_CFG->keep = 0;
  PERF_CFG->mode = PERF_MODE_IMPORT;
}
#line 15421 "obj/conf/cf-parse.tab.c"
    break;

  case 1863: /* perf_proto_item: proto_channel  */
#line 46 "proto/perf/config.Y"
                 { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 15427 "obj/conf/cf-parse.tab.c"
    break;

  case 1864: /* perf_proto_item: EXP FROM NUM  */
#line 47 "proto/perf/config.Y"
                { PERF_CFG->from = (yyvsp[0].i); }
#line 15433 "obj/conf/cf-parse.tab.c"
    break;

  case 1865: /* perf_proto_item: EXP TO NUM  */
#line 48 "proto/perf/config.Y"
              { PERF_CFG->to = (yyvsp[0].i); }
#line 15439 "obj/conf/cf-parse.tab.c"
    break;

  case 1866: /* perf_proto_item: REPEAT NUM  */
#line 49 "proto/perf/config.Y"
              { PERF_CFG->repeat = (yyvsp[0].i); }
#line 15445 "obj/conf/cf-parse.tab.c"
    break;

  case 1867: /* perf_proto_item: THRESHOLD MIN expr_us  */
#line 50 "proto/perf/config.Y"
                         { PERF_CFG->threshold_min = (yyvsp[0].time); }
#line 15451 "obj/conf/cf-parse.tab.c"
    break;

  case 1868: /* perf_proto_item: THRESHOLD MAX expr_us  */
#line 51 "proto/perf/config.Y"
                         { PERF_CFG->threshold_max = (yyvsp[0].time); }
#line 15457 "obj/conf/cf-parse.tab.c"
    break;

  case 1869: /* perf_proto_item: ATTRIBUTES NUM  */
#line 52 "proto/perf/config.Y"
                  { PERF_CFG->attrs_per_rte = (yyvsp[0].i); }
#line 15463 "obj/conf/cf-parse.tab.c"
    break;

  case 1870: /* perf_proto_item: KEEP bool  */
#line 53 "proto/perf/config.Y"
             { PERF_CFG->keep = (yyvsp[0].i); }
#line 15469 "obj/conf/cf-parse.tab.c"
    break;

  case 1871: /* perf_proto_item: MODE IMPORT  */
#line 54 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_IMPORT; }
#line 15475 "obj/conf/cf-parse.tab.c"
    break;

  case 1872: /* perf_proto_item: MODE EXPORT  */
#line 55 "proto/perf/config.Y"
               { PERF_CFG->mode = PERF_MODE_EXPORT; }
#line 15481 "obj/conf/cf-parse.tab.c"
    break;

  case 1873: /* proto: pipe_proto '}'  */
#line 23 "proto/pipe/config.Y"
                      { this_channel = NULL; }
#line 15487 "obj/conf/cf-parse.tab.c"
    break;

  case 1874: /* $@19: %empty  */
#line 26 "proto/pipe/config.Y"
{
  this_proto = proto_config_new(&proto_pipe, (yyvsp[-1].i));
}
#line 15495 "obj/conf/cf-parse.tab.c"
    break;

  case 1875: /* pipe_proto_start: proto_start PIPE $@19 proto_name  */
#line 30 "proto/pipe/config.Y"
{
  this_channel = proto_cf_main_channel(this_proto);
  if (!this_channel) {
    this_channel = channel_config_new(NULL, NULL, 0, this_proto);
    this_channel->in_filter = FILTER_ACCEPT;
    this_channel->out_filter = FILTER_ACCEPT;
  }
}
#line 15508 "obj/conf/cf-parse.tab.c"
    break;

  case 1879: /* pipe_proto: pipe_proto PEER TABLE rtable ';'  */
#line 43 "proto/pipe/config.Y"
                                    { PIPE_CFG->peer = (yyvsp[-1].r); }
#line 15514 "obj/conf/cf-parse.tab.c"
    break;

  case 1881: /* radv_proto_start: proto_start RADV  */
#line 56 "proto/radv/config.Y"
{
  this_proto = proto_config_new(&proto_radv, (yyvsp[-1].i));
  this_proto->net_type = NET_IP6;

  init_list(&RADV_CFG->patt_list);
  init_list(&RADV_CFG->pref_list);
  init_list(&RADV_CFG->rdnss_list);
  init_list(&RADV_CFG->dnssl_list);
  init_list(&RADV_CFG->custom_list);
}
#line 15529 "obj/conf/cf-parse.tab.c"
    break;

  case 1885: /* radv_proto_item: PREFIX radv_prefix  */
#line 71 "proto/radv/config.Y"
                      { add_tail(&RADV_CFG->pref_list, NODE this_radv_prefix); }
#line 15535 "obj/conf/cf-parse.tab.c"
    break;

  case 1886: /* $@20: %empty  */
#line 72 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15541 "obj/conf/cf-parse.tab.c"
    break;

  case 1887: /* radv_proto_item: RDNSS $@20 radv_rdnss  */
#line 72 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->rdnss_list, &radv_dns_list); }
#line 15547 "obj/conf/cf-parse.tab.c"
    break;

  case 1888: /* $@21: %empty  */
#line 73 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15553 "obj/conf/cf-parse.tab.c"
    break;

  case 1889: /* radv_proto_item: DNSSL $@21 radv_dnssl  */
#line 73 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_CFG->dnssl_list, &radv_dns_list); }
#line 15559 "obj/conf/cf-parse.tab.c"
    break;

  case 1890: /* radv_proto_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 74 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_CFG->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15565 "obj/conf/cf-parse.tab.c"
    break;

  case 1891: /* radv_proto_item: TRIGGER net_ip6  */
#line 75 "proto/radv/config.Y"
                   { RADV_CFG->trigger = (yyvsp[0].net); }
#line 15571 "obj/conf/cf-parse.tab.c"
    break;

  case 1892: /* radv_proto_item: PROPAGATE ROUTES bool  */
#line 76 "proto/radv/config.Y"
                         { RADV_CFG->propagate_routes = (yyvsp[0].i); }
#line 15577 "obj/conf/cf-parse.tab.c"
    break;

  case 1896: /* radv_iface_start: %empty  */
#line 89 "proto/radv/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct radv_iface_config));
  add_tail(&RADV_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  init_list(&RADV_IFACE->pref_list);
  init_list(&RADV_IFACE->rdnss_list);
  init_list(&RADV_IFACE->dnssl_list);
  init_list(&RADV_IFACE->custom_list);

  RADV_IFACE->min_ra_int = (u32) -1; /* undefined */
  RADV_IFACE->max_ra_int = DEFAULT_MAX_RA_INT;
  RADV_IFACE->min_delay = DEFAULT_MIN_DELAY;
  RADV_IFACE->prefix_linger_time = (u32) -1;
  RADV_IFACE->route_linger_time = (u32) -1;
  RADV_IFACE->current_hop_limit = DEFAULT_CURRENT_HOP_LIMIT;
  RADV_IFACE->default_lifetime = (u32) -1;
  RADV_IFACE->default_lifetime_sensitive = 1;
  RADV_IFACE->default_preference = RA_PREF_MEDIUM;
  RADV_IFACE->route_lifetime = (u32) -1;
  RADV_IFACE->route_lifetime_sensitive = 0;
  RADV_IFACE->route_preference = RA_PREF_MEDIUM;
}
#line 15604 "obj/conf/cf-parse.tab.c"
    break;

  case 1897: /* radv_iface_item: MIN RA INTERVAL expr  */
#line 113 "proto/radv/config.Y"
                        { RADV_IFACE->min_ra_int = (yyvsp[0].i); if ((yyvsp[0].i) < 3) cf_error("Min RA interval must be at least 3"); }
#line 15610 "obj/conf/cf-parse.tab.c"
    break;

  case 1898: /* radv_iface_item: MAX RA INTERVAL expr  */
#line 114 "proto/radv/config.Y"
                        { RADV_IFACE->max_ra_int = (yyvsp[0].i); if (((yyvsp[0].i) < 4) || ((yyvsp[0].i) > 1800)) cf_error("Max RA interval must be in range 4-1800"); }
#line 15616 "obj/conf/cf-parse.tab.c"
    break;

  case 1899: /* radv_iface_item: MIN DELAY expr  */
#line 115 "proto/radv/config.Y"
                  { RADV_IFACE->min_delay = (yyvsp[0].i); if ((yyvsp[0].i) <= 0) cf_error("Min delay must be positive"); }
#line 15622 "obj/conf/cf-parse.tab.c"
    break;

  case 1900: /* radv_iface_item: SOLICITED RA UNICAST bool  */
#line 116 "proto/radv/config.Y"
                             { RADV_IFACE->solicited_ra_unicast = (yyvsp[0].i); }
#line 15628 "obj/conf/cf-parse.tab.c"
    break;

  case 1901: /* radv_iface_item: MANAGED bool  */
#line 117 "proto/radv/config.Y"
                { RADV_IFACE->managed = (yyvsp[0].i); }
#line 15634 "obj/conf/cf-parse.tab.c"
    break;

  case 1902: /* radv_iface_item: OTHER CONFIG bool  */
#line 118 "proto/radv/config.Y"
                     { RADV_IFACE->other_config = (yyvsp[0].i); }
#line 15640 "obj/conf/cf-parse.tab.c"
    break;

  case 1903: /* radv_iface_item: LINK MTU expr  */
#line 119 "proto/radv/config.Y"
                 { RADV_IFACE->link_mtu = (yyvsp[0].i); }
#line 15646 "obj/conf/cf-parse.tab.c"
    break;

  case 1904: /* radv_iface_item: REACHABLE TIME expr  */
#line 120 "proto/radv/config.Y"
                       { RADV_IFACE->reachable_time = (yyvsp[0].i); if ((yyvsp[0].i) > 3600000) cf_error("Reachable time must be in range 0-3600000"); }
#line 15652 "obj/conf/cf-parse.tab.c"
    break;

  case 1905: /* radv_iface_item: RETRANS TIMER expr  */
#line 121 "proto/radv/config.Y"
                      { RADV_IFACE->retrans_timer = (yyvsp[0].i); }
#line 15658 "obj/conf/cf-parse.tab.c"
    break;

  case 1906: /* radv_iface_item: CURRENT HOP LIMIT expr  */
#line 122 "proto/radv/config.Y"
                          { RADV_IFACE->current_hop_limit = (yyvsp[0].i); if ((yyvsp[0].i) > 255) cf_error("Current hop limit must be in range 0-255"); }
#line 15664 "obj/conf/cf-parse.tab.c"
    break;

  case 1907: /* radv_iface_item: DEFAULT LIFETIME expr radv_sensitive  */
#line 123 "proto/radv/config.Y"
                                        {
     RADV_IFACE->default_lifetime = (yyvsp[-1].i);
     if ((yyvsp[-1].i) > 9000)  cf_error("Default lifetime must be in range 0-9000");
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->default_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15674 "obj/conf/cf-parse.tab.c"
    break;

  case 1908: /* radv_iface_item: ROUTE LIFETIME expr radv_sensitive  */
#line 128 "proto/radv/config.Y"
                                      {
     RADV_IFACE->route_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_IFACE->route_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15683 "obj/conf/cf-parse.tab.c"
    break;

  case 1909: /* radv_iface_item: DEFAULT PREFERENCE radv_preference  */
#line 132 "proto/radv/config.Y"
                                      { RADV_IFACE->default_preference = (yyvsp[0].i); }
#line 15689 "obj/conf/cf-parse.tab.c"
    break;

  case 1910: /* radv_iface_item: ROUTE PREFERENCE radv_preference  */
#line 133 "proto/radv/config.Y"
                                    { RADV_IFACE->route_preference = (yyvsp[0].i); }
#line 15695 "obj/conf/cf-parse.tab.c"
    break;

  case 1911: /* radv_iface_item: PREFIX LINGER TIME expr  */
#line 134 "proto/radv/config.Y"
                           { RADV_IFACE->prefix_linger_time = (yyvsp[0].i); }
#line 15701 "obj/conf/cf-parse.tab.c"
    break;

  case 1912: /* radv_iface_item: ROUTE LINGER TIME expr  */
#line 135 "proto/radv/config.Y"
                          { RADV_IFACE->route_linger_time = (yyvsp[0].i); }
#line 15707 "obj/conf/cf-parse.tab.c"
    break;

  case 1913: /* radv_iface_item: PREFIX radv_prefix  */
#line 136 "proto/radv/config.Y"
                      { add_tail(&RADV_IFACE->pref_list, NODE this_radv_prefix); }
#line 15713 "obj/conf/cf-parse.tab.c"
    break;

  case 1914: /* $@22: %empty  */
#line 137 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15719 "obj/conf/cf-parse.tab.c"
    break;

  case 1915: /* radv_iface_item: RDNSS $@22 radv_rdnss  */
#line 137 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->rdnss_list, &radv_dns_list); }
#line 15725 "obj/conf/cf-parse.tab.c"
    break;

  case 1916: /* $@23: %empty  */
#line 138 "proto/radv/config.Y"
         { init_list(&radv_dns_list); }
#line 15731 "obj/conf/cf-parse.tab.c"
    break;

  case 1917: /* radv_iface_item: DNSSL $@23 radv_dnssl  */
#line 138 "proto/radv/config.Y"
                                                   { add_tail_list(&RADV_IFACE->dnssl_list, &radv_dns_list); }
#line 15737 "obj/conf/cf-parse.tab.c"
    break;

  case 1918: /* radv_iface_item: CUSTOM OPTION TYPE expr VALUE bytestring  */
#line 139 "proto/radv/config.Y"
                                            { radv_add_to_custom_list(&RADV_IFACE->custom_list, (yyvsp[-2].i), (yyvsp[0].bs)); }
#line 15743 "obj/conf/cf-parse.tab.c"
    break;

  case 1919: /* radv_iface_item: RDNSS LOCAL bool  */
#line 140 "proto/radv/config.Y"
                    { RADV_IFACE->rdnss_local = (yyvsp[0].i); }
#line 15749 "obj/conf/cf-parse.tab.c"
    break;

  case 1920: /* radv_iface_item: DNSSL LOCAL bool  */
#line 141 "proto/radv/config.Y"
                    { RADV_IFACE->dnssl_local = (yyvsp[0].i); }
#line 15755 "obj/conf/cf-parse.tab.c"
    break;

  case 1921: /* radv_iface_item: CUSTOM OPTION LOCAL bool  */
#line 142 "proto/radv/config.Y"
                            { RADV_IFACE->custom_local = (yyvsp[0].i); }
#line 15761 "obj/conf/cf-parse.tab.c"
    break;

  case 1922: /* radv_preference: LOW  */
#line 146 "proto/radv/config.Y"
       { (yyval.i) = RA_PREF_LOW; }
#line 15767 "obj/conf/cf-parse.tab.c"
    break;

  case 1923: /* radv_preference: MEDIUM  */
#line 147 "proto/radv/config.Y"
          { (yyval.i) = RA_PREF_MEDIUM; }
#line 15773 "obj/conf/cf-parse.tab.c"
    break;

  case 1924: /* radv_preference: HIGH  */
#line 148 "proto/radv/config.Y"
        { (yyval.i) = RA_PREF_HIGH; }
#line 15779 "obj/conf/cf-parse.tab.c"
    break;

  case 1925: /* radv_iface_finish: %empty  */
#line 151 "proto/radv/config.Y"
{
  struct radv_iface_config *ic = RADV_IFACE;

  if (ic->min_ra_int == (u32) -1)
    ic->min_ra_int = MAX_(ic->max_ra_int / 3, 3);

  if (ic->default_lifetime == (u32) -1)
    ic->default_lifetime = 3 * ic->max_ra_int;

  if (ic->route_lifetime == (u32) -1)
    ic->route_lifetime = 3 * ic->max_ra_int;

  if (ic->prefix_linger_time == (u32) -1)
    ic->prefix_linger_time = 3 * ic->max_ra_int;

  if (ic->route_linger_time == (u32) -1)
    ic->route_linger_time = 3 * ic->max_ra_int;

  if ((ic->min_ra_int > 3) &&
      (ic->min_ra_int > (ic->max_ra_int * 3 / 4)))
    cf_error("Min RA interval must be at most 3/4 * Max RA interval");

  if ((ic->default_lifetime > 0) && (ic->default_lifetime < ic->max_ra_int))
    cf_error("Default lifetime must be either 0 or at least Max RA interval");

  if ((ic->route_lifetime > 0) && (ic->route_lifetime < ic->max_ra_int))
    cf_error("Route lifetime must be either 0 or at least Max RA interval");

  if ((ic->prefix_linger_time > 0) && (ic->prefix_linger_time < ic->max_ra_int))
    cf_error("Prefix linger time must be either 0 or at least Max RA interval");

  if ((ic->route_linger_time > 0) && (ic->route_linger_time < ic->max_ra_int))
    cf_error("Route linger time must be either 0 or at least Max RA interval");

  RADV_CFG->max_linger_time = MAX_(RADV_CFG->max_linger_time, ic->route_linger_time);
}
#line 15820 "obj/conf/cf-parse.tab.c"
    break;

  case 1931: /* radv_prefix_start: net_ip6  */
#line 204 "proto/radv/config.Y"
{
  this_radv_prefix = cfg_allocz(sizeof(struct radv_prefix_config));
  RADV_PREFIX->prefix = *(net_addr_ip6 *) &((yyvsp[0].net));

  RADV_PREFIX->onlink = 1;
  RADV_PREFIX->autonomous = 1;
  RADV_PREFIX->valid_lifetime = DEFAULT_VALID_LIFETIME;
  RADV_PREFIX->preferred_lifetime = DEFAULT_PREFERRED_LIFETIME;
}
#line 15834 "obj/conf/cf-parse.tab.c"
    break;

  case 1932: /* radv_prefix_item: SKIP bool  */
#line 215 "proto/radv/config.Y"
             { RADV_PREFIX->skip = (yyvsp[0].i); }
#line 15840 "obj/conf/cf-parse.tab.c"
    break;

  case 1933: /* radv_prefix_item: ONLINK bool  */
#line 216 "proto/radv/config.Y"
               { RADV_PREFIX->onlink = (yyvsp[0].i); }
#line 15846 "obj/conf/cf-parse.tab.c"
    break;

  case 1934: /* radv_prefix_item: AUTONOMOUS bool  */
#line 217 "proto/radv/config.Y"
                   { RADV_PREFIX->autonomous = (yyvsp[0].i); }
#line 15852 "obj/conf/cf-parse.tab.c"
    break;

  case 1935: /* radv_prefix_item: VALID LIFETIME expr radv_sensitive  */
#line 218 "proto/radv/config.Y"
                                      {
     RADV_PREFIX->valid_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->valid_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15861 "obj/conf/cf-parse.tab.c"
    break;

  case 1936: /* radv_prefix_item: PREFERRED LIFETIME expr radv_sensitive  */
#line 222 "proto/radv/config.Y"
                                          {
     RADV_PREFIX->preferred_lifetime = (yyvsp[-1].i);
     if ((yyvsp[0].i) != (uint) -1) RADV_PREFIX->preferred_lifetime_sensitive = (yyvsp[0].i);
   }
#line 15870 "obj/conf/cf-parse.tab.c"
    break;

  case 1937: /* radv_prefix_finish: %empty  */
#line 229 "proto/radv/config.Y"
{
  if (RADV_PREFIX->preferred_lifetime > RADV_PREFIX->valid_lifetime)
    cf_error("Preferred lifetime must be at most Valid lifetime");

  if (RADV_PREFIX->valid_lifetime_sensitive > RADV_PREFIX->preferred_lifetime_sensitive)
    cf_error("Valid lifetime sensitive requires that Preferred lifetime is sensitive too");
}
#line 15882 "obj/conf/cf-parse.tab.c"
    break;

  case 1943: /* radv_rdnss_node: ipa  */
#line 253 "proto/radv/config.Y"
{
  struct radv_rdnss_config *cf = cfg_allocz(sizeof(struct radv_rdnss_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->server = (yyvsp[0].a);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15894 "obj/conf/cf-parse.tab.c"
    break;

  case 1944: /* radv_rdnss_start: %empty  */
#line 262 "proto/radv/config.Y"
{
  RADV_RDNSS->lifetime = 0;
  RADV_RDNSS->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15903 "obj/conf/cf-parse.tab.c"
    break;

  case 1947: /* radv_rdnss_item: LIFETIME radv_mult  */
#line 269 "proto/radv/config.Y"
                      { RADV_RDNSS->lifetime = (yyvsp[0].i); RADV_RDNSS->lifetime_mult = radv_mult_val; }
#line 15909 "obj/conf/cf-parse.tab.c"
    break;

  case 1948: /* radv_rdnss_finish: %empty  */
#line 273 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No nameserver in RDNSS section");

  struct radv_rdnss_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_RDNSS->lifetime;
    cf->lifetime_mult = RADV_RDNSS->lifetime_mult;
  }
}
#line 15925 "obj/conf/cf-parse.tab.c"
    break;

  case 1953: /* radv_dnssl_node: TEXT  */
#line 297 "proto/radv/config.Y"
{
  struct radv_dnssl_config *cf = cfg_allocz(sizeof(struct radv_dnssl_config));
  add_tail(&radv_dns_list, NODE cf);

  cf->domain = (yyvsp[0].t);
  cf->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;

  if (radv_process_domain(cf) < 0)
    cf_error("Invalid domain dame");
}
#line 15940 "obj/conf/cf-parse.tab.c"
    break;

  case 1954: /* radv_dnssl_start: %empty  */
#line 309 "proto/radv/config.Y"
{
  RADV_DNSSL->lifetime = 0;
  RADV_DNSSL->lifetime_mult = DEFAULT_DNS_LIFETIME_MULT;
}
#line 15949 "obj/conf/cf-parse.tab.c"
    break;

  case 1957: /* radv_dnssl_item: LIFETIME radv_mult  */
#line 316 "proto/radv/config.Y"
                      { RADV_DNSSL->lifetime = (yyvsp[0].i); RADV_DNSSL->lifetime_mult = radv_mult_val; }
#line 15955 "obj/conf/cf-parse.tab.c"
    break;

  case 1958: /* radv_dnssl_finish: %empty  */
#line 320 "proto/radv/config.Y"
{
  if (EMPTY_LIST(radv_dns_list))
    cf_error("No domain in DNSSL section");

  struct radv_dnssl_config *cf;
  WALK_LIST(cf, radv_dns_list)
  {
    cf->lifetime = RADV_DNSSL->lifetime;
    cf->lifetime_mult = RADV_DNSSL->lifetime_mult;
  }
}
#line 15971 "obj/conf/cf-parse.tab.c"
    break;

  case 1963: /* radv_mult: expr  */
#line 344 "proto/radv/config.Y"
        { (yyval.i) = (yyvsp[0].i); radv_mult_val = 0; }
#line 15977 "obj/conf/cf-parse.tab.c"
    break;

  case 1964: /* radv_mult: MULT expr  */
#line 345 "proto/radv/config.Y"
             { (yyval.i) = 0; radv_mult_val = (yyvsp[0].i); if (((yyvsp[0].i) < 1) || ((yyvsp[0].i) > 254)) cf_error("Multiplier must be in range 1-254"); }
#line 15983 "obj/conf/cf-parse.tab.c"
    break;

  case 1965: /* radv_sensitive: %empty  */
#line 349 "proto/radv/config.Y"
               { (yyval.i) = (uint) -1; }
#line 15989 "obj/conf/cf-parse.tab.c"
    break;

  case 1966: /* radv_sensitive: SENSITIVE bool  */
#line 350 "proto/radv/config.Y"
                  { (yyval.i) = (yyvsp[0].i); }
#line 15995 "obj/conf/cf-parse.tab.c"
    break;

  case 1967: /* dynamic_attr: RA_PREFERENCE  */
#line 353 "proto/radv/config.Y"
                            { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_ENUM_RA_PREFERENCE, EA_RA_PREFERENCE); }
#line 16001 "obj/conf/cf-parse.tab.c"
    break;

  case 1968: /* dynamic_attr: RA_LIFETIME  */
#line 354 "proto/radv/config.Y"
                          { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RA_LIFETIME); }
#line 16007 "obj/conf/cf-parse.tab.c"
    break;

  case 1970: /* rip_variant: RIP  */
#line 50 "proto/rip/config.Y"
          { (yyval.i) = 1; }
#line 16013 "obj/conf/cf-parse.tab.c"
    break;

  case 1971: /* rip_variant: RIP NG  */
#line 51 "proto/rip/config.Y"
          { (yyval.i) = 0; }
#line 16019 "obj/conf/cf-parse.tab.c"
    break;

  case 1972: /* rip_proto_start: proto_start rip_variant  */
#line 55 "proto/rip/config.Y"
{
  this_proto = proto_config_new(&proto_rip, (yyvsp[-1].i));
  this_proto->net_type = (yyvsp[0].i) ? NET_IP4 : NET_IP6;

  init_list(&RIP_CFG->patt_list);
  RIP_CFG->rip2 = (yyvsp[0].i);
  RIP_CFG->ecmp = rt_default_ecmp;
  RIP_CFG->infinity = RIP_DEFAULT_INFINITY;
  RIP_CFG->min_timeout_time = 60 S_;
  RIP_CFG->max_garbage_time = 60 S_;
}
#line 16035 "obj/conf/cf-parse.tab.c"
    break;

  case 1975: /* rip_proto_item: ECMP bool  */
#line 70 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[0].i) ? RIP_DEFAULT_ECMP_LIMIT : 0; }
#line 16041 "obj/conf/cf-parse.tab.c"
    break;

  case 1976: /* rip_proto_item: ECMP bool LIMIT expr  */
#line 71 "proto/rip/config.Y"
                        { RIP_CFG->ecmp = (yyvsp[-2].i) ? (yyvsp[0].i) : 0; }
#line 16047 "obj/conf/cf-parse.tab.c"
    break;

  case 1977: /* rip_proto_item: INFINITY expr  */
#line 72 "proto/rip/config.Y"
                        { RIP_CFG->infinity = (yyvsp[0].i); }
#line 16053 "obj/conf/cf-parse.tab.c"
    break;

  case 1982: /* rip_iface_start: %empty  */
#line 86 "proto/rip/config.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct rip_iface_config));
  add_tail(&RIP_CFG->patt_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
  reset_passwords();

  RIP_IFACE->metric = 1;
  RIP_IFACE->port = rip_cfg_is_v2() ? RIP_PORT : RIP_NG_PORT;
  RIP_IFACE->version = rip_cfg_is_v2() ? RIP_V2 : RIP_V1;
  RIP_IFACE->split_horizon = 1;
  RIP_IFACE->poison_reverse = 1;
  RIP_IFACE->check_zero = 1;
  RIP_IFACE->check_link = 1;
  RIP_IFACE->ttl_security = rip_cfg_is_v2() ? 0 : 1;
  RIP_IFACE->rx_buffer = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_length = rip_cfg_is_v2() ? RIP_MAX_PKT_LENGTH : 0;
  RIP_IFACE->tx_tos = IP_PREC_INTERNET_CONTROL;
  RIP_IFACE->tx_priority = sk_priority_control;
  RIP_IFACE->update_time = RIP_DEFAULT_UPDATE_TIME;
  RIP_IFACE->timeout_time = RIP_DEFAULT_TIMEOUT_TIME;
  RIP_IFACE->garbage_time = RIP_DEFAULT_GARBAGE_TIME;
  RIP_IFACE->rxmt_time = RIP_DEFAULT_RXMT_TIME;
}
#line 16081 "obj/conf/cf-parse.tab.c"
    break;

  case 1983: /* rip_iface_finish: %empty  */
#line 111 "proto/rip/config.Y"
{
  /* Default mode is broadcast for RIPv1, multicast for RIPv2 and RIPng */
  if (!RIP_IFACE->mode)
    RIP_IFACE->mode = (rip_cfg_is_v2() && (RIP_IFACE->version == RIP_V1)) ?
      RIP_IM_BROADCAST : RIP_IM_MULTICAST;

  RIP_IFACE->passwords = get_passwords();

  if (!RIP_IFACE->auth_type != !RIP_IFACE->passwords)
    cf_warn("Authentication and password options should be used together");

  if (RIP_IFACE->passwords)
  {
    struct password_item *pass;
    WALK_LIST(pass, *RIP_IFACE->passwords)
    {
      if (pass->alg && (RIP_IFACE->auth_type != RIP_AUTH_CRYPTO))
	cf_error("Password algorithm option requires cryptographic authentication");

      /* Set default crypto algorithm (MD5) */
      if (!pass->alg && (RIP_IFACE->auth_type == RIP_AUTH_CRYPTO))
	pass->alg = ALG_MD5;
    }
  }

  RIP_CFG->min_timeout_time = MIN_(RIP_CFG->min_timeout_time, RIP_IFACE->timeout_time);
  RIP_CFG->max_garbage_time = MAX_(RIP_CFG->max_garbage_time, RIP_IFACE->garbage_time);
}
#line 16114 "obj/conf/cf-parse.tab.c"
    break;

  case 1984: /* rip_iface_item: METRIC expr  */
#line 141 "proto/rip/config.Y"
                        { RIP_IFACE->metric = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>255)) cf_error("Metric must be in range 1-255"); }
#line 16120 "obj/conf/cf-parse.tab.c"
    break;

  case 1985: /* rip_iface_item: MODE MULTICAST  */
#line 142 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_MULTICAST; }
#line 16126 "obj/conf/cf-parse.tab.c"
    break;

  case 1986: /* rip_iface_item: MODE BROADCAST  */
#line 143 "proto/rip/config.Y"
                        { RIP_IFACE->mode = RIP_IM_BROADCAST; if (rip_cfg_is_ng()) cf_error("Broadcast not supported in RIPng"); }
#line 16132 "obj/conf/cf-parse.tab.c"
    break;

  case 1987: /* rip_iface_item: PASSIVE bool  */
#line 144 "proto/rip/config.Y"
                        { RIP_IFACE->passive = (yyvsp[0].i); }
#line 16138 "obj/conf/cf-parse.tab.c"
    break;

  case 1988: /* rip_iface_item: ADDRESS ipa  */
#line 145 "proto/rip/config.Y"
                        { RIP_IFACE->address = (yyvsp[0].a); if (ipa_is_ip4((yyvsp[0].a)) != rip_cfg_is_v2()) cf_error("IP address version mismatch"); }
#line 16144 "obj/conf/cf-parse.tab.c"
    break;

  case 1989: /* rip_iface_item: PORT expr  */
#line 146 "proto/rip/config.Y"
                        { RIP_IFACE->port = (yyvsp[0].i); if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>65535)) cf_error("Invalid port number"); }
#line 16150 "obj/conf/cf-parse.tab.c"
    break;

  case 1990: /* rip_iface_item: VERSION expr  */
#line 147 "proto/rip/config.Y"
                        { RIP_IFACE->version = (yyvsp[0].i);
			  if (rip_cfg_is_ng()) cf_error("Version not supported in RIPng");
			  if (((yyvsp[0].i) != RIP_V1) && ((yyvsp[0].i) != RIP_V2)) cf_error("Unsupported version");
			}
#line 16159 "obj/conf/cf-parse.tab.c"
    break;

  case 1991: /* rip_iface_item: VERSION ONLY bool  */
#line 151 "proto/rip/config.Y"
                        { RIP_IFACE->version_only = (yyvsp[0].i); }
#line 16165 "obj/conf/cf-parse.tab.c"
    break;

  case 1992: /* rip_iface_item: SPLIT HORIZON bool  */
#line 152 "proto/rip/config.Y"
                        { RIP_IFACE->split_horizon = (yyvsp[0].i); }
#line 16171 "obj/conf/cf-parse.tab.c"
    break;

  case 1993: /* rip_iface_item: POISON REVERSE bool  */
#line 153 "proto/rip/config.Y"
                        { RIP_IFACE->poison_reverse = (yyvsp[0].i); }
#line 16177 "obj/conf/cf-parse.tab.c"
    break;

  case 1994: /* rip_iface_item: CHECK ZERO bool  */
#line 154 "proto/rip/config.Y"
                        { RIP_IFACE->check_zero = (yyvsp[0].i); }
#line 16183 "obj/conf/cf-parse.tab.c"
    break;

  case 1995: /* rip_iface_item: DEMAND CIRCUIT bool  */
#line 155 "proto/rip/config.Y"
                        { RIP_IFACE->demand_circuit = (yyvsp[0].i); }
#line 16189 "obj/conf/cf-parse.tab.c"
    break;

  case 1996: /* rip_iface_item: UPDATE TIME expr  */
#line 156 "proto/rip/config.Y"
                        { RIP_IFACE->update_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Update time must be positive"); }
#line 16195 "obj/conf/cf-parse.tab.c"
    break;

  case 1997: /* rip_iface_item: TIMEOUT TIME expr  */
#line 157 "proto/rip/config.Y"
                        { RIP_IFACE->timeout_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Timeout time must be positive"); }
#line 16201 "obj/conf/cf-parse.tab.c"
    break;

  case 1998: /* rip_iface_item: GARBAGE TIME expr  */
#line 158 "proto/rip/config.Y"
                        { RIP_IFACE->garbage_time = (yyvsp[0].i) S_; if ((yyvsp[0].i)<=0) cf_error("Garbage time must be positive"); }
#line 16207 "obj/conf/cf-parse.tab.c"
    break;

  case 1999: /* rip_iface_item: RETRANSMIT TIME expr_us  */
#line 159 "proto/rip/config.Y"
                           { RIP_IFACE->rxmt_time = (yyvsp[0].time); if ((yyvsp[0].time)<=0) cf_error("Retransmit time must be positive"); }
#line 16213 "obj/conf/cf-parse.tab.c"
    break;

  case 2000: /* rip_iface_item: ECMP WEIGHT expr  */
#line 160 "proto/rip/config.Y"
                        { RIP_IFACE->ecmp_weight = (yyvsp[0].i) - 1; if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("ECMP weight must be in range 1-256"); }
#line 16219 "obj/conf/cf-parse.tab.c"
    break;

  case 2001: /* rip_iface_item: RX BUFFER expr  */
#line 161 "proto/rip/config.Y"
                        { RIP_IFACE->rx_buffer = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("RX length must be in range 256-65535"); }
#line 16225 "obj/conf/cf-parse.tab.c"
    break;

  case 2002: /* rip_iface_item: TX LENGTH expr  */
#line 162 "proto/rip/config.Y"
                        { RIP_IFACE->tx_length = (yyvsp[0].i); if (((yyvsp[0].i)<256) || ((yyvsp[0].i)>65535)) cf_error("TX length must be in range 256-65535"); }
#line 16231 "obj/conf/cf-parse.tab.c"
    break;

  case 2003: /* rip_iface_item: TX tos  */
#line 163 "proto/rip/config.Y"
                        { RIP_IFACE->tx_tos = (yyvsp[0].i); }
#line 16237 "obj/conf/cf-parse.tab.c"
    break;

  case 2004: /* rip_iface_item: TX PRIORITY expr  */
#line 164 "proto/rip/config.Y"
                        { RIP_IFACE->tx_priority = (yyvsp[0].i); }
#line 16243 "obj/conf/cf-parse.tab.c"
    break;

  case 2005: /* rip_iface_item: TTL SECURITY bool  */
#line 165 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = (yyvsp[0].i); }
#line 16249 "obj/conf/cf-parse.tab.c"
    break;

  case 2006: /* rip_iface_item: TTL SECURITY TX ONLY  */
#line 166 "proto/rip/config.Y"
                        { RIP_IFACE->ttl_security = 2; }
#line 16255 "obj/conf/cf-parse.tab.c"
    break;

  case 2007: /* rip_iface_item: CHECK LINK bool  */
#line 167 "proto/rip/config.Y"
                        { RIP_IFACE->check_link = (yyvsp[0].i); }
#line 16261 "obj/conf/cf-parse.tab.c"
    break;

  case 2008: /* rip_iface_item: BFD bool  */
#line 168 "proto/rip/config.Y"
                        { RIP_IFACE->bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i)); }
#line 16267 "obj/conf/cf-parse.tab.c"
    break;

  case 2009: /* rip_iface_item: AUTHENTICATION rip_auth  */
#line 169 "proto/rip/config.Y"
                           { RIP_IFACE->auth_type = (yyvsp[0].i); if ((yyvsp[0].i)) rip_check_auth(); }
#line 16273 "obj/conf/cf-parse.tab.c"
    break;

  case 2010: /* rip_iface_item: password_list  */
#line 170 "proto/rip/config.Y"
                        { rip_check_auth(); }
#line 16279 "obj/conf/cf-parse.tab.c"
    break;

  case 2011: /* rip_auth: NONE  */
#line 174 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_NONE; }
#line 16285 "obj/conf/cf-parse.tab.c"
    break;

  case 2012: /* rip_auth: PLAINTEXT  */
#line 175 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_PLAIN; }
#line 16291 "obj/conf/cf-parse.tab.c"
    break;

  case 2013: /* rip_auth: CRYPTOGRAPHIC  */
#line 176 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 16297 "obj/conf/cf-parse.tab.c"
    break;

  case 2014: /* rip_auth: MD5  */
#line 177 "proto/rip/config.Y"
                        { (yyval.i) = RIP_AUTH_CRYPTO; }
#line 16303 "obj/conf/cf-parse.tab.c"
    break;

  case 2020: /* dynamic_attr: RIP_METRIC  */
#line 194 "proto/rip/config.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_METRIC); }
#line 16309 "obj/conf/cf-parse.tab.c"
    break;

  case 2021: /* dynamic_attr: RIP_TAG  */
#line 195 "proto/rip/config.Y"
                      { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_RIP_TAG); }
#line 16315 "obj/conf/cf-parse.tab.c"
    break;

  case 2023: /* cmd_SHOW_RIP_INTERFACES: SHOW RIP INTERFACES optproto opttext END  */
#line 200 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_interfaces(p, (yyvsp[-1].t)); }
#line 16321 "obj/conf/cf-parse.tab.c"
    break;

  case 2025: /* cmd_SHOW_RIP_NEIGHBORS: SHOW RIP NEIGHBORS optproto opttext END  */
#line 203 "proto/rip/config.Y"
{ PROTO_WALK_CMD((yyvsp[-2].s), &proto_rip, p) rip_show_neighbors(p, (yyvsp[-1].t)); }
#line 16327 "obj/conf/cf-parse.tab.c"
    break;

  case 2027: /* rpki_proto_start: proto_start RPKI  */
#line 45 "proto/rpki/config.Y"
                                   {
  this_proto = proto_config_new(&proto_rpki, (yyvsp[-1].i));
  RPKI_CFG->retry_interval = RPKI_RETRY_INTERVAL;
  RPKI_CFG->refresh_interval = RPKI_REFRESH_INTERVAL;
  RPKI_CFG->expire_interval = RPKI_EXPIRE_INTERVAL;
  RPKI_CFG->min_version = 0;
  RPKI_CFG->max_version = RPKI_MAX_VERSION;
}
#line 16340 "obj/conf/cf-parse.tab.c"
    break;

  case 2028: /* rpki_proto: rpki_proto_start proto_name '{' rpki_proto_opts '}'  */
#line 54 "proto/rpki/config.Y"
                                                                { rpki_check_config(RPKI_CFG); }
#line 16346 "obj/conf/cf-parse.tab.c"
    break;

  case 2036: /* rpki_proto_item: LOCAL ADDRESS ipa  */
#line 67 "proto/rpki/config.Y"
                     { RPKI_CFG->local_ip = (yyvsp[0].a); }
#line 16352 "obj/conf/cf-parse.tab.c"
    break;

  case 2038: /* rpki_proto_item: REFRESH rpki_keep_interval expr  */
#line 69 "proto/rpki/config.Y"
                                   {
     if (rpki_check_refresh_interval((yyvsp[0].i)))
       cf_error(rpki_check_refresh_interval((yyvsp[0].i)));
     RPKI_CFG->refresh_interval = (yyvsp[0].i);
     RPKI_CFG->keep_refresh_interval = (yyvsp[-1].i);
   }
#line 16363 "obj/conf/cf-parse.tab.c"
    break;

  case 2039: /* rpki_proto_item: RETRY rpki_keep_interval expr  */
#line 75 "proto/rpki/config.Y"
                                 {
     if (rpki_check_retry_interval((yyvsp[0].i)))
       cf_error(rpki_check_retry_interval((yyvsp[0].i)));
     RPKI_CFG->retry_interval = (yyvsp[0].i);
     RPKI_CFG->keep_retry_interval = (yyvsp[-1].i);
   }
#line 16374 "obj/conf/cf-parse.tab.c"
    break;

  case 2040: /* rpki_proto_item: EXPIRE rpki_keep_interval expr  */
#line 81 "proto/rpki/config.Y"
                                  {
     if (rpki_check_expire_interval((yyvsp[0].i)))
       cf_error(rpki_check_expire_interval((yyvsp[0].i)));
     RPKI_CFG->expire_interval = (yyvsp[0].i);
     RPKI_CFG->keep_expire_interval = (yyvsp[-1].i);
   }
#line 16385 "obj/conf/cf-parse.tab.c"
    break;

  case 2041: /* rpki_proto_item: IGNORE MAX LENGTH bool  */
#line 87 "proto/rpki/config.Y"
                          { RPKI_CFG->ignore_max_length = (yyvsp[0].i); }
#line 16391 "obj/conf/cf-parse.tab.c"
    break;

  case 2042: /* rpki_proto_item: MIN VERSION expr  */
#line 88 "proto/rpki/config.Y"
                    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, min version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->min_version = (yyvsp[0].i);
   }
#line 16400 "obj/conf/cf-parse.tab.c"
    break;

  case 2043: /* rpki_proto_item: MAX VERSION expr  */
#line 92 "proto/rpki/config.Y"
                    {
     if ((yyvsp[0].i) > RPKI_MAX_VERSION) cf_error("RPKI version %u unsupported, max version must be in range 0-%u", (yyvsp[0].i), RPKI_MAX_VERSION);
     RPKI_CFG->max_version = (yyvsp[0].i);
   }
#line 16409 "obj/conf/cf-parse.tab.c"
    break;

  case 2044: /* rpki_keep_interval: %empty  */
#line 99 "proto/rpki/config.Y"
             { (yyval.i) = 0; }
#line 16415 "obj/conf/cf-parse.tab.c"
    break;

  case 2045: /* rpki_keep_interval: KEEP  */
#line 100 "proto/rpki/config.Y"
        { (yyval.i) = 1; }
#line 16421 "obj/conf/cf-parse.tab.c"
    break;

  case 2046: /* rpki_proto_item_port: PORT expr  */
#line 103 "proto/rpki/config.Y"
                                { check_u16((yyvsp[0].i)); RPKI_CFG->port = (yyvsp[0].i); }
#line 16427 "obj/conf/cf-parse.tab.c"
    break;

  case 2047: /* rpki_cache_addr: text_or_ipa  */
#line 106 "proto/rpki/config.Y"
{
  rpki_check_unused_hostname();
  if ((yyvsp[0].v).type == T_STRING)
    RPKI_CFG->hostname = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
  {
    RPKI_CFG->ip = (yyvsp[0].v).val.ip;

    /* Ensure hostname is filled */
    char *hostname = cfg_allocz(INET6_ADDRSTRLEN + 1);
    bsnprintf(hostname, INET6_ADDRSTRLEN+1, "%I", RPKI_CFG->ip);
    RPKI_CFG->hostname = hostname;
  }
  else bug("Bad text_or_ipa");
}
#line 16447 "obj/conf/cf-parse.tab.c"
    break;

  case 2050: /* rpki_transport_tcp_init: %empty  */
#line 128 "proto/rpki/config.Y"
{
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_tcp_config));
  RPKI_CFG->tr_config.type = RPKI_TR_TCP;
}
#line 16457 "obj/conf/cf-parse.tab.c"
    break;

  case 2055: /* rpki_transport_tcp_item: AUTHENTICATION NONE  */
#line 145 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_NONE; }
#line 16463 "obj/conf/cf-parse.tab.c"
    break;

  case 2056: /* rpki_transport_tcp_item: AUTHENTICATION MD5  */
#line 146 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->auth_type = RPKI_TCP_AUTH_MD5; }
#line 16469 "obj/conf/cf-parse.tab.c"
    break;

  case 2057: /* rpki_transport_tcp_item: PASSWORD text  */
#line 147 "proto/rpki/config.Y"
                        { RPKI_TR_TCP_CFG->password = (yyvsp[0].t); }
#line 16475 "obj/conf/cf-parse.tab.c"
    break;

  case 2058: /* rpki_transport_tcp_check: %empty  */
#line 151 "proto/rpki/config.Y"
{
  if (!RPKI_TR_TCP_CFG->auth_type != !RPKI_TR_TCP_CFG->password)
    cf_error("Authentication and password options should be used together");
}
#line 16484 "obj/conf/cf-parse.tab.c"
    break;

  case 2059: /* rpki_transport_ssh_init: %empty  */
#line 157 "proto/rpki/config.Y"
{
#if HAVE_LIBSSH
  rpki_check_unused_transport();
  RPKI_CFG->tr_config.spec = cfg_allocz(sizeof(struct rpki_tr_ssh_config));
  RPKI_CFG->tr_config.type = RPKI_TR_SSH;
#else
  cf_error("This build doesn't support SSH");
#endif
}
#line 16498 "obj/conf/cf-parse.tab.c"
    break;

  case 2062: /* rpki_transport_ssh_item: BIRD PRIVATE KEY text  */
#line 173 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->bird_private_key = (yyvsp[0].t); }
#line 16504 "obj/conf/cf-parse.tab.c"
    break;

  case 2063: /* rpki_transport_ssh_item: REMOTE PUBLIC KEY text  */
#line 174 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->cache_public_key = (yyvsp[0].t); }
#line 16510 "obj/conf/cf-parse.tab.c"
    break;

  case 2064: /* rpki_transport_ssh_item: USER text  */
#line 175 "proto/rpki/config.Y"
                          { RPKI_TR_SSH_CFG->user = (yyvsp[0].t); }
#line 16516 "obj/conf/cf-parse.tab.c"
    break;

  case 2065: /* rpki_transport_ssh_check: %empty  */
#line 179 "proto/rpki/config.Y"
{
  if (RPKI_TR_SSH_CFG->user == NULL)
    cf_error("User must be set");
}
#line 16525 "obj/conf/cf-parse.tab.c"
    break;

  case 2067: /* static_proto_start: proto_start STATIC  */
#line 59 "proto/static/config.Y"
{
  this_proto = proto_config_new(&proto_static, (yyvsp[-1].i));
  init_list(&STATIC_CFG->routes);
}
#line 16534 "obj/conf/cf-parse.tab.c"
    break;

  case 2070: /* static_proto: static_proto proto_channel ';'  */
#line 67 "proto/static/config.Y"
                                  { this_proto->net_type = (yyvsp[-1].cc)->net_type; }
#line 16540 "obj/conf/cf-parse.tab.c"
    break;

  case 2072: /* static_proto: static_proto CHECK LINK bool ';'  */
#line 69 "proto/static/config.Y"
                                    { STATIC_CFG->check_link = (yyvsp[-1].i); }
#line 16546 "obj/conf/cf-parse.tab.c"
    break;

  case 2073: /* static_proto: static_proto IGP TABLE rtable ';'  */
#line 70 "proto/static/config.Y"
                                     {
    if ((yyvsp[-1].r)->addr_type == NET_IP4)
      STATIC_CFG->igp_table_ip4 = (yyvsp[-1].r);
    else if ((yyvsp[-1].r)->addr_type == NET_IP6)
      STATIC_CFG->igp_table_ip6 = (yyvsp[-1].r);
    else
      cf_error("Incompatible IGP table type");
   }
#line 16559 "obj/conf/cf-parse.tab.c"
    break;

  case 2074: /* static_proto: static_proto stat_route stat_route_opt_list ';'  */
#line 78 "proto/static/config.Y"
                                                   { static_route_finish(); }
#line 16565 "obj/conf/cf-parse.tab.c"
    break;

  case 2075: /* stat_nexthop: VIA ipa ipa_scope  */
#line 82 "proto/static/config.Y"
                      {
      this_snh = static_nexthop_new();
      this_snh->via = (yyvsp[-1].a);
      this_snh->iface = (yyvsp[0].iface);
    }
#line 16575 "obj/conf/cf-parse.tab.c"
    break;

  case 2076: /* stat_nexthop: VIA TEXT  */
#line 87 "proto/static/config.Y"
             {
      this_snh = static_nexthop_new();
      this_snh->via = IPA_NONE;
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16585 "obj/conf/cf-parse.tab.c"
    break;

  case 2077: /* stat_nexthop: stat_nexthop DEV TEXT  */
#line 92 "proto/static/config.Y"
                          {
      this_snh->iface = if_get_by_name((yyvsp[0].t));
    }
#line 16593 "obj/conf/cf-parse.tab.c"
    break;

  case 2078: /* stat_nexthop: stat_nexthop MPLS label_stack  */
#line 95 "proto/static/config.Y"
                                  {
    this_snh->mls = (yyvsp[0].mls);
  }
#line 16601 "obj/conf/cf-parse.tab.c"
    break;

  case 2079: /* stat_nexthop: stat_nexthop ONLINK bool  */
#line 98 "proto/static/config.Y"
                             {
    this_snh->onlink = (yyvsp[0].i);
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16611 "obj/conf/cf-parse.tab.c"
    break;

  case 2080: /* stat_nexthop: stat_nexthop WEIGHT expr  */
#line 103 "proto/static/config.Y"
                             {
    this_snh->weight = (yyvsp[0].i) - 1;
    if (((yyvsp[0].i)<1) || ((yyvsp[0].i)>256)) cf_error("Weight must be in range 1-256");
  }
#line 16620 "obj/conf/cf-parse.tab.c"
    break;

  case 2081: /* stat_nexthop: stat_nexthop BFD bool  */
#line 107 "proto/static/config.Y"
                          {
    this_snh->use_bfd = (yyvsp[0].i); cf_check_bfd((yyvsp[0].i));
    if (this_snh->use_bfd && this_snh->onlink)
      cf_error("Options 'bfd' and 'onlink' cannot be combined");
  }
#line 16630 "obj/conf/cf-parse.tab.c"
    break;

  case 2085: /* stat_mpls: MPLS expr  */
#line 121 "proto/static/config.Y"
             { this_srt->mpls_label = (yyvsp[0].i); if ((yyvsp[0].i) >= MPLS_MAX_LABEL) cf_error("MPLS label must be less than 2^20"); }
#line 16636 "obj/conf/cf-parse.tab.c"
    break;

  case 2086: /* $@24: %empty  */
#line 124 "proto/static/config.Y"
                           {
     this_srt = cfg_allocz(sizeof(struct static_route));
     add_tail(&STATIC_CFG->routes, &this_srt->n);
     this_srt->net = (yyvsp[0].net_ptr);
     this_srt->mpls_label = (uint) -1;
     this_srt_cmds = NULL;
     this_srt_last_cmd = NULL;
     this_srt->mp_next = NULL;
     this_snh = NULL;
  }
#line 16651 "obj/conf/cf-parse.tab.c"
    break;

  case 2089: /* stat_route: stat_route0 RECURSIVE ipa  */
#line 138 "proto/static/config.Y"
                             {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[0].a);
   }
#line 16660 "obj/conf/cf-parse.tab.c"
    break;

  case 2090: /* stat_route: stat_route0 RECURSIVE ipa MPLS label_stack  */
#line 142 "proto/static/config.Y"
                                              {
      this_srt->dest = RTDX_RECURSIVE;
      this_srt->via = (yyvsp[-2].a);
      this_srt->mls = (yyvsp[0].mls);
   }
#line 16670 "obj/conf/cf-parse.tab.c"
    break;

  case 2091: /* stat_route: stat_route0  */
#line 147 "proto/static/config.Y"
                                { this_srt->dest = RTD_NONE; }
#line 16676 "obj/conf/cf-parse.tab.c"
    break;

  case 2092: /* stat_route: stat_route0 DROP  */
#line 148 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16682 "obj/conf/cf-parse.tab.c"
    break;

  case 2093: /* stat_route: stat_route0 REJECT  */
#line 149 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16688 "obj/conf/cf-parse.tab.c"
    break;

  case 2094: /* stat_route: stat_route0 BLACKHOLE  */
#line 150 "proto/static/config.Y"
                                { this_srt->dest = RTD_BLACKHOLE; }
#line 16694 "obj/conf/cf-parse.tab.c"
    break;

  case 2095: /* stat_route: stat_route0 UNREACHABLE  */
#line 151 "proto/static/config.Y"
                                { this_srt->dest = RTD_UNREACHABLE; }
#line 16700 "obj/conf/cf-parse.tab.c"
    break;

  case 2096: /* stat_route: stat_route0 PROHIBIT  */
#line 152 "proto/static/config.Y"
                                { this_srt->dest = RTD_PROHIBIT; }
#line 16706 "obj/conf/cf-parse.tab.c"
    break;

  case 2097: /* $@25: %empty  */
#line 153 "proto/static/config.Y"
                         {
    if (this_srt->net->type != NET_ASPA) cf_error("Provider settings available only for ASPA");
    this_srt->aspa = cfg_alloc(sizeof (adata) + (this_srt_aspa_max = 8) * sizeof (u32));
    this_srt->aspa->length = 0;
   }
#line 16716 "obj/conf/cf-parse.tab.c"
    break;

  case 2099: /* stat_route: stat_route0 TRANSIT  */
#line 158 "proto/static/config.Y"
                       {
    if (this_srt->net->type != NET_ASPA) cf_error("Transit settings available only for ASPA");
    /* Allocate an explicit zero */
    this_srt->aspa = cfg_alloc(sizeof (adata) + sizeof (u32));
    this_srt->aspa->length = sizeof(u32);
    ((u32 *) this_srt->aspa->data)[0] = 0;
   }
#line 16728 "obj/conf/cf-parse.tab.c"
    break;

  case 2100: /* stat_aspa_provider: NUM  */
#line 167 "proto/static/config.Y"
                        {
  if (this_srt->aspa->length == this_srt_aspa_max * sizeof(u32))
  {
    adata *new = cfg_alloc(sizeof (adata) + (this_srt_aspa_max * 2) * sizeof (u32));
    memcpy(new, this_srt->aspa, this_srt->aspa->length + sizeof(adata));
    this_srt->aspa = new;
    this_srt_aspa_max *= 2;
  }

  ((u32 *) this_srt->aspa->data)[this_srt->aspa->length / sizeof(u32)] = (yyvsp[0].i);
  this_srt->aspa->length += sizeof(u32);
}
#line 16745 "obj/conf/cf-parse.tab.c"
    break;

  case 2103: /* stat_route_item: cmd  */
#line 183 "proto/static/config.Y"
       {
     if (this_srt_last_cmd)
       this_srt_last_cmd->next = (yyvsp[0].x);
     else
       this_srt_cmds = (yyvsp[0].x);
     this_srt_last_cmd = (yyvsp[0].x);
   }
#line 16757 "obj/conf/cf-parse.tab.c"
    break;

  case 2109: /* cmd_SHOW_STATIC: SHOW STATIC optproto END  */
#line 204 "proto/static/config.Y"
{ PROTO_WALK_CMD((yyvsp[-1].s), &proto_static, p) static_show(p); }
#line 16763 "obj/conf/cf-parse.tab.c"
    break;

  case 2111: /* kern_sys_item: KERNEL TABLE expr  */
#line 34 "sysdep/linux/netlink.Y"
                     { THIS_KRT->sys.table_id = (yyvsp[0].i); }
#line 16769 "obj/conf/cf-parse.tab.c"
    break;

  case 2112: /* kern_sys_item: METRIC expr  */
#line 35 "sysdep/linux/netlink.Y"
               { THIS_KRT->sys.metric = (yyvsp[0].i); }
#line 16775 "obj/conf/cf-parse.tab.c"
    break;

  case 2113: /* kern_sys_item: NETLINK RX BUFFER expr  */
#line 36 "sysdep/linux/netlink.Y"
                          { THIS_KRT->sys.netlink_rx_buffer = (yyvsp[0].i); }
#line 16781 "obj/conf/cf-parse.tab.c"
    break;

  case 2114: /* dynamic_attr: KRT_PREFSRC  */
#line 39 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_IP_ADDRESS, T_IP, EA_KRT_PREFSRC); }
#line 16787 "obj/conf/cf-parse.tab.c"
    break;

  case 2115: /* dynamic_attr: KRT_REALM  */
#line 40 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REALM); }
#line 16793 "obj/conf/cf-parse.tab.c"
    break;

  case 2116: /* dynamic_attr: KRT_SCOPE  */
#line 41 "sysdep/linux/netlink.Y"
                        { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SCOPE); }
#line 16799 "obj/conf/cf-parse.tab.c"
    break;

  case 2117: /* dynamic_attr: KRT_MTU  */
#line 43 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_MTU); }
#line 16805 "obj/conf/cf-parse.tab.c"
    break;

  case 2118: /* dynamic_attr: KRT_WINDOW  */
#line 44 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_WINDOW); }
#line 16811 "obj/conf/cf-parse.tab.c"
    break;

  case 2119: /* dynamic_attr: KRT_RTT  */
#line 45 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTT); }
#line 16817 "obj/conf/cf-parse.tab.c"
    break;

  case 2120: /* dynamic_attr: KRT_RTTVAR  */
#line 46 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTTVAR); }
#line 16823 "obj/conf/cf-parse.tab.c"
    break;

  case 2121: /* dynamic_attr: KRT_SSTHRESH  */
#line 47 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH); }
#line 16829 "obj/conf/cf-parse.tab.c"
    break;

  case 2122: /* dynamic_attr: KRT_SSTRESH  */
#line 48 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SSTHRESH);
				  cf_warn("Attribute krt_sstresh is deprecated (typo), use krt_ssthresh"); }
#line 16836 "obj/conf/cf-parse.tab.c"
    break;

  case 2123: /* dynamic_attr: KRT_CWND  */
#line 50 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_CWND); }
#line 16842 "obj/conf/cf-parse.tab.c"
    break;

  case 2124: /* dynamic_attr: KRT_ADVMSS  */
#line 51 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_ADVMSS); }
#line 16848 "obj/conf/cf-parse.tab.c"
    break;

  case 2125: /* dynamic_attr: KRT_REORDERING  */
#line 52 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_REORDERING); }
#line 16854 "obj/conf/cf-parse.tab.c"
    break;

  case 2126: /* dynamic_attr: KRT_HOPLIMIT  */
#line 53 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_HOPLIMIT); }
#line 16860 "obj/conf/cf-parse.tab.c"
    break;

  case 2127: /* dynamic_attr: KRT_INITCWND  */
#line 54 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITCWND); }
#line 16866 "obj/conf/cf-parse.tab.c"
    break;

  case 2128: /* dynamic_attr: KRT_RTO_MIN  */
#line 55 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_RTO_MIN); }
#line 16872 "obj/conf/cf-parse.tab.c"
    break;

  case 2129: /* dynamic_attr: KRT_INITRWND  */
#line 56 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_INITRWND); }
#line 16878 "obj/conf/cf-parse.tab.c"
    break;

  case 2130: /* dynamic_attr: KRT_QUICKACK  */
#line 57 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_QUICKACK); }
#line 16884 "obj/conf/cf-parse.tab.c"
    break;

  case 2131: /* dynamic_attr: KRT_CONGCTL  */
#line 58 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_STRING, T_STRING, EA_KRT_CONGCTL); }
#line 16890 "obj/conf/cf-parse.tab.c"
    break;

  case 2132: /* dynamic_attr: KRT_FASTOPEN_NO_COOKIE  */
#line 59 "sysdep/linux/netlink.Y"
                                     { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_FASTOPEN_NO_COOKIE); }
#line 16896 "obj/conf/cf-parse.tab.c"
    break;

  case 2133: /* dynamic_attr: KRT_LOCK_MTU  */
#line 63 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(2, T_BOOL, EA_KRT_LOCK); }
#line 16902 "obj/conf/cf-parse.tab.c"
    break;

  case 2134: /* dynamic_attr: KRT_LOCK_WINDOW  */
#line 64 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_LOCK); }
#line 16908 "obj/conf/cf-parse.tab.c"
    break;

  case 2135: /* dynamic_attr: KRT_LOCK_RTT  */
#line 65 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(4, T_BOOL, EA_KRT_LOCK); }
#line 16914 "obj/conf/cf-parse.tab.c"
    break;

  case 2136: /* dynamic_attr: KRT_LOCK_RTTVAR  */
#line 66 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(5, T_BOOL, EA_KRT_LOCK); }
#line 16920 "obj/conf/cf-parse.tab.c"
    break;

  case 2137: /* dynamic_attr: KRT_LOCK_SSTHRESH  */
#line 67 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK); }
#line 16926 "obj/conf/cf-parse.tab.c"
    break;

  case 2138: /* dynamic_attr: KRT_LOCK_SSTRESH  */
#line 68 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(6, T_BOOL, EA_KRT_LOCK);
				  cf_warn("Attribute krt_lock_sstresh is deprecated (typo), use krt_lock_ssthresh"); }
#line 16933 "obj/conf/cf-parse.tab.c"
    break;

  case 2139: /* dynamic_attr: KRT_LOCK_CWND  */
#line 70 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(7, T_BOOL, EA_KRT_LOCK); }
#line 16939 "obj/conf/cf-parse.tab.c"
    break;

  case 2140: /* dynamic_attr: KRT_LOCK_ADVMSS  */
#line 71 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(8, T_BOOL, EA_KRT_LOCK); }
#line 16945 "obj/conf/cf-parse.tab.c"
    break;

  case 2141: /* dynamic_attr: KRT_LOCK_REORDERING  */
#line 72 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(9, T_BOOL, EA_KRT_LOCK); }
#line 16951 "obj/conf/cf-parse.tab.c"
    break;

  case 2142: /* dynamic_attr: KRT_LOCK_HOPLIMIT  */
#line 73 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(10, T_BOOL, EA_KRT_LOCK); }
#line 16957 "obj/conf/cf-parse.tab.c"
    break;

  case 2143: /* dynamic_attr: KRT_LOCK_INITCWND  */
#line 74 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(11, T_BOOL, EA_KRT_LOCK); }
#line 16963 "obj/conf/cf-parse.tab.c"
    break;

  case 2144: /* dynamic_attr: KRT_LOCK_RTO_MIN  */
#line 76 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(13, T_BOOL, EA_KRT_LOCK); }
#line 16969 "obj/conf/cf-parse.tab.c"
    break;

  case 2145: /* dynamic_attr: KRT_LOCK_INITRWND  */
#line 77 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(14, T_BOOL, EA_KRT_LOCK); }
#line 16975 "obj/conf/cf-parse.tab.c"
    break;

  case 2146: /* dynamic_attr: KRT_LOCK_QUICKACK  */
#line 78 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(15, T_BOOL, EA_KRT_LOCK); }
#line 16981 "obj/conf/cf-parse.tab.c"
    break;

  case 2147: /* dynamic_attr: KRT_LOCK_CONGCTL  */
#line 79 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(16, T_BOOL, EA_KRT_LOCK); }
#line 16987 "obj/conf/cf-parse.tab.c"
    break;

  case 2148: /* dynamic_attr: KRT_LOCK_FASTOPEN_NO_COOKIE  */
#line 80 "sysdep/linux/netlink.Y"
                                          { (yyval.fda) = f_new_dynamic_attr_bit(17, T_BOOL, EA_KRT_LOCK); }
#line 16993 "obj/conf/cf-parse.tab.c"
    break;

  case 2149: /* dynamic_attr: KRT_FEATURE_ECN  */
#line 82 "sysdep/linux/netlink.Y"
                                { (yyval.fda) = f_new_dynamic_attr_bit(0, T_BOOL, EA_KRT_FEATURES); }
#line 16999 "obj/conf/cf-parse.tab.c"
    break;

  case 2150: /* dynamic_attr: KRT_FEATURE_ALLFRAG  */
#line 83 "sysdep/linux/netlink.Y"
                                  { (yyval.fda) = f_new_dynamic_attr_bit(3, T_BOOL, EA_KRT_FEATURES); }
#line 17005 "obj/conf/cf-parse.tab.c"
    break;

  case 2153: /* log_begin: %empty  */
#line 36 "sysdep/unix/config.Y"
           { this_log = cfg_allocz(sizeof(struct log_config)); }
#line 17011 "obj/conf/cf-parse.tab.c"
    break;

  case 2154: /* log_config: LOG log_begin log_file log_mask ';'  */
#line 38 "sysdep/unix/config.Y"
                                                {
    this_log->mask = (yyvsp[-1].i);
    add_tail(&new_config->logfiles, &this_log->n);
  }
#line 17020 "obj/conf/cf-parse.tab.c"
    break;

  case 2155: /* syslog_name: NAME text  */
#line 45 "sysdep/unix/config.Y"
             { (yyval.t) = (yyvsp[0].t); }
#line 17026 "obj/conf/cf-parse.tab.c"
    break;

  case 2156: /* syslog_name: %empty  */
#line 46 "sysdep/unix/config.Y"
   { (yyval.t) = bird_name; }
#line 17032 "obj/conf/cf-parse.tab.c"
    break;

  case 2158: /* log_limit: expr text  */
#line 51 "sysdep/unix/config.Y"
             { this_log->limit = (yyvsp[-1].i); this_log->backup = (yyvsp[0].t); }
#line 17038 "obj/conf/cf-parse.tab.c"
    break;

  case 2159: /* log_file: text log_limit  */
#line 55 "sysdep/unix/config.Y"
                  {
     if (!parse_and_exit)
     {
       this_log->rf = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!this_log->rf) cf_error("Unable to open log file '%s': %m", (yyvsp[-1].t));
       this_log->fh = rf_file(this_log->rf);
     }
     this_log->pos = -1;
     this_log->filename = (yyvsp[-1].t);
   }
#line 17053 "obj/conf/cf-parse.tab.c"
    break;

  case 2160: /* log_file: SYSLOG syslog_name  */
#line 65 "sysdep/unix/config.Y"
                      { this_log->fh = NULL; new_config->syslog_name = (yyvsp[0].t); }
#line 17059 "obj/conf/cf-parse.tab.c"
    break;

  case 2161: /* log_file: STDERR  */
#line 66 "sysdep/unix/config.Y"
          { this_log->fh = stderr; }
#line 17065 "obj/conf/cf-parse.tab.c"
    break;

  case 2162: /* log_file: UDP log_udp_host log_udp_port  */
#line 67 "sysdep/unix/config.Y"
                                 {
     this_log->udp_flag = 1;

     if (!parse_and_exit)
       log_open_udp(this_log, new_config->pool);
   }
#line 17076 "obj/conf/cf-parse.tab.c"
    break;

  case 2163: /* log_udp_host: text_or_ipa  */
#line 76 "sysdep/unix/config.Y"
{
  if ((yyvsp[0].v).type == T_STRING)
    this_log->host = (yyvsp[0].v).val.s;
  else if ((yyvsp[0].v).type == T_IP)
    this_log->ip = (yyvsp[0].v).val.ip;
  else bug("Bad text_or_ipa");
}
#line 17088 "obj/conf/cf-parse.tab.c"
    break;

  case 2164: /* log_udp_port: %empty  */
#line 85 "sysdep/unix/config.Y"
                { this_log->port = 514; }
#line 17094 "obj/conf/cf-parse.tab.c"
    break;

  case 2165: /* log_udp_port: PORT NUM  */
#line 86 "sysdep/unix/config.Y"
             { check_u16((yyvsp[0].i)); this_log->port = (yyvsp[0].i); }
#line 17100 "obj/conf/cf-parse.tab.c"
    break;

  case 2166: /* log_mask: ALL  */
#line 90 "sysdep/unix/config.Y"
       { (yyval.i) = ~0; }
#line 17106 "obj/conf/cf-parse.tab.c"
    break;

  case 2167: /* log_mask: '{' log_mask_list '}'  */
#line 91 "sysdep/unix/config.Y"
                         { (yyval.i) = (yyvsp[-1].i); }
#line 17112 "obj/conf/cf-parse.tab.c"
    break;

  case 2168: /* log_mask_list: log_cat  */
#line 95 "sysdep/unix/config.Y"
           { (yyval.i) = 1 << (yyvsp[0].i); }
#line 17118 "obj/conf/cf-parse.tab.c"
    break;

  case 2169: /* log_mask_list: log_mask_list ',' log_cat  */
#line 96 "sysdep/unix/config.Y"
                             { (yyval.i) = (yyvsp[-2].i) | (1 << (yyvsp[0].i)); }
#line 17124 "obj/conf/cf-parse.tab.c"
    break;

  case 2170: /* log_cat: DEBUG  */
#line 100 "sysdep/unix/config.Y"
         { (yyval.i) = L_DEBUG[0]; }
#line 17130 "obj/conf/cf-parse.tab.c"
    break;

  case 2171: /* log_cat: TRACE  */
#line 101 "sysdep/unix/config.Y"
         { (yyval.i) = L_TRACE[0]; }
#line 17136 "obj/conf/cf-parse.tab.c"
    break;

  case 2172: /* log_cat: INFO  */
#line 102 "sysdep/unix/config.Y"
        { (yyval.i) = L_INFO[0]; }
#line 17142 "obj/conf/cf-parse.tab.c"
    break;

  case 2173: /* log_cat: REMOTE  */
#line 103 "sysdep/unix/config.Y"
          { (yyval.i) = L_REMOTE[0]; }
#line 17148 "obj/conf/cf-parse.tab.c"
    break;

  case 2174: /* log_cat: WARNING  */
#line 104 "sysdep/unix/config.Y"
           { (yyval.i) = L_WARN[0]; }
#line 17154 "obj/conf/cf-parse.tab.c"
    break;

  case 2175: /* log_cat: ERROR  */
#line 105 "sysdep/unix/config.Y"
         { (yyval.i) = L_ERR[0]; }
#line 17160 "obj/conf/cf-parse.tab.c"
    break;

  case 2176: /* log_cat: AUTH  */
#line 106 "sysdep/unix/config.Y"
        { (yyval.i) = L_AUTH[0]; }
#line 17166 "obj/conf/cf-parse.tab.c"
    break;

  case 2177: /* log_cat: FATAL  */
#line 107 "sysdep/unix/config.Y"
         { (yyval.i) = L_FATAL[0]; }
#line 17172 "obj/conf/cf-parse.tab.c"
    break;

  case 2178: /* log_cat: BUG  */
#line 108 "sysdep/unix/config.Y"
       { (yyval.i) = L_BUG[0]; }
#line 17178 "obj/conf/cf-parse.tab.c"
    break;

  case 2180: /* mrtdump_base: MRTDUMP PROTOCOLS mrtdump_mask ';'  */
#line 115 "sysdep/unix/config.Y"
                                      { new_config->proto_default_mrtdump = (yyvsp[-1].i); }
#line 17184 "obj/conf/cf-parse.tab.c"
    break;

  case 2181: /* mrtdump_base: MRTDUMP text ';'  */
#line 116 "sysdep/unix/config.Y"
                    {
     if (!parse_and_exit)
     {
       struct rfile *f = rf_open(new_config->pool, (yyvsp[-1].t), "a");
       if (!f) cf_error("Unable to open MRTDump file '%s': %m", (yyvsp[-1].t));
       new_config->mrtdump_file = rf_fileno(f);
     }
   }
#line 17197 "obj/conf/cf-parse.tab.c"
    break;

  case 2183: /* cli: CLI text cli_opts  */
#line 128 "sysdep/unix/config.Y"
                       {
  this_cli_config->name = (yyvsp[-1].t);
  cli_config_add_tail(&new_config->cli, this_cli_config);
  this_cli_config = NULL;
}
#line 17207 "obj/conf/cf-parse.tab.c"
    break;

  case 2186: /* cli_opts_begin: %empty  */
#line 136 "sysdep/unix/config.Y"
                {
  this_cli_config = cfg_alloc(sizeof *this_cli_config);
  *this_cli_config = (typeof (*this_cli_config)) {
    .config = new_config,
    .mode = 0660,
  };
}
#line 17219 "obj/conf/cf-parse.tab.c"
    break;

  case 2188: /* cli_opts_block: cli_opts_block RESTRICT  */
#line 146 "sysdep/unix/config.Y"
                          { this_cli_config->restricted = 1; }
#line 17225 "obj/conf/cf-parse.tab.c"
    break;

  case 2190: /* debug_unix: DEBUG LATENCY bool  */
#line 152 "sysdep/unix/config.Y"
                      { new_config->latency_debug = (yyvsp[0].i); }
#line 17231 "obj/conf/cf-parse.tab.c"
    break;

  case 2191: /* debug_unix: DEBUG LATENCY LIMIT expr_us  */
#line 153 "sysdep/unix/config.Y"
                               { new_config->latency_limit = (yyvsp[0].time); }
#line 17237 "obj/conf/cf-parse.tab.c"
    break;

  case 2192: /* debug_unix: WATCHDOG WARNING expr_us  */
#line 154 "sysdep/unix/config.Y"
                            { new_config->watchdog_warning = (yyvsp[0].time); }
#line 17243 "obj/conf/cf-parse.tab.c"
    break;

  case 2193: /* debug_unix: WATCHDOG TIMEOUT expr_us  */
#line 155 "sysdep/unix/config.Y"
                            { new_config->watchdog_timeout = ((yyvsp[0].time) + 999999) TO_S; }
#line 17249 "obj/conf/cf-parse.tab.c"
    break;

  case 2195: /* cmd_CONFIGURE: CONFIGURE cfg_name cfg_timeout END  */
#line 164 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_HARD, (yyvsp[-1].i)); }
#line 17255 "obj/conf/cf-parse.tab.c"
    break;

  case 2197: /* cmd_CONFIGURE_SOFT: CONFIGURE SOFT cfg_name cfg_timeout END  */
#line 167 "sysdep/unix/config.Y"
{ cmd_reconfig((yyvsp[-2].t), RECONFIG_SOFT, (yyvsp[-1].i)); }
#line 17261 "obj/conf/cf-parse.tab.c"
    break;

  case 2199: /* cmd_CONFIGURE_CONFIRM: CONFIGURE CONFIRM END  */
#line 174 "sysdep/unix/config.Y"
{ cmd_reconfig_confirm(); }
#line 17267 "obj/conf/cf-parse.tab.c"
    break;

  case 2201: /* cmd_CONFIGURE_UNDO: CONFIGURE UNDO END  */
#line 177 "sysdep/unix/config.Y"
{ cmd_reconfig_undo(); }
#line 17273 "obj/conf/cf-parse.tab.c"
    break;

  case 2203: /* cmd_CONFIGURE_STATUS: CONFIGURE STATUS END  */
#line 180 "sysdep/unix/config.Y"
{ cmd_reconfig_status(); }
#line 17279 "obj/conf/cf-parse.tab.c"
    break;

  case 2205: /* cmd_CONFIGURE_CHECK: CONFIGURE CHECK cfg_name END  */
#line 183 "sysdep/unix/config.Y"
{ cmd_check_config((yyvsp[-1].t)); }
#line 17285 "obj/conf/cf-parse.tab.c"
    break;

  case 2207: /* cmd_DOWN: DOWN END  */
#line 186 "sysdep/unix/config.Y"
{ cmd_shutdown(); }
#line 17291 "obj/conf/cf-parse.tab.c"
    break;

  case 2209: /* cmd_GRACEFUL_RESTART: GRACEFUL RESTART END  */
#line 191 "sysdep/unix/config.Y"
{ cmd_graceful_restart(); }
#line 17297 "obj/conf/cf-parse.tab.c"
    break;

  case 2210: /* cfg_name: %empty  */
#line 195 "sysdep/unix/config.Y"
               { (yyval.t) = NULL; }
#line 17303 "obj/conf/cf-parse.tab.c"
    break;

  case 2212: /* cfg_timeout: %empty  */
#line 200 "sysdep/unix/config.Y"
               { (yyval.i) = 0; }
#line 17309 "obj/conf/cf-parse.tab.c"
    break;

  case 2213: /* cfg_timeout: TIMEOUT  */
#line 201 "sysdep/unix/config.Y"
           { (yyval.i) = UNIX_DEFAULT_CONFIGURE_TIMEOUT; }
#line 17315 "obj/conf/cf-parse.tab.c"
    break;

  case 2214: /* cfg_timeout: TIMEOUT expr  */
#line 202 "sysdep/unix/config.Y"
                { (yyval.i) = (yyvsp[0].i); }
#line 17321 "obj/conf/cf-parse.tab.c"
    break;

  case 2216: /* kern_proto_start: proto_start KERNEL  */
#line 45 "sysdep/unix/krt.Y"
                                     {
     this_proto = krt_init_config((yyvsp[-1].i));
}
#line 17329 "obj/conf/cf-parse.tab.c"
    break;

  case 2219: /* kern_learn: bool  */
#line 54 "sysdep/unix/krt.Y"
        { (yyval.i) = (yyvsp[0].i) ? KRT_LEARN_ALIEN : KRT_LEARN_NONE; }
#line 17335 "obj/conf/cf-parse.tab.c"
    break;

  case 2220: /* kern_learn: ALL  */
#line 55 "sysdep/unix/krt.Y"
        { (yyval.i) = KRT_LEARN_ALL; }
#line 17341 "obj/conf/cf-parse.tab.c"
    break;

  case 2221: /* kern_mp_limit: %empty  */
#line 59 "sysdep/unix/krt.Y"
               { (yyval.i) = KRT_DEFAULT_ECMP_LIMIT; }
#line 17347 "obj/conf/cf-parse.tab.c"
    break;

  case 2222: /* kern_mp_limit: LIMIT expr  */
#line 60 "sysdep/unix/krt.Y"
               { (yyval.i) = (yyvsp[0].i); if (((yyvsp[0].i) <= 0) || ((yyvsp[0].i) > 255)) cf_error("Merge paths limit must be in range 1-255"); }
#line 17353 "obj/conf/cf-parse.tab.c"
    break;

  case 2226: /* kern_item: kern_channel  */
#line 71 "sysdep/unix/krt.Y"
                { this_proto->net_type = (yyvsp[0].cc)->net_type; }
#line 17359 "obj/conf/cf-parse.tab.c"
    break;

  case 2227: /* kern_item: PERSIST bool  */
#line 72 "sysdep/unix/krt.Y"
                { THIS_KRT->persist = (yyvsp[0].i); }
#line 17365 "obj/conf/cf-parse.tab.c"
    break;

  case 2228: /* kern_item: SCAN TIME expr  */
#line 73 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KRT->scan_time = (yyvsp[0].i) S_;
   }
#line 17374 "obj/conf/cf-parse.tab.c"
    break;

  case 2229: /* kern_item: LEARN kern_learn  */
#line 77 "sysdep/unix/krt.Y"
                    {
      THIS_KRT->learn = (yyvsp[0].i);
#ifndef KRT_ALLOW_LEARN
      if ((yyvsp[0].i))
	cf_error("Learning of kernel routes not supported on this platform");
#endif
   }
#line 17386 "obj/conf/cf-parse.tab.c"
    break;

  case 2230: /* kern_item: GRACEFUL RESTART bool  */
#line 84 "sysdep/unix/krt.Y"
                         { THIS_KRT->graceful_restart = (yyvsp[0].i); }
#line 17392 "obj/conf/cf-parse.tab.c"
    break;

  case 2231: /* kern_item: MERGE PATHS bool kern_mp_limit  */
#line 85 "sysdep/unix/krt.Y"
                                  {
      THIS_KRT->merge_paths = (yyvsp[-1].i) ? (yyvsp[0].i) : 0;
#ifndef KRT_ALLOW_MERGE_PATHS
      if ((yyvsp[-1].i))
	cf_error("Path merging not supported on this platform");
#endif
   }
#line 17404 "obj/conf/cf-parse.tab.c"
    break;

  case 2233: /* kif_proto_start: proto_start DEVICE  */
#line 98 "sysdep/unix/krt.Y"
                                    { this_proto = kif_init_config((yyvsp[-1].i)); }
#line 17410 "obj/conf/cf-parse.tab.c"
    break;

  case 2238: /* kif_item: SCAN TIME expr  */
#line 107 "sysdep/unix/krt.Y"
                  {
      /* Scan time of 0 means scan on startup only */
      THIS_KIF->scan_time = (yyvsp[0].i) S_;
   }
#line 17419 "obj/conf/cf-parse.tab.c"
    break;

  case 2239: /* kif_iface_start: %empty  */
#line 114 "sysdep/unix/krt.Y"
{
  this_ipatt = cfg_allocz(sizeof(struct kif_iface_config));
  add_tail(&THIS_KIF->iface_list, NODE this_ipatt);
  init_list(&this_ipatt->ipn_list);
}
#line 17429 "obj/conf/cf-parse.tab.c"
    break;

  case 2240: /* kif_iface_item: PREFERRED ipa  */
#line 121 "sysdep/unix/krt.Y"
                 { kif_set_preferred((yyvsp[0].a)); }
#line 17435 "obj/conf/cf-parse.tab.c"
    break;

  case 2246: /* dynamic_attr: KRT_SOURCE  */
#line 138 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_SOURCE); }
#line 17441 "obj/conf/cf-parse.tab.c"
    break;

  case 2247: /* dynamic_attr: KRT_METRIC  */
#line 139 "sysdep/unix/krt.Y"
                         { (yyval.fda) = f_new_dynamic_attr(EAF_TYPE_INT, T_INT, EA_KRT_METRIC); }
#line 17447 "obj/conf/cf-parse.tab.c"
    break;


#line 17451 "obj/conf/cf-parse.tab.c"

        default: break;
      }
    if (yychar_backup != yychar)
      YY_LAC_DISCARD ("yychar change");
  }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", YY_CAST (yysymbol_kind_t, yyr1[yyn]), &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;

  *++yyvsp = yyval;

  /* Now 'shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */
  {
    const int yylhs = yyr1[yyn] - YYNTOKENS;
    const int yyi = yypgoto[yylhs] + *yyssp;
    yystate = (0 <= yyi && yyi <= YYLAST && yycheck[yyi] == *yyssp
               ? yytable[yyi]
               : yydefgoto[yylhs]);
  }

  goto yynewstate;


/*--------------------------------------.
| yyerrlab -- here on detecting error.  |
`--------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYSYMBOL_YYEMPTY : YYTRANSLATE (yychar);
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
      {
        yypcontext_t yyctx
          = {yyssp, yyesa, &yyes, &yyes_capacity, yytoken};
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        if (yychar != YYEMPTY)
          YY_LAC_ESTABLISH;
        yysyntax_error_status = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == -1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = YY_CAST (char *,
                             YYSTACK_ALLOC (YY_CAST (YYSIZE_T, yymsg_alloc)));
            if (yymsg)
              {
                yysyntax_error_status
                  = yysyntax_error (&yymsg_alloc, &yymsg, &yyctx);
                yymsgp = yymsg;
              }
            else
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = YYENOMEM;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == YYENOMEM)
          YYNOMEM;
      }
    }

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
         error, discard it.  */

      if (yychar <= YYEOF)
        {
          /* Return failure if at end of input.  */
          if (yychar == YYEOF)
            YYABORT;
        }
      else
        {
          yydestruct ("Error: discarding",
                      yytoken, &yylval);
          yychar = YYEMPTY;
        }
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:
  /* Pacify compilers when the user code never invokes YYERROR and the
     label yyerrorlab therefore never appears in user code.  */
  if (0)
    YYERROR;
  ++yynerrs;

  /* Do not reclaim the symbols of the rule whose action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;      /* Each real token shifted decrements this.  */

  /* Pop stack until we find a state that shifts the error token.  */
  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
        {
          yyn += YYSYMBOL_YYerror;
          if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYSYMBOL_YYerror)
            {
              yyn = yytable[yyn];
              if (0 < yyn)
                break;
            }
        }

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
        YYABORT;


      yydestruct ("Error: popping",
                  YY_ACCESSING_SYMBOL (yystate), yyvsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  /* If the stack popping above didn't lose the initial context for the
     current lookahead token, the shift below will for sure.  */
  YY_LAC_DISCARD ("error recovery");

  YY_IGNORE_MAYBE_UNINITIALIZED_BEGIN
  *++yyvsp = yylval;
  YY_IGNORE_MAYBE_UNINITIALIZED_END


  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", YY_ACCESSING_SYMBOL (yyn), yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturnlab;


/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturnlab;


/*-----------------------------------------------------------.
| yyexhaustedlab -- YYNOMEM (memory exhaustion) comes here.  |
`-----------------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  goto yyreturnlab;


/*----------------------------------------------------------.
| yyreturnlab -- parsing is finished, clean up and return.  |
`----------------------------------------------------------*/
yyreturnlab:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval);
    }
  /* Do not reclaim the symbols of the rule whose action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
                  YY_ACCESSING_SYMBOL (+*yyssp), yyvsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
  if (yyes != yyesa)
    YYSTACK_FREE (yyes);
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
  return yyresult;
}

#line 61 "conf/gen_parser.m4"

#line 455 "conf/confbase.Y"
/* C Code from conf/confbase.Y */

#line 206 "conf/flowspec.Y"
/* C Code from conf/flowspec.Y */

#line 978 "nest/config.Y"
/* C Code from nest/config.Y */

#line 198 "nest/mpls.Y"
/* C Code from nest/mpls.Y */

#line 132 "proto/aggregator/config.Y"
/* C Code from proto/aggregator/config.Y */

#line 262 "proto/bfd/config.Y"
/* C Code from proto/bfd/config.Y */

#line 203 "proto/babel/config.Y"
/* C Code from proto/babel/config.Y */

#line 431 "proto/bgp/config.Y"
/* C Code from proto/bgp/config.Y */

#line 99 "proto/l3vpn/config.Y"
/* C Code from proto/l3vpn/config.Y */

#line 71 "proto/mrt/config.Y"
/* C Code from proto/mrt/config.Y */

#line 571 "proto/ospf/config.Y"
/* C Code from proto/ospf/config.Y */

#line 59 "proto/perf/config.Y"
/* C Code from proto/perf/config.Y */

#line 46 "proto/pipe/config.Y"
/* C Code from proto/pipe/config.Y */

#line 356 "proto/radv/config.Y"
/* C Code from proto/radv/config.Y */

#line 206 "proto/rip/config.Y"
/* C Code from proto/rip/config.Y */

#line 184 "proto/rpki/config.Y"
/* C Code from proto/rpki/config.Y */

#line 206 "proto/static/config.Y"
/* C Code from proto/static/config.Y */

#line 86 "sysdep/linux/netlink.Y"
/* C Code from sysdep/linux/netlink.Y */

#line 205 "sysdep/unix/config.Y"
/* C Code from sysdep/unix/config.Y */

#line 141 "sysdep/unix/krt.Y"
/* C Code from sysdep/unix/krt.Y */

